-- phpMyAdmin SQL Dump
-- version 5.1.0
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Apr 20, 2021 at 12:25 PM
-- Server version: 5.7.24
-- PHP Version: 7.4.16

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `spondon_infixmenu`
--

-- --------------------------------------------------------

--
-- Table structure for table `chat_block_users`
--

CREATE TABLE `chat_block_users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `block_by` bigint(20) UNSIGNED NOT NULL,
  `block_to` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_conversations`
--

CREATE TABLE `chat_conversations` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `from_id` bigint(20) UNSIGNED DEFAULT NULL,
  `to_id` bigint(20) UNSIGNED DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci,
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0 for unread,1 for seen',
  `message_type` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0- text message, 1- image, 2- pdf, 3- doc, 4- voice',
  `file_name` text COLLATE utf8mb4_unicode_ci,
  `original_file_name` text COLLATE utf8mb4_unicode_ci,
  `initial` tinyint(1) NOT NULL DEFAULT '0',
  `reply` bigint(20) UNSIGNED DEFAULT NULL,
  `forward` bigint(20) UNSIGNED DEFAULT NULL,
  `deleted_by_to` tinyint(1) NOT NULL DEFAULT '0',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_groups`
--

CREATE TABLE `chat_groups` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `photo_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `privacy` int(11) DEFAULT NULL,
  `read_only` tinyint(1) NOT NULL DEFAULT '0',
  `group_type` int(11) NOT NULL DEFAULT '1' COMMENT '1 => Open (Anyone can send message), 2 => Close (Only Admin can send message) ',
  `created_by` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_group_message_recipients`
--

CREATE TABLE `chat_group_message_recipients` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `conversation_id` bigint(20) UNSIGNED NOT NULL,
  `group_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` datetime DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_group_message_removes`
--

CREATE TABLE `chat_group_message_removes` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `group_message_recipient_id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_group_users`
--

CREATE TABLE `chat_group_users` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `group_id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `role` int(11) NOT NULL DEFAULT '1',
  `added_by` bigint(20) UNSIGNED NOT NULL,
  `removed_by` bigint(20) UNSIGNED DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_invitations`
--

CREATE TABLE `chat_invitations` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `from` int(10) UNSIGNED NOT NULL,
  `to` int(10) UNSIGNED NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0- pending, 1- connected, 2- blocked',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_invitation_types`
--

CREATE TABLE `chat_invitation_types` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `invitation_id` bigint(20) UNSIGNED NOT NULL,
  `type` enum('one-to-one','group','class-teacher') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'one-to-one',
  `section_id` bigint(20) UNSIGNED DEFAULT NULL,
  `class_teacher_id` bigint(20) UNSIGNED DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `chat_statuses`
--

CREATE TABLE `chat_statuses` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) UNSIGNED NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0- inactive, 1- active, 2- away, 3- busy',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `chat_statuses`
--

INSERT INTO `chat_statuses` (`id`, `user_id`, `status`, `created_at`, `updated_at`) VALUES
(1, 1, 0, '2021-04-20 05:30:19', '2021-04-20 05:30:19');

-- --------------------------------------------------------

--
-- Table structure for table `check_classes`
--

CREATE TABLE `check_classes` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `continents`
--

CREATE TABLE `continents` (
  `id` int(10) UNSIGNED NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `continents`
--

INSERT INTO `continents` (`id`, `code`, `name`, `created_at`, `updated_at`, `school_id`) VALUES
(1, 'AF', 'Africa', NULL, NULL, 1),
(2, 'AN', 'Antarctica', NULL, NULL, 1),
(3, 'AS', 'Asia', NULL, NULL, 1),
(4, 'EU', 'Europe', NULL, NULL, 1),
(5, 'NA', 'North America', NULL, NULL, 1),
(6, 'OC', 'Oceania', NULL, NULL, 1),
(7, 'SA', 'South America', NULL, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `continets`
--

CREATE TABLE `continets` (
  `id` int(10) UNSIGNED NOT NULL,
  `code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `countries`
--

CREATE TABLE `countries` (
  `id` int(10) UNSIGNED NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `native` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `continent` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `capital` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `languages` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `countries`
--

INSERT INTO `countries` (`id`, `code`, `name`, `native`, `phone`, `continent`, `capital`, `currency`, `languages`, `created_at`, `updated_at`, `school_id`, `academic_id`) VALUES
(1, 'AD', 'Andorra', 'Andorra', '376', 'EU', 'Andorra la Vella', 'EUR', 'ca', NULL, NULL, 1, 1),
(2, 'AE', 'United Arab Emirates', 'دولة الإمارات العربية المتحدة', '971', 'AS', 'Abu Dhabi', 'AED', 'ar', NULL, NULL, 1, 1),
(3, 'AF', 'Afghanistan', 'افغانستان', '93', 'AS', 'Kabul', 'AFN', 'ps,uz,tk', NULL, NULL, 1, 1),
(4, 'AG', 'Antigua and Barbuda', 'Antigua and Barbuda', '1268', 'NA', 'Saint John\'s', 'XCD', 'en', NULL, NULL, 1, 1),
(5, 'AI', 'Anguilla', 'Anguilla', '1264', 'NA', 'The Valley', 'XCD', 'en', NULL, NULL, 1, 1),
(6, 'AL', 'Albania', 'Shqipëria', '355', 'EU', 'Tirana', 'ALL', 'sq', NULL, NULL, 1, 1),
(7, 'AM', 'Armenia', 'Հայաստան', '374', 'AS', 'Yerevan', 'AMD', 'hy,ru', NULL, NULL, 1, 1),
(8, 'AO', 'Angola', 'Angola', '244', 'AF', 'Luanda', 'AOA', 'pt', NULL, NULL, 1, 1),
(9, 'AQ', 'Antarctica', 'Antarctica', '672', 'AN', '', '', '', NULL, NULL, 1, 1),
(10, 'AR', 'Argentina', 'Argentina', '54', 'SA', 'Buenos Aires', 'ARS', 'es,gn', NULL, NULL, 1, 1),
(11, 'AS', 'American Samoa', 'American Samoa', '1684', 'OC', 'Pago Pago', 'USD', 'en,sm', NULL, NULL, 1, 1),
(12, 'AT', 'Austria', 'Österreich', '43', 'EU', 'Vienna', 'EUR', 'de', NULL, NULL, 1, 1),
(13, 'AU', 'Australia', 'Australia', '61', 'OC', 'Canberra', 'AUD', 'en', NULL, NULL, 1, 1),
(14, 'AW', 'Aruba', 'Aruba', '297', 'NA', 'Oranjestad', 'AWG', 'nl,pa', NULL, NULL, 1, 1),
(15, 'AX', 'Åland', 'Åland', '358', 'EU', 'Mariehamn', 'EUR', 'sv', NULL, NULL, 1, 1),
(16, 'AZ', 'Azerbaijan', 'Azərbaycan', '994', 'AS', 'Baku', 'AZN', 'az', NULL, NULL, 1, 1),
(17, 'BA', 'Bosnia and Herzegovina', 'Bosna i Hercegovina', '387', 'EU', 'Sarajevo', 'BAM', 'bs,hr,sr', NULL, NULL, 1, 1),
(18, 'BB', 'Barbados', 'Barbados', '1246', 'NA', 'Bridgetown', 'BBD', 'en', NULL, NULL, 1, 1),
(19, 'BD', 'Bangladesh', 'Bangladesh', '880', 'AS', 'Dhaka', 'BDT', 'bn', NULL, NULL, 1, 1),
(20, 'BE', 'Belgium', 'België', '32', 'EU', 'Brussels', 'EUR', 'nl,fr,de', NULL, NULL, 1, 1),
(21, 'BF', 'Burkina Faso', 'Burkina Faso', '226', 'AF', 'Ouagadougou', 'XOF', 'fr,ff', NULL, NULL, 1, 1),
(22, 'BG', 'Bulgaria', 'България', '359', 'EU', 'Sofia', 'BGN', 'bg', NULL, NULL, 1, 1),
(23, 'BH', 'Bahrain', '‏البحرين', '973', 'AS', 'Manama', 'BHD', 'ar', NULL, NULL, 1, 1),
(24, 'BI', 'Burundi', 'Burundi', '257', 'AF', 'Bujumbura', 'BIF', 'fr,rn', NULL, NULL, 1, 1),
(25, 'BJ', 'Benin', 'Bénin', '229', 'AF', 'Porto-Novo', 'XOF', 'fr', NULL, NULL, 1, 1),
(26, 'BL', 'Saint Barthélemy', 'Saint-Barthélemy', '590', 'NA', 'Gustavia', 'EUR', 'fr', NULL, NULL, 1, 1),
(27, 'BM', 'Bermuda', 'Bermuda', '1441', 'NA', 'Hamilton', 'BMD', 'en', NULL, NULL, 1, 1),
(28, 'BN', 'Brunei', 'Negara Brunei Darussalam', '673', 'AS', 'Bandar Seri Begawan', 'BND', 'ms', NULL, NULL, 1, 1),
(29, 'BO', 'Bolivia', 'Bolivia', '591', 'SA', 'Sucre', 'BOB,BOV', 'es,ay,qu', NULL, NULL, 1, 1),
(30, 'BQ', 'Bonaire', 'Bonaire', '5997', 'NA', 'Kralendijk', 'USD', 'nl', NULL, NULL, 1, 1),
(31, 'BR', 'Brazil', 'Brasil', '55', 'SA', 'Brasília', 'BRL', 'pt', NULL, NULL, 1, 1),
(32, 'BS', 'Bahamas', 'Bahamas', '1242', 'NA', 'Nassau', 'BSD', 'en', NULL, NULL, 1, 1),
(33, 'BT', 'Bhutan', 'ʼbrug-yul', '975', 'AS', 'Thimphu', 'BTN,INR', 'dz', NULL, NULL, 1, 1),
(34, 'BV', 'Bouvet Island', 'Bouvetøya', '47', 'AN', '', 'NOK', 'no,nb,nn', NULL, NULL, 1, 1),
(35, 'BW', 'Botswana', 'Botswana', '267', 'AF', 'Gaborone', 'BWP', 'en,tn', NULL, NULL, 1, 1),
(36, 'BY', 'Belarus', 'Белару́сь', '375', 'EU', 'Minsk', 'BYR', 'be,ru', NULL, NULL, 1, 1),
(37, 'BZ', 'Belize', 'Belize', '501', 'NA', 'Belmopan', 'BZD', 'en,es', NULL, NULL, 1, 1),
(38, 'CA', 'Canada', 'Canada', '1', 'NA', 'Ottawa', 'CAD', 'en,fr', NULL, NULL, 1, 1),
(39, 'CC', 'Cocos [Keeling] Islands', 'Cocos (Keeling) Islands', '61', 'AS', 'West Island', 'AUD', 'en', NULL, NULL, 1, 1),
(40, 'CD', 'Democratic Republic of the Congo', 'République démocratique du Congo', '243', 'AF', 'Kinshasa', 'CDF', 'fr,ln,kg,sw,lu', NULL, NULL, 1, 1),
(41, 'CF', 'Central African Republic', 'Ködörösêse tî Bêafrîka', '236', 'AF', 'Bangui', 'XAF', 'fr,sg', NULL, NULL, 1, 1),
(42, 'CG', 'Republic of the Congo', 'République du Congo', '242', 'AF', 'Brazzaville', 'XAF', 'fr,ln', NULL, NULL, 1, 1),
(43, 'CH', 'Switzerland', 'Schweiz', '41', 'EU', 'Bern', 'CHE,CHF,CHW', 'de,fr,it', NULL, NULL, 1, 1),
(44, 'CI', 'Ivory Coast', 'Côte d\'Ivoire', '225', 'AF', 'Yamoussoukro', 'XOF', 'fr', NULL, NULL, 1, 1),
(45, 'CK', 'Cook Islands', 'Cook Islands', '682', 'OC', 'Avarua', 'NZD', 'en', NULL, NULL, 1, 1),
(46, 'CL', 'Chile', 'Chile', '56', 'SA', 'Santiago', 'CLF,CLP', 'es', NULL, NULL, 1, 1),
(47, 'CM', 'Cameroon', 'Cameroon', '237', 'AF', 'Yaoundé', 'XAF', 'en,fr', NULL, NULL, 1, 1),
(48, 'CN', 'China', '中国', '86', 'AS', 'Beijing', 'CNY', 'zh', NULL, NULL, 1, 1),
(49, 'CO', 'Colombia', 'Colombia', '57', 'SA', 'Bogotá', 'COP', 'es', NULL, NULL, 1, 1),
(50, 'CR', 'Costa Rica', 'Costa Rica', '506', 'NA', 'San José', 'CRC', 'es', NULL, NULL, 1, 1),
(51, 'CU', 'Cuba', 'Cuba', '53', 'NA', 'Havana', 'CUC,CUP', 'es', NULL, NULL, 1, 1),
(52, 'CV', 'Cape Verde', 'Cabo Verde', '238', 'AF', 'Praia', 'CVE', 'pt', NULL, NULL, 1, 1),
(53, 'CW', 'Curacao', 'Curaçao', '5999', 'NA', 'Willemstad', 'ANG', 'nl,pa,en', NULL, NULL, 1, 1),
(54, 'CX', 'Christmas Island', 'Christmas Island', '61', 'AS', 'Flying Fish Cove', 'AUD', 'en', NULL, NULL, 1, 1),
(55, 'CY', 'Cyprus', 'Κύπρος', '357', 'EU', 'Nicosia', 'EUR', 'el,tr,hy', NULL, NULL, 1, 1),
(56, 'CZ', 'Czech Republic', 'Česká republika', '420', 'EU', 'Prague', 'CZK', 'cs,sk', NULL, NULL, 1, 1),
(57, 'DE', 'Germany', 'Deutschland', '49', 'EU', 'Berlin', 'EUR', 'de', NULL, NULL, 1, 1),
(58, 'DJ', 'Djibouti', 'Djibouti', '253', 'AF', 'Djibouti', 'DJF', 'fr,ar', NULL, NULL, 1, 1),
(59, 'DK', 'Denmark', 'Danmark', '45', 'EU', 'Copenhagen', 'DKK', 'da', NULL, NULL, 1, 1),
(60, 'DM', 'Dominica', 'Dominica', '1767', 'NA', 'Roseau', 'XCD', 'en', NULL, NULL, 1, 1),
(61, 'DO', 'Dominican Republic', 'República Dominicana', '1809,1829,1849', 'NA', 'Santo Domingo', 'DOP', 'es', NULL, NULL, 1, 1),
(62, 'DZ', 'Algeria', 'الجزائر', '213', 'AF', 'Algiers', 'DZD', 'ar', NULL, NULL, 1, 1),
(63, 'EC', 'Ecuador', 'Ecuador', '593', 'SA', 'Quito', 'USD', 'es', NULL, NULL, 1, 1),
(64, 'EE', 'Estonia', 'Eesti', '372', 'EU', 'Tallinn', 'EUR', 'et', NULL, NULL, 1, 1),
(65, 'EG', 'Egypt', 'مصر‎', '20', 'AF', 'Cairo', 'EGP', 'ar', NULL, NULL, 1, 1),
(66, 'EH', 'Western Sahara', 'الصحراء الغربية', '212', 'AF', 'El Aaiún', 'MAD,DZD,MRU', 'es', NULL, NULL, 1, 1),
(67, 'ER', 'Eritrea', 'ኤርትራ', '291', 'AF', 'Asmara', 'ERN', 'ti,ar,en', NULL, NULL, 1, 1),
(68, 'ES', 'Spain', 'España', '34', 'EU', 'Madrid', 'EUR', 'es,eu,ca,gl,oc', NULL, NULL, 1, 1),
(69, 'ET', 'Ethiopia', 'ኢትዮጵያ', '251', 'AF', 'Addis Ababa', 'ETB', 'am', NULL, NULL, 1, 1),
(70, 'FI', 'Finland', 'Suomi', '358', 'EU', 'Helsinki', 'EUR', 'fi,sv', NULL, NULL, 1, 1),
(71, 'FJ', 'Fiji', 'Fiji', '679', 'OC', 'Suva', 'FJD', 'en,fj,hi,ur', NULL, NULL, 1, 1),
(72, 'FK', 'Falkland Islands', 'Falkland Islands', '500', 'SA', 'Stanley', 'FKP', 'en', NULL, NULL, 1, 1),
(73, 'FM', 'Micronesia', 'Micronesia', '691', 'OC', 'Palikir', 'USD', 'en', NULL, NULL, 1, 1),
(74, 'FO', 'Faroe Islands', 'Føroyar', '298', 'EU', 'Tórshavn', 'DKK', 'fo', NULL, NULL, 1, 1),
(75, 'FR', 'France', 'France', '33', 'EU', 'Paris', 'EUR', 'fr', NULL, NULL, 1, 1),
(76, 'GA', 'Gabon', 'Gabon', '241', 'AF', 'Libreville', 'XAF', 'fr', NULL, NULL, 1, 1),
(77, 'GB', 'United Kingdom', 'United Kingdom', '44', 'EU', 'London', 'GBP', 'en', NULL, NULL, 1, 1),
(78, 'GD', 'Grenada', 'Grenada', '1473', 'NA', 'St. George\'s', 'XCD', 'en', NULL, NULL, 1, 1),
(79, 'GE', 'Georgia', 'საქართველო', '995', 'AS', 'Tbilisi', 'GEL', 'ka', NULL, NULL, 1, 1),
(80, 'GF', 'French Guiana', 'Guyane française', '594', 'SA', 'Cayenne', 'EUR', 'fr', NULL, NULL, 1, 1),
(81, 'GG', 'Guernsey', 'Guernsey', '44', 'EU', 'St. Peter Port', 'GBP', 'en,fr', NULL, NULL, 1, 1),
(82, 'GH', 'Ghana', 'Ghana', '233', 'AF', 'Accra', 'GHS', 'en', NULL, NULL, 1, 1),
(83, 'GI', 'Gibraltar', 'Gibraltar', '350', 'EU', 'Gibraltar', 'GIP', 'en', NULL, NULL, 1, 1),
(84, 'GL', 'Greenland', 'Kalaallit Nunaat', '299', 'NA', 'Nuuk', 'DKK', 'kl', NULL, NULL, 1, 1),
(85, 'GM', 'Gambia', 'Gambia', '220', 'AF', 'Banjul', 'GMD', 'en', NULL, NULL, 1, 1),
(86, 'GN', 'Guinea', 'Guinée', '224', 'AF', 'Conakry', 'GNF', 'fr,ff', NULL, NULL, 1, 1),
(87, 'GP', 'Guadeloupe', 'Guadeloupe', '590', 'NA', 'Basse-Terre', 'EUR', 'fr', NULL, NULL, 1, 1),
(88, 'GQ', 'Equatorial Guinea', 'Guinea Ecuatorial', '240', 'AF', 'Malabo', 'XAF', 'es,fr', NULL, NULL, 1, 1),
(89, 'GR', 'Greece', 'Ελλάδα', '30', 'EU', 'Athens', 'EUR', 'el', NULL, NULL, 1, 1),
(90, 'GS', 'South Georgia and the South Sandwich Islands', 'South Georgia', '500', 'AN', 'King Edward Point', 'GBP', 'en', NULL, NULL, 1, 1),
(91, 'GT', 'Guatemala', 'Guatemala', '502', 'NA', 'Guatemala City', 'GTQ', 'es', NULL, NULL, 1, 1),
(92, 'GU', 'Guam', 'Guam', '1671', 'OC', 'Hagåtña', 'USD', 'en,ch,es', NULL, NULL, 1, 1),
(93, 'GW', 'Guinea-Bissau', 'Guiné-Bissau', '245', 'AF', 'Bissau', 'XOF', 'pt', NULL, NULL, 1, 1),
(94, 'GY', 'Guyana', 'Guyana', '592', 'SA', 'Georgetown', 'GYD', 'en', NULL, NULL, 1, 1),
(95, 'HK', 'Hong Kong', '香港', '852', 'AS', 'City of Victoria', 'HKD', 'zh,en', NULL, NULL, 1, 1),
(96, 'HM', 'Heard Island and McDonald Islands', 'Heard Island and McDonald Islands', '61', 'AN', '', 'AUD', 'en', NULL, NULL, 1, 1),
(97, 'HN', 'Honduras', 'Honduras', '504', 'NA', 'Tegucigalpa', 'HNL', 'es', NULL, NULL, 1, 1),
(98, 'HR', 'Croatia', 'Hrvatska', '385', 'EU', 'Zagreb', 'HRK', 'hr', NULL, NULL, 1, 1),
(99, 'HT', 'Haiti', 'Haïti', '509', 'NA', 'Port-au-Prince', 'HTG,USD', 'fr,ht', NULL, NULL, 1, 1),
(100, 'HU', 'Hungary', 'Magyarország', '36', 'EU', 'Budapest', 'HUF', 'hu', NULL, NULL, 1, 1),
(101, 'ID', 'Indonesia', 'Indonesia', '62', 'AS', 'Jakarta', 'IDR', 'id', NULL, NULL, 1, 1),
(102, 'IE', 'Ireland', 'Éire', '353', 'EU', 'Dublin', 'EUR', 'ga,en', NULL, NULL, 1, 1),
(103, 'IL', 'Israel', 'יִשְׂרָאֵל', '972', 'AS', 'Jerusalem', 'ILS', 'he,ar', NULL, NULL, 1, 1),
(104, 'IM', 'Isle of Man', 'Isle of Man', '44', 'EU', 'Douglas', 'GBP', 'en,gv', NULL, NULL, 1, 1),
(105, 'IN', 'India', 'भारत', '91', 'AS', 'New Delhi', 'INR', 'hi,en', NULL, NULL, 1, 1),
(106, 'IO', 'British Indian Ocean Territory', 'British Indian Ocean Territory', '246', 'AS', 'Diego Garcia', 'USD', 'en', NULL, NULL, 1, 1),
(107, 'IQ', 'Iraq', 'العراق', '964', 'AS', 'Baghdad', 'IQD', 'ar,ku', NULL, NULL, 1, 1),
(108, 'IR', 'Iran', 'ایران', '98', 'AS', 'Tehran', 'IRR', 'fa', NULL, NULL, 1, 1),
(109, 'IS', 'Iceland', 'Ísland', '354', 'EU', 'Reykjavik', 'ISK', 'is', NULL, NULL, 1, 1),
(110, 'IT', 'Italy', 'Italia', '39', 'EU', 'Rome', 'EUR', 'it', NULL, NULL, 1, 1),
(111, 'JE', 'Jersey', 'Jersey', '44', 'EU', 'Saint Helier', 'GBP', 'en,fr', NULL, NULL, 1, 1),
(112, 'JM', 'Jamaica', 'Jamaica', '1876', 'NA', 'Kingston', 'JMD', 'en', NULL, NULL, 1, 1),
(113, 'JO', 'Jordan', 'الأردن', '962', 'AS', 'Amman', 'JOD', 'ar', NULL, NULL, 1, 1),
(114, 'JP', 'Japan', '日本', '81', 'AS', 'Tokyo', 'JPY', 'ja', NULL, NULL, 1, 1),
(115, 'KE', 'Kenya', 'Kenya', '254', 'AF', 'Nairobi', 'KES', 'en,sw', NULL, NULL, 1, 1),
(116, 'KG', 'Kyrgyzstan', 'Кыргызстан', '996', 'AS', 'Bishkek', 'KGS', 'ky,ru', NULL, NULL, 1, 1),
(117, 'KH', 'Cambodia', 'Kâmpŭchéa', '855', 'AS', 'Phnom Penh', 'KHR', 'km', NULL, NULL, 1, 1),
(118, 'KI', 'Kiribati', 'Kiribati', '686', 'OC', 'South Tarawa', 'AUD', 'en', NULL, NULL, 1, 1),
(119, 'KM', 'Comoros', 'Komori', '269', 'AF', 'Moroni', 'KMF', 'ar,fr', NULL, NULL, 1, 1),
(120, 'KN', 'Saint Kitts and Nevis', 'Saint Kitts and Nevis', '1869', 'NA', 'Basseterre', 'XCD', 'en', NULL, NULL, 1, 1),
(121, 'KP', 'North Korea', '북한', '850', 'AS', 'Pyongyang', 'KPW', 'ko', NULL, NULL, 1, 1),
(122, 'KR', 'South Korea', '대한민국', '82', 'AS', 'Seoul', 'KRW', 'ko', NULL, NULL, 1, 1),
(123, 'KW', 'Kuwait', 'الكويت', '965', 'AS', 'Kuwait City', 'KWD', 'ar', NULL, NULL, 1, 1),
(124, 'KY', 'Cayman Islands', 'Cayman Islands', '1345', 'NA', 'George Town', 'KYD', 'en', NULL, NULL, 1, 1),
(125, 'KZ', 'Kazakhstan', 'Қазақстан', '76,77', 'AS', 'Astana', 'KZT', 'kk,ru', NULL, NULL, 1, 1),
(126, 'LA', 'Laos', 'ສປປລາວ', '856', 'AS', 'Vientiane', 'LAK', 'lo', NULL, NULL, 1, 1),
(127, 'LB', 'Lebanon', 'لبنان', '961', 'AS', 'Beirut', 'LBP', 'ar,fr', NULL, NULL, 1, 1),
(128, 'LC', 'Saint Lucia', 'Saint Lucia', '1758', 'NA', 'Castries', 'XCD', 'en', NULL, NULL, 1, 1),
(129, 'LI', 'Liechtenstein', 'Liechtenstein', '423', 'EU', 'Vaduz', 'CHF', 'de', NULL, NULL, 1, 1),
(130, 'LK', 'Sri Lanka', 'śrī laṃkāva', '94', 'AS', 'Colombo', 'LKR', 'si,ta', NULL, NULL, 1, 1),
(131, 'LR', 'Liberia', 'Liberia', '231', 'AF', 'Monrovia', 'LRD', 'en', NULL, NULL, 1, 1),
(132, 'LS', 'Lesotho', 'Lesotho', '266', 'AF', 'Maseru', 'LSL,ZAR', 'en,st', NULL, NULL, 1, 1),
(133, 'LT', 'Lithuania', 'Lietuva', '370', 'EU', 'Vilnius', 'EUR', 'lt', NULL, NULL, 1, 1),
(134, 'LU', 'Luxembourg', 'Luxembourg', '352', 'EU', 'Luxembourg', 'EUR', 'fr,de,lb', NULL, NULL, 1, 1),
(135, 'LV', 'Latvia', 'Latvija', '371', 'EU', 'Riga', 'EUR', 'lv', NULL, NULL, 1, 1),
(136, 'LY', 'Libya', '‏ليبيا', '218', 'AF', 'Tripoli', 'LYD', 'ar', NULL, NULL, 1, 1),
(137, 'MA', 'Morocco', 'المغرب', '212', 'AF', 'Rabat', 'MAD', 'ar', NULL, NULL, 1, 1),
(138, 'MC', 'Monaco', 'Monaco', '377', 'EU', 'Monaco', 'EUR', 'fr', NULL, NULL, 1, 1),
(139, 'MD', 'Moldova', 'Moldova', '373', 'EU', 'Chișinău', 'MDL', 'ro', NULL, NULL, 1, 1),
(140, 'ME', 'Montenegro', 'Црна Гора', '382', 'EU', 'Podgorica', 'EUR', 'sr,bs,sq,hr', NULL, NULL, 1, 1),
(141, 'MF', 'Saint Martin', 'Saint-Martin', '590', 'NA', 'Marigot', 'EUR', 'en,fr,nl', NULL, NULL, 1, 1),
(142, 'MG', 'Madagascar', 'Madagasikara', '261', 'AF', 'Antananarivo', 'MGA', 'fr,mg', NULL, NULL, 1, 1),
(143, 'MH', 'Marshall Islands', 'M̧ajeļ', '692', 'OC', 'Majuro', 'USD', 'en,mh', NULL, NULL, 1, 1),
(144, 'MK', 'Macedonia', 'Македонија', '389', 'EU', 'Skopje', 'MKD', 'mk', NULL, NULL, 1, 1),
(145, 'ML', 'Mali', 'Mali', '223', 'AF', 'Bamako', 'XOF', 'fr', NULL, NULL, 1, 1),
(146, 'MM', 'Myanmar [Burma]', 'မြန်မာ', '95', 'AS', 'Naypyidaw', 'MMK', 'my', NULL, NULL, 1, 1),
(147, 'MN', 'Mongolia', 'Монгол улс', '976', 'AS', 'Ulan Bator', 'MNT', 'mn', NULL, NULL, 1, 1),
(148, 'MO', 'Macao', '澳門', '853', 'AS', '', 'MOP', 'zh,pt', NULL, NULL, 1, 1),
(149, 'MP', 'Northern Mariana Islands', 'Northern Mariana Islands', '1670', 'OC', 'Saipan', 'USD', 'en,ch', NULL, NULL, 1, 1),
(150, 'MQ', 'Martinique', 'Martinique', '596', 'NA', 'Fort-de-France', 'EUR', 'fr', NULL, NULL, 1, 1),
(151, 'MR', 'Mauritania', 'موريتانيا', '222', 'AF', 'Nouakchott', 'MRU', 'ar', NULL, NULL, 1, 1),
(152, 'MS', 'Montserrat', 'Montserrat', '1664', 'NA', 'Plymouth', 'XCD', 'en', NULL, NULL, 1, 1),
(153, 'MT', 'Malta', 'Malta', '356', 'EU', 'Valletta', 'EUR', 'mt,en', NULL, NULL, 1, 1),
(154, 'MU', 'Mauritius', 'Maurice', '230', 'AF', 'Port Louis', 'MUR', 'en', NULL, NULL, 1, 1),
(155, 'MV', 'Maldives', 'Maldives', '960', 'AS', 'Malé', 'MVR', 'dv', NULL, NULL, 1, 1),
(156, 'MW', 'Malawi', 'Malawi', '265', 'AF', 'Lilongwe', 'MWK', 'en,ny', NULL, NULL, 1, 1),
(157, 'MX', 'Mexico', 'México', '52', 'NA', 'Mexico City', 'MXN', 'es', NULL, NULL, 1, 1),
(158, 'MY', 'Malaysia', 'Malaysia', '60', 'AS', 'Kuala Lumpur', 'MYR', 'ms', NULL, NULL, 1, 1),
(159, 'MZ', 'Mozambique', 'Moçambique', '258', 'AF', 'Maputo', 'MZN', 'pt', NULL, NULL, 1, 1),
(160, 'NA', 'Namibia', 'Namibia', '264', 'AF', 'Windhoek', 'NAD,ZAR', 'en,af', NULL, NULL, 1, 1),
(161, 'NC', 'New Caledonia', 'Nouvelle-Calédonie', '687', 'OC', 'Nouméa', 'XPF', 'fr', NULL, NULL, 1, 1),
(162, 'NE', 'Niger', 'Niger', '227', 'AF', 'Niamey', 'XOF', 'fr', NULL, NULL, 1, 1),
(163, 'NF', 'Norfolk Island', 'Norfolk Island', '672', 'OC', 'Kingston', 'AUD', 'en', NULL, NULL, 1, 1),
(164, 'NG', 'Nigeria', 'Nigeria', '234', 'AF', 'Abuja', 'NGN', 'en', NULL, NULL, 1, 1),
(165, 'NI', 'Nicaragua', 'Nicaragua', '505', 'NA', 'Managua', 'NIO', 'es', NULL, NULL, 1, 1),
(166, 'NL', 'Netherlands', 'Nederland', '31', 'EU', 'Amsterdam', 'EUR', 'nl', NULL, NULL, 1, 1),
(167, 'NO', 'Norway', 'Norge', '47', 'EU', 'Oslo', 'NOK', 'no,nb,nn', NULL, NULL, 1, 1),
(168, 'NP', 'Nepal', 'नपल', '977', 'AS', 'Kathmandu', 'NPR', 'ne', NULL, NULL, 1, 1),
(169, 'NR', 'Nauru', 'Nauru', '674', 'OC', 'Yaren', 'AUD', 'en,na', NULL, NULL, 1, 1),
(170, 'NU', 'Niue', 'Niuē', '683', 'OC', 'Alofi', 'NZD', 'en', NULL, NULL, 1, 1),
(171, 'NZ', 'New Zealand', 'New Zealand', '64', 'OC', 'Wellington', 'NZD', 'en,mi', NULL, NULL, 1, 1),
(172, 'OM', 'Oman', 'عمان', '968', 'AS', 'Muscat', 'OMR', 'ar', NULL, NULL, 1, 1),
(173, 'PA', 'Panama', 'Panamá', '507', 'NA', 'Panama City', 'PAB,USD', 'es', NULL, NULL, 1, 1),
(174, 'PE', 'Peru', 'Perú', '51', 'SA', 'Lima', 'PEN', 'es', NULL, NULL, 1, 1),
(175, 'PF', 'French Polynesia', 'Polynésie française', '689', 'OC', 'Papeetē', 'XPF', 'fr', NULL, NULL, 1, 1),
(176, 'PG', 'Papua New Guinea', 'Papua Niugini', '675', 'OC', 'Port Moresby', 'PGK', 'en', NULL, NULL, 1, 1),
(177, 'PH', 'Philippines', 'Pilipinas', '63', 'AS', 'Manila', 'PHP', 'en', NULL, NULL, 1, 1),
(178, 'PK', 'Pakistan', 'Pakistan', '92', 'AS', 'Islamabad', 'PKR', 'en,ur', NULL, NULL, 1, 1),
(179, 'PL', 'Poland', 'Polska', '48', 'EU', 'Warsaw', 'PLN', 'pl', NULL, NULL, 1, 1),
(180, 'PM', 'Saint Pierre and Miquelon', 'Saint-Pierre-et-Miquelon', '508', 'NA', 'Saint-Pierre', 'EUR', 'fr', NULL, NULL, 1, 1),
(181, 'PN', 'Pitcairn Islands', 'Pitcairn Islands', '64', 'OC', 'Adamstown', 'NZD', 'en', NULL, NULL, 1, 1),
(182, 'PR', 'Puerto Rico', 'Puerto Rico', '1787,1939', 'NA', 'San Juan', 'USD', 'es,en', NULL, NULL, 1, 1),
(183, 'PS', 'Palestine', 'فلسطين', '970', 'AS', 'Ramallah', 'ILS', 'ar', NULL, NULL, 1, 1),
(184, 'PT', 'Portugal', 'Portugal', '351', 'EU', 'Lisbon', 'EUR', 'pt', NULL, NULL, 1, 1),
(185, 'PW', 'Palau', 'Palau', '680', 'OC', 'Ngerulmud', 'USD', 'en', NULL, NULL, 1, 1),
(186, 'PY', 'Paraguay', 'Paraguay', '595', 'SA', 'Asunción', 'PYG', 'es,gn', NULL, NULL, 1, 1),
(187, 'QA', 'Qatar', 'قطر', '974', 'AS', 'Doha', 'QAR', 'ar', NULL, NULL, 1, 1),
(188, 'RE', 'Réunion', 'La Réunion', '262', 'AF', 'Saint-Denis', 'EUR', 'fr', NULL, NULL, 1, 1),
(189, 'RO', 'Romania', 'România', '40', 'EU', 'Bucharest', 'RON', 'ro', NULL, NULL, 1, 1),
(190, 'RS', 'Serbia', 'Србија', '381', 'EU', 'Belgrade', 'RSD', 'sr', NULL, NULL, 1, 1),
(191, 'RU', 'Russia', 'Россия', '7', 'EU', 'Moscow', 'RUB', 'ru', NULL, NULL, 1, 1),
(192, 'RW', 'Rwanda', 'Rwanda', '250', 'AF', 'Kigali', 'RWF', 'rw,en,fr', NULL, NULL, 1, 1),
(193, 'SA', 'Saudi Arabia', 'العربية السعودية', '966', 'AS', 'Riyadh', 'SAR', 'ar', NULL, NULL, 1, 1),
(194, 'SB', 'Solomon Islands', 'Solomon Islands', '677', 'OC', 'Honiara', 'SBD', 'en', NULL, NULL, 1, 1),
(195, 'SC', 'Seychelles', 'Seychelles', '248', 'AF', 'Victoria', 'SCR', 'fr,en', NULL, NULL, 1, 1),
(196, 'SD', 'Sudan', 'السودان', '249', 'AF', 'Khartoum', 'SDG', 'ar,en', NULL, NULL, 1, 1),
(197, 'SE', 'Sweden', 'Sverige', '46', 'EU', 'Stockholm', 'SEK', 'sv', NULL, NULL, 1, 1),
(198, 'SG', 'Singapore', 'Singapore', '65', 'AS', 'Singapore', 'SGD', 'en,ms,ta,zh', NULL, NULL, 1, 1),
(199, 'SH', 'Saint Helena', 'Saint Helena', '290', 'AF', 'Jamestown', 'SHP', 'en', NULL, NULL, 1, 1),
(200, 'SI', 'Slovenia', 'Slovenija', '386', 'EU', 'Ljubljana', 'EUR', 'sl', NULL, NULL, 1, 1),
(201, 'SJ', 'Svalbard and Jan Mayen', 'Svalbard og Jan Mayen', '4779', 'EU', 'Longyearbyen', 'NOK', 'no', NULL, NULL, 1, 1),
(202, 'SK', 'Slovakia', 'Slovensko', '421', 'EU', 'Bratislava', 'EUR', 'sk', NULL, NULL, 1, 1),
(203, 'SL', 'Sierra Leone', 'Sierra Leone', '232', 'AF', 'Freetown', 'SLL', 'en', NULL, NULL, 1, 1),
(204, 'SM', 'San Marino', 'San Marino', '378', 'EU', 'City of San Marino', 'EUR', 'it', NULL, NULL, 1, 1),
(205, 'SN', 'Senegal', 'Sénégal', '221', 'AF', 'Dakar', 'XOF', 'fr', NULL, NULL, 1, 1),
(206, 'SO', 'Somalia', 'Soomaaliya', '252', 'AF', 'Mogadishu', 'SOS', 'so,ar', NULL, NULL, 1, 1),
(207, 'SR', 'Suriname', 'Suriname', '597', 'SA', 'Paramaribo', 'SRD', 'nl', NULL, NULL, 1, 1),
(208, 'SS', 'South Sudan', 'South Sudan', '211', 'AF', 'Juba', 'SSP', 'en', NULL, NULL, 1, 1),
(209, 'ST', 'São Tomé and Príncipe', 'São Tomé e Príncipe', '239', 'AF', 'São Tomé', 'STN', 'pt', NULL, NULL, 1, 1),
(210, 'SV', 'El Salvador', 'El Salvador', '503', 'NA', 'San Salvador', 'SVC,USD', 'es', NULL, NULL, 1, 1),
(211, 'SX', 'Sint Maarten', 'Sint Maarten', '1721', 'NA', 'Philipsburg', 'ANG', 'nl,en', NULL, NULL, 1, 1),
(212, 'SY', 'Syria', 'سوريا', '963', 'AS', 'Damascus', 'SYP', 'ar', NULL, NULL, 1, 1),
(213, 'SZ', 'Swaziland', 'Swaziland', '268', 'AF', 'Lobamba', 'SZL', 'en,ss', NULL, NULL, 1, 1),
(214, 'TC', 'Turks and Caicos Islands', 'Turks and Caicos Islands', '1649', 'NA', 'Cockburn Town', 'USD', 'en', NULL, NULL, 1, 1),
(215, 'TD', 'Chad', 'Tchad', '235', 'AF', 'N\'Djamena', 'XAF', 'fr,ar', NULL, NULL, 1, 1),
(216, 'TF', 'French Southern Territories', 'Territoire des Terres australes et antarctiques fr', '262', 'AN', 'Port-aux-Français', 'EUR', 'fr', NULL, NULL, 1, 1),
(217, 'TG', 'Togo', 'Togo', '228', 'AF', 'Lomé', 'XOF', 'fr', NULL, NULL, 1, 1),
(218, 'TH', 'Thailand', 'ประเทศไทย', '66', 'AS', 'Bangkok', 'THB', 'th', NULL, NULL, 1, 1),
(219, 'TJ', 'Tajikistan', 'Тоҷикистон', '992', 'AS', 'Dushanbe', 'TJS', 'tg,ru', NULL, NULL, 1, 1),
(220, 'TK', 'Tokelau', 'Tokelau', '690', 'OC', 'Fakaofo', 'NZD', 'en', NULL, NULL, 1, 1),
(221, 'TL', 'East Timor', 'Timor-Leste', '670', 'OC', 'Dili', 'USD', 'pt', NULL, NULL, 1, 1),
(222, 'TM', 'Turkmenistan', 'Türkmenistan', '993', 'AS', 'Ashgabat', 'TMT', 'tk,ru', NULL, NULL, 1, 1),
(223, 'TN', 'Tunisia', 'تونس', '216', 'AF', 'Tunis', 'TND', 'ar', NULL, NULL, 1, 1),
(224, 'TO', 'Tonga', 'Tonga', '676', 'OC', 'Nuku\'alofa', 'TOP', 'en,to', NULL, NULL, 1, 1),
(225, 'TR', 'Turkey', 'Türkiye', '90', 'AS', 'Ankara', 'TRY', 'tr', NULL, NULL, 1, 1),
(226, 'TT', 'Trinidad and Tobago', 'Trinidad and Tobago', '1868', 'NA', 'Port of Spain', 'TTD', 'en', NULL, NULL, 1, 1),
(227, 'TV', 'Tuvalu', 'Tuvalu', '688', 'OC', 'Funafuti', 'AUD', 'en', NULL, NULL, 1, 1),
(228, 'TW', 'Taiwan', '臺灣', '886', 'AS', 'Taipei', 'TWD', 'zh', NULL, NULL, 1, 1),
(229, 'TZ', 'Tanzania', 'Tanzania', '255', 'AF', 'Dodoma', 'TZS', 'sw,en', NULL, NULL, 1, 1),
(230, 'UA', 'Ukraine', 'Україна', '380', 'EU', 'Kyiv', 'UAH', 'uk', NULL, NULL, 1, 1),
(231, 'UG', 'Uganda', 'Uganda', '256', 'AF', 'Kampala', 'UGX', 'en,sw', NULL, NULL, 1, 1),
(232, 'UM', 'U.S. Minor Outlying Islands', 'United States Minor Outlying Islands', '1', 'OC', '', 'USD', 'en', NULL, NULL, 1, 1),
(233, 'US', 'United States', 'United States', '1', 'NA', 'Washington D.C.', 'USD,USN,USS', 'en', NULL, NULL, 1, 1),
(234, 'UY', 'Uruguay', 'Uruguay', '598', 'SA', 'Montevideo', 'UYI,UYU', 'es', NULL, NULL, 1, 1),
(235, 'UZ', 'Uzbekistan', 'O‘zbekiston', '998', 'AS', 'Tashkent', 'UZS', 'uz,ru', NULL, NULL, 1, 1),
(236, 'VA', 'Vatican City', 'Vaticano', '39066,379', 'EU', 'Vatican City', 'EUR', 'it,la', NULL, NULL, 1, 1),
(237, 'VC', 'Saint Vincent and the Grenadines', 'Saint Vincent and the Grenadines', '1784', 'NA', 'Kingstown', 'XCD', 'en', NULL, NULL, 1, 1),
(238, 'VE', 'Venezuela', 'Venezuela', '58', 'SA', 'Caracas', 'VES', 'es', NULL, NULL, 1, 1),
(239, 'VG', 'British Virgin Islands', 'British Virgin Islands', '1284', 'NA', 'Road Town', 'USD', 'en', NULL, NULL, 1, 1),
(240, 'VI', 'U.S. Virgin Islands', 'United States Virgin Islands', '1340', 'NA', 'Charlotte Amalie', 'USD', 'en', NULL, NULL, 1, 1),
(241, 'VN', 'Vietnam', 'Việt Nam', '84', 'AS', 'Hanoi', 'VND', 'vi', NULL, NULL, 1, 1),
(242, 'VU', 'Vanuatu', 'Vanuatu', '678', 'OC', 'Port Vila', 'VUV', 'bi,en,fr', NULL, NULL, 1, 1),
(243, 'WF', 'Wallis and Futuna', 'Wallis et Futuna', '681', 'OC', 'Mata-Utu', 'XPF', 'fr', NULL, NULL, 1, 1),
(244, 'WS', 'Samoa', 'Samoa', '685', 'OC', 'Apia', 'WST', 'sm,en', NULL, NULL, 1, 1),
(245, 'XK', 'Kosovo', 'Republika e Kosovës', '377,381,383,386', 'EU', 'Pristina', 'EUR', 'sq,sr', NULL, NULL, 1, 1),
(246, 'YE', 'Yemen', 'اليَمَن', '967', 'AS', 'Sana\'a', 'YER', 'ar', NULL, NULL, 1, 1),
(247, 'YT', 'Mayotte', 'Mayotte', '262', 'AF', 'Mamoudzou', 'EUR', 'fr', NULL, NULL, 1, 1),
(248, 'ZA', 'South Africa', 'South Africa', '27', 'AF', 'Pretoria', 'ZAR', 'af,en,nr,st,ss,tn,ts,ve,xh,zu', NULL, NULL, 1, 1),
(249, 'ZM', 'Zambia', 'Zambia', '260', 'AF', 'Lusaka', 'ZMK', 'en', NULL, NULL, 1, 1),
(250, 'ZW', 'Zimbabwe', 'Zimbabwe', '263', 'AF', 'Harare', 'USD,ZAR,BWP,GBP,AUD,CNY,INR,JP', 'en,sn,nd', NULL, NULL, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `custom_result_settings`
--

CREATE TABLE `custom_result_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `exam_type_id` int(11) NOT NULL,
  `exam_percentage` double(8,2) NOT NULL,
  `academic_year` int(11) NOT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `infix_module_infos`
--

CREATE TABLE `infix_module_infos` (
  `id` int(10) UNSIGNED NOT NULL,
  `module_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT '0',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_saas` tinyint(4) NOT NULL DEFAULT '0',
  `route` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT NULL,
  `type` int(11) DEFAULT NULL COMMENT '1 for module, 2 for module link, 3 for module links crud',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `infix_module_infos`
--

INSERT INTO `infix_module_infos` (`id`, `module_id`, `parent_id`, `name`, `is_saas`, `route`, `lang_name`, `icon_class`, `active_status`, `created_by`, `updated_by`, `school_id`, `type`, `created_at`, `updated_at`) VALUES
(1, 1, 0, 'Dashboard', 0, '', 'dashboard', 'flaticon-speedometer', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(2, 1, 1, '➡ Number of Student', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(3, 1, 1, '➡ Number of Teacher', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(4, 1, 1, '➡ Number of Parents', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(5, 1, 1, '➡ Number of Staff', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(6, 1, 1, '➡ Current Month Income and Expense Chart', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(7, 1, 1, '➡ Current Year Income and Expense Chart', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(8, 1, 1, '➡ Notice Board', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(9, 1, 1, '➡ Calendar Section', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(10, 1, 1, '➡ To Do list', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(11, 2, 0, 'Admin Section', 0, '', 'admin_section', 'flaticon-analytics', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(12, 2, 11, 'Admission Query', 0, 'admission_query', 'admission_query', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(13, 2, 12, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(14, 2, 12, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(15, 2, 12, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(16, 2, 11, 'Visitor Book', 0, 'visitor', 'visitor', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(17, 2, 16, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(18, 2, 16, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(19, 2, 16, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(20, 2, 16, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(21, 2, 11, 'Complaint', 0, 'complaint', 'complaint', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(22, 2, 21, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(23, 2, 21, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(24, 2, 21, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(25, 2, 21, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(26, 2, 21, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(27, 2, 11, 'Postal Receive', 0, 'postal-receive', 'postal_receive', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(28, 2, 27, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(29, 2, 27, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(30, 2, 27, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(31, 2, 27, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(32, 2, 11, 'Postal Dispatch', 0, 'postal-dispatch', 'postal_dispatch', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(33, 2, 32, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(34, 2, 32, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(35, 2, 32, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(36, 2, 11, 'Phone Call Log', 0, 'phone-call', 'phone_call', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(37, 2, 36, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(38, 2, 36, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(39, 2, 36, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(40, 2, 36, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(41, 2, 11, 'Admin Setup', 0, 'setup-admin', 'setup_admin', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(42, 2, 41, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(43, 2, 41, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(44, 2, 41, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(45, 2, 11, 'Student ID Card', 0, 'student-id-card', 'student_id_card', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(46, 2, 45, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(47, 2, 45, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(48, 2, 45, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(49, 2, 11, 'Student Certificate', 0, 'student-certificate', 'student_certificate', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(50, 2, 49, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(51, 2, 49, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(52, 2, 49, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(53, 2, 11, 'Generate Certificate', 0, 'generate_certificate', 'generate_certificate', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(54, 2, 53, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(55, 2, 53, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(56, 2, 53, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(57, 2, 11, 'Generate ID Card', 0, 'generate_id_card', 'generate_id_card', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(58, 2, 57, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(59, 2, 57, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(60, 2, 57, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(61, 3, 0, 'Student Info', 0, '', 'student_information', 'flaticon-reading', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(62, 3, 61, 'Student Admission', 0, 'student_admission', 'student_admission', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(63, 3, 62, 'Import Student', 0, '', 'import_student', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(64, 3, 61, 'Student List', 0, 'student_list', 'student_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(65, 3, 64, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(66, 3, 64, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(67, 3, 64, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(68, 3, 61, 'Student Attendance', 0, 'student_attendance', 'student_attendance', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(69, 3, 68, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(70, 3, 61, 'Student Attendance Report', 0, 'student_attendance_report', 'student_attendance_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(71, 3, 61, 'Student Category', 0, 'student_category', 'student_category', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(72, 3, 71, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(73, 3, 71, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(74, 3, 71, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(75, 3, 71, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(76, 3, 61, 'Student Group', 0, 'student_group', 'student_group', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(77, 3, 76, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(79, 3, 76, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(80, 3, 76, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(81, 3, 61, 'Student Promote', 0, 'student_promote', 'student_promote', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(82, 3, 81, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(83, 3, 61, 'Disabled Students', 0, 'disabled_student', 'disabled_student', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(84, 3, 83, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(85, 3, 83, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(86, 3, 83, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(87, 4, 0, 'Study Material', 0, '', 'study_material', 'flaticon-professor', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(88, 4, 87, 'Upload Content', 0, 'upload-content', 'upload_content', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(89, 4, 88, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(90, 4, 88, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(91, 4, 88, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(92, 4, 87, 'Assignment', 0, 'assignment-list', 'assignment', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(93, 4, 92, 'Add', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(94, 4, 92, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(95, 4, 92, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(100, 4, 87, 'Syllabus', 0, 'syllabus-list', 'syllabus', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(101, 4, 100, 'Add', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(102, 4, 100, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(103, 4, 100, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(104, 4, 100, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(105, 4, 87, 'Other Downloads', 0, 'other-download-list', 'other_download', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(106, 4, 105, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(107, 4, 105, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(108, 5, 0, 'Fees Collection', 0, '', 'fees_collection', 'flaticon-wallet', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(109, 5, 108, 'Collect Fees', 0, 'collect_fees', 'collect_fees', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(110, 5, 109, ' Collect Fees', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(111, 5, 109, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(112, 5, 109, 'Print', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(113, 5, 108, 'Search Fees Payment', 0, 'search_fees_payment', 'search_fees_payment', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(114, 5, 113, 'Add', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(115, 5, 113, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(116, 5, 108, 'Search Fees Due', 0, 'search_fees_due', 'search_fees_due', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(117, 5, 116, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(118, 5, 108, 'Fees Master', 0, 'fees-master', 'fees_master', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(119, 5, 118, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(120, 5, 118, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(121, 5, 118, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(122, 5, 118, 'Assign', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(123, 5, 108, 'Fees Group', 0, 'fees_group', 'fees_group', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(124, 5, 123, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(125, 5, 123, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(126, 5, 123, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(127, 5, 108, 'Fees Type', 0, 'fees_type', 'fees_type', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(128, 5, 127, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(129, 5, 127, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(130, 5, 127, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(131, 5, 108, 'Fees Discount', 0, 'fees_discount', 'fees_discount', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(132, 5, 131, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(133, 5, 131, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(134, 5, 131, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(135, 5, 131, 'Assign', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(137, 6, 0, 'Accounts', 0, '', 'accounts', 'flaticon-accounting', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(138, 6, 137, 'Profit & Loss', 0, 'profit', 'profit_&_loss', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(139, 6, 137, 'Income', 0, 'add_income', 'income', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(140, 6, 139, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(141, 6, 139, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(142, 6, 139, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(143, 6, 137, 'Expense', 0, 'add-expense', 'expense', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(144, 6, 143, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(145, 6, 143, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(146, 6, 143, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(148, 6, 137, 'Chart of Account', 0, 'chart-of-account', 'chart_of_account', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(149, 6, 148, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(150, 6, 148, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(151, 6, 148, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(153, 6, 412, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(154, 6, 412, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(155, 6, 412, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(156, 6, 137, 'Bank Account', 0, 'bank-account', 'bank_account', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(157, 6, 156, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(158, 6, 156, 'Bank Transaction', 0, '', 'bank_transaction', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(159, 6, 156, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(160, 7, 0, 'Human Resource', 0, '', 'human_resource', 'flaticon-consultation', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(161, 7, 160, 'Staff Directory', 0, 'staff_directory', 'staff_directory', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(162, 7, 161, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(163, 7, 161, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(164, 7, 161, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(165, 7, 160, 'Staff Attendance', 0, 'staff_attendance', 'staff_attendance', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(166, 7, 165, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(167, 7, 165, 'Edit', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(168, 7, 165, 'Delete', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(169, 7, 160, 'Staff Attendance Report', 0, 'staff_attendance_report', 'staff_attendance_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(170, 7, 160, 'Payroll', 0, 'payroll', 'payroll', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(171, 7, 170, 'Edit', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(172, 7, 170, 'Delete', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(173, 7, 170, 'Search', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(174, 7, 170, 'Generate Payroll', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(175, 7, 170, 'Create', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(176, 7, 170, 'Proceed To Pay', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(177, 7, 170, 'View Payslip', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(178, 7, 160, 'Payroll Report', 0, 'payroll-report', 'payroll_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(179, 7, 178, 'Report Search', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(180, 7, 160, 'Designation', 0, 'designation', 'designation', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(181, 7, 180, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(182, 7, 180, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(183, 7, 180, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(184, 7, 160, 'Department', 0, 'department', 'department', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(185, 7, 184, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(186, 7, 184, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(187, 7, 184, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(188, 8, 0, 'Leave', 0, '', 'leave', 'flaticon-slumber', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(189, 8, 188, 'Approve Leave Request', 0, 'approve-leave', 'approve_leave_request', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(190, 8, 189, 'Add', 0, '', '', '', 0, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(191, 8, 189, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(192, 8, 189, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(193, 8, 188, 'Apply Leave', 0, 'apply-leave', 'apply_leave', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(194, 8, 193, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(195, 8, 193, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(196, 8, 188, 'Pending Leave', 0, 'pending-leave', 'pending_leave_request', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(197, 8, 196, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(198, 8, 196, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(199, 8, 188, 'Leave Define', 0, 'leave-define', 'leave_define', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(200, 8, 199, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(201, 8, 199, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(202, 8, 199, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(203, 8, 188, 'Leave Type', 0, 'leave-type', 'leave_type', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(204, 8, 203, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(205, 8, 203, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(206, 8, 203, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(207, 9, 0, 'Examination', 0, '', 'examination', 'flaticon-test', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(208, 9, 207, 'Exam Type', 0, 'exam-type', 'exam_type', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(209, 9, 208, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(210, 9, 208, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(211, 9, 208, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(214, 9, 207, 'Exam Setup', 0, 'exam', 'exam_setup', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(215, 9, 214, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(216, 9, 214, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(217, 9, 207, 'Exam Schedule', 0, 'exam_schedule', 'exam_schedule', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(218, 9, 217, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(219, 9, 217, 'Create', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(220, 9, 207, 'Exam Attendance', 0, 'exam_attendance', 'exam_attendance', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(221, 9, 220, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(222, 9, 207, 'Marks Register', 0, 'marks_register', 'marks_register', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(223, 9, 222, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(224, 9, 222, 'Create', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(225, 9, 207, 'Marks Grade', 0, 'marks-grade', 'marks_grade', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(226, 9, 225, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(227, 9, 225, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(228, 9, 225, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(229, 9, 207, 'Send Marks By SMS', 0, 'send_marks_by_sms', 'send_marks_by_sms', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(230, 9, 207, 'Question Group', 0, 'question-group', 'question_group', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(231, 9, 230, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(232, 9, 230, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(233, 9, 230, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(234, 9, 207, 'Question Bank', 0, 'question-bank', 'question_bank', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(235, 9, 234, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(236, 9, 234, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(237, 9, 234, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(238, 9, 207, 'Online Exam', 0, 'online-exam', 'online_exam', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(239, 9, 238, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(240, 9, 238, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(241, 9, 238, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(242, 9, 238, 'Manage Question', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(243, 9, 238, 'Marks Register', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(244, 9, 238, 'Result', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(245, 10, 0, 'Academics', 0, '', 'academics', 'flaticon-book', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(246, 10, 245, 'Class Routine', 0, 'class_routine_new', 'class_routine', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(247, 10, 246, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(248, 10, 246, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(249, 10, 246, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(250, 10, 245, 'Assign Subject', 0, 'assign_subject', 'assign_subject', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(251, 10, 250, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(252, 10, 250, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(253, 10, 245, 'Assign Class Teacher', 0, 'assign-class-teacher', 'assign_class_teacher', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(254, 10, 253, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(255, 10, 253, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(256, 10, 253, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(257, 10, 245, 'Subjects', 0, 'subject', 'subject', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(258, 10, 257, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(259, 10, 257, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(260, 10, 257, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(261, 10, 245, 'Class', 0, 'class', 'class', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(262, 10, 261, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(263, 10, 261, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(264, 10, 261, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(265, 10, 245, 'Section', 0, 'section', 'section', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(266, 10, 265, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(267, 10, 265, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(268, 10, 265, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(269, 10, 245, 'Class Room', 0, 'class-room', 'class_room', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(270, 10, 269, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(271, 10, 269, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(272, 10, 269, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(273, 10, 245, 'Class Time Setup', 0, 'class-time', 'class_time_setup', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(274, 10, 273, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(275, 10, 273, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(276, 10, 273, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(277, 11, 0, 'Homework', 0, '', 'home_work', 'flaticon-book', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(278, 11, 277, 'Add Homework', 0, 'add-homeworks', 'add_homework', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(279, 11, 278, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(280, 11, 277, 'Homework List', 0, 'homework-list', 'homework_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(281, 11, 280, 'Evaluation', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(282, 11, 280, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(283, 11, 280, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(284, 11, 277, 'Homework Evaluation Report', 0, 'evaluation-report', 'evaluation_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(285, 11, 284, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(286, 12, 0, 'Communicate', 0, '', 'communicate', 'flaticon-email', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(287, 12, 286, 'Notice Board', 0, 'notice-list', 'notice_board', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(288, 12, 287, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(289, 12, 287, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(290, 12, 287, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(291, 12, 286, 'Send Email / SMS ', 0, 'send-email-sms-view', 'send_email', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(292, 12, 291, 'Send', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(293, 12, 286, 'Email / SMS Log', 0, 'email-sms-log', 'email_sms_log', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(294, 12, 286, 'Event', 0, 'event', 'event', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(295, 12, 294, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(296, 12, 294, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(297, 12, 294, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(298, 13, 0, 'Library', 0, '', 'book_category', 'flaticon-book-1', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(299, 13, 298, 'Add Book', 0, 'add-book', 'add_book', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(300, 13, 299, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(301, 13, 298, 'Book List ', 0, 'book-list', 'book_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(302, 13, 301, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(303, 13, 301, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(304, 13, 298, 'Book Categories', 0, 'book-category-list', 'book_category', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(305, 13, 304, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(306, 13, 304, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(307, 13, 304, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(308, 13, 298, 'Add Member', 0, 'library-member', 'library_member', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(309, 13, 308, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(310, 13, 308, 'Cancel', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(311, 13, 298, 'Issue/Return Book', 0, 'member-list', 'member_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(312, 13, 311, 'Issue', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(313, 13, 311, 'Return', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(314, 13, 298, 'All Issued Book', 0, 'all-issed-book', 'all_issued_book', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(315, 14, 0, 'Inventory', 0, '', 'inventory', 'flaticon-inventory', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(316, 14, 315, 'Item Category', 0, 'item-category', 'item_category', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(317, 14, 316, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(318, 14, 316, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(319, 14, 316, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(320, 14, 315, 'Item List', 0, 'item-list', 'item_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(321, 14, 320, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(322, 14, 320, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(323, 14, 320, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(324, 14, 315, 'Item Store', 0, 'item-store', 'item_store', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(325, 14, 324, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(326, 14, 324, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(327, 14, 324, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(328, 14, 315, 'Supplier', 0, 'suppliers', 'supplier', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(329, 14, 328, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(330, 14, 328, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(331, 14, 328, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(332, 14, 315, 'Item Receive', 0, 'item-receive', 'item_receive', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(333, 14, 332, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(334, 14, 315, 'Item Receive List', 0, 'item-receive-list', 'item_receive_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(335, 14, 334, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(336, 14, 334, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(337, 14, 334, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(338, 14, 334, 'Cancel', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(339, 14, 315, 'Item Sell', 0, 'item-sell-list', 'item_sell', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(340, 14, 339, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(341, 14, 339, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(342, 14, 339, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(343, 14, 339, 'Add Payment', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(344, 14, 339, 'View Payment', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(345, 14, 315, 'Item Issue', 0, 'item-issue', 'item_issue', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(346, 14, 345, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(347, 14, 345, 'Return', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(348, 15, 0, 'Transport', 0, '', 'transport', 'flaticon-bus', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(349, 15, 348, 'Routes', 0, 'transport-route', 'routes', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(350, 15, 349, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(351, 15, 349, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(352, 15, 349, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(353, 15, 348, 'Vehicle', 0, 'vehicle', 'vehicle', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(354, 15, 353, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(355, 15, 353, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(356, 15, 353, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(357, 15, 348, 'Assign Vehicle', 0, 'assign-vehicle', 'assign_vehicle', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(358, 15, 357, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(359, 15, 357, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(360, 15, 357, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(361, 15, 348, 'Student Transport Report', 0, 'student_transport_report', 'student_transport_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(362, 16, 0, 'Dormitory', 0, '', 'dormitory', 'flaticon-hotel', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(363, 16, 362, 'Dormitory Rooms', 0, 'room-list', 'dormitory_rooms', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(364, 16, 363, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(365, 16, 363, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(366, 16, 363, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(367, 16, 362, 'Dormitory', 0, 'dormitory-list', 'dormitory', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(368, 16, 367, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(369, 16, 367, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(370, 16, 367, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(371, 16, 362, 'Room Type', 0, 'room-type', 'room_type', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(372, 16, 371, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(373, 16, 371, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(374, 16, 371, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(375, 16, 362, 'Student Dormitory Report', 0, 'student_dormitory_report', 'student_dormitory_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(376, 17, 0, 'Reports', 0, 'student_report', 'reports', 'flaticon-analysis', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(377, 17, 376, 'Guardian Reports', 0, 'guardian_report', 'guardian_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(378, 17, 376, 'Student History', 0, 'student_history', 'student_history', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(379, 17, 376, 'Student Login Report', 0, 'student_login_report', 'student_login_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(380, 17, 379, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(381, 17, 376, 'Fees Statement', 0, 'fees_statement', 'fees_statement', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(382, 17, 376, 'Balance Fees Report', 0, 'balance_fees_report', 'balance_fees_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(383, 5, 108, 'Collection Report', 0, 'transaction_report', 'collection_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(384, 17, 376, 'Class Report', 0, 'class_report', 'class_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(385, 17, 376, 'Class Routine', 0, 'class_routine_report', 'class_routine', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(386, 17, 376, 'Exam Routine', 0, 'exam_routine_report', 'exam_routine', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(387, 17, 376, 'Teacher Class Routine', 0, 'teacher_class_routine_report', 'teacher_class_routine', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(388, 17, 376, 'Merit List Report', 0, 'merit_list_report', 'merit_list_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(389, 17, 376, 'Online Exam Report', 0, 'online_exam_report', 'online_exam_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(390, 17, 376, 'Mark Sheet Report', 0, 'mark_sheet_report_student', 'mark_sheet_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(391, 17, 376, 'Tabulation Sheet Report', 0, 'tabulation_sheet_report', 'tabulation_sheet_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(392, 17, 376, 'Progress Card Report', 0, 'progress_card_report', 'progress_card_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(394, 17, 376, 'User Log', 0, 'user_log', 'user_log', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(395, 8, 394, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(396, 8, 394, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(397, 9, 394, 'Exam Setup Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(398, 18, 0, 'System Settings', 0, '', 'system_settings', 'flaticon-settings', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(399, 18, 398, 'Module Manager', 0, 'manage-adons', 'module_manager', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(400, 18, 399, 'Verify', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(401, 18, 398, 'Manage Currency', 0, 'manage-currency', 'manage_currency', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(402, 18, 401, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(403, 18, 401, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(404, 18, 401, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(405, 18, 398, 'General Settings', 0, 'general-settings', 'general_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(406, 18, 405, 'Logo Change', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(407, 18, 405, 'Fevicon Change', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(408, 18, 405, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(409, 18, 405, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(410, 18, 398, 'Email Setting', 0, 'email-settings', 'email_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(411, 18, 410, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(412, 18, 398, 'Payment Method Settings', 0, 'payment-method-settings', 'payment_method_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(413, 18, 412, 'Gateway Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(414, 18, 412, 'PayPal Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(415, 18, 412, 'Stripe Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(416, 18, 412, 'Paystack Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(417, 23, 0, 'Role & Permission', 0, '', 'role_&_permission', 'flaticon-authentication', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(418, 23, 585, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(419, 23, 585, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(420, 23, 585, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(421, 23, 417, 'Login Permission', 0, 'login-access-control', 'login_permission', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(422, 23, 421, 'On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(423, 23, 421, 'Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(424, 18, 398, 'Optional Subject Setup', 0, 'class_optional', 'optional_subject_setup', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(425, 18, 424, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(426, 18, 424, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(427, 18, 424, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(428, 18, 398, 'Base Setup', 0, '', 'base_setup', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(429, 18, 428, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(430, 18, 428, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(431, 18, 428, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(432, 18, 398, 'Academic Year', 0, 'academic-year', 'academic_year', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(433, 18, 432, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(434, 18, 432, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(435, 18, 432, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(436, 9, 207, 'Setup Exam Rule', 0, 'custom-result-setting', 'setup_exam_role', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(437, 9, 436, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(438, 9, 436, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(439, 9, 436, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(440, 18, 398, 'Holiday', 0, 'holiday', 'holiday', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(441, 18, 440, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(442, 18, 440, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(443, 18, 440, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(444, 18, 398, 'Sms Settings', 0, 'sms-settings', 'sms_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(445, 18, 444, ' Select SMS Service', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(446, 18, 444, ' Twilio Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(447, 18, 444, ' MSG91 Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(448, 18, 398, 'Weekend', 0, 'weekend', 'weekend', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(449, 18, 448, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(450, 18, 448, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(451, 18, 398, 'Language Settings', 0, 'language-settings', 'language_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(452, 18, 451, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(453, 18, 451, 'Make Default', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(454, 18, 451, 'Setup', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(455, 18, 451, 'Remove', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(456, 18, 398, 'Backup', 0, 'backup-settings', 'backup', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(457, 18, 456, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(458, 18, 456, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(459, 18, 456, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(460, 18, 456, 'Image', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(461, 18, 456, 'Full Project', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(462, 18, 456, 'Database', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(463, 18, 398, 'Header Option', 0, 'button-disable-enable', 'header', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22');
INSERT INTO `infix_module_infos` (`id`, `module_id`, `parent_id`, `name`, `is_saas`, `route`, `lang_name`, `icon_class`, `active_status`, `created_by`, `updated_by`, `school_id`, `type`, `created_at`, `updated_at`) VALUES
(464, 18, 463, 'Custom URL Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(465, 18, 463, 'Website On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(466, 18, 463, 'Website Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(467, 18, 463, 'Dashboard On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(468, 18, 463, 'Dashboard Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(469, 18, 463, 'Report On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(470, 18, 463, 'Report Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(471, 18, 463, 'Language On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(472, 18, 463, 'Language Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(473, 18, 463, 'Style On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(474, 18, 463, 'Style Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(477, 18, 398, 'About', 0, 'about-system', 'about', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(478, 18, 398, 'Update', 0, 'update-system', 'update', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(479, 18, 477, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(480, 18, 286, 'Email Template', 0, 'templatesettings/email-template', 'email_templete', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(481, 18, 480, 'Save', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(482, 18, 398, 'API Permission', 0, '', 'api', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(483, 18, 482, 'On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(484, 18, 482, 'Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(485, 19, 0, 'Style', 0, '', 'style', 'flaticon-consultation', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(486, 19, 485, 'Background Settings', 0, 'background-setting', 'background_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(487, 19, 486, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(488, 19, 486, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(489, 19, 486, 'Make Default', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(490, 19, 485, 'Color Theme', 0, 'color-style', 'color_theme', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(491, 19, 490, 'Make Default', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(492, 20, 0, 'Front Settings', 0, '', 'front_settings', 'flaticon-software', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(493, 20, 492, 'Home Page', 0, 'admin-home-page', 'home_page', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(494, 20, 493, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(495, 20, 492, 'News List', 0, 'news_index', 'news_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(496, 20, 495, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(497, 20, 495, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(498, 20, 495, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(499, 20, 495, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(500, 20, 492, 'News Category', 0, 'news-category', 'news_category', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(501, 20, 500, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(502, 20, 500, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(503, 20, 500, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(504, 20, 492, 'Testimonial', 0, 'testimonial_index', 'testimonial', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(505, 20, 504, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(506, 20, 504, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(507, 20, 504, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(508, 20, 504, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(509, 20, 492, 'Course List', 0, 'course-list', 'course_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(510, 20, 509, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(511, 20, 509, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(512, 20, 509, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(513, 20, 509, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(514, 20, 492, 'Contact Page', 0, 'conpactPage', 'contact_page', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(515, 20, 514, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(516, 20, 514, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(517, 20, 492, 'Contact Messages', 0, 'contactMessage', 'contact_message', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(519, 20, 517, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(520, 20, 492, 'About Us', 0, 'about-page', 'about_us', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(521, 20, 520, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(522, 20, 520, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(523, 20, 492, 'News Heading', 0, 'news-heading-update', 'news_heading', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(524, 20, 523, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(525, 20, 492, 'Course Heading', 0, 'course-heading-update', 'course_heading', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(526, 20, 525, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(527, 20, 492, 'Footer Widget', 0, 'custom-links', 'footer_widget', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(528, 20, 527, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(529, 20, 492, 'Social Media', 0, 'social-media', 'social_media', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(530, 20, 529, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(531, 20, 529, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(532, 20, 529, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(533, 3, 61, 'Subject Wise Attendance', 0, 'subject-wise-attendance', 'subject_wise_attendance', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(534, 3, 533, 'Save', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(535, 3, 61, 'Subject Wise Attendance Report', 0, 'subject-attendance-report', 'subject_wise_attendance_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(536, 3, 535, 'Print', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(537, 10, 245, 'Optional Subject', 0, 'optional-subject', 'optional_subject', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(538, 17, 376, 'Student Report', 0, 'student_report', 'student_report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(539, 17, 376, 'Previous Result', 0, 'previous-class-results', 'previous_class_results', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(540, 17, 376, 'previous-record', 0, '', '', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(541, 18, 585, 'Assign Permission', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(542, 21, 0, 'Registration', 0, '', 'registration', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(543, 21, 542, 'Student List', 0, '', 'student_list', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(544, 21, 543, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(545, 21, 543, 'Approve', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(546, 21, 543, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(547, 21, 542, 'Settings', 0, '', 'settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(548, 21, 547, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(549, 18, 398, 'Language', 0, 'language-list', 'language', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(550, 18, 549, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(551, 18, 549, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(552, 18, 549, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(553, 8, 193, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(554, 22, 0, 'Virtual Class', 0, '', 'virtual_class', 'flaticon-reading', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(555, 22, 554, 'Virtual Class', 0, 'zoom.virtual-class', 'virtual_class', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(556, 22, 555, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(557, 22, 555, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(558, 22, 555, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(559, 22, 555, 'Start Class', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(560, 22, 554, 'Virtual Meeting', 0, 'zoom.meetings', 'virtual_meeting', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(561, 22, 560, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(562, 22, 560, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(563, 22, 560, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(564, 22, 560, 'Start Meeing', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(565, 22, 554, 'Class Report', 0, 'zoom.virtual.class.reports.show', 'class_reports', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(566, 22, 565, 'Search', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(567, 22, 554, 'Meeting Report', 0, 'zoom.meeting.reports.show', 'meeting_reports', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(568, 22, 567, 'Search', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(569, 22, 554, 'Settings', 0, 'zoom.settings', 'settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(570, 22, 569, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(571, 9, 207, 'Exam Time', 0, 'exam-time', 'exam_time', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(572, 9, 571, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(573, 9, 571, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(574, 9, 571, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(577, 7, 161, 'Status On', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(578, 7, 161, 'Status Off', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(579, 13, 298, 'Subject', 0, 'library_subject', 'subject', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(580, 13, 579, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(581, 13, 579, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(582, 13, 579, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(585, 23, 417, 'Role', 0, 'rolepermission/role', 'role', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(586, 4, 88, 'edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(587, 4, 92, 'edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(588, 4, 105, 'edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(601, 21, 0, 'Saas Dashboard', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(603, 21, 601, '➡ Active Student', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(604, 21, 601, '➡ Inactive Student', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(605, 21, 601, '➡ Total Parents', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(606, 22, 0, 'Saas Institution', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(607, 22, 606, ' List', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(608, 22, 606, ' Edit', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(609, 22, 606, ' Login Access', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(610, 22, 606, ' Disable', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(611, 23, 0, 'Saas Communicate', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(612, 23, 611, 'Send Mail', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(613, 23, 611, 'Send Sms', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(614, 23, 611, 'Send Notice', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(620, 25, 0, 'Saas System Setting', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(621, 25, 620, 'Saas Role', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(635, 27, 0, 'Saas Api', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(636, 27, 635, 'Api Setting', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(638, 26, 0, 'Human Resource', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(641, 24, 0, 'Saas Reports', 1, '', '', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(642, 24, 641, 'Student List', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(643, 24, 641, 'Income/Expense', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(644, 24, 641, 'Teacher List', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(645, 24, 641, 'Class List', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(646, 24, 641, 'Class Routine', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(647, 24, 641, 'Student Attendence', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(648, 24, 641, 'Staff Attendence', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(649, 24, 641, 'Merit List', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(650, 20, 492, 'Header Menu Manager', 0, 'header-menu-manager', 'header_menu_manager', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(651, 20, 650, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(652, 20, 650, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(653, 20, 650, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(654, 20, 492, 'Pages', 0, 'page-list', 'pages', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(655, 20, 654, 'View', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(656, 20, 654, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(657, 20, 654, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(658, 20, 654, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(659, 20, 654, 'Download', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(660, 25, 620, 'Email Template', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(661, 25, 620, 'Sms Template', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(662, 25, 620, 'About', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(663, 3, 61, 'Student Import', 0, 'all-student-export', 'student_import', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(664, 3, 663, 'Export To CSV', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(665, 3, 663, 'Export To PDF', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(669, 26, 638, 'Designation', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(670, 26, 638, 'Department', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(671, 26, 638, 'Add Staff', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(672, 26, 638, 'Staff Directory', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(673, 20, 492, 'Course Category', 0, 'course-category', 'course_category', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(674, 20, 673, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(675, 20, 673, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(676, 20, 673, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(680, 21, 601, '➡ Total Teacher', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(681, 21, 601, '➡ Total Institute', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(682, 21, 601, '➡ Total Staffs', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(683, 21, 601, '➡ Total Saas Staffs', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(685, 22, 606, ' Deatil', 1, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(700, 6, 137, 'Report', 0, '', 'report', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(701, 6, 700, 'Fine Report', 0, 'fine-report', 'fine_report', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(702, 6, 700, 'Payroll Report', 0, 'accounts-payroll-report', 'payroll_report', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(703, 6, 700, 'Transaction', 0, 'transaction', 'transaction', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(704, 6, 137, 'Fund Transfer', 0, 'fund-transfer', 'fund_transfer', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(705, 6, 704, 'Transfer', 0, '', 'transfer', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(706, 9, 207, 'Format Settings', 0, 'exam-settings', 'format_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(707, 9, 706, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(708, 9, 706, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(709, 9, 706, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(710, 12, 286, 'Sms Templete', 0, 'sms-template-new', 'sms_template', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(711, 12, 710, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(712, 7, 160, 'Add Staff', 0, 'addStaff', 'add_staff', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(800, 29, 0, 'Lesson', 0, '', 'lesson', 'flaticon-professor', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(801, 29, 800, 'Lesson', 0, 'lesson', 'lesson', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(802, 29, 801, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(803, 29, 801, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(804, 29, 801, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(805, 29, 800, 'Topic', 0, 'lesson.topic', 'topic', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(806, 29, 805, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(807, 29, 805, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(808, 29, 805, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(809, 29, 800, 'Topic Overview', 0, 'topic-overview', 'topic_overview', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(810, 29, 800, 'Lesson Plan', 0, 'lesson.lesson-planner', 'lesson_plan', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(811, 29, 810, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(812, 29, 810, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(813, 29, 810, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(814, 29, 810, 'view', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(815, 29, 800, 'Lesson Plan Overview', 0, 'lesson.lessonPlan-overiew', 'lesson_plan_overview', '', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(816, 30, 0, 'Jitsi Virtual Class', 0, '', 'jitsi_virtual_class', 'flaticon-reading', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(817, 30, 816, 'Virtual Class', 0, 'virtual-class', 'virtual_class', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(818, 30, 817, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(819, 30, 817, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(820, 30, 817, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(821, 30, 817, 'Start Class', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(822, 30, 816, 'Virtual Meeting', 0, 'jitsi.meetings', 'virtual_meeting', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(823, 30, 822, 'Add', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(824, 30, 822, 'Edit', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(825, 30, 822, 'Delete', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(826, 30, 822, 'Start Meeting', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(827, 30, 816, 'Class Report', 0, 'jitsi.virtual.class.reports.show', 'class_reports', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(828, 30, 827, 'Search', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(829, 30, 816, 'Meeting Report', 0, 'jitsi.meeting.reports.show', 'meeting_reports', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(830, 30, 829, 'Search', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(831, 30, 816, 'Settings', 0, 'jitsi.settings', 'settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(832, 30, 831, 'Update', 0, '', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(833, 30, 822, 'Virtual Meeting', 0, '', '', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(900, 31, 0, 'Chat', 0, '', 'chat', 'flaticon-test', 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(901, 31, 900, 'Chat Box', 0, 'chat.index', 'chat_box', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(902, 31, 901, 'New Chat', 0, 'chat.new', '', '', 1, 1, 1, 1, 3, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(903, 31, 900, 'Invitation', 0, 'chat.invitation', 'invitation', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(904, 31, 900, 'Blocked User', 0, 'chat.blocked.users', 'blocked_user', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(905, 31, 900, 'Chat Settings', 0, 'chat.settings', 'chat_settings', '', 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22');

-- --------------------------------------------------------

--
-- Table structure for table `infix_module_managers`
--

CREATE TABLE `infix_module_managers` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notes` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `version` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `update_url` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `purchase_code` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `checksum` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `installed_domain` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `activated_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `infix_module_managers`
--

INSERT INTO `infix_module_managers` (`id`, `name`, `email`, `notes`, `version`, `update_url`, `purchase_code`, `checksum`, `installed_domain`, `activated_date`, `created_at`, `updated_at`) VALUES
(1, 'RolePermission', 'support@spondonit.com', 'This is Role Permission Module for manage module. Thanks for using.', '0.1', 'https://spondonit.com/contact', '1618919443', NULL, 'http://localhost', '2021-04-20', '2021-04-20 05:50:43', '2021-04-20 05:50:43'),
(2, 'MenuManage', 'support@spondonit.com', 'This is MenuManage module for manage and organize your sidebar menu. Thanks for using.', '0.1', 'https://spondonit.com/contact', '1618919443', NULL, 'http://localhost', '2021-04-20', '2021-04-20 05:50:43', '2021-04-20 05:50:43'),
(3, 'Lesson', 'support@spondonit.com', 'This is Lesson Planner Module for manage module. Thanks for using.', '0.1', 'https://spondonit.com/contact', '1618919443', NULL, 'http://localhost', '2021-04-20', '2021-04-20 05:50:43', '2021-04-20 05:50:43'),
(4, 'Chat', 'support@spondonit.com', 'This is Chat module for communicate to each other. Thanks for using.', '0.1', 'https://spondonit.com/contact', '1618919443', NULL, 'http://localhost', '2021-04-20', '2021-04-20 05:50:43', '2021-04-20 05:50:43'),
(5, 'TemplateSettings', 'support@spondonit.com', 'This is Template setting module for Email & SMS Template. Thanks for using.', '0.1', 'https://spondonit.com/contact', '1618919444', NULL, 'http://localhost', '2021-04-20', '2021-04-20 05:50:44', '2021-04-20 05:50:44');

-- --------------------------------------------------------

--
-- Table structure for table `infix_module_student_parent_infos`
--

CREATE TABLE `infix_module_student_parent_infos` (
  `id` int(10) UNSIGNED NOT NULL,
  `module_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT '0',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `route` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'url',
  `lang_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `type` int(11) DEFAULT NULL COMMENT '1 for module, 2 for module link, 3 for module options',
  `user_type` int(11) DEFAULT NULL COMMENT '1 for student, 2 for parent',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `infix_module_student_parent_infos`
--

INSERT INTO `infix_module_student_parent_infos` (`id`, `module_id`, `parent_id`, `name`, `route`, `lang_name`, `icon_class`, `active_status`, `created_by`, `updated_by`, `school_id`, `type`, `user_type`, `created_at`, `updated_at`) VALUES
(1, 1, 0, 'Dashboard Menu', 'student-dashboard', 'dashboard', 'flaticon-resume', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(2, 1, 1, 'Subject', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(3, 1, 1, 'Notice', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(4, 1, 1, 'Exam', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(5, 1, 1, 'Online Exam', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(6, 1, 1, 'Teachers', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(7, 1, 1, 'Issued books', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(8, 1, 1, 'Pending homeworks', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(9, 1, 1, 'attendance in current month', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(10, 1, 1, 'Calendar', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(11, 2, 0, 'My Profile', 'student-profile', 'my_profile', 'flaticon-resume', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(12, 2, 11, 'Profile', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(13, 2, 11, 'Fees', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(14, 2, 11, 'Exam', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(15, 2, 11, 'Document', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(16, 2, 15, 'Upload', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(17, 2, 15, 'download', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(18, 2, 15, 'delete', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(19, 2, 11, 'Timeline', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(20, 3, 0, 'Fees', '', 'fees', 'flaticon-wallet', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(21, 3, 20, 'Pay Fees', 'student-fees', 'pay_fees', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(22, 4, 0, 'Class Routine', 'student-class-routine', 'class_routine', 'flaticon-calendar-1', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(23, 5, 0, 'Homework List', 'student-homework', 'home_work', 'flaticon-book', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(24, 5, 23, 'View', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(25, 5, 23, 'Add Content', '', '', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(26, 6, 0, 'Download Center', '', 'download_center', 'flaticon-data-storage', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(27, 6, 26, 'Assignment', 'student-assignment', 'assignment', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(28, 6, 27, 'Download', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(31, 6, 26, 'Syllabus', 'student-syllabus', 'syllabus', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(32, 6, 31, 'Download', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(33, 6, 26, 'Other Downloads', 'student-others-download', 'other_download', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(34, 6, 33, 'Download', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(35, 7, 0, 'Attendance', 'student-my-attendance', 'attendance', 'flaticon-authentication', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(36, 8, 0, 'Examination', '', 'examinations', 'flaticon-test', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(37, 8, 36, 'Result', 'student-result', 'result', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(38, 8, 36, 'Exam Schedule', 'student-exam-schedule', 'exam_schedule', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(39, 9, 0, 'Leave', '', 'leave', 'flaticon-slumber', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(40, 9, 39, 'Apply Leave', 'student-apply-leave', 'apply_leave', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(41, 9, 40, 'Save', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(42, 9, 40, 'Edit', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(44, 9, 39, 'Pending Leave', 'student-pending-leave', 'pending_leave_request', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(45, 10, 0, 'Online Exam', 'student-online-exam', 'online_exam', 'flaticon-test-1', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(46, 10, 45, 'Active Exams', 'student_online_exam', 'active_exams', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(47, 10, 45, 'View Results', 'student_view_result', 'view_result', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(48, 11, 0, 'Notice Board', 'student-noticeboard', 'notice_board', 'flaticon-poster', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(49, 12, 0, 'Subject', 'student-subject', 'subjects', 'flaticon-reading-1', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(50, 13, 0, 'Teachers List', 'student-teacher', 'student_teacher', 'flaticon-professor', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(51, 14, 0, 'Library', '', 'library', 'flaticon-book-1', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(52, 14, 51, 'Book List', 'student-library', 'book_list', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(53, 14, 51, 'Book Issued', 'student-book-issue', 'book_issue', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(54, 15, 0, 'Transport', 'student-transport', 'student_transport', 'flaticon-bus', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(55, 16, 0, 'Dormitory', 'student-dormitory', 'dormitory', 'flaticon-hotel', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(56, 1, 0, 'Dashboard Menu', 'parent-dashboard', 'dashboard', 'flaticon-resume', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(57, 1, 56, 'Subject', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(58, 1, 56, 'Notice', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(59, 1, 56, 'Exam', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(60, 1, 56, 'Online Exam', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(61, 1, 56, 'Teachers', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(62, 1, 56, 'Issued books', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(63, 1, 56, 'Pending homeworks', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(64, 1, 56, 'attendance in current month', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(65, 1, 56, 'Calendar', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(66, 2, 0, 'My Children', 'my-children', 'my_children', 'flaticon-reading', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(67, 2, 66, 'Profile', '', '', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(68, 2, 66, 'Fees', '', '', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(69, 2, 66, 'Exam', '', '', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(70, 2, 66, 'Timeline', '', '', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(71, 3, 0, 'Fees', 'parent-fees', 'fees', 'flaticon-wallet', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(72, 4, 0, 'Class Routine', 'parent-class-routine', 'class_routine', 'flaticon-calendar-1', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(73, 5, 0, 'HomeWork ', 'parent-homework', 'home_work', 'flaticon-book', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(74, 5, 73, 'View', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(75, 6, 0, 'Attendance ', 'parent-attendance', 'attendance', 'flaticon-authentication', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(76, 7, 0, 'Exam ', '', 'exam', 'flaticon-test', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(77, 7, 76, 'Exam Result', 'parent-online-examination_result', 'online_exam_result', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(78, 7, 76, 'Exam Schedule', 'parent-examination-schedule', 'exam_schedule', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(79, 7, 76, 'Online Exam', 'parent-online-examination', 'online_exam', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(80, 8, 0, 'Leave', 'parent-leave', 'leave', 'flaticon-test', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(81, 8, 80, 'Apply Leave', 'parent-apply-leave', 'apply_leave', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(82, 8, 81, 'Save', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(83, 8, 81, 'Edit', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(84, 8, 80, 'Pending Leave', 'parent-pending-leave', 'pending_leave_request', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(85, 9, 0, 'Notice Board', 'parent-noticeboard', 'notice_board', 'flaticon-poster', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(86, 10, 0, 'Subject', 'parent-subjects', 'subject', 'flaticon-reading-1', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(87, 11, 0, 'Teachers List', 'parent-teacher-list', 'teacher_list', 'flaticon-professor', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(88, 12, 0, 'Library', '', 'library', 'flaticon-book-1', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(89, 12, 88, 'Book List', 'parent-library', 'book_list', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(90, 12, 88, 'Book Issued', 'parent-book-issue', 'book_issue', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(91, 13, 0, 'Transport', 'parent-transport', 'transport', 'flaticon-bus', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(92, 14, 0, 'Dormitory', 'parent-dormitory', 'dormitory_list', 'flaticon-hotel', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(93, 9, 40, 'View', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(94, 9, 40, 'Delete', '', '', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(95, 8, 81, 'View', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(96, 8, 81, 'Delete', '', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(97, 29, 0, 'Lesson', '', 'lesson', 'flaticon-calendar-1', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(98, 29, 97, 'Lesson Plan', 'lesson/parent/lessonPlan', 'lesson_plan', '', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(99, 29, 97, 'Lesson Plan Overview', 'parent/lessonPlan-overview', 'lesson_plan_overview', '', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(800, 29, 0, 'Lesson', '', 'lesson', 'flaticon-calendar-1', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(810, 29, 800, 'Lesson Plan', 'lesson/student/lessonPlan', 'lesson_plan', '', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(815, 29, 800, 'Lesson Plan Overview', 'lesson/student/lessonPlan-overview', 'lesson_plan_overview', '', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(900, 31, 0, 'Chat', '', 'chat', 'flaticon-test', 1, 1, 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(901, 31, 900, 'Chat Box', 'chat/open', 'chat_box', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(902, 31, 901, 'New Chat', 'chat/new', 'chat', '', 1, 1, 1, 1, 3, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(903, 31, 900, 'Invitation', 'chat/invitation/index', 'invitation', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(904, 31, 900, 'Blocked User', 'chat/users/blocked', 'blocked_user', '', 1, 1, 1, 1, 2, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(910, 31, 0, 'Chat', '', 'chat', 'flaticon-test', 1, 1, 1, 1, 1, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(911, 31, 910, 'Chat box', 'chat/open', 'chat_box', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(912, 31, 911, 'New Chat', 'chat/new', '', '', 1, 1, 1, 1, 3, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(913, 31, 910, 'Invitation', 'chat/invitation/index', 'invitation', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(914, 31, 910, 'Blocked User', 'chat/users/blocked', 'blocked_user', '', 1, 1, 1, 1, 2, 2, '2019-07-24 20:21:21', '2019-07-24 22:24:22');

-- --------------------------------------------------------

--
-- Table structure for table `infix_permission_assigns`
--

CREATE TABLE `infix_permission_assigns` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `module_id` int(11) DEFAULT NULL COMMENT ' module id, module link id, module link options id',
  `module_info` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `saas_schools` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `infix_permission_assigns`
--

INSERT INTO `infix_permission_assigns` (`id`, `active_status`, `created_at`, `updated_at`, `module_id`, `module_info`, `role_id`, `saas_schools`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 1, 'Dashboard', 5, NULL, 1, 1, 1),
(2, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 2, '➡ Number of Student', 5, NULL, 1, 1, 1),
(3, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 3, '➡ Number of Teacher', 5, NULL, 1, 1, 1),
(4, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 4, '➡ Number of Parents', 5, NULL, 1, 1, 1),
(5, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 5, '➡ Number of Staff', 5, NULL, 1, 1, 1),
(6, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 6, '➡ Current Month Income and Expense Chart', 5, NULL, 1, 1, 1),
(7, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 7, '➡ Current Year Income and Expense Chart', 5, NULL, 1, 1, 1),
(8, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 8, '➡ Notice Board', 5, NULL, 1, 1, 1),
(9, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 9, '➡ Calendar Section', 5, NULL, 1, 1, 1),
(10, 1, '2021-04-20 05:49:01', '2021-04-20 05:49:01', 10, '➡ To Do list', 5, NULL, 1, 1, 1),
(11, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 11, 'Admin Section', 5, NULL, 1, 1, 1),
(12, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 12, 'Admission Query', 5, NULL, 1, 1, 1),
(13, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 13, 'Add', 5, NULL, 1, 1, 1),
(14, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 14, 'Edit', 5, NULL, 1, 1, 1),
(15, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 15, 'Delete', 5, NULL, 1, 1, 1),
(16, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 16, 'Visitor Book', 5, NULL, 1, 1, 1),
(17, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 17, 'Add', 5, NULL, 1, 1, 1),
(18, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 18, 'Edit', 5, NULL, 1, 1, 1),
(19, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 19, 'Delete', 5, NULL, 1, 1, 1),
(20, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 20, 'Download', 5, NULL, 1, 1, 1),
(21, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 21, 'Complaint', 5, NULL, 1, 1, 1),
(22, 1, '2021-04-20 05:49:02', '2021-04-20 05:49:02', 22, 'Add', 5, NULL, 1, 1, 1),
(23, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 23, 'Edit', 5, NULL, 1, 1, 1),
(24, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 24, 'Delete', 5, NULL, 1, 1, 1),
(25, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 25, 'Download', 5, NULL, 1, 1, 1),
(26, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 26, 'View', 5, NULL, 1, 1, 1),
(27, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 27, 'Postal Receive', 5, NULL, 1, 1, 1),
(28, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 28, 'Add', 5, NULL, 1, 1, 1),
(29, 1, '2021-04-20 05:49:03', '2021-04-20 05:49:03', 29, 'Edit', 5, NULL, 1, 1, 1),
(30, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 30, 'Delete', 5, NULL, 1, 1, 1),
(31, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 31, 'Download', 5, NULL, 1, 1, 1),
(32, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 32, 'Postal Dispatch', 5, NULL, 1, 1, 1),
(33, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 33, 'Add', 5, NULL, 1, 1, 1),
(34, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 34, 'Edit', 5, NULL, 1, 1, 1),
(35, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 35, 'Delete', 5, NULL, 1, 1, 1),
(36, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 36, 'Phone Call Log', 5, NULL, 1, 1, 1),
(37, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 37, 'Add', 5, NULL, 1, 1, 1),
(38, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 38, 'Edit', 5, NULL, 1, 1, 1),
(39, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 39, 'Delete', 5, NULL, 1, 1, 1),
(40, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 40, 'Download', 5, NULL, 1, 1, 1),
(41, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 41, 'Admin Setup', 5, NULL, 1, 1, 1),
(42, 1, '2021-04-20 05:49:04', '2021-04-20 05:49:04', 42, 'Add', 5, NULL, 1, 1, 1),
(43, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 43, 'Edit', 5, NULL, 1, 1, 1),
(44, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 44, 'Delete', 5, NULL, 1, 1, 1),
(45, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 45, 'Student ID Card', 5, NULL, 1, 1, 1),
(46, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 46, 'Add', 5, NULL, 1, 1, 1),
(47, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 47, 'Edit', 5, NULL, 1, 1, 1),
(48, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 48, 'Delete', 5, NULL, 1, 1, 1),
(49, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 49, 'Student Certificate', 5, NULL, 1, 1, 1),
(50, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 50, 'Add', 5, NULL, 1, 1, 1),
(51, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 51, 'Edit', 5, NULL, 1, 1, 1),
(52, 1, '2021-04-20 05:49:05', '2021-04-20 05:49:05', 52, 'Delete', 5, NULL, 1, 1, 1),
(53, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 53, 'Generate Certificate', 5, NULL, 1, 1, 1),
(54, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 54, 'Add', 5, NULL, 1, 1, 1),
(55, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 55, 'Edit', 5, NULL, 1, 1, 1),
(56, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 56, 'Delete', 5, NULL, 1, 1, 1),
(57, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 57, 'Generate ID Card', 5, NULL, 1, 1, 1),
(58, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 58, 'Add', 5, NULL, 1, 1, 1),
(59, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 59, 'Edit', 5, NULL, 1, 1, 1),
(60, 1, '2021-04-20 05:49:06', '2021-04-20 05:49:06', 60, 'Delete', 5, NULL, 1, 1, 1),
(61, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 61, 'Student Info', 5, NULL, 1, 1, 1),
(62, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 62, 'Student Admission', 5, NULL, 1, 1, 1),
(63, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 63, 'Import Student', 5, NULL, 1, 1, 1),
(64, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 64, 'Student List', 5, NULL, 1, 1, 1),
(65, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 65, 'Add', 5, NULL, 1, 1, 1),
(66, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 66, 'Edit', 5, NULL, 1, 1, 1),
(67, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 67, 'Delete', 5, NULL, 1, 1, 1),
(68, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 68, 'Student Attendance', 5, NULL, 1, 1, 1),
(69, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 69, 'Add', 5, NULL, 1, 1, 1),
(70, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 70, 'Student Attendance Report', 5, NULL, 1, 1, 1),
(71, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 71, 'Student Category', 5, NULL, 1, 1, 1),
(72, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 72, 'Add', 5, NULL, 1, 1, 1),
(73, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 73, 'Edit', 5, NULL, 1, 1, 1),
(74, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 74, 'Delete', 5, NULL, 1, 1, 1),
(75, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 75, 'Download', 5, NULL, 1, 1, 1),
(76, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 76, 'Student Group', 5, NULL, 1, 1, 1),
(77, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 77, 'Add', 5, NULL, 1, 1, 1),
(78, 1, '2021-04-20 05:49:07', '2021-04-20 05:49:07', 79, 'Edit', 5, NULL, 1, 1, 1),
(79, 1, '2021-04-20 05:49:08', '2021-04-20 05:49:08', 80, 'Delete', 5, NULL, 1, 1, 1),
(80, 1, '2021-04-20 05:49:08', '2021-04-20 05:49:08', 81, 'Student Promote', 5, NULL, 1, 1, 1),
(81, 1, '2021-04-20 05:49:08', '2021-04-20 05:49:08', 82, 'Add', 5, NULL, 1, 1, 1),
(82, 1, '2021-04-20 05:49:08', '2021-04-20 05:49:08', 83, 'Disabled Students', 5, NULL, 1, 1, 1),
(83, 1, '2021-04-20 05:49:08', '2021-04-20 05:49:08', 84, 'Add', 5, NULL, 1, 1, 1),
(84, 1, '2021-04-20 05:49:08', '2021-04-20 05:49:08', 85, 'Edit', 5, NULL, 1, 1, 1),
(85, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 86, 'Delete', 5, NULL, 1, 1, 1),
(86, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 533, 'Subject Wise Attendance', 5, NULL, 1, 1, 1),
(87, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 534, 'Save', 5, NULL, 1, 1, 1),
(88, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 535, 'Subject Wise Attendance Report', 5, NULL, 1, 1, 1),
(89, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 536, 'Print', 5, NULL, 1, 1, 1),
(90, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 87, 'Study Material', 5, NULL, 1, 1, 1),
(91, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 88, 'Upload Content', 5, NULL, 1, 1, 1),
(92, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 89, 'Add', 5, NULL, 1, 1, 1),
(93, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 90, 'Download', 5, NULL, 1, 1, 1),
(94, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 91, 'Delete', 5, NULL, 1, 1, 1),
(95, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 92, 'Assignment', 5, NULL, 1, 1, 1),
(96, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 93, 'Add', 5, NULL, 1, 1, 1),
(97, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 94, 'Download', 5, NULL, 1, 1, 1),
(98, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 95, 'Delete', 5, NULL, 1, 1, 1),
(99, 1, '2021-04-20 05:49:09', '2021-04-20 05:49:09', 100, 'Syllabus', 5, NULL, 1, 1, 1),
(100, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 101, 'Add', 5, NULL, 1, 1, 1),
(101, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 102, 'Edit', 5, NULL, 1, 1, 1),
(102, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 103, 'Delete', 5, NULL, 1, 1, 1),
(103, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 104, 'Download', 5, NULL, 1, 1, 1),
(104, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 105, 'Other Downloads', 5, NULL, 1, 1, 1),
(105, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 106, 'Download', 5, NULL, 1, 1, 1),
(106, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 107, 'Delete', 5, NULL, 1, 1, 1),
(107, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 108, 'Fees Collection', 5, NULL, 1, 1, 1),
(108, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 109, 'Collect Fees', 5, NULL, 1, 1, 1),
(109, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 110, ' Collect Fees', 5, NULL, 1, 1, 1),
(110, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 111, 'Add', 5, NULL, 1, 1, 1),
(111, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 112, 'Print', 5, NULL, 1, 1, 1),
(112, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 113, 'Search Fees Payment', 5, NULL, 1, 1, 1),
(113, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 114, 'Add', 5, NULL, 1, 1, 1),
(114, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 115, 'View', 5, NULL, 1, 1, 1),
(115, 1, '2021-04-20 05:49:10', '2021-04-20 05:49:10', 116, 'Search Fees Due', 5, NULL, 1, 1, 1),
(116, 1, '2021-04-20 05:49:11', '2021-04-20 05:49:11', 117, 'View', 5, NULL, 1, 1, 1),
(117, 1, '2021-04-20 05:49:11', '2021-04-20 05:49:11', 118, 'Fees Master', 5, NULL, 1, 1, 1),
(118, 1, '2021-04-20 05:49:11', '2021-04-20 05:49:11', 119, 'Add', 5, NULL, 1, 1, 1),
(119, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 120, 'Edit', 5, NULL, 1, 1, 1),
(120, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 121, 'Delete', 5, NULL, 1, 1, 1),
(121, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 122, 'Assign', 5, NULL, 1, 1, 1),
(122, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 123, 'Fees Group', 5, NULL, 1, 1, 1),
(123, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 124, 'Add', 5, NULL, 1, 1, 1),
(124, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 125, 'Edit', 5, NULL, 1, 1, 1),
(125, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 126, 'Delete', 5, NULL, 1, 1, 1),
(126, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 127, 'Fees Type', 5, NULL, 1, 1, 1),
(127, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 128, 'Add', 5, NULL, 1, 1, 1),
(128, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 129, 'Edit', 5, NULL, 1, 1, 1),
(129, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 130, 'Delete', 5, NULL, 1, 1, 1),
(130, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 131, 'Fees Discount', 5, NULL, 1, 1, 1),
(131, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 132, 'Add', 5, NULL, 1, 1, 1),
(132, 1, '2021-04-20 05:49:12', '2021-04-20 05:49:12', 133, 'Edit', 5, NULL, 1, 1, 1),
(133, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 134, 'Delete', 5, NULL, 1, 1, 1),
(134, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 135, 'Assign', 5, NULL, 1, 1, 1),
(135, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 160, 'Human Resource', 5, NULL, 1, 1, 1),
(136, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 161, 'Staff Directory', 5, NULL, 1, 1, 1),
(137, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 162, 'Add', 5, NULL, 1, 1, 1),
(138, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 163, 'Edit', 5, NULL, 1, 1, 1),
(139, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 164, 'Delete', 5, NULL, 1, 1, 1),
(140, 1, '2021-04-20 05:49:13', '2021-04-20 05:49:13', 165, 'Staff Attendance', 5, NULL, 1, 1, 1),
(141, 1, '2021-04-20 05:49:14', '2021-04-20 05:49:14', 166, 'Add', 5, NULL, 1, 1, 1),
(142, 1, '2021-04-20 05:49:14', '2021-04-20 05:49:14', 167, 'Edit', 5, NULL, 1, 1, 1),
(143, 1, '2021-04-20 05:49:14', '2021-04-20 05:49:14', 168, 'Delete', 5, NULL, 1, 1, 1),
(144, 1, '2021-04-20 05:49:14', '2021-04-20 05:49:14', 169, 'Staff Attendance Report', 5, NULL, 1, 1, 1),
(145, 1, '2021-04-20 05:49:14', '2021-04-20 05:49:14', 170, 'Payroll', 5, NULL, 1, 1, 1),
(146, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 171, 'Edit', 5, NULL, 1, 1, 1),
(147, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 172, 'Delete', 5, NULL, 1, 1, 1),
(148, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 173, 'Search', 5, NULL, 1, 1, 1),
(149, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 174, 'Generate Payroll', 5, NULL, 1, 1, 1),
(150, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 175, 'Create', 5, NULL, 1, 1, 1),
(151, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 176, 'Proceed To Pay', 5, NULL, 1, 1, 1),
(152, 1, '2021-04-20 05:49:15', '2021-04-20 05:49:15', 177, 'View Payslip', 5, NULL, 1, 1, 1),
(153, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 178, 'Payroll Report', 5, NULL, 1, 1, 1),
(154, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 179, 'Report Search', 5, NULL, 1, 1, 1),
(155, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 180, 'Designation', 5, NULL, 1, 1, 1),
(156, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 181, 'Add', 5, NULL, 1, 1, 1),
(157, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 182, 'Edit', 5, NULL, 1, 1, 1),
(158, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 183, 'Delete', 5, NULL, 1, 1, 1),
(159, 1, '2021-04-20 05:49:16', '2021-04-20 05:49:16', 184, 'Department', 5, NULL, 1, 1, 1),
(160, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 185, 'Add', 5, NULL, 1, 1, 1),
(161, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 186, 'Edit', 5, NULL, 1, 1, 1),
(162, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 187, 'Delete', 5, NULL, 1, 1, 1),
(163, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 188, 'Leave', 5, NULL, 1, 1, 1),
(164, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 189, 'Approve Leave Request', 5, NULL, 1, 1, 1),
(165, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 190, 'Add', 5, NULL, 1, 1, 1),
(166, 1, '2021-04-20 05:49:17', '2021-04-20 05:49:17', 191, 'Edit', 5, NULL, 1, 1, 1),
(167, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 192, 'Delete', 5, NULL, 1, 1, 1),
(168, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 193, 'Apply Leave', 5, NULL, 1, 1, 1),
(169, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 194, 'View', 5, NULL, 1, 1, 1),
(170, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 195, 'Delete', 5, NULL, 1, 1, 1),
(171, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 196, 'Pending Leave', 5, NULL, 1, 1, 1),
(172, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 197, 'View', 5, NULL, 1, 1, 1),
(173, 1, '2021-04-20 05:49:18', '2021-04-20 05:49:18', 198, 'Delete', 5, NULL, 1, 1, 1),
(174, 1, '2021-04-20 05:49:19', '2021-04-20 05:49:19', 199, 'Leave Define', 5, NULL, 1, 1, 1),
(175, 1, '2021-04-20 05:49:19', '2021-04-20 05:49:19', 200, 'Add', 5, NULL, 1, 1, 1),
(176, 1, '2021-04-20 05:49:19', '2021-04-20 05:49:19', 201, 'Edit', 5, NULL, 1, 1, 1),
(177, 1, '2021-04-20 05:49:19', '2021-04-20 05:49:19', 202, 'Delete', 5, NULL, 1, 1, 1),
(178, 1, '2021-04-20 05:49:19', '2021-04-20 05:49:19', 203, 'Leave Type', 5, NULL, 1, 1, 1),
(179, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 204, 'Add', 5, NULL, 1, 1, 1),
(180, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 205, 'Edit', 5, NULL, 1, 1, 1),
(181, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 206, 'Delete', 5, NULL, 1, 1, 1),
(182, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 207, 'Examination', 5, NULL, 1, 1, 1),
(183, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 208, 'Exam Type', 5, NULL, 1, 1, 1),
(184, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 209, 'Add', 5, NULL, 1, 1, 1),
(185, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 210, 'Edit', 5, NULL, 1, 1, 1),
(186, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 211, 'Delete', 5, NULL, 1, 1, 1),
(187, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 214, 'Exam Setup', 5, NULL, 1, 1, 1),
(188, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 215, 'Add', 5, NULL, 1, 1, 1),
(189, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 216, 'Delete', 5, NULL, 1, 1, 1),
(190, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 217, 'Exam Schedule', 5, NULL, 1, 1, 1),
(191, 1, '2021-04-20 05:49:20', '2021-04-20 05:49:20', 218, 'Add', 5, NULL, 1, 1, 1),
(192, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 219, 'Create', 5, NULL, 1, 1, 1),
(193, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 225, 'Marks Grade', 5, NULL, 1, 1, 1),
(194, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 226, 'Add', 5, NULL, 1, 1, 1),
(195, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 227, 'Edit', 5, NULL, 1, 1, 1),
(196, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 228, 'Delete', 5, NULL, 1, 1, 1),
(197, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 229, 'Send Marks By SMS', 5, NULL, 1, 1, 1),
(198, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 230, 'Question Group', 5, NULL, 1, 1, 1),
(199, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 231, 'Add', 5, NULL, 1, 1, 1),
(200, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 232, 'Edit', 5, NULL, 1, 1, 1),
(201, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 233, 'Delete', 5, NULL, 1, 1, 1),
(202, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 234, 'Question Bank', 5, NULL, 1, 1, 1),
(203, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 235, 'Add', 5, NULL, 1, 1, 1),
(204, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 236, 'Edit', 5, NULL, 1, 1, 1),
(205, 1, '2021-04-20 05:49:21', '2021-04-20 05:49:21', 237, 'Delete', 5, NULL, 1, 1, 1),
(206, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 238, 'Online Exam', 5, NULL, 1, 1, 1),
(207, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 239, 'Add', 5, NULL, 1, 1, 1),
(208, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 240, 'Edit', 5, NULL, 1, 1, 1),
(209, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 241, 'Delete', 5, NULL, 1, 1, 1),
(210, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 242, 'Manage Question', 5, NULL, 1, 1, 1),
(211, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 243, 'Marks Register', 5, NULL, 1, 1, 1),
(212, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 244, 'Result', 5, NULL, 1, 1, 1),
(213, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 245, 'Academics', 5, NULL, 1, 1, 1),
(214, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 246, 'Class Routine', 5, NULL, 1, 1, 1),
(215, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 247, 'Add', 5, NULL, 1, 1, 1),
(216, 1, '2021-04-20 05:49:22', '2021-04-20 05:49:22', 248, 'Edit', 5, NULL, 1, 1, 1),
(217, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 249, 'Delete', 5, NULL, 1, 1, 1),
(218, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 250, 'Assign Subject', 5, NULL, 1, 1, 1),
(219, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 251, 'Add', 5, NULL, 1, 1, 1),
(220, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 252, 'Delete', 5, NULL, 1, 1, 1),
(221, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 253, 'Assign Class Teacher', 5, NULL, 1, 1, 1),
(222, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 254, 'Add', 5, NULL, 1, 1, 1),
(223, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 255, 'Edit', 5, NULL, 1, 1, 1),
(224, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 256, 'Delete', 5, NULL, 1, 1, 1),
(225, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 257, 'Subjects', 5, NULL, 1, 1, 1),
(226, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 258, 'Add', 5, NULL, 1, 1, 1),
(227, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 259, 'Edit', 5, NULL, 1, 1, 1),
(228, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 260, 'Delete', 5, NULL, 1, 1, 1),
(229, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 261, 'Class', 5, NULL, 1, 1, 1),
(230, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 262, 'Add', 5, NULL, 1, 1, 1),
(231, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 263, 'Edit', 5, NULL, 1, 1, 1),
(232, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 264, 'Delete', 5, NULL, 1, 1, 1),
(233, 1, '2021-04-20 05:49:23', '2021-04-20 05:49:23', 265, 'Section', 5, NULL, 1, 1, 1),
(234, 1, '2021-04-20 05:49:24', '2021-04-20 05:49:24', 266, 'Add', 5, NULL, 1, 1, 1),
(235, 1, '2021-04-20 05:49:24', '2021-04-20 05:49:24', 267, 'Edit', 5, NULL, 1, 1, 1),
(236, 1, '2021-04-20 05:49:24', '2021-04-20 05:49:24', 268, 'Delete', 5, NULL, 1, 1, 1),
(237, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 269, 'Class Room', 5, NULL, 1, 1, 1),
(238, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 270, 'Add', 5, NULL, 1, 1, 1),
(239, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 271, 'Edit', 5, NULL, 1, 1, 1),
(240, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 272, 'Delete', 5, NULL, 1, 1, 1),
(241, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 273, 'Class Time Setup', 5, NULL, 1, 1, 1),
(242, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 274, 'Add', 5, NULL, 1, 1, 1),
(243, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 275, 'Edit', 5, NULL, 1, 1, 1),
(244, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 276, 'Delete', 5, NULL, 1, 1, 1),
(245, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 537, 'Optional Subject', 5, NULL, 1, 1, 1),
(246, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 286, 'Communicate', 5, NULL, 1, 1, 1),
(247, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 287, 'Notice Board', 5, NULL, 1, 1, 1),
(248, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 288, 'Add', 5, NULL, 1, 1, 1),
(249, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 289, 'Edit', 5, NULL, 1, 1, 1),
(250, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 290, 'Delete', 5, NULL, 1, 1, 1),
(251, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 291, 'Send Email / SMS ', 5, NULL, 1, 1, 1),
(252, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 292, 'Send', 5, NULL, 1, 1, 1),
(253, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 293, 'Email / SMS Log', 5, NULL, 1, 1, 1),
(254, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 294, 'Event', 5, NULL, 1, 1, 1),
(255, 1, '2021-04-20 05:49:25', '2021-04-20 05:49:25', 295, 'Add', 5, NULL, 1, 1, 1),
(256, 1, '2021-04-20 05:49:26', '2021-04-20 05:49:26', 296, 'Edit', 5, NULL, 1, 1, 1),
(257, 1, '2021-04-20 05:49:26', '2021-04-20 05:49:26', 297, 'Delete', 5, NULL, 1, 1, 1),
(258, 1, '2021-04-20 05:49:26', '2021-04-20 05:49:26', 298, 'Library', 5, NULL, 1, 1, 1),
(259, 1, '2021-04-20 05:49:26', '2021-04-20 05:49:26', 299, 'Add Book', 5, NULL, 1, 1, 1),
(260, 1, '2021-04-20 05:49:26', '2021-04-20 05:49:26', 300, 'Add', 5, NULL, 1, 1, 1),
(261, 1, '2021-04-20 05:49:26', '2021-04-20 05:49:26', 301, 'Book List ', 5, NULL, 1, 1, 1),
(262, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 302, 'Edit', 5, NULL, 1, 1, 1),
(263, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 303, 'Delete', 5, NULL, 1, 1, 1),
(264, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 304, 'Book Categories', 5, NULL, 1, 1, 1),
(265, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 305, 'Add', 5, NULL, 1, 1, 1),
(266, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 306, 'Edit', 5, NULL, 1, 1, 1),
(267, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 307, 'Delete', 5, NULL, 1, 1, 1),
(268, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 308, 'Add Member', 5, NULL, 1, 1, 1),
(269, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 309, 'Add', 5, NULL, 1, 1, 1),
(270, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 310, 'Cancel', 5, NULL, 1, 1, 1),
(271, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 311, 'Issue/Return Book', 5, NULL, 1, 1, 1),
(272, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 312, 'Issue', 5, NULL, 1, 1, 1),
(273, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 313, 'Return', 5, NULL, 1, 1, 1),
(274, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 314, 'All Issued Book', 5, NULL, 1, 1, 1),
(275, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 315, 'Inventory', 5, NULL, 1, 1, 1),
(276, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 316, 'Item Category', 5, NULL, 1, 1, 1),
(277, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 317, 'Add', 5, NULL, 1, 1, 1),
(278, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 318, 'Edit', 5, NULL, 1, 1, 1),
(279, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 319, 'Delete', 5, NULL, 1, 1, 1),
(280, 1, '2021-04-20 05:49:27', '2021-04-20 05:49:27', 320, 'Item List', 5, NULL, 1, 1, 1),
(281, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 321, 'Add', 5, NULL, 1, 1, 1),
(282, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 322, 'Edit', 5, NULL, 1, 1, 1),
(283, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 323, 'Delete', 5, NULL, 1, 1, 1),
(284, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 324, 'Item Store', 5, NULL, 1, 1, 1),
(285, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 325, 'Add', 5, NULL, 1, 1, 1),
(286, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 326, 'Edit', 5, NULL, 1, 1, 1),
(287, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 327, 'Delete', 5, NULL, 1, 1, 1),
(288, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 328, 'Supplier', 5, NULL, 1, 1, 1),
(289, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 329, 'Add', 5, NULL, 1, 1, 1),
(290, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 330, 'Edit', 5, NULL, 1, 1, 1),
(291, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 331, 'Delete', 5, NULL, 1, 1, 1),
(292, 1, '2021-04-20 05:49:28', '2021-04-20 05:49:28', 332, 'Item Receive', 5, NULL, 1, 1, 1),
(293, 1, '2021-04-20 05:49:29', '2021-04-20 05:49:29', 333, 'Add', 5, NULL, 1, 1, 1),
(294, 1, '2021-04-20 05:49:29', '2021-04-20 05:49:29', 334, 'Item Receive List', 5, NULL, 1, 1, 1),
(295, 1, '2021-04-20 05:49:29', '2021-04-20 05:49:29', 335, 'Add', 5, NULL, 1, 1, 1),
(296, 1, '2021-04-20 05:49:29', '2021-04-20 05:49:29', 336, 'Edit', 5, NULL, 1, 1, 1),
(297, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 337, 'View', 5, NULL, 1, 1, 1),
(298, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 338, 'Cancel', 5, NULL, 1, 1, 1),
(299, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 339, 'Item Sell', 5, NULL, 1, 1, 1),
(300, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 340, 'Add', 5, NULL, 1, 1, 1),
(301, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 341, 'Edit', 5, NULL, 1, 1, 1),
(302, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 342, 'Delete', 5, NULL, 1, 1, 1),
(303, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 343, 'Add Payment', 5, NULL, 1, 1, 1),
(304, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 344, 'View Payment', 5, NULL, 1, 1, 1),
(305, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 345, 'Item Issue', 5, NULL, 1, 1, 1),
(306, 1, '2021-04-20 05:49:30', '2021-04-20 05:49:30', 346, 'Add', 5, NULL, 1, 1, 1),
(307, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 347, 'Return', 5, NULL, 1, 1, 1),
(308, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 348, 'Transport', 5, NULL, 1, 1, 1),
(309, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 349, 'Routes', 5, NULL, 1, 1, 1),
(310, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 350, 'Add', 5, NULL, 1, 1, 1),
(311, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 351, 'Edit', 5, NULL, 1, 1, 1),
(312, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 352, 'Delete', 5, NULL, 1, 1, 1),
(313, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 353, 'Vehicle', 5, NULL, 1, 1, 1),
(314, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 354, 'Add', 5, NULL, 1, 1, 1),
(315, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 355, 'Edit', 5, NULL, 1, 1, 1),
(316, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 356, 'Delete', 5, NULL, 1, 1, 1),
(317, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 357, 'Assign Vehicle', 5, NULL, 1, 1, 1),
(318, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 358, 'Add', 5, NULL, 1, 1, 1),
(319, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 359, 'Edit', 5, NULL, 1, 1, 1),
(320, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 360, 'Delete', 5, NULL, 1, 1, 1),
(321, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 361, 'Student Transport Report', 5, NULL, 1, 1, 1),
(322, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 362, 'Dormitory', 5, NULL, 1, 1, 1),
(323, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 363, 'Dormitory Rooms', 5, NULL, 1, 1, 1),
(324, 1, '2021-04-20 05:49:31', '2021-04-20 05:49:31', 364, 'Add', 5, NULL, 1, 1, 1),
(325, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 365, 'Edit', 5, NULL, 1, 1, 1),
(326, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 366, 'Delete', 5, NULL, 1, 1, 1),
(327, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 367, 'Dormitory', 5, NULL, 1, 1, 1),
(328, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 368, 'Add', 5, NULL, 1, 1, 1),
(329, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 369, 'Edit', 5, NULL, 1, 1, 1),
(330, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 370, 'Delete', 5, NULL, 1, 1, 1),
(331, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 371, 'Room Type', 5, NULL, 1, 1, 1),
(332, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 372, 'Add', 5, NULL, 1, 1, 1),
(333, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 373, 'Edit', 5, NULL, 1, 1, 1),
(334, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 374, 'Delete', 5, NULL, 1, 1, 1),
(335, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 375, 'Student Dormitory Report', 5, NULL, 1, 1, 1),
(336, 1, '2021-04-20 05:49:32', '2021-04-20 05:49:32', 376, 'Reports', 5, NULL, 1, 1, 1),
(337, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 377, 'Guardian Reports', 5, NULL, 1, 1, 1),
(338, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 378, 'Student History', 5, NULL, 1, 1, 1),
(339, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 379, 'Student Login Report', 5, NULL, 1, 1, 1),
(340, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 380, 'Edit', 5, NULL, 1, 1, 1),
(341, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 381, 'Fees Statement', 5, NULL, 1, 1, 1),
(342, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 382, 'Balance Fees Report', 5, NULL, 1, 1, 1),
(343, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 383, 'Collection Report', 5, NULL, 1, 1, 1),
(344, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 384, 'Class Report', 5, NULL, 1, 1, 1),
(345, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 385, 'Class Routine', 5, NULL, 1, 1, 1),
(346, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 386, 'Exam Routine', 5, NULL, 1, 1, 1),
(347, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 387, 'Teacher Class Routine', 5, NULL, 1, 1, 1),
(348, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 388, 'Merit List Report', 5, NULL, 1, 1, 1),
(349, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 389, 'Online Exam Report', 5, NULL, 1, 1, 1),
(350, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 390, 'Mark Sheet Report', 5, NULL, 1, 1, 1),
(351, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 391, 'Tabulation Sheet Report', 5, NULL, 1, 1, 1),
(352, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 392, 'Progress Card Report', 5, NULL, 1, 1, 1),
(353, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 394, 'User Log', 5, NULL, 1, 1, 1),
(354, 1, '2021-04-20 05:49:33', '2021-04-20 05:49:33', 395, 'Add', 5, NULL, 1, 1, 1),
(355, 1, '2021-04-20 05:49:34', '2021-04-20 05:49:34', 396, 'Edit', 5, NULL, 1, 1, 1),
(356, 1, '2021-04-20 05:49:34', '2021-04-20 05:49:34', 397, 'Exam Setup Edit', 5, NULL, 1, 1, 1),
(357, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 538, 'Student Report', 5, NULL, 1, 1, 1),
(358, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 539, 'Previous Result', 5, NULL, 1, 1, 1),
(359, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 540, 'previous-record', 5, NULL, 1, 1, 1),
(360, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 485, 'Style', 5, NULL, 1, 1, 1),
(361, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 486, 'Background Settings', 5, NULL, 1, 1, 1),
(362, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 487, 'Add', 5, NULL, 1, 1, 1),
(363, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 488, 'Delete', 5, NULL, 1, 1, 1),
(364, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 489, 'Make Default', 5, NULL, 1, 1, 1),
(365, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 490, 'Color Theme', 5, NULL, 1, 1, 1),
(366, 1, '2021-04-20 05:49:35', '2021-04-20 05:49:35', 491, 'Make Default', 5, NULL, 1, 1, 1),
(367, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 553, 'Add', 5, NULL, 1, 1, 1),
(368, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 554, 'Virtual Class', 5, NULL, 1, 1, 1),
(369, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 555, 'Virtual Class', 5, NULL, 1, 1, 1),
(370, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 556, 'Add', 5, NULL, 1, 1, 1),
(371, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 557, 'Edit', 5, NULL, 1, 1, 1),
(372, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 558, 'Delete', 5, NULL, 1, 1, 1),
(373, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 559, 'Start Class', 5, NULL, 1, 1, 1),
(374, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 560, 'Virtual Meeting', 5, NULL, 1, 1, 1),
(375, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 561, 'Add', 5, NULL, 1, 1, 1),
(376, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 562, 'Edit', 5, NULL, 1, 1, 1),
(377, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 563, 'Delete', 5, NULL, 1, 1, 1),
(378, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 564, 'Start Meeing', 5, NULL, 1, 1, 1),
(379, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 565, 'Class Report', 5, NULL, 1, 1, 1),
(380, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 566, 'Search', 5, NULL, 1, 1, 1),
(381, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 567, 'Meeting Report', 5, NULL, 1, 1, 1),
(382, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 568, 'Search', 5, NULL, 1, 1, 1),
(383, 1, '2021-04-20 05:49:36', '2021-04-20 05:49:36', 569, 'Settings', 5, NULL, 1, 1, 1),
(384, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 570, 'Update', 5, NULL, 1, 1, 1),
(385, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 577, 'Status On', 5, NULL, 1, 1, 1),
(386, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 900, 'Chat', 5, NULL, 1, 1, 1),
(387, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 901, 'Chat Box', 5, NULL, 1, 1, 1),
(388, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 902, 'New Chat', 5, NULL, 1, 1, 1),
(389, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 903, 'Invitation', 5, NULL, 1, 1, 1),
(390, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 904, 'Blocked User', 5, NULL, 1, 1, 1),
(391, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 1, 'Dashboard', 4, NULL, 1, 1, 1),
(392, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 2, '➡ Number of Student', 4, NULL, 1, 1, 1),
(393, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 3, '➡ Number of Teacher', 4, NULL, 1, 1, 1),
(394, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 4, '➡ Number of Parents', 4, NULL, 1, 1, 1),
(395, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 5, '➡ Number of Staff', 4, NULL, 1, 1, 1),
(396, 1, '2021-04-20 05:49:37', '2021-04-20 05:49:37', 6, '➡ Current Month Income and Expense Chart', 4, NULL, 1, 1, 1),
(397, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 7, '➡ Current Year Income and Expense Chart', 4, NULL, 1, 1, 1),
(398, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 8, '➡ Notice Board', 4, NULL, 1, 1, 1),
(399, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 9, '➡ Calendar Section', 4, NULL, 1, 1, 1),
(400, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 10, '➡ To Do list', 4, NULL, 1, 1, 1),
(401, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 61, 'Student Info', 4, NULL, 1, 1, 1),
(402, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 62, 'Student Admission', 4, NULL, 1, 1, 1),
(403, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 63, 'Import Student', 4, NULL, 1, 1, 1),
(404, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 64, 'Student List', 4, NULL, 1, 1, 1),
(405, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 65, 'Add', 4, NULL, 1, 1, 1),
(406, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 66, 'Edit', 4, NULL, 1, 1, 1),
(407, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 67, 'Delete', 4, NULL, 1, 1, 1),
(408, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 68, 'Student Attendance', 4, NULL, 1, 1, 1),
(409, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 69, 'Add', 4, NULL, 1, 1, 1),
(410, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 70, 'Student Attendance Report', 4, NULL, 1, 1, 1),
(411, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 71, 'Student Category', 4, NULL, 1, 1, 1),
(412, 1, '2021-04-20 05:49:38', '2021-04-20 05:49:38', 72, 'Add', 4, NULL, 1, 1, 1),
(413, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 73, 'Edit', 4, NULL, 1, 1, 1),
(414, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 74, 'Delete', 4, NULL, 1, 1, 1),
(415, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 75, 'Download', 4, NULL, 1, 1, 1),
(416, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 76, 'Student Group', 4, NULL, 1, 1, 1),
(417, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 77, 'Add', 4, NULL, 1, 1, 1),
(418, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 79, 'Edit', 4, NULL, 1, 1, 1),
(419, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 80, 'Delete', 4, NULL, 1, 1, 1),
(420, 1, '2021-04-20 05:49:39', '2021-04-20 05:49:39', 81, 'Student Promote', 4, NULL, 1, 1, 1),
(421, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 82, 'Add', 4, NULL, 1, 1, 1),
(422, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 83, 'Disabled Students', 4, NULL, 1, 1, 1),
(423, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 84, 'Add', 4, NULL, 1, 1, 1),
(424, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 85, 'Edit', 4, NULL, 1, 1, 1),
(425, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 86, 'Delete', 4, NULL, 1, 1, 1),
(426, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 533, 'Subject Wise Attendance', 4, NULL, 1, 1, 1),
(427, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 534, 'Save', 4, NULL, 1, 1, 1),
(428, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 535, 'Subject Wise Attendance Report', 4, NULL, 1, 1, 1),
(429, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 536, 'Print', 4, NULL, 1, 1, 1),
(430, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 87, 'Study Material', 4, NULL, 1, 1, 1),
(431, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 88, 'Upload Content', 4, NULL, 1, 1, 1),
(432, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 89, 'Add', 4, NULL, 1, 1, 1),
(433, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 90, 'Download', 4, NULL, 1, 1, 1),
(434, 1, '2021-04-20 05:49:40', '2021-04-20 05:49:40', 91, 'Delete', 4, NULL, 1, 1, 1),
(435, 1, '2021-04-20 05:49:41', '2021-04-20 05:49:41', 92, 'Assignment', 4, NULL, 1, 1, 1),
(436, 1, '2021-04-20 05:49:41', '2021-04-20 05:49:41', 93, 'Add', 4, NULL, 1, 1, 1),
(437, 1, '2021-04-20 05:49:41', '2021-04-20 05:49:41', 94, 'Download', 4, NULL, 1, 1, 1),
(438, 1, '2021-04-20 05:49:41', '2021-04-20 05:49:41', 95, 'Delete', 4, NULL, 1, 1, 1),
(439, 1, '2021-04-20 05:49:41', '2021-04-20 05:49:41', 100, 'Syllabus', 4, NULL, 1, 1, 1),
(440, 1, '2021-04-20 05:49:41', '2021-04-20 05:49:41', 101, 'Add', 4, NULL, 1, 1, 1),
(441, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 102, 'Edit', 4, NULL, 1, 1, 1),
(442, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 103, 'Delete', 4, NULL, 1, 1, 1),
(443, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 104, 'Download', 4, NULL, 1, 1, 1),
(444, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 105, 'Other Downloads', 4, NULL, 1, 1, 1),
(445, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 106, 'Download', 4, NULL, 1, 1, 1),
(446, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 107, 'Delete', 4, NULL, 1, 1, 1),
(447, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 160, 'Human Resource', 4, NULL, 1, 1, 1),
(448, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 161, 'Staff Directory', 4, NULL, 1, 1, 1),
(449, 1, '2021-04-20 05:49:42', '2021-04-20 05:49:42', 162, 'Add', 4, NULL, 1, 1, 1),
(450, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 163, 'Edit', 4, NULL, 1, 1, 1),
(451, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 164, 'Delete', 4, NULL, 1, 1, 1),
(452, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 165, 'Staff Attendance', 4, NULL, 1, 1, 1),
(453, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 166, 'Add', 4, NULL, 1, 1, 1),
(454, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 167, 'Edit', 4, NULL, 1, 1, 1),
(455, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 168, 'Delete', 4, NULL, 1, 1, 1),
(456, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 169, 'Staff Attendance Report', 4, NULL, 1, 1, 1),
(457, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 170, 'Payroll', 4, NULL, 1, 1, 1),
(458, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 171, 'Edit', 4, NULL, 1, 1, 1),
(459, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 172, 'Delete', 4, NULL, 1, 1, 1),
(460, 1, '2021-04-20 05:49:43', '2021-04-20 05:49:43', 173, 'Search', 4, NULL, 1, 1, 1),
(461, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 174, 'Generate Payroll', 4, NULL, 1, 1, 1),
(462, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 175, 'Create', 4, NULL, 1, 1, 1),
(463, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 176, 'Proceed To Pay', 4, NULL, 1, 1, 1),
(464, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 177, 'View Payslip', 4, NULL, 1, 1, 1),
(465, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 178, 'Payroll Report', 4, NULL, 1, 1, 1),
(466, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 179, 'Report Search', 4, NULL, 1, 1, 1),
(467, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 180, 'Designation', 4, NULL, 1, 1, 1),
(468, 1, '2021-04-20 05:49:44', '2021-04-20 05:49:44', 181, 'Add', 4, NULL, 1, 1, 1),
(469, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 182, 'Edit', 4, NULL, 1, 1, 1),
(470, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 183, 'Delete', 4, NULL, 1, 1, 1),
(471, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 184, 'Department', 4, NULL, 1, 1, 1),
(472, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 185, 'Add', 4, NULL, 1, 1, 1),
(473, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 186, 'Edit', 4, NULL, 1, 1, 1),
(474, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 187, 'Delete', 4, NULL, 1, 1, 1),
(475, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 188, 'Leave', 4, NULL, 1, 1, 1),
(476, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 189, 'Approve Leave Request', 4, NULL, 1, 1, 1),
(477, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 190, 'Add', 4, NULL, 1, 1, 1),
(478, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 191, 'Edit', 4, NULL, 1, 1, 1),
(479, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 192, 'Delete', 4, NULL, 1, 1, 1),
(480, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 193, 'Apply Leave', 4, NULL, 1, 1, 1),
(481, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 194, 'View', 4, NULL, 1, 1, 1),
(482, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 195, 'Delete', 4, NULL, 1, 1, 1),
(483, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 196, 'Pending Leave', 4, NULL, 1, 1, 1),
(484, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 197, 'View', 4, NULL, 1, 1, 1),
(485, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 198, 'Delete', 4, NULL, 1, 1, 1),
(486, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 199, 'Leave Define', 4, NULL, 1, 1, 1),
(487, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 200, 'Add', 4, NULL, 1, 1, 1),
(488, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 201, 'Edit', 4, NULL, 1, 1, 1),
(489, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 202, 'Delete', 4, NULL, 1, 1, 1),
(490, 1, '2021-04-20 05:49:45', '2021-04-20 05:49:45', 203, 'Leave Type', 4, NULL, 1, 1, 1),
(491, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 204, 'Add', 4, NULL, 1, 1, 1),
(492, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 205, 'Edit', 4, NULL, 1, 1, 1),
(493, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 206, 'Delete', 4, NULL, 1, 1, 1),
(494, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 207, 'Examination', 4, NULL, 1, 1, 1),
(495, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 208, 'Exam Type', 4, NULL, 1, 1, 1),
(496, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 209, 'Add', 4, NULL, 1, 1, 1),
(497, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 210, 'Edit', 4, NULL, 1, 1, 1),
(498, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 211, 'Delete', 4, NULL, 1, 1, 1),
(499, 1, '2021-04-20 05:49:46', '2021-04-20 05:49:46', 214, 'Exam Setup', 4, NULL, 1, 1, 1),
(500, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 215, 'Add', 4, NULL, 1, 1, 1),
(501, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 216, 'Delete', 4, NULL, 1, 1, 1),
(502, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 217, 'Exam Schedule', 4, NULL, 1, 1, 1),
(503, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 218, 'Add', 4, NULL, 1, 1, 1),
(504, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 219, 'Create', 4, NULL, 1, 1, 1),
(505, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 225, 'Marks Grade', 4, NULL, 1, 1, 1),
(506, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 226, 'Add', 4, NULL, 1, 1, 1),
(507, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 227, 'Edit', 4, NULL, 1, 1, 1),
(508, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 228, 'Delete', 4, NULL, 1, 1, 1),
(509, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 229, 'Send Marks By SMS', 4, NULL, 1, 1, 1),
(510, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 230, 'Question Group', 4, NULL, 1, 1, 1),
(511, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 231, 'Add', 4, NULL, 1, 1, 1),
(512, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 232, 'Edit', 4, NULL, 1, 1, 1),
(513, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 233, 'Delete', 4, NULL, 1, 1, 1),
(514, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 234, 'Question Bank', 4, NULL, 1, 1, 1),
(515, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 235, 'Add', 4, NULL, 1, 1, 1),
(516, 1, '2021-04-20 05:49:47', '2021-04-20 05:49:47', 236, 'Edit', 4, NULL, 1, 1, 1),
(517, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 237, 'Delete', 4, NULL, 1, 1, 1),
(518, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 238, 'Online Exam', 4, NULL, 1, 1, 1),
(519, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 239, 'Add', 4, NULL, 1, 1, 1),
(520, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 240, 'Edit', 4, NULL, 1, 1, 1),
(521, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 241, 'Delete', 4, NULL, 1, 1, 1),
(522, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 242, 'Manage Question', 4, NULL, 1, 1, 1),
(523, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 243, 'Marks Register', 4, NULL, 1, 1, 1),
(524, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 244, 'Result', 4, NULL, 1, 1, 1),
(525, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 245, 'Academics', 4, NULL, 1, 1, 1),
(526, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 246, 'Class Routine', 4, NULL, 1, 1, 1),
(527, 1, '2021-04-20 05:49:48', '2021-04-20 05:49:48', 247, 'Add', 4, NULL, 1, 1, 1),
(528, 1, '2021-04-20 05:49:49', '2021-04-20 05:49:49', 248, 'Edit', 4, NULL, 1, 1, 1),
(529, 1, '2021-04-20 05:49:49', '2021-04-20 05:49:49', 249, 'Delete', 4, NULL, 1, 1, 1),
(530, 1, '2021-04-20 05:49:49', '2021-04-20 05:49:49', 250, 'Assign Subject', 4, NULL, 1, 1, 1),
(531, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 251, 'Add', 4, NULL, 1, 1, 1),
(532, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 252, 'Delete', 4, NULL, 1, 1, 1),
(533, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 253, 'Assign Class Teacher', 4, NULL, 1, 1, 1),
(534, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 254, 'Add', 4, NULL, 1, 1, 1),
(535, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 255, 'Edit', 4, NULL, 1, 1, 1),
(536, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 256, 'Delete', 4, NULL, 1, 1, 1),
(537, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 257, 'Subjects', 4, NULL, 1, 1, 1),
(538, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 258, 'Add', 4, NULL, 1, 1, 1),
(539, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 259, 'Edit', 4, NULL, 1, 1, 1),
(540, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 260, 'Delete', 4, NULL, 1, 1, 1),
(541, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 261, 'Class', 4, NULL, 1, 1, 1),
(542, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 262, 'Add', 4, NULL, 1, 1, 1),
(543, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 263, 'Edit', 4, NULL, 1, 1, 1),
(544, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 264, 'Delete', 4, NULL, 1, 1, 1),
(545, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 265, 'Section', 4, NULL, 1, 1, 1),
(546, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 266, 'Add', 4, NULL, 1, 1, 1),
(547, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 267, 'Edit', 4, NULL, 1, 1, 1),
(548, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 268, 'Delete', 4, NULL, 1, 1, 1),
(549, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 269, 'Class Room', 4, NULL, 1, 1, 1),
(550, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 270, 'Add', 4, NULL, 1, 1, 1),
(551, 1, '2021-04-20 05:49:50', '2021-04-20 05:49:50', 271, 'Edit', 4, NULL, 1, 1, 1),
(552, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 272, 'Delete', 4, NULL, 1, 1, 1),
(553, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 273, 'Class Time Setup', 4, NULL, 1, 1, 1),
(554, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 274, 'Add', 4, NULL, 1, 1, 1),
(555, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 275, 'Edit', 4, NULL, 1, 1, 1),
(556, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 276, 'Delete', 4, NULL, 1, 1, 1),
(557, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 537, 'Optional Subject', 4, NULL, 1, 1, 1),
(558, 1, '2021-04-20 05:49:51', '2021-04-20 05:49:51', 286, 'Communicate', 4, NULL, 1, 1, 1),
(559, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 287, 'Notice Board', 4, NULL, 1, 1, 1),
(560, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 288, 'Add', 4, NULL, 1, 1, 1);
INSERT INTO `infix_permission_assigns` (`id`, `active_status`, `created_at`, `updated_at`, `module_id`, `module_info`, `role_id`, `saas_schools`, `created_by`, `updated_by`, `school_id`) VALUES
(561, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 289, 'Edit', 4, NULL, 1, 1, 1),
(562, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 290, 'Delete', 4, NULL, 1, 1, 1),
(563, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 291, 'Send Email / SMS ', 4, NULL, 1, 1, 1),
(564, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 292, 'Send', 4, NULL, 1, 1, 1),
(565, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 293, 'Email / SMS Log', 4, NULL, 1, 1, 1),
(566, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 294, 'Event', 4, NULL, 1, 1, 1),
(567, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 295, 'Add', 4, NULL, 1, 1, 1),
(568, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 296, 'Edit', 4, NULL, 1, 1, 1),
(569, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 297, 'Delete', 4, NULL, 1, 1, 1),
(570, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 298, 'Library', 4, NULL, 1, 1, 1),
(571, 1, '2021-04-20 05:49:52', '2021-04-20 05:49:52', 299, 'Add Book', 4, NULL, 1, 1, 1),
(572, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 300, 'Add', 4, NULL, 1, 1, 1),
(573, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 301, 'Book List ', 4, NULL, 1, 1, 1),
(574, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 302, 'Edit', 4, NULL, 1, 1, 1),
(575, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 303, 'Delete', 4, NULL, 1, 1, 1),
(576, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 304, 'Book Categories', 4, NULL, 1, 1, 1),
(577, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 305, 'Add', 4, NULL, 1, 1, 1),
(578, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 306, 'Edit', 4, NULL, 1, 1, 1),
(579, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 307, 'Delete', 4, NULL, 1, 1, 1),
(580, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 308, 'Add Member', 4, NULL, 1, 1, 1),
(581, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 309, 'Add', 4, NULL, 1, 1, 1),
(582, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 310, 'Cancel', 4, NULL, 1, 1, 1),
(583, 1, '2021-04-20 05:49:53', '2021-04-20 05:49:53', 311, 'Issue/Return Book', 4, NULL, 1, 1, 1),
(584, 1, '2021-04-20 05:49:54', '2021-04-20 05:49:54', 312, 'Issue', 4, NULL, 1, 1, 1),
(585, 1, '2021-04-20 05:49:54', '2021-04-20 05:49:54', 313, 'Return', 4, NULL, 1, 1, 1),
(586, 1, '2021-04-20 05:49:54', '2021-04-20 05:49:54', 314, 'All Issued Book', 4, NULL, 1, 1, 1),
(587, 1, '2021-04-20 05:49:54', '2021-04-20 05:49:54', 348, 'Transport', 4, NULL, 1, 1, 1),
(588, 1, '2021-04-20 05:49:54', '2021-04-20 05:49:54', 349, 'Routes', 4, NULL, 1, 1, 1),
(589, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 350, 'Add', 4, NULL, 1, 1, 1),
(590, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 351, 'Edit', 4, NULL, 1, 1, 1),
(591, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 352, 'Delete', 4, NULL, 1, 1, 1),
(592, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 353, 'Vehicle', 4, NULL, 1, 1, 1),
(593, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 354, 'Add', 4, NULL, 1, 1, 1),
(594, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 355, 'Edit', 4, NULL, 1, 1, 1),
(595, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 356, 'Delete', 4, NULL, 1, 1, 1),
(596, 1, '2021-04-20 05:49:55', '2021-04-20 05:49:55', 357, 'Assign Vehicle', 4, NULL, 1, 1, 1),
(597, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 358, 'Add', 4, NULL, 1, 1, 1),
(598, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 359, 'Edit', 4, NULL, 1, 1, 1),
(599, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 360, 'Delete', 4, NULL, 1, 1, 1),
(600, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 361, 'Student Transport Report', 4, NULL, 1, 1, 1),
(601, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 362, 'Dormitory', 4, NULL, 1, 1, 1),
(602, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 363, 'Dormitory Rooms', 4, NULL, 1, 1, 1),
(603, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 364, 'Add', 4, NULL, 1, 1, 1),
(604, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 365, 'Edit', 4, NULL, 1, 1, 1),
(605, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 366, 'Delete', 4, NULL, 1, 1, 1),
(606, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 367, 'Dormitory', 4, NULL, 1, 1, 1),
(607, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 368, 'Add', 4, NULL, 1, 1, 1),
(608, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 369, 'Edit', 4, NULL, 1, 1, 1),
(609, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 370, 'Delete', 4, NULL, 1, 1, 1),
(610, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 371, 'Room Type', 4, NULL, 1, 1, 1),
(611, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 372, 'Add', 4, NULL, 1, 1, 1),
(612, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 373, 'Edit', 4, NULL, 1, 1, 1),
(613, 1, '2021-04-20 05:49:56', '2021-04-20 05:49:56', 374, 'Delete', 4, NULL, 1, 1, 1),
(614, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 375, 'Student Dormitory Report', 4, NULL, 1, 1, 1),
(615, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 277, 'Homework', 4, NULL, 1, 1, 1),
(616, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 278, 'Add Homework', 4, NULL, 1, 1, 1),
(617, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 279, 'Add', 4, NULL, 1, 1, 1),
(618, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 280, 'Homework List', 4, NULL, 1, 1, 1),
(619, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 281, 'Evaluation', 4, NULL, 1, 1, 1),
(620, 1, '2021-04-20 05:49:57', '2021-04-20 05:49:57', 282, 'Edit', 4, NULL, 1, 1, 1),
(621, 1, '2021-04-20 05:49:58', '2021-04-20 05:49:58', 283, 'Delete', 4, NULL, 1, 1, 1),
(622, 1, '2021-04-20 05:49:58', '2021-04-20 05:49:58', 284, 'Homework Evaluation Report', 4, NULL, 1, 1, 1),
(623, 1, '2021-04-20 05:49:58', '2021-04-20 05:49:58', 285, 'View', 4, NULL, 1, 1, 1),
(624, 1, '2021-04-20 05:49:58', '2021-04-20 05:49:58', 553, 'Add', 4, NULL, 1, 1, 1),
(625, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 554, 'Virtual Class', 4, NULL, 1, 1, 1),
(626, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 555, 'Virtual Class', 4, NULL, 1, 1, 1),
(627, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 556, 'Add', 4, NULL, 1, 1, 1),
(628, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 557, 'Edit', 4, NULL, 1, 1, 1),
(629, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 558, 'Delete', 4, NULL, 1, 1, 1),
(630, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 559, 'Start Class', 4, NULL, 1, 1, 1),
(631, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 560, 'Virtual Meeting', 4, NULL, 1, 1, 1),
(632, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 561, 'Add', 4, NULL, 1, 1, 1),
(633, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 562, 'Edit', 4, NULL, 1, 1, 1),
(634, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 563, 'Delete', 4, NULL, 1, 1, 1),
(635, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 564, 'Start Meeing', 4, NULL, 1, 1, 1),
(636, 1, '2021-04-20 05:49:59', '2021-04-20 05:49:59', 565, 'Class Report', 4, NULL, 1, 1, 1),
(637, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 566, 'Search', 4, NULL, 1, 1, 1),
(638, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 567, 'Meeting Report', 4, NULL, 1, 1, 1),
(639, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 802, 'Add', 4, NULL, 1, 1, 1),
(640, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 811, 'Add', 4, NULL, 1, 1, 1),
(641, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 815, 'Lesson Plan Overview', 4, NULL, 1, 1, 1),
(642, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 900, 'Chat', 4, NULL, 1, 1, 1),
(643, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 901, 'Chat Box', 4, NULL, 1, 1, 1),
(644, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 902, 'New Chat', 4, NULL, 1, 1, 1),
(645, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 903, 'Invitation', 4, NULL, 1, 1, 1),
(646, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 904, 'Blocked User', 4, NULL, 1, 1, 1),
(647, 1, '2021-04-20 05:50:00', '2021-04-20 05:50:00', 1, 'Dashboard', 7, NULL, 1, 1, 1),
(648, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 2, '➡ Number of Student', 7, NULL, 1, 1, 1),
(649, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 3, '➡ Number of Teacher', 7, NULL, 1, 1, 1),
(650, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 4, '➡ Number of Parents', 7, NULL, 1, 1, 1),
(651, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 5, '➡ Number of Staff', 7, NULL, 1, 1, 1),
(652, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 6, '➡ Current Month Income and Expense Chart', 7, NULL, 1, 1, 1),
(653, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 7, '➡ Current Year Income and Expense Chart', 7, NULL, 1, 1, 1),
(654, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 8, '➡ Notice Board', 7, NULL, 1, 1, 1),
(655, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 9, '➡ Calendar Section', 7, NULL, 1, 1, 1),
(656, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 10, '➡ To Do list', 7, NULL, 1, 1, 1),
(657, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 11, 'Admin Section', 7, NULL, 1, 1, 1),
(658, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 12, 'Admission Query', 7, NULL, 1, 1, 1),
(659, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 13, 'Add', 7, NULL, 1, 1, 1),
(660, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 14, 'Edit', 7, NULL, 1, 1, 1),
(661, 1, '2021-04-20 05:50:01', '2021-04-20 05:50:01', 15, 'Delete', 7, NULL, 1, 1, 1),
(662, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 16, 'Visitor Book', 7, NULL, 1, 1, 1),
(663, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 17, 'Add', 7, NULL, 1, 1, 1),
(664, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 18, 'Edit', 7, NULL, 1, 1, 1),
(665, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 19, 'Delete', 7, NULL, 1, 1, 1),
(666, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 20, 'Download', 7, NULL, 1, 1, 1),
(667, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 21, 'Complaint', 7, NULL, 1, 1, 1),
(668, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 22, 'Add', 7, NULL, 1, 1, 1),
(669, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 23, 'Edit', 7, NULL, 1, 1, 1),
(670, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 24, 'Delete', 7, NULL, 1, 1, 1),
(671, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 25, 'Download', 7, NULL, 1, 1, 1),
(672, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 26, 'View', 7, NULL, 1, 1, 1),
(673, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 27, 'Postal Receive', 7, NULL, 1, 1, 1),
(674, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 28, 'Add', 7, NULL, 1, 1, 1),
(675, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 29, 'Edit', 7, NULL, 1, 1, 1),
(676, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 30, 'Delete', 7, NULL, 1, 1, 1),
(677, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 31, 'Download', 7, NULL, 1, 1, 1),
(678, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 32, 'Postal Dispatch', 7, NULL, 1, 1, 1),
(679, 1, '2021-04-20 05:50:02', '2021-04-20 05:50:02', 33, 'Add', 7, NULL, 1, 1, 1),
(680, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 34, 'Edit', 7, NULL, 1, 1, 1),
(681, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 35, 'Delete', 7, NULL, 1, 1, 1),
(682, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 36, 'Phone Call Log', 7, NULL, 1, 1, 1),
(683, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 37, 'Add', 7, NULL, 1, 1, 1),
(684, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 38, 'Edit', 7, NULL, 1, 1, 1),
(685, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 39, 'Delete', 7, NULL, 1, 1, 1),
(686, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 40, 'Download', 7, NULL, 1, 1, 1),
(687, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 41, 'Admin Setup', 7, NULL, 1, 1, 1),
(688, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 42, 'Add', 7, NULL, 1, 1, 1),
(689, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 43, 'Edit', 7, NULL, 1, 1, 1),
(690, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 44, 'Delete', 7, NULL, 1, 1, 1),
(691, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 45, 'Student ID Card', 7, NULL, 1, 1, 1),
(692, 1, '2021-04-20 05:50:03', '2021-04-20 05:50:03', 46, 'Add', 7, NULL, 1, 1, 1),
(693, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 47, 'Edit', 7, NULL, 1, 1, 1),
(694, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 48, 'Delete', 7, NULL, 1, 1, 1),
(695, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 49, 'Student Certificate', 7, NULL, 1, 1, 1),
(696, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 50, 'Add', 7, NULL, 1, 1, 1),
(697, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 51, 'Edit', 7, NULL, 1, 1, 1),
(698, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 52, 'Delete', 7, NULL, 1, 1, 1),
(699, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 53, 'Generate Certificate', 7, NULL, 1, 1, 1),
(700, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 54, 'Add', 7, NULL, 1, 1, 1),
(701, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 55, 'Edit', 7, NULL, 1, 1, 1),
(702, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 56, 'Delete', 7, NULL, 1, 1, 1),
(703, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 57, 'Generate ID Card', 7, NULL, 1, 1, 1),
(704, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 58, 'Add', 7, NULL, 1, 1, 1),
(705, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 59, 'Edit', 7, NULL, 1, 1, 1),
(706, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 60, 'Delete', 7, NULL, 1, 1, 1),
(707, 1, '2021-04-20 05:50:04', '2021-04-20 05:50:04', 61, 'Student Info', 7, NULL, 1, 1, 1),
(708, 1, '2021-04-20 05:50:05', '2021-04-20 05:50:05', 64, 'Student List', 7, NULL, 1, 1, 1),
(709, 1, '2021-04-20 05:50:05', '2021-04-20 05:50:05', 65, 'Add', 7, NULL, 1, 1, 1),
(710, 1, '2021-04-20 05:50:05', '2021-04-20 05:50:05', 66, 'Edit', 7, NULL, 1, 1, 1),
(711, 1, '2021-04-20 05:50:05', '2021-04-20 05:50:05', 67, 'Delete', 7, NULL, 1, 1, 1),
(712, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 83, 'Disabled Students', 7, NULL, 1, 1, 1),
(713, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 84, 'Add', 7, NULL, 1, 1, 1),
(714, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 85, 'Edit', 7, NULL, 1, 1, 1),
(715, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 86, 'Delete', 7, NULL, 1, 1, 1),
(716, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 160, 'Human Resource', 7, NULL, 1, 1, 1),
(717, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 161, 'Staff Directory', 7, NULL, 1, 1, 1),
(718, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 162, 'Add', 7, NULL, 1, 1, 1),
(719, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 163, 'Edit', 7, NULL, 1, 1, 1),
(720, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 164, 'Delete', 7, NULL, 1, 1, 1),
(721, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 188, 'Leave', 7, NULL, 1, 1, 1),
(722, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 193, 'Apply Leave', 7, NULL, 1, 1, 1),
(723, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 194, 'View', 7, NULL, 1, 1, 1),
(724, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 195, 'Delete', 7, NULL, 1, 1, 1),
(725, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 376, 'Reports', 7, NULL, 1, 1, 1),
(726, 1, '2021-04-20 05:50:06', '2021-04-20 05:50:06', 377, 'Guardian Reports', 7, NULL, 1, 1, 1),
(727, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 378, 'Student History', 7, NULL, 1, 1, 1),
(728, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 379, 'Student Login Report', 7, NULL, 1, 1, 1),
(729, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 380, 'Edit', 7, NULL, 1, 1, 1),
(730, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 553, 'Add', 7, NULL, 1, 1, 1),
(731, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 554, 'Virtual Class', 7, NULL, 1, 1, 1),
(732, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 560, 'Virtual Meeting', 7, NULL, 1, 1, 1),
(733, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 564, 'Start Meeing', 7, NULL, 1, 1, 1),
(734, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 900, 'Chat', 7, NULL, 1, 1, 1),
(735, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 901, 'Chat Box', 7, NULL, 1, 1, 1),
(736, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 902, 'New Chat', 7, NULL, 1, 1, 1),
(737, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 903, 'Invitation', 7, NULL, 1, 1, 1),
(738, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 904, 'Blocked User', 7, NULL, 1, 1, 1),
(739, 1, '2021-04-20 05:50:07', '2021-04-20 05:50:07', 1, 'Dashboard', 8, NULL, 1, 1, 1),
(740, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 2, '➡ Number of Student', 8, NULL, 1, 1, 1),
(741, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 3, '➡ Number of Teacher', 8, NULL, 1, 1, 1),
(742, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 4, '➡ Number of Parents', 8, NULL, 1, 1, 1),
(743, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 5, '➡ Number of Staff', 8, NULL, 1, 1, 1),
(744, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 6, '➡ Current Month Income and Expense Chart', 8, NULL, 1, 1, 1),
(745, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 7, '➡ Current Year Income and Expense Chart', 8, NULL, 1, 1, 1),
(746, 1, '2021-04-20 05:50:08', '2021-04-20 05:50:08', 8, '➡ Notice Board', 8, NULL, 1, 1, 1),
(747, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 9, '➡ Calendar Section', 8, NULL, 1, 1, 1),
(748, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 10, '➡ To Do list', 8, NULL, 1, 1, 1),
(749, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 61, 'Student Info', 8, NULL, 1, 1, 1),
(750, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 64, 'Student List', 8, NULL, 1, 1, 1),
(751, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 65, 'Add', 8, NULL, 1, 1, 1),
(752, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 66, 'Edit', 8, NULL, 1, 1, 1),
(753, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 67, 'Delete', 8, NULL, 1, 1, 1),
(754, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 83, 'Disabled Students', 8, NULL, 1, 1, 1),
(755, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 84, 'Add', 8, NULL, 1, 1, 1),
(756, 1, '2021-04-20 05:50:09', '2021-04-20 05:50:09', 85, 'Edit', 8, NULL, 1, 1, 1),
(757, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 86, 'Delete', 8, NULL, 1, 1, 1),
(758, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 160, 'Human Resource', 8, NULL, 1, 1, 1),
(759, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 161, 'Staff Directory', 8, NULL, 1, 1, 1),
(760, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 162, 'Add', 8, NULL, 1, 1, 1),
(761, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 163, 'Edit', 8, NULL, 1, 1, 1),
(762, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 164, 'Delete', 8, NULL, 1, 1, 1),
(763, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 188, 'Leave', 8, NULL, 1, 1, 1),
(764, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 193, 'Apply Leave', 8, NULL, 1, 1, 1),
(765, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 194, 'View', 8, NULL, 1, 1, 1),
(766, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 195, 'Delete', 8, NULL, 1, 1, 1),
(767, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 298, 'Library', 8, NULL, 1, 1, 1),
(768, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 299, 'Add Book', 8, NULL, 1, 1, 1),
(769, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 300, 'Add', 8, NULL, 1, 1, 1),
(770, 1, '2021-04-20 05:50:10', '2021-04-20 05:50:10', 301, 'Book List ', 8, NULL, 1, 1, 1),
(771, 1, '2021-04-20 05:50:11', '2021-04-20 05:50:11', 302, 'Edit', 8, NULL, 1, 1, 1),
(772, 1, '2021-04-20 05:50:11', '2021-04-20 05:50:11', 303, 'Delete', 8, NULL, 1, 1, 1),
(773, 1, '2021-04-20 05:50:11', '2021-04-20 05:50:11', 304, 'Book Categories', 8, NULL, 1, 1, 1),
(774, 1, '2021-04-20 05:50:11', '2021-04-20 05:50:11', 305, 'Add', 8, NULL, 1, 1, 1),
(775, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 306, 'Edit', 8, NULL, 1, 1, 1),
(776, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 307, 'Delete', 8, NULL, 1, 1, 1),
(777, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 308, 'Add Member', 8, NULL, 1, 1, 1),
(778, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 309, 'Add', 8, NULL, 1, 1, 1),
(779, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 310, 'Cancel', 8, NULL, 1, 1, 1),
(780, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 311, 'Issue/Return Book', 8, NULL, 1, 1, 1),
(781, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 312, 'Issue', 8, NULL, 1, 1, 1),
(782, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 313, 'Return', 8, NULL, 1, 1, 1),
(783, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 314, 'All Issued Book', 8, NULL, 1, 1, 1),
(784, 1, '2021-04-20 05:50:12', '2021-04-20 05:50:12', 376, 'Reports', 8, NULL, 1, 1, 1),
(785, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 377, 'Guardian Reports', 8, NULL, 1, 1, 1),
(786, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 378, 'Student History', 8, NULL, 1, 1, 1),
(787, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 379, 'Student Login Report', 8, NULL, 1, 1, 1),
(788, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 380, 'Edit', 8, NULL, 1, 1, 1),
(789, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 553, 'Add', 8, NULL, 1, 1, 1),
(790, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 554, 'Virtual Class', 8, NULL, 1, 1, 1),
(791, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 560, 'Virtual Meeting', 8, NULL, 1, 1, 1),
(792, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 564, 'Start Meeing', 8, NULL, 1, 1, 1),
(793, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 900, 'Chat', 8, NULL, 1, 1, 1),
(794, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 901, 'Chat Box', 8, NULL, 1, 1, 1),
(795, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 902, 'New Chat', 8, NULL, 1, 1, 1),
(796, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 903, 'Invitation', 8, NULL, 1, 1, 1),
(797, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 904, 'Blocked User', 8, NULL, 1, 1, 1),
(798, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 1, 'Dashboard', 9, NULL, 1, 1, 1),
(799, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 2, '➡ Number of Student', 9, NULL, 1, 1, 1),
(800, 1, '2021-04-20 05:50:13', '2021-04-20 05:50:13', 3, '➡ Number of Teacher', 9, NULL, 1, 1, 1),
(801, 1, '2021-04-20 05:50:14', '2021-04-20 05:50:14', 4, '➡ Number of Parents', 9, NULL, 1, 1, 1),
(802, 1, '2021-04-20 05:50:14', '2021-04-20 05:50:14', 5, '➡ Number of Staff', 9, NULL, 1, 1, 1),
(803, 1, '2021-04-20 05:50:14', '2021-04-20 05:50:14', 6, '➡ Current Month Income and Expense Chart', 9, NULL, 1, 1, 1),
(804, 1, '2021-04-20 05:50:14', '2021-04-20 05:50:14', 7, '➡ Current Year Income and Expense Chart', 9, NULL, 1, 1, 1),
(805, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 8, '➡ Notice Board', 9, NULL, 1, 1, 1),
(806, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 9, '➡ Calendar Section', 9, NULL, 1, 1, 1),
(807, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 10, '➡ To Do list', 9, NULL, 1, 1, 1),
(808, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 188, 'Leave', 9, NULL, 1, 1, 1),
(809, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 193, 'Apply Leave', 9, NULL, 1, 1, 1),
(810, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 194, 'View', 9, NULL, 1, 1, 1),
(811, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 19, 'Delete', 9, NULL, 1, 1, 1),
(812, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 553, 'Add', 9, NULL, 1, 1, 1),
(813, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 554, 'Virtual Class', 9, NULL, 1, 1, 1),
(814, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 560, 'Virtual Meeting', 9, NULL, 1, 1, 1),
(815, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 564, 'Start Meeing', 9, NULL, 1, 1, 1),
(816, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 900, 'Chat', 9, NULL, 1, 1, 1),
(817, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 901, 'Chat Box', 9, NULL, 1, 1, 1),
(818, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 902, 'New Chat', 9, NULL, 1, 1, 1),
(819, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 903, 'Invitation', 9, NULL, 1, 1, 1),
(820, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 904, 'Blocked User', 9, NULL, 1, 1, 1),
(821, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 1, 'Dashboard', 6, NULL, 1, 1, 1),
(822, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 2, '➡ Number of Student', 6, NULL, 1, 1, 1),
(823, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 3, '➡ Number of Teacher', 6, NULL, 1, 1, 1),
(824, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 4, '➡ Number of Parents', 6, NULL, 1, 1, 1),
(825, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 5, '➡ Number of Staff', 6, NULL, 1, 1, 1),
(826, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 6, '➡ Current Month Income and Expense Chart', 6, NULL, 1, 1, 1),
(827, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 7, '➡ Current Year Income and Expense Chart', 6, NULL, 1, 1, 1),
(828, 1, '2021-04-20 05:50:15', '2021-04-20 05:50:15', 8, '➡ Notice Board', 6, NULL, 1, 1, 1),
(829, 1, '2021-04-20 05:50:16', '2021-04-20 05:50:16', 9, '➡ Calendar Section', 6, NULL, 1, 1, 1),
(830, 1, '2021-04-20 05:50:16', '2021-04-20 05:50:16', 10, '➡ To Do list', 6, NULL, 1, 1, 1),
(831, 1, '2021-04-20 05:50:16', '2021-04-20 05:50:16', 11, 'Admin Section', 6, NULL, 1, 1, 1),
(832, 1, '2021-04-20 05:50:16', '2021-04-20 05:50:16', 12, 'Admission Query', 6, NULL, 1, 1, 1),
(833, 1, '2021-04-20 05:50:16', '2021-04-20 05:50:16', 13, 'Add', 6, NULL, 1, 1, 1),
(834, 1, '2021-04-20 05:50:16', '2021-04-20 05:50:16', 14, 'Edit', 6, NULL, 1, 1, 1),
(835, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 15, 'Delete', 6, NULL, 1, 1, 1),
(836, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 16, 'Visitor Book', 6, NULL, 1, 1, 1),
(837, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 17, 'Add', 6, NULL, 1, 1, 1),
(838, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 18, 'Edit', 6, NULL, 1, 1, 1),
(839, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 19, 'Delete', 6, NULL, 1, 1, 1),
(840, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 20, 'Download', 6, NULL, 1, 1, 1),
(841, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 21, 'Complaint', 6, NULL, 1, 1, 1),
(842, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 22, 'Add', 6, NULL, 1, 1, 1),
(843, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 23, 'Edit', 6, NULL, 1, 1, 1),
(844, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 24, 'Delete', 6, NULL, 1, 1, 1),
(845, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 25, 'Download', 6, NULL, 1, 1, 1),
(846, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 26, 'View', 6, NULL, 1, 1, 1),
(847, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 27, 'Postal Receive', 6, NULL, 1, 1, 1),
(848, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 28, 'Add', 6, NULL, 1, 1, 1),
(849, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 29, 'Edit', 6, NULL, 1, 1, 1),
(850, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 30, 'Delete', 6, NULL, 1, 1, 1),
(851, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 31, 'Download', 6, NULL, 1, 1, 1),
(852, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 32, 'Postal Dispatch', 6, NULL, 1, 1, 1),
(853, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 33, 'Add', 6, NULL, 1, 1, 1),
(854, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 34, 'Edit', 6, NULL, 1, 1, 1),
(855, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 35, 'Delete', 6, NULL, 1, 1, 1),
(856, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 36, 'Phone Call Log', 6, NULL, 1, 1, 1),
(857, 1, '2021-04-20 05:50:17', '2021-04-20 05:50:17', 37, 'Add', 6, NULL, 1, 1, 1),
(858, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 38, 'Edit', 6, NULL, 1, 1, 1),
(859, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 39, 'Delete', 6, NULL, 1, 1, 1),
(860, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 40, 'Download', 6, NULL, 1, 1, 1),
(861, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 41, 'Admin Setup', 6, NULL, 1, 1, 1),
(862, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 42, 'Add', 6, NULL, 1, 1, 1),
(863, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 43, 'Edit', 6, NULL, 1, 1, 1),
(864, 1, '2021-04-20 05:50:18', '2021-04-20 05:50:18', 44, 'Delete', 6, NULL, 1, 1, 1),
(865, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 45, 'Student ID Card', 6, NULL, 1, 1, 1),
(866, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 46, 'Add', 6, NULL, 1, 1, 1),
(867, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 47, 'Edit', 6, NULL, 1, 1, 1),
(868, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 48, 'Delete', 6, NULL, 1, 1, 1),
(869, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 49, 'Student Certificate', 6, NULL, 1, 1, 1),
(870, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 50, 'Add', 6, NULL, 1, 1, 1),
(871, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 51, 'Edit', 6, NULL, 1, 1, 1),
(872, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 52, 'Delete', 6, NULL, 1, 1, 1),
(873, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 53, 'Generate Certificate', 6, NULL, 1, 1, 1),
(874, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 54, 'Add', 6, NULL, 1, 1, 1),
(875, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 55, 'Edit', 6, NULL, 1, 1, 1),
(876, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 56, 'Delete', 6, NULL, 1, 1, 1),
(877, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 57, 'Generate ID Card', 6, NULL, 1, 1, 1),
(878, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 58, 'Add', 6, NULL, 1, 1, 1),
(879, 1, '2021-04-20 05:50:19', '2021-04-20 05:50:19', 59, 'Edit', 6, NULL, 1, 1, 1),
(880, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 60, 'Delete', 6, NULL, 1, 1, 1),
(881, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 61, 'Student Info', 6, NULL, 1, 1, 1),
(882, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 64, 'Student List', 6, NULL, 1, 1, 1),
(883, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 65, 'Add', 6, NULL, 1, 1, 1),
(884, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 66, 'Edit', 6, NULL, 1, 1, 1),
(885, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 67, 'Delete', 6, NULL, 1, 1, 1),
(886, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 68, 'Student Attendance', 6, NULL, 1, 1, 1),
(887, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 69, 'Add', 6, NULL, 1, 1, 1),
(888, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 70, 'Student Attendance Report', 6, NULL, 1, 1, 1),
(889, 1, '2021-04-20 05:50:20', '2021-04-20 05:50:20', 83, 'Disabled Students', 6, NULL, 1, 1, 1),
(890, 1, '2021-04-20 05:50:21', '2021-04-20 05:50:21', 84, 'Add', 6, NULL, 1, 1, 1),
(891, 1, '2021-04-20 05:50:21', '2021-04-20 05:50:21', 85, 'Edit', 6, NULL, 1, 1, 1),
(892, 1, '2021-04-20 05:50:21', '2021-04-20 05:50:21', 86, 'Delete', 6, NULL, 1, 1, 1),
(893, 1, '2021-04-20 05:50:21', '2021-04-20 05:50:21', 108, 'Fees Collection', 6, NULL, 1, 1, 1),
(894, 1, '2021-04-20 05:50:21', '2021-04-20 05:50:21', 109, 'Collect Fees', 6, NULL, 1, 1, 1),
(895, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 110, ' Collect Fees', 6, NULL, 1, 1, 1),
(896, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 111, 'Add', 6, NULL, 1, 1, 1),
(897, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 112, 'Print', 6, NULL, 1, 1, 1),
(898, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 113, 'Search Fees Payment', 6, NULL, 1, 1, 1),
(899, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 114, 'Add', 6, NULL, 1, 1, 1),
(900, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 115, 'View', 6, NULL, 1, 1, 1),
(901, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 116, 'Search Fees Due', 6, NULL, 1, 1, 1),
(902, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 117, 'View', 6, NULL, 1, 1, 1),
(903, 1, '2021-04-20 05:50:22', '2021-04-20 05:50:22', 118, 'Fees Master', 6, NULL, 1, 1, 1),
(904, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 119, 'Add', 6, NULL, 1, 1, 1),
(905, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 120, 'Edit', 6, NULL, 1, 1, 1),
(906, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 121, 'Delete', 6, NULL, 1, 1, 1),
(907, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 122, 'Assign', 6, NULL, 1, 1, 1),
(908, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 123, 'Fees Group', 6, NULL, 1, 1, 1),
(909, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 124, 'Add', 6, NULL, 1, 1, 1),
(910, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 125, 'Edit', 6, NULL, 1, 1, 1),
(911, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 126, 'Delete', 6, NULL, 1, 1, 1),
(912, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 127, 'Fees Type', 6, NULL, 1, 1, 1),
(913, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 128, 'Add', 6, NULL, 1, 1, 1),
(914, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 129, 'Edit', 6, NULL, 1, 1, 1),
(915, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 130, 'Delete', 6, NULL, 1, 1, 1),
(916, 1, '2021-04-20 05:50:23', '2021-04-20 05:50:23', 131, 'Fees Discount', 6, NULL, 1, 1, 1),
(917, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 132, 'Add', 6, NULL, 1, 1, 1),
(918, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 133, 'Edit', 6, NULL, 1, 1, 1),
(919, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 134, 'Delete', 6, NULL, 1, 1, 1),
(920, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 135, 'Assign', 6, NULL, 1, 1, 1),
(921, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 160, 'Human Resource', 6, NULL, 1, 1, 1),
(922, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 161, 'Staff Directory', 6, NULL, 1, 1, 1),
(923, 1, '2021-04-20 05:50:24', '2021-04-20 05:50:24', 162, 'Add', 6, NULL, 1, 1, 1),
(924, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 163, 'Edit', 6, NULL, 1, 1, 1),
(925, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 164, 'Delete', 6, NULL, 1, 1, 1),
(926, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 165, 'Staff Attendance', 6, NULL, 1, 1, 1),
(927, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 166, 'Add', 6, NULL, 1, 1, 1),
(928, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 167, 'Edit', 6, NULL, 1, 1, 1),
(929, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 168, 'Delete', 6, NULL, 1, 1, 1),
(930, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 169, 'Staff Attendance Report', 6, NULL, 1, 1, 1),
(931, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 170, 'Payroll', 6, NULL, 1, 1, 1),
(932, 1, '2021-04-20 05:50:25', '2021-04-20 05:50:25', 171, 'Edit', 6, NULL, 1, 1, 1),
(933, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 172, 'Delete', 6, NULL, 1, 1, 1),
(934, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 173, 'Search', 6, NULL, 1, 1, 1),
(935, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 174, 'Generate Payroll', 6, NULL, 1, 1, 1),
(936, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 175, 'Create', 6, NULL, 1, 1, 1),
(937, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 176, 'Proceed To Pay', 6, NULL, 1, 1, 1),
(938, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 177, 'View Payslip', 6, NULL, 1, 1, 1),
(939, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 178, 'Payroll Report', 6, NULL, 1, 1, 1),
(940, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 179, 'Report Search', 6, NULL, 1, 1, 1),
(941, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 188, 'Leave', 6, NULL, 1, 1, 1),
(942, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 193, 'Apply Leave', 6, NULL, 1, 1, 1),
(943, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 194, 'View', 6, NULL, 1, 1, 1),
(944, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 195, 'Delete', 6, NULL, 1, 1, 1),
(945, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 376, 'Reports', 6, NULL, 1, 1, 1),
(946, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 377, 'Guardian Reports', 6, NULL, 1, 1, 1),
(947, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 378, 'Student History', 6, NULL, 1, 1, 1),
(948, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 379, 'Student Login Report', 6, NULL, 1, 1, 1),
(949, 1, '2021-04-20 05:50:26', '2021-04-20 05:50:26', 380, 'Edit', 6, NULL, 1, 1, 1),
(950, 1, '2021-04-20 05:50:27', '2021-04-20 05:50:27', 381, 'Fees Statement', 6, NULL, 1, 1, 1),
(951, 1, '2021-04-20 05:50:27', '2021-04-20 05:50:27', 382, 'Balance Fees Report', 6, NULL, 1, 1, 1),
(952, 1, '2021-04-20 05:50:27', '2021-04-20 05:50:27', 383, 'Collection Report', 6, NULL, 1, 1, 1),
(953, 1, '2021-04-20 05:50:27', '2021-04-20 05:50:27', 553, 'Add', 6, NULL, 1, 1, 1),
(954, 1, '2021-04-20 05:50:27', '2021-04-20 05:50:27', 554, 'Virtual Class', 6, NULL, 1, 1, 1),
(955, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 560, 'Virtual Meeting', 6, NULL, 1, 1, 1),
(956, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 564, 'Start Meeing', 6, NULL, 1, 1, 1),
(957, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 900, 'Chat', 6, NULL, 1, 1, 1),
(958, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 901, 'Chat Box', 6, NULL, 1, 1, 1),
(959, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 902, 'New Chat', 6, NULL, 1, 1, 1),
(960, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 903, 'Invitation', 6, NULL, 1, 1, 1),
(961, 1, '2021-04-20 05:50:28', '2021-04-20 05:50:28', 904, 'Blocked User', 6, NULL, 1, 1, 1),
(962, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 1, 'Blocked User', 2, NULL, 1, 1, 1),
(963, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 2, 'Blocked User', 2, NULL, 1, 1, 1),
(964, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 3, 'Blocked User', 2, NULL, 1, 1, 1),
(965, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 4, 'Blocked User', 2, NULL, 1, 1, 1),
(966, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 5, 'Blocked User', 2, NULL, 1, 1, 1),
(967, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 6, 'Blocked User', 2, NULL, 1, 1, 1),
(968, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 7, 'Blocked User', 2, NULL, 1, 1, 1),
(969, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 8, 'Blocked User', 2, NULL, 1, 1, 1),
(970, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 9, 'Blocked User', 2, NULL, 1, 1, 1),
(971, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 10, 'Blocked User', 2, NULL, 1, 1, 1),
(972, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 11, 'Blocked User', 2, NULL, 1, 1, 1),
(973, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 12, 'Blocked User', 2, NULL, 1, 1, 1),
(974, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 13, 'Blocked User', 2, NULL, 1, 1, 1),
(975, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 14, 'Blocked User', 2, NULL, 1, 1, 1),
(976, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 15, 'Blocked User', 2, NULL, 1, 1, 1),
(977, 1, '2021-04-20 05:50:29', '2021-04-20 05:50:29', 16, 'Blocked User', 2, NULL, 1, 1, 1),
(978, 1, '2021-04-20 05:50:30', '2021-04-20 05:50:30', 17, 'Blocked User', 2, NULL, 1, 1, 1),
(979, 1, '2021-04-20 05:50:30', '2021-04-20 05:50:30', 18, 'Blocked User', 2, NULL, 1, 1, 1),
(980, 1, '2021-04-20 05:50:30', '2021-04-20 05:50:30', 19, 'Blocked User', 2, NULL, 1, 1, 1),
(981, 1, '2021-04-20 05:50:30', '2021-04-20 05:50:30', 20, 'Blocked User', 2, NULL, 1, 1, 1),
(982, 1, '2021-04-20 05:50:30', '2021-04-20 05:50:30', 21, 'Blocked User', 2, NULL, 1, 1, 1),
(983, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 22, 'Blocked User', 2, NULL, 1, 1, 1),
(984, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 23, 'Blocked User', 2, NULL, 1, 1, 1),
(985, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 24, 'Blocked User', 2, NULL, 1, 1, 1),
(986, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 25, 'Blocked User', 2, NULL, 1, 1, 1),
(987, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 26, 'Blocked User', 2, NULL, 1, 1, 1),
(988, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 27, 'Blocked User', 2, NULL, 1, 1, 1),
(989, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 28, 'Blocked User', 2, NULL, 1, 1, 1),
(990, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 29, 'Blocked User', 2, NULL, 1, 1, 1),
(991, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 30, 'Blocked User', 2, NULL, 1, 1, 1),
(992, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 31, 'Blocked User', 2, NULL, 1, 1, 1),
(993, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 32, 'Blocked User', 2, NULL, 1, 1, 1),
(994, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 33, 'Blocked User', 2, NULL, 1, 1, 1),
(995, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 34, 'Blocked User', 2, NULL, 1, 1, 1),
(996, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 35, 'Blocked User', 2, NULL, 1, 1, 1),
(997, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 36, 'Blocked User', 2, NULL, 1, 1, 1),
(998, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 37, 'Blocked User', 2, NULL, 1, 1, 1),
(999, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 38, 'Blocked User', 2, NULL, 1, 1, 1),
(1000, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 39, 'Blocked User', 2, NULL, 1, 1, 1),
(1001, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 40, 'Blocked User', 2, NULL, 1, 1, 1),
(1002, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 41, 'Blocked User', 2, NULL, 1, 1, 1),
(1003, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 42, 'Blocked User', 2, NULL, 1, 1, 1),
(1004, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 43, 'Blocked User', 2, NULL, 1, 1, 1),
(1005, 1, '2021-04-20 05:50:31', '2021-04-20 05:50:31', 44, 'Blocked User', 2, NULL, 1, 1, 1),
(1006, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 45, 'Blocked User', 2, NULL, 1, 1, 1),
(1007, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 46, 'Blocked User', 2, NULL, 1, 1, 1),
(1008, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 47, 'Blocked User', 2, NULL, 1, 1, 1),
(1009, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 48, 'Blocked User', 2, NULL, 1, 1, 1),
(1010, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 49, 'Blocked User', 2, NULL, 1, 1, 1),
(1011, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 50, 'Blocked User', 2, NULL, 1, 1, 1),
(1012, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 51, 'Blocked User', 2, NULL, 1, 1, 1),
(1013, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 52, 'Blocked User', 2, NULL, 1, 1, 1),
(1014, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 53, 'Blocked User', 2, NULL, 1, 1, 1),
(1015, 1, '2021-04-20 05:50:32', '2021-04-20 05:50:32', 54, 'Blocked User', 2, NULL, 1, 1, 1),
(1016, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 55, 'Blocked User', 2, NULL, 1, 1, 1),
(1017, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 554, 'Virtual Class', 2, NULL, 1, 1, 1),
(1018, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 555, 'Virtual Class', 2, NULL, 1, 1, 1),
(1019, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 559, 'Start Class', 2, NULL, 1, 1, 1),
(1020, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 564, 'Start Meeing', 2, NULL, 1, 1, 1),
(1021, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 900, 'Chat', 2, NULL, 1, 1, 1),
(1022, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 901, 'Chat Box', 2, NULL, 1, 1, 1),
(1023, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 902, 'New Chat', 2, NULL, 1, 1, 1),
(1024, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 903, 'Invitation', 2, NULL, 1, 1, 1),
(1025, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 904, 'Blocked User', 2, NULL, 1, 1, 1),
(1026, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 800, 'Lesson', 2, NULL, 1, 1, 1),
(1027, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 810, 'Lesson Plan', 2, NULL, 1, 1, 1),
(1028, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 815, 'Lesson Plan Overview', 2, NULL, 1, 1, 1),
(1029, 1, '2021-04-20 05:50:33', '2021-04-20 05:50:33', 56, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1030, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 57, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1031, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 58, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1032, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 59, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1033, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 60, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1034, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 61, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1035, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 62, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1036, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 63, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1037, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 64, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1038, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 65, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1039, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 66, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1040, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 67, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1041, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 68, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1042, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 69, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1043, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 70, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1044, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 71, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1045, 1, '2021-04-20 05:50:34', '2021-04-20 05:50:34', 72, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1046, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 73, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1047, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 74, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1048, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 75, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1049, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 76, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1050, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 77, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1051, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 78, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1052, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 79, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1053, 1, '2021-04-20 05:50:35', '2021-04-20 05:50:35', 80, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1054, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 81, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1055, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 82, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1056, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 83, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1057, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 84, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1058, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 85, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1059, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 86, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1060, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 87, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1061, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 88, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1062, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 89, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1063, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 90, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1064, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 91, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1065, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 92, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1066, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 93, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1067, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 94, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1068, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 95, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1069, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 96, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1070, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 97, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1071, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 98, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1072, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 99, 'Lesson Plan Overview', 3, NULL, 1, 1, 1),
(1073, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 900, 'Chat', 3, NULL, 1, 1, 1),
(1074, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 901, 'Chat Box', 3, NULL, 1, 1, 1),
(1075, 1, '2021-04-20 05:50:36', '2021-04-20 05:50:36', 902, 'New Chat', 3, NULL, 1, 1, 1),
(1076, 1, '2021-04-20 05:50:37', '2021-04-20 05:50:37', 903, 'Invitation', 3, NULL, 1, 1, 1),
(1077, 1, '2021-04-20 05:50:37', '2021-04-20 05:50:37', 904, 'Blocked User', 3, NULL, 1, 1, 1),
(1078, 1, '2021-04-20 05:50:37', '2021-04-20 05:50:37', 554, 'Virtual Class', 3, NULL, 1, 1, 1),
(1079, 1, '2021-04-20 05:50:38', '2021-04-20 05:50:38', 555, 'Virtual Class', 3, NULL, 1, 1, 1),
(1080, 1, '2021-04-20 05:50:38', '2021-04-20 05:50:38', 560, 'Virtual Meeting', 3, NULL, 1, 1, 1),
(1081, 1, '2021-04-20 05:50:38', '2021-04-20 05:50:38', 559, 'Start Class', 3, NULL, 1, 1, 1),
(1082, 1, '2021-04-20 05:50:38', '2021-04-20 05:50:38', 564, 'Start Meeing', 3, NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `infix_roles`
--

CREATE TABLE `infix_roles` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'System',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '1',
  `updated_by` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `is_saas` int(10) UNSIGNED DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `infix_roles`
--

INSERT INTO `infix_roles` (`id`, `name`, `type`, `active_status`, `created_by`, `updated_by`, `created_at`, `updated_at`, `school_id`, `is_saas`) VALUES
(1, 'Super admin', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(2, 'Student', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(3, 'Parents', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(4, 'Teacher', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(5, 'Admin', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(6, 'Accountant', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(7, 'Receptionist', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(8, 'Librarian', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0),
(9, 'Driver', 'System', 1, '1', '1', '2021-04-20 05:30:04', NULL, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `jobs`
--

CREATE TABLE `jobs` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint(3) UNSIGNED NOT NULL,
  `reserved_at` int(10) UNSIGNED DEFAULT NULL,
  `available_at` int(10) UNSIGNED NOT NULL,
  `created_at` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `languages`
--

CREATE TABLE `languages` (
  `id` int(10) UNSIGNED NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `native` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `rtl` tinyint(4) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `languages`
--

INSERT INTO `languages` (`id`, `code`, `name`, `native`, `rtl`, `created_at`, `updated_at`, `school_id`) VALUES
(1, 'af', 'Afrikaans', 'Afrikaans', 0, NULL, NULL, 1),
(2, 'am', 'Amharic', 'አማርኛ', 0, NULL, NULL, 1),
(3, 'ar', 'Arabic', 'العربية', 1, NULL, NULL, 1),
(4, 'ay', 'Aymara', 'Aymar', 0, NULL, NULL, 1),
(5, 'az', 'Azerbaijani', 'Azərbaycanca / آذربايجان', 0, NULL, NULL, 1),
(6, 'be', 'Belarusian', 'Беларуская', 0, NULL, NULL, 1),
(7, 'bg', 'Bulgarian', 'Български', 0, NULL, NULL, 1),
(8, 'bi', 'Bislama', 'Bislama', 0, NULL, NULL, 1),
(9, 'bn', 'Bengali', 'বাংলা', 0, NULL, NULL, 1),
(10, 'bs', 'Bosnian', 'Bosanski', 0, NULL, NULL, 1),
(11, 'ca', 'Catalan', 'Català', 0, NULL, NULL, 1),
(12, 'ch', 'Chamorro', 'Chamoru', 0, NULL, NULL, 1),
(13, 'cs', 'Czech', 'Česky', 0, NULL, NULL, 1),
(14, 'da', 'Danish', 'Dansk', 0, NULL, NULL, 1),
(15, 'de', 'German', 'Deutsch', 0, NULL, NULL, 1),
(16, 'dv', 'Divehi', 'ދިވެހިބަސް', 1, NULL, NULL, 1),
(17, 'dz', 'Dzongkha', 'ཇོང་ཁ', 0, NULL, NULL, 1),
(18, 'el', 'Greek', 'Ελληνικά', 0, NULL, NULL, 1),
(19, 'en', 'English', 'English', 0, NULL, NULL, 1),
(20, 'es', 'Spanish', 'Español', 0, NULL, NULL, 1),
(21, 'et', 'Estonian', 'Eesti', 0, NULL, NULL, 1),
(22, 'eu', 'Basque', 'Euskara', 0, NULL, NULL, 1),
(23, 'fa', 'Persian', 'فارسی', 1, NULL, NULL, 1),
(24, 'ff', 'Peul', 'Fulfulde', 0, NULL, NULL, 1),
(25, 'fi', 'Finnish', 'Suomi', 0, NULL, NULL, 1),
(26, 'fj', 'Fijian', 'Na Vosa Vakaviti', 0, NULL, NULL, 1),
(27, 'fo', 'Faroese', 'Føroyskt', 0, NULL, NULL, 1),
(28, 'fr', 'French', 'Français', 0, NULL, NULL, 1),
(29, 'ga', 'Irish', 'Gaeilge', 0, NULL, NULL, 1),
(30, 'gl', 'Galician', 'Galego', 0, NULL, NULL, 1),
(31, 'gn', 'Guarani', 'Avañe\'ẽ', 0, NULL, NULL, 1),
(32, 'gv', 'Manx', 'Gaelg', 0, NULL, NULL, 1),
(33, 'he', 'Hebrew', 'עברית', 1, NULL, NULL, 1),
(34, 'hi', 'Hindi', 'हिन्दी', 0, NULL, NULL, 1),
(35, 'hr', 'Croatian', 'Hrvatski', 0, NULL, NULL, 1),
(36, 'ht', 'Haitian', 'Krèyol ayisyen', 0, NULL, NULL, 1),
(37, 'hu', 'Hungarian', 'Magyar', 0, NULL, NULL, 1),
(38, 'hy', 'Armenian', 'Հայերեն', 0, NULL, NULL, 1),
(39, 'indo', 'Indonesian', 'Bahasa Indonesia', 0, NULL, NULL, 1),
(40, 'is', 'Icelandic', 'Íslenska', 0, NULL, NULL, 1),
(41, 'it', 'Italian', 'Italiano', 0, NULL, NULL, 1),
(42, 'ja', 'Japanese', '日本語', 0, NULL, NULL, 1),
(43, 'ka', 'Georgian', 'ქართული', 0, NULL, NULL, 1),
(44, 'kg', 'Kongo', 'KiKongo', 0, NULL, NULL, 1),
(45, 'kk', 'Kazakh', 'Қазақша', 0, NULL, NULL, 1),
(46, 'kl', 'Greenlandic', 'Kalaallisut', 0, NULL, NULL, 1),
(47, 'km', 'Cambodian', 'ភាសាខ្មែរ', 0, NULL, NULL, 1),
(48, 'ko', 'Korean', '한국어', 0, NULL, NULL, 1),
(49, 'ku', 'Kurdish', 'Kurdî / كوردی', 1, NULL, NULL, 1),
(50, 'ky', 'Kirghiz', 'Kırgızca / Кыргызча', 0, NULL, NULL, 1),
(51, 'la', 'Latin', 'Latina', 0, NULL, NULL, 1),
(52, 'lb', 'Luxembourgish', 'Lëtzebuergesch', 0, NULL, NULL, 1),
(53, 'ln', 'Lingala', 'Lingála', 0, NULL, NULL, 1),
(54, 'lo', 'Laotian', 'ລາວ / Pha xa lao', 0, NULL, NULL, 1),
(55, 'lt', 'Lithuanian', 'Lietuvių', 0, NULL, NULL, 1),
(56, 'lu', '', '', 0, NULL, NULL, 1),
(57, 'lv', 'Latvian', 'Latviešu', 0, NULL, NULL, 1),
(58, 'mg', 'Malagasy', 'Malagasy', 0, NULL, NULL, 1),
(59, 'mh', 'Marshallese', 'Kajin Majel / Ebon', 0, NULL, NULL, 1),
(60, 'mi', 'Maori', 'Māori', 0, NULL, NULL, 1),
(61, 'mk', 'Macedonian', 'Македонски', 0, NULL, NULL, 1),
(62, 'mn', 'Mongolian', 'Монгол', 0, NULL, NULL, 1),
(63, 'ms', 'Malay', 'Bahasa Melayu', 0, NULL, NULL, 1),
(64, 'mt', 'Maltese', 'bil-Malti', 0, NULL, NULL, 1),
(65, 'my', 'Burmese', 'မြန်မာစာ', 0, NULL, NULL, 1),
(66, 'na', 'Nauruan', 'Dorerin Naoero', 0, NULL, NULL, 1),
(67, 'nb', '', '', 0, NULL, NULL, 1),
(68, 'nd', 'North Ndebele', 'Sindebele', 0, NULL, NULL, 1),
(69, 'ne', 'Nepali', 'नेपाली', 0, NULL, NULL, 1),
(70, 'nl', 'Dutch', 'Nederlands', 0, NULL, NULL, 1),
(71, 'nn', 'Norwegian Nynorsk', 'Norsk (nynorsk)', 0, NULL, NULL, 1),
(72, 'no', 'Norwegian', 'Norsk (bokmål / riksmål)', 0, NULL, NULL, 1),
(73, 'nr', 'South Ndebele', 'isiNdebele', 0, NULL, NULL, 1),
(74, 'ny', 'Chichewa', 'Chi-Chewa', 0, NULL, NULL, 1),
(75, 'oc', 'Occitan', 'Occitan', 0, NULL, NULL, 1),
(76, 'pa', 'Panjabi / Punjabi', 'ਪੰਜਾਬੀ / पंजाबी / پنجابي', 0, NULL, NULL, 1),
(77, 'pl', 'Polish', 'Polski', 0, NULL, NULL, 1),
(78, 'ps', 'Pashto', 'پښتو', 1, NULL, NULL, 1),
(79, 'pt', 'Portuguese', 'Português', 0, NULL, NULL, 1),
(80, 'qu', 'Quechua', 'Runa Simi', 0, NULL, NULL, 1),
(81, 'rn', 'Kirundi', 'Kirundi', 0, NULL, NULL, 1),
(82, 'ro', 'Romanian', 'Română', 0, NULL, NULL, 1),
(83, 'ru', 'Russian', 'Русский', 0, NULL, NULL, 1),
(84, 'rw', 'Rwandi', 'Kinyarwandi', 0, NULL, NULL, 1),
(85, 'sg', 'Sango', 'Sängö', 0, NULL, NULL, 1),
(86, 'si', 'Sinhalese', 'සිංහල', 0, NULL, NULL, 1),
(87, 'sk', 'Slovak', 'Slovenčina', 0, NULL, NULL, 1),
(88, 'sl', 'Slovenian', 'Slovenščina', 0, NULL, NULL, 1),
(89, 'sm', 'Samoan', 'Gagana Samoa', 0, NULL, NULL, 1),
(90, 'sn', 'Shona', 'chiShona', 0, NULL, NULL, 1),
(91, 'so', 'Somalia', 'Soomaaliga', 0, NULL, NULL, 1),
(92, 'sq', 'Albanian', 'Shqip', 0, NULL, NULL, 1),
(93, 'sr', 'Serbian', 'Српски', 0, NULL, NULL, 1),
(94, 'ss', 'Swati', 'SiSwati', 0, NULL, NULL, 1),
(95, 'st', 'Southern Sotho', 'Sesotho', 0, NULL, NULL, 1),
(96, 'sv', 'Swedish', 'Svenska', 0, NULL, NULL, 1),
(97, 'sw', 'Swahili', 'Kiswahili', 0, NULL, NULL, 1),
(98, 'ta', 'Tamil', 'தமிழ்', 0, NULL, NULL, 1),
(99, 'tg', 'Tajik', 'Тоҷикӣ', 0, NULL, NULL, 1),
(100, 'th', 'Thai', 'ไทย / Phasa Thai', 0, NULL, NULL, 1),
(101, 'ti', 'Tigrinya', 'ትግርኛ', 0, NULL, NULL, 1),
(102, 'tk', 'Turkmen', 'Туркмен / تركمن', 0, NULL, NULL, 1),
(103, 'tn', 'Tswana', 'Setswana', 0, NULL, NULL, 1),
(104, 'to', 'Tonga', 'Lea Faka-Tonga', 0, NULL, NULL, 1),
(105, 'tr', 'Turkish', 'Türkçe', 0, NULL, NULL, 1),
(106, 'ts', 'Tsonga', 'Xitsonga', 0, NULL, NULL, 1),
(107, 'uk', 'Ukrainian', 'Українська', 0, NULL, NULL, 1),
(108, 'ur', 'Urdu', 'اردو', 1, NULL, NULL, 1),
(109, 'uz', 'Uzbek', 'Ўзбек', 0, NULL, NULL, 1),
(110, 've', 'Venda', 'Tshivenḓa', 0, NULL, NULL, 1),
(111, 'vi', 'Vietnamese', 'Tiếng Việt', 0, NULL, NULL, 1),
(112, 'xh', 'Xhosa', 'isiXhosa', 0, NULL, NULL, 1),
(113, 'zh', 'Chinese', '中文', 0, NULL, NULL, 1),
(114, 'zu', 'Zulu', 'isiZulu', 0, NULL, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `lesson_planners`
--

CREATE TABLE `lesson_planners` (
  `id` int(10) UNSIGNED NOT NULL,
  `day` int(11) DEFAULT NULL COMMENT '1=sat,2=sun,7=fri',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `lesson_id` int(11) DEFAULT NULL,
  `topic_id` int(11) DEFAULT NULL,
  `lesson_detail_id` int(11) NOT NULL,
  `topic_detail_id` int(11) NOT NULL,
  `sub_topic` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lecture_youube_link` text COLLATE utf8mb4_unicode_ci,
  `lecture_vedio` text COLLATE utf8mb4_unicode_ci,
  `attachment` text COLLATE utf8mb4_unicode_ci,
  `teaching_method` text COLLATE utf8mb4_unicode_ci,
  `general_objectives` text COLLATE utf8mb4_unicode_ci,
  `previous_knowlege` text COLLATE utf8mb4_unicode_ci,
  `comp_question` text COLLATE utf8mb4_unicode_ci,
  `zoom_setup` text COLLATE utf8mb4_unicode_ci,
  `presentation` text COLLATE utf8mb4_unicode_ci,
  `note` text COLLATE utf8mb4_unicode_ci,
  `lesson_date` date NOT NULL,
  `competed_date` date DEFAULT NULL,
  `completed_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `room_id` int(10) UNSIGNED DEFAULT NULL,
  `teacher_id` int(10) UNSIGNED DEFAULT NULL,
  `class_period_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `library_subjects`
--

CREATE TABLE `library_subjects` (
  `id` int(10) UNSIGNED NOT NULL,
  `subject_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sb_category_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject_code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'T',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `menu_manages`
--

CREATE TABLE `menu_manages` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `module_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT '0',
  `parent_position_no` int(11) DEFAULT '0',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `child_id` int(11) DEFAULT '0',
  `child_position_no` int(11) DEFAULT '0',
  `child_active_status` tinyint(4) NOT NULL DEFAULT '1',
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) UNSIGNED NOT NULL,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1, '2014_11_01_000001_create_sm_schools_table', 1),
(2, '2014_11_01_000021_create_sm_academic_years_table', 1),
(3, '2014_11_12_100000_create_password_resets_table', 1),
(4, '2014_11_13_000003_create_statuses_table', 1),
(5, '2014_12_01_000001_create_infix_roles_table', 1),
(6, '2014_12_01_000002_create_roles_table', 1),
(7, '2014_12_01_000003_create_users_table', 1),
(8, '2014_12_01_000004_create_sm_base_groups_table', 1),
(9, '2014_12_01_000005_create_sm_base_setups_table', 1),
(10, '2014_12_01_000006_create_sm_classes_table', 1),
(11, '2014_12_01_000007_create_sm_sections_table', 1),
(12, '2014_12_01_000008_create_sm_class_sections_table', 1),
(13, '2014_12_01_000009_create_sm_subjects_table', 1),
(14, '2014_12_01_000010_create_sm_visitors_table', 1),
(15, '2014_12_01_000011_create_sm_fees_groups_table', 1),
(16, '2014_12_01_000012_create_sm_fees_types_table', 1),
(17, '2014_12_01_000013_create_sm_fees_discounts_table', 1),
(18, '2014_12_01_000014_create_sm_income_heads_table', 1),
(19, '2014_12_01_000015_create_sm_chart_of_accounts_table', 1),
(20, '2014_12_01_000016_create_sm_bank_accounts_table', 1),
(21, '2014_12_01_000017_create_sm_payment_gateway_settings_table', 1),
(22, '2014_12_01_000018_create_sm_payment_methhods_table', 1),
(23, '2014_12_01_000019_create_sm_add_incomes_table', 1),
(24, '2014_12_01_000020_create_sm_student_groups_table', 1),
(25, '2014_12_01_000022_create_sm_sessions_table', 1),
(26, '2014_12_01_000023_create_sm_dormitory_lists_table', 1),
(27, '2014_12_01_000024_create_sm_room_types_table', 1),
(28, '2014_12_01_000025_create_sm_room_lists_table', 1),
(29, '2014_12_01_000026_create_sm_designations_table', 1),
(30, '2014_12_01_000027_create_sm_human_departments_table', 1),
(31, '2014_12_01_000028_create_sm_staffs_table', 1),
(32, '2014_12_01_000029_create_sm_vehicles_table', 1),
(33, '2014_12_01_000030_create_sm_routes_table', 1),
(34, '2014_12_01_000031_create_sm_instructions_table', 1),
(35, '2014_12_01_000032_create_sm_question_levels_table', 1),
(36, '2014_12_01_000033_create_sm_question_groups_table', 1),
(37, '2014_12_01_000034_create_sm_question_banks_table', 1),
(38, '2014_12_01_000035_create_sm_online_exams_table', 1),
(39, '2014_12_01_000036_create_sm_exam_types_table', 1),
(40, '2014_12_01_000037_create_sm_marks_grades_table', 1),
(41, '2014_12_01_000038_create_sm_exams_table', 1),
(42, '2014_12_01_000039_create_sm_hourly_rates_table', 1),
(43, '2014_12_01_000040_create_sm_leave_types_table', 1),
(44, '2014_12_01_000041_create_sm_leave_defines_table', 1),
(45, '2014_12_01_000042_create_sm_leave_requests_table', 1),
(46, '2014_12_01_000043_create_sm_expense_heads_table', 1),
(47, '2014_12_01_000044_create_sm_add_expenses_table', 1),
(48, '2014_12_01_000045_create_sm_fees_masters_table', 1),
(49, '2014_12_01_000046_create_sm_setup_admins_table', 1),
(50, '2014_12_01_000047_create_sm_complaints_table', 1),
(51, '2014_12_01_000048_create_sm_postal_receives_table', 1),
(52, '2014_12_01_000049_create_sm_postal_dispatches_table', 1),
(53, '2014_12_01_000050_create_sm_phone_call_logs_table', 1),
(54, '2014_12_01_000051_create_sm_student_categories_table', 1),
(55, '2014_12_01_000052_create_sm_parents_table', 1),
(56, '2014_12_01_000054_create_sm_students_table', 1),
(57, '2014_12_01_000055_create_sm_student_attendances_table', 1),
(58, '2014_12_01_000056_create_sm_student_promotions_table', 1),
(59, '2014_12_01_000057_create_sm_staff_attendences_table', 1),
(60, '2014_12_01_000058_create_sm_student_homeworks_table', 1),
(61, '2014_12_01_000059_create_sm_teacher_upload_contents_table', 1),
(62, '2014_12_01_000060_create_sm_hr_salary_templates_table', 1),
(63, '2014_12_01_000061_create_sm_hr_payroll_generates_table', 1),
(64, '2014_12_01_000062_create_sm_exam_marks_registers_table', 1),
(65, '2014_12_01_000063_create_sm_marks_send_sms_table', 1),
(66, '2014_12_01_000064_create_sm_class_routines_table', 1),
(67, '2014_12_01_000064_create_sm_class_times_table', 1),
(68, '2014_12_01_000065_create_languages_table', 1),
(69, '2014_12_01_000065_create_sm_assign_subjects_table', 1),
(70, '2014_12_01_000066_create_sm_modules_table', 1),
(71, '2014_12_01_000067_create_sm_languages_table', 1),
(72, '2014_12_01_000068_create_sm_date_formats_table', 1),
(73, '2014_12_01_000069_create_sm_news_categories_table', 1),
(74, '2016_06_01_000001_create_oauth_auth_codes_table', 1),
(75, '2016_06_01_000002_create_oauth_access_tokens_table', 1),
(76, '2016_06_01_000003_create_oauth_refresh_tokens_table', 1),
(77, '2016_06_01_000004_create_oauth_clients_table', 1),
(78, '2016_06_01_000005_create_oauth_personal_access_clients_table', 1),
(79, '2018_08_08_100000_create_telescope_entries_table', 1),
(80, '2018_12_04_050352_create_sm_notice_boards_table', 1),
(81, '2018_12_04_051648_create_sm_send_messages_table', 1),
(82, '2018_12_04_060828_create_sm_events_table', 1),
(83, '2018_12_04_062330_create_sm_holidays_table', 1),
(84, '2018_12_04_062714_create_sm_book_categories_table', 1),
(85, '2018_12_04_063012_create_sm_books_table', 1),
(86, '2018_12_04_075138_create_sm_library_members_table', 1),
(87, '2018_12_04_075911_create_sm_book_issues_table', 1),
(88, '2018_12_13_093741_create_sm_fees_carry_forwards_table', 1),
(89, '2018_12_17_104146_create_sm_fees_assigns_table', 1),
(90, '2018_12_17_111529_create_sm_hr_payroll_earn_deducs_table', 1),
(91, '2018_12_20_064256_create_sm_fees_assign_discounts_table', 1),
(92, '2018_12_20_090159_create_sm_fees_payments_table', 1),
(93, '2018_12_24_052328_create_sm_homeworks_table', 1),
(94, '2018_12_26_084518_create_sm_homework_students_table', 1),
(95, '2018_12_28_054159_create_sm_upload_contents_table', 1),
(96, '2018_12_28_075918_create_sm_content_types_table', 1),
(97, '2018_12_28_122146_create_sm_assign_class_teachers_table', 1),
(98, '2018_12_28_122205_create_sm_class_teachers_table', 1),
(99, '2018_12_31_112538_create_sm_exam_schedules_table', 1),
(100, '2018_12_31_112600_create_sm_exam_schedule_subjects_table', 1),
(101, '2019_01_02_061148_create_sm_marks_registers_table', 1),
(102, '2019_01_02_061238_create_sm_marks_register_children_table', 1),
(103, '2019_01_03_105718_create_sm_class_rooms_table', 1),
(104, '2019_01_06_060144_create_sm_seat_plans_table', 1),
(105, '2019_01_06_060213_create_sm_seat_plan_children_table', 1),
(106, '2019_01_07_132108_create_sm_exam_attendances_table', 1),
(107, '2019_01_07_132220_create_sm_exam_attendance_children_table', 1),
(108, '2019_01_09_101421_create_sm_online_exam_questions_table', 1),
(109, '2019_01_09_101533_create_sm_online_exam_question_mu_options_table', 1),
(110, '2019_01_10_050231_create_sm_item_categories_table', 1),
(111, '2019_01_10_050645_create_sm_items_table', 1),
(112, '2019_01_10_054622_create_sm_item_stores_table', 1),
(113, '2019_01_10_070859_create_sm_suppliers_table', 1),
(114, '2019_01_10_112518_create_sm_item_receives_table', 1),
(115, '2019_01_12_104449_create_sm_item_receive_children_table', 1),
(116, '2019_01_13_113100_create_sm_online_exam_marks_table', 1),
(117, '2019_01_14_061003_create_sm_assign_vehicles_table', 1),
(118, '2019_01_16_065238_create_sm_module_links_table', 1),
(119, '2019_01_19_094137_create_sm_inventory_payments_table', 1),
(120, '2019_01_21_063031_create_sm_student_excel_formats_table', 1),
(121, '2019_01_21_131008_create_sm_item_sells_table', 1),
(122, '2019_01_22_104243_create_sm_item_sell_children_table', 1),
(123, '2019_01_23_121931_create_sm_item_issues_table', 1),
(124, '2019_01_26_054046_create_sm_sms_gateways_table', 1),
(125, '2019_01_30_122524_create_sm_student_documents_table', 1),
(126, '2019_01_31_052142_create_sm_student_timelines_table', 1),
(127, '2019_01_31_101401_create_sm_question_bank_mu_options_table', 1),
(128, '2019_02_02_043028_create_sm_online_exam_question_assigns_table', 1),
(129, '2019_02_02_112647_create_sm_student_take_online_exams_table', 1),
(130, '2019_02_02_112719_create_sm_student_take_online_exam_questions_table', 1),
(131, '2019_02_02_115540_create_sm_student_take_onln_ex_ques_options_table', 1),
(132, '2019_02_09_050800_create_sm_email_sms_logs_table', 1),
(133, '2019_02_10_125119_create_sm_general_settings_table', 1),
(134, '2019_02_11_093834_create_sm_user_logs_table', 1),
(135, '2019_02_12_064024_create_sm_email_settings_table', 1),
(136, '2019_02_16_082050_create_sm_student_certificates_table', 1),
(137, '2019_02_17_124203_create_sm_student_id_cards_table', 1),
(138, '2019_02_24_124115_create_sm_to_dos_table', 1),
(139, '2019_03_13_075602_create_sm_admission_queries_table', 1),
(140, '2019_03_14_075324_create_sm_admission_query_followups_table', 1),
(141, '2019_04_04_124508_create_sm_backups_table', 1),
(142, '2019_04_10_054237_create_sm_temporary_meritlists', 1),
(143, '2019_04_13_062212_create_sm_exam_setups_table', 1),
(144, '2019_04_15_055616_create_sm_mark_stores_table', 1),
(145, '2019_04_17_101844_create_sm_result_stores_table', 1),
(146, '2019_04_21_071626_create_sm_class_routine_updates_table', 1),
(147, '2019_04_23_051315_create_sm_weekends_table', 1),
(148, '2019_04_25_164649_create_sm_countries_table', 1),
(149, '2019_04_27_121353_create_sm_language_phrases_table', 1),
(150, '2019_04_28_074534_create_sm_notifications_table', 1),
(151, '2019_04_30_181622_create_continents_table', 1),
(152, '2019_04_30_181730_create_countries_table', 1),
(153, '2019_05_07_103627_create_sm_currencies_table', 1),
(154, '2019_05_26_095459_create_sm_news_table', 1),
(155, '2019_05_27_103844_create_sm_testimonials_table', 1),
(156, '2019_06_01_113053_create_sm_contact_pages_table', 1),
(157, '2019_06_01_165107_create_sm_contact_messages_table', 1),
(158, '2019_06_10_155041_create_sm_product_purchases_table', 1),
(159, '2019_06_11_112109_create_sm_about_pages_table', 1),
(160, '2019_06_12_143430_create_sm_courses_table', 1),
(161, '2019_07_17_182142_create_sm_dashboard_settings_table', 1),
(162, '2019_07_18_141858_create_sm_background_settings_table', 1),
(163, '2019_07_20_151115_create_sm_custom_links_table', 1),
(164, '2019_07_20_183407_create_sm_frontend_persmissions_table', 1),
(165, '2019_07_21_110814_create_sm_home_page_settings_table', 1),
(166, '2019_09_01_171428_create_sm_system_versions_table', 1),
(167, '2019_09_06_113029_create_continets_table', 1),
(168, '2019_09_09_142112_create_sm_styles_table', 1),
(169, '2019_09_25_183656_create_sm_module_permissions_table', 1),
(170, '2019_09_26_115256_create_sm_module_permission_assigns_table', 1),
(171, '2019_10_16_160104_create_sm_time_zones_table', 1),
(172, '2019_11_27_120508_create_sm_student_attendance_imports_table', 1),
(173, '2019_11_27_181351_create_sm_staff_attendance_imports_table', 1),
(174, '2020_01_23_125935_create_sm_optional_subject_assigns_table', 1),
(175, '2020_01_26_112215_create_sm_class_optional_subject', 1),
(176, '2020_01_28_103859_create_sm_news_pages_table', 1),
(177, '2020_01_28_121210_create_sm_course_pages_table', 1),
(178, '2020_01_29_110503_create_sm_subject_attendances_table', 1),
(179, '2020_02_05_105739_create_custom_result_settings_table', 1),
(180, '2020_02_05_131307_create_sm_custom_temporary_results_table', 1),
(181, '2020_03_09_153421_create_sm_add_ons_table', 1),
(182, '2020_03_14_123955_create_sms_templates_table', 1),
(183, '2020_03_21_200226_create_sm_social_media_icons_table', 1),
(184, '2020_03_29_102518_create_sm_upload_homework_contents_table', 1),
(185, '2020_04_01_060324_create_jobs_table', 1),
(186, '2020_04_11_141636_create_infix_module_infos_table', 1),
(187, '2020_04_12_125728_create_infix_permission_assigns_table', 1),
(188, '2020_04_16_064434_create_infix_module_student_parent_infos_table', 1),
(189, '2020_06_10_193309_create_infix_module_managers_table', 1),
(190, '2020_06_17_091643_create_student_bulk_temporaries_table', 1),
(191, '2020_06_22_120034_create_student_attendance_bulks_table', 1),
(192, '2020_06_26_144311_create_library_subjects_table', 1),
(193, '2020_07_14_052504_create_sm_bank_payment_slips_table', 1),
(194, '2020_08_21_053415_create_check_classes_table', 1),
(195, '2020_10_27_071255_create_sm_leave_deduction_infos_table', 1),
(196, '2020_11_16_065239_create_sm_role_permissions_table', 1),
(197, '2020_11_18_113808_create_sm_lessons_table', 1),
(198, '2020_11_18_121616_create_sm_lesson_details_table', 1),
(199, '2020_11_20_044018_create_sm_lesson_topics_table', 1),
(200, '2020_11_20_045211_create_sm_lesson_topic_details_table', 1),
(201, '2020_12_07_101416_create_online_exam_student_answer_markings_table', 1),
(202, '2020_12_10_095530_create_lesson_planners_table', 1),
(203, '2021_01_18_121007_create_sm_bank_statements_table', 1),
(204, '2021_01_27_103347_create_sm_exam_settings_table', 1),
(205, '2021_02_01_042422_create_sm_amount_transfers_table', 1),
(206, '2021_02_15_111736_create_invitations_table', 1),
(207, '2021_02_15_130414_create_conversations_table', 1),
(208, '2021_02_17_165101_create_block_users_table', 1),
(209, '2021_03_01_131441_create_notifications_table', 1),
(210, '2021_03_03_112535_create_groups_table', 1),
(211, '2021_03_03_112734_create_group_users_table', 1),
(212, '2021_03_03_112908_create_group_message_recipients_table', 1),
(213, '2021_03_14_131442_create_menu_manages_table', 1),
(214, '2021_03_14_131748_create_sidebars_table', 1),
(215, '2021_03_15_112756_create_sm_pages_table', 1),
(216, '2021_03_18_071730_create_sm_header_menu_managers_table', 1),
(217, '2021_03_18_172321_create_group_message_removes_table', 1),
(218, '2021_03_22_121237_create_sm_course_categories_table', 1),
(219, '2021_03_24_133318_create_user_menus_table', 1),
(220, '2021_03_31_053231_create_invitation_types_table', 1);

-- --------------------------------------------------------

--
-- Table structure for table `notifications`
--

CREATE TABLE `notifications` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint(20) UNSIGNED NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_access_tokens`
--

CREATE TABLE `oauth_access_tokens` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `client_id` int(10) UNSIGNED NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `scopes` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `revoked` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `expires_at` datetime DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_auth_codes`
--

CREATE TABLE `oauth_auth_codes` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `client_id` int(10) UNSIGNED NOT NULL,
  `scopes` text COLLATE utf8mb4_unicode_ci,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_clients`
--

CREATE TABLE `oauth_clients` (
  `id` int(10) UNSIGNED NOT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `provider` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `secret` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `redirect` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `personal_access_client` tinyint(1) NOT NULL,
  `password_client` tinyint(1) NOT NULL,
  `revoked` tinyint(1) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `oauth_clients`
--

INSERT INTO `oauth_clients` (`id`, `user_id`, `provider`, `name`, `secret`, `redirect`, `personal_access_client`, `password_client`, `revoked`, `created_at`, `updated_at`) VALUES
(1, NULL, NULL, 'Laravel Personal Access Client', '2e1LEl0zBTmD8XN4sa0meCTtKslUBpShKW4AGrej', 'http://localhost', 1, 0, 0, NULL, NULL),
(2, NULL, 'users', 'Laravel Password Grant Client', 'oDaHAi0ml3To8OC7Da10TGVUm7zjhMyq00cmwoDZ', 'http://localhost', 0, 1, 0, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `oauth_personal_access_clients`
--

CREATE TABLE `oauth_personal_access_clients` (
  `id` int(10) UNSIGNED NOT NULL,
  `client_id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `oauth_personal_access_clients`
--

INSERT INTO `oauth_personal_access_clients` (`id`, `client_id`, `created_at`, `updated_at`) VALUES
(1, 1, '2021-04-20 05:36:18', '2021-04-20 05:36:18');

-- --------------------------------------------------------

--
-- Table structure for table `oauth_refresh_tokens`
--

CREATE TABLE `oauth_refresh_tokens` (
  `id` int(10) UNSIGNED NOT NULL,
  `access_token_id` bigint(20) DEFAULT NULL,
  `revoked` tinyint(1) NOT NULL,
  `expires_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `online_exam_student_answer_markings`
--

CREATE TABLE `online_exam_student_answer_markings` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `online_exam_id` int(11) DEFAULT NULL,
  `student_id` int(11) DEFAULT NULL,
  `question_id` int(11) DEFAULT NULL,
  `user_answer` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `answer_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `obtain_marks` int(11) DEFAULT NULL,
  `school_id` int(11) DEFAULT NULL,
  `marked_by` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `password_resets`
--

CREATE TABLE `password_resets` (
  `email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `roles`
--

CREATE TABLE `roles` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'System',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '1',
  `updated_by` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `roles`
--

INSERT INTO `roles` (`id`, `name`, `type`, `active_status`, `created_by`, `updated_by`, `created_at`, `updated_at`, `school_id`) VALUES
(1, 'Super admin', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(2, 'Student', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(3, 'Parents', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(4, 'Teacher', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(5, 'Admin', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(6, 'Accountant', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(7, 'Receptionist', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(8, 'Librarian', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1),
(9, 'Driver', 'System', 1, '1', '1', '2021-04-20 05:30:06', NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sidebars`
--

CREATE TABLE `sidebars` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `module_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT '0',
  `child_id` int(11) DEFAULT '0',
  `lan_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_class` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_saas` tinyint(4) NOT NULL DEFAULT '0',
  `route` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `infix_module_id` int(10) UNSIGNED DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sms_templates`
--

CREATE TABLE `sms_templates` (
  `id` int(10) UNSIGNED NOT NULL,
  `admission_pro` longtext COLLATE utf8mb4_unicode_ci,
  `student_admit` longtext COLLATE utf8mb4_unicode_ci,
  `login_disable` longtext COLLATE utf8mb4_unicode_ci,
  `exam_schedule` longtext COLLATE utf8mb4_unicode_ci,
  `exam_publish` longtext COLLATE utf8mb4_unicode_ci,
  `due_fees` longtext COLLATE utf8mb4_unicode_ci,
  `collect_fees` longtext COLLATE utf8mb4_unicode_ci,
  `stu_promote` longtext COLLATE utf8mb4_unicode_ci,
  `attendance_sms` longtext COLLATE utf8mb4_unicode_ci,
  `absent` longtext COLLATE utf8mb4_unicode_ci,
  `late_sms` longtext COLLATE utf8mb4_unicode_ci,
  `er_checkout` longtext COLLATE utf8mb4_unicode_ci,
  `st_checkout` longtext COLLATE utf8mb4_unicode_ci,
  `st_credentials` longtext COLLATE utf8mb4_unicode_ci,
  `staff_credentials` longtext COLLATE utf8mb4_unicode_ci,
  `holiday` longtext COLLATE utf8mb4_unicode_ci,
  `leave_app` longtext COLLATE utf8mb4_unicode_ci,
  `approve_sms` longtext COLLATE utf8mb4_unicode_ci,
  `birth_st` longtext COLLATE utf8mb4_unicode_ci,
  `birth_staff` longtext COLLATE utf8mb4_unicode_ci,
  `cheque_bounce` longtext COLLATE utf8mb4_unicode_ci,
  `l_issue_b` longtext COLLATE utf8mb4_unicode_ci,
  `re_issue_book` longtext COLLATE utf8mb4_unicode_ci,
  `sms_text` longtext COLLATE utf8mb4_unicode_ci,
  `reject_bank_payment_parent` longtext COLLATE utf8mb4_unicode_ci,
  `reject_bank_payment_student` longtext COLLATE utf8mb4_unicode_ci,
  `student_approve_message_sms` longtext COLLATE utf8mb4_unicode_ci,
  `student_approve_message_sms_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '1 enable, 3 disable',
  `student_registration_message_sms` longtext COLLATE utf8mb4_unicode_ci,
  `student_registration_message_sms_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '1 enable, 3 disable',
  `student_admission_message_sms` longtext COLLATE utf8mb4_unicode_ci,
  `student_admission_message_sms_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '1 enable, 3 disable',
  `exam_schedule_message_sms` longtext COLLATE utf8mb4_unicode_ci,
  `exam_schedule_message_sms_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '1 enable, 3 disable',
  `dues_fees_message_sms` longtext COLLATE utf8mb4_unicode_ci,
  `dues_fees_message_sms_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '1 enable, 3 disable',
  `student_absent_notification_sms` longtext COLLATE utf8mb4_unicode_ci,
  `student_absent_notification_sms_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1' COMMENT '1 enable, 3 disable',
  `password_reset_message` longtext COLLATE utf8mb4_unicode_ci,
  `student_login_credential_message` longtext COLLATE utf8mb4_unicode_ci,
  `guardian_login_credential_message` longtext COLLATE utf8mb4_unicode_ci,
  `student_registration_message` longtext COLLATE utf8mb4_unicode_ci,
  `guardian_registration_message` longtext COLLATE utf8mb4_unicode_ci,
  `staff_login_credential_message` longtext COLLATE utf8mb4_unicode_ci,
  `send_email_message` longtext COLLATE utf8mb4_unicode_ci,
  `dues_payment_message` longtext COLLATE utf8mb4_unicode_ci,
  `email_footer_text` longtext COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sms_templates`
--

INSERT INTO `sms_templates` (`id`, `admission_pro`, `student_admit`, `login_disable`, `exam_schedule`, `exam_publish`, `due_fees`, `collect_fees`, `stu_promote`, `attendance_sms`, `absent`, `late_sms`, `er_checkout`, `st_checkout`, `st_credentials`, `staff_credentials`, `holiday`, `leave_app`, `approve_sms`, `birth_st`, `birth_staff`, `cheque_bounce`, `l_issue_b`, `re_issue_book`, `sms_text`, `reject_bank_payment_parent`, `reject_bank_payment_student`, `student_approve_message_sms`, `student_approve_message_sms_status`, `student_registration_message_sms`, `student_registration_message_sms_status`, `student_admission_message_sms`, `student_admission_message_sms_status`, `exam_schedule_message_sms`, `exam_schedule_message_sms_status`, `dues_fees_message_sms`, `dues_fees_message_sms_status`, `student_absent_notification_sms`, `student_absent_notification_sms_status`, `password_reset_message`, `student_login_credential_message`, `guardian_login_credential_message`, `student_registration_message`, `guardian_registration_message`, `staff_login_credential_message`, `send_email_message`, `dues_payment_message`, `email_footer_text`, `active_status`, `created_at`, `updated_at`) VALUES
(1, 'Dear parent |ParentName|, your child |StudentName| admission is in process.', 'Dear parent |ParentName|, your child |StudentName| admission is completed You can login to your account using username:|Username| Password:|Password|', 'hello world', 'hello world', 'hello world', 'Fee Due Reminder for your child |StudentName|. \r\n                                Dear Parent |ParentName|, please find the below fee summary.\r\n                                Fee: Rs.|Fee|, Back dues \r\n                                Adjustment: Rs.|Adjustment|, \r\n                                Total: Rs.|Total|, \r\n                                Paid: Rs.|Paid|, \r\n                                Balance: Rs.|Balance|. \r\n                                Please ignore in case already paid.', 'Fee Due Reminder for your child |StudentName|. \r\n                                Dear Parent |ParentName|, please find the below fee summary.\r\n                                Fee: Rs.|Fee|, Back dues \r\n                                Adjustment: Rs.|Adjustment|, \r\n                                Total: Rs.|Total|, \r\n                                Paid: Rs.|Paid|, \r\n                                Balance: Rs.|Balance|. \r\n                                Please ignore in case already paid.', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have promoted in the next class.', 'Dear Parent |ParentName|, your child |StudentName| came to the school at |time|', 'Dear parent |ParentName|, your child |StudentName| is absent to the school on |AttendanceDate|', 'Dear parent |ParentName|, your child |StudentName| is late to the school on |AttendanceDate|', 'Dear parent |ParentName|, your child |StudentName| is checkout  at |time| to the school on |AttendanceDate|', 'Dear Parent |ParentName|, your child |StudentName| left the school at |time|', 'Dear parent |ParentName|, your child |StudentName| login details: username:|Username| Password:|Password|', 'Dear staff |StaffName| your login details: username:|Username| Password:|Password|', 'This is to update you that |HolidayDate| is holiday due to |HolidayName|', 'Dear staff |StaffName|, Thank you for your leave application. Please wait for approval. Thanks ', 'Dear staff |StaffName|, Thank you for your leave application. Your leave approved. Thanks ', 'Dear parent |ParentName|, Warm wishes to your child  |StudentName| on behalf of his/her birthday', 'Dear staff |StaffName|, Warm wishes to your birthday. Happy Birthday. Thanks', 'Dear parent |ParentName|, the Cheque with no :|ChequeNo| for Rs.|FeePaid| received towards fee payment for your child :|StudentName| with receipt number:|ReceiptNo| has been Bounced', 'Dear parent |ParentName|, Library book  is issued to your child |StudentName| studying in class: |ClassName| , section: |SectionName| with roll no:|RollNo| On |IssueDate| .Please find the details , Book Title: |BookTitle|, Book No: |BookNo|, Due Date: |DueDate|', 'Dear parent |ParentName|, Library book  is returned by your child |StudentName| studying in class: |ClassName| , section: |SectionName| with roll no:|RollNo| On |ReturnDate| .Please find the details , Book Title: |BookTitle|, Book No: |BookNo|, Issue Date: |IssueDate|, Due Date: |DueDate|', 'hello world', 'Dear parent [parent_name], your child [student_name] fees rejected . Reject Note [note] [date]. ', 'Dear student [student_name], fees rejected . Reject Note [note] at [date] . ', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', '1', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', '1', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', '1', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', '1', 'Hi [student_name], You fees due amount [dues_amount] for [fees_name] on [date]. Thanks', '1', 'Hi [parent_name], Your child [student_name] absent for [number_of_subject] subjects. Those are [subject_list] on [date]. Thanks', '1', 'Hi [name], Tap the button below to reset your account password. If you didnt request a new password, you can safely delete this email.', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', 'Hi [father_name]  , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', 'Hi [student_name] , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', 'Hi [father_name]  , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', 'Hi [father_name]  , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', 'Hi [father_name]  , Welcome to [school_name]. Congratulations ! You have registered successfully. Please login using this username [username] and password [password]. Thanks.', 'Hi [student_name], You fees due amount [due_amount] for [fees_name] on [date]. Thanks', 'Copyright &copy; 2020 All rights reserved | This template is made by Codethemes', 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sm_about_pages`
--

CREATE TABLE `sm_about_pages` (
  `id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `main_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_about_pages`
--

INSERT INTO `sm_about_pages` (`id`, `created_at`, `updated_at`, `title`, `description`, `main_title`, `main_description`, `image`, `main_image`, `button_text`, `button_url`, `active_status`, `created_by`, `updated_by`, `school_id`) VALUES
(1, NULL, NULL, 'About Infix', 'Lisus consequat sapien metus dis urna, facilisi. Nonummy rutrum eu lacinia platea a, ipsum parturient, orci tristique. Nisi diam natoque.', 'Under Graduate Education', 'INFIX has all in one place. You’ll find everything what you are looking into education management system software. We care! User will never bothered in our real eye catchy user friendly UI & UX  Interface design. You know! Smart Idea always comes to well planners. And Our INFIX is Smart for its Well Documentation. Explore in new support world! It’s now faster & quicker. You’ll find us on Support Ticket, Email, Skype, WhatsApp.', 'public/uploads/about_page/about.jpg', 'public/uploads/about_page/about-img.jpg', 'Learn More About Us', 'about', 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_academic_years`
--

CREATE TABLE `sm_academic_years` (
  `id` int(10) UNSIGNED NOT NULL,
  `year` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `starting_date` date NOT NULL,
  `ending_date` date NOT NULL,
  `copy_with_academic_year` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `updated_at` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_academic_years`
--

INSERT INTO `sm_academic_years` (`id`, `year`, `title`, `starting_date`, `ending_date`, `copy_with_academic_year`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, '2021', 'Jan-Dec', '2021-01-01', '2021-12-30', NULL, 1, '2021-01-01 00:00:00', '2021-01-01 00:00:00', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_add_expenses`
--

CREATE TABLE `sm_add_expenses` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `item_receive_id` int(11) DEFAULT NULL,
  `inventory_id` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `expense_head_id` int(10) UNSIGNED DEFAULT NULL,
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `payment_method_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_add_incomes`
--

CREATE TABLE `sm_add_incomes` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `item_sell_id` int(11) DEFAULT NULL,
  `fees_collection_id` int(11) DEFAULT NULL,
  `inventory_id` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `income_head_id` int(10) UNSIGNED DEFAULT NULL,
  `account_id` int(10) UNSIGNED DEFAULT NULL,
  `payment_method_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_add_ons`
--

CREATE TABLE `sm_add_ons` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_admission_queries`
--

CREATE TABLE `sm_admission_queries` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `description` text COLLATE utf8mb4_unicode_ci,
  `date` date DEFAULT NULL,
  `follow_up_date` date DEFAULT NULL,
  `next_follow_up_date` date DEFAULT NULL,
  `assigned` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference` int(11) DEFAULT NULL,
  `source` int(11) DEFAULT NULL,
  `no_of_child` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `class` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_admission_query_followups`
--

CREATE TABLE `sm_admission_query_followups` (
  `id` int(10) UNSIGNED NOT NULL,
  `response` text COLLATE utf8mb4_unicode_ci,
  `note` text COLLATE utf8mb4_unicode_ci,
  `date` date DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `admission_query_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_amount_transfers`
--

CREATE TABLE `sm_amount_transfers` (
  `id` int(10) UNSIGNED NOT NULL,
  `amount` int(11) DEFAULT NULL,
  `purpose` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_payment_method` int(11) DEFAULT NULL,
  `from_bank_name` int(11) DEFAULT NULL,
  `to_payment_method` int(11) DEFAULT NULL,
  `to_bank_name` int(11) DEFAULT NULL,
  `transfer_date` date DEFAULT NULL,
  `active_status` tinyint(4) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_assign_class_teachers`
--

CREATE TABLE `sm_assign_class_teachers` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_assign_subjects`
--

CREATE TABLE `sm_assign_subjects` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `teacher_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_assign_vehicles`
--

CREATE TABLE `sm_assign_vehicles` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `vehicle_id` int(10) UNSIGNED DEFAULT NULL,
  `route_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_background_settings`
--

CREATE TABLE `sm_background_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` int(11) NOT NULL DEFAULT '0',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_background_settings`
--

INSERT INTO `sm_background_settings` (`id`, `title`, `type`, `image`, `color`, `is_default`, `school_id`, `created_at`, `updated_at`) VALUES
(1, 'Dashboard Background', 'image', 'public/backEnd/img/body-bg.jpg', '', 1, 1, NULL, NULL),
(2, 'Login Background', 'image', 'public/backEnd/img/login-bg.jpg', '', 0, 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sm_backups`
--

CREATE TABLE `sm_backups` (
  `id` int(10) UNSIGNED NOT NULL,
  `file_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `source_link` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_type` tinyint(4) DEFAULT NULL COMMENT '0=Database, 1=File, 2=Image',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_bank_accounts`
--

CREATE TABLE `sm_bank_accounts` (
  `id` int(10) UNSIGNED NOT NULL,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `opening_balance` int(11) DEFAULT NULL,
  `current_balance` int(11) DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_bank_payment_slips`
--

CREATE TABLE `sm_bank_payment_slips` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `date` date NOT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `slip` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `bank_id` int(11) DEFAULT NULL,
  `approve_status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0 pending, 1 approve',
  `payment_mode` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'Bk= bank, Cq=Cheque',
  `reason` text COLLATE utf8mb4_unicode_ci,
  `fees_discount_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_type_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED NOT NULL,
  `section_id` int(10) UNSIGNED NOT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_bank_statements`
--

CREATE TABLE `sm_bank_statements` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `bank_id` int(11) DEFAULT NULL,
  `after_balance` int(11) DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `type` varchar(11) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '1 for Income 0 for Expense',
  `payment_method` int(10) UNSIGNED DEFAULT NULL,
  `details` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_receive_id` int(11) DEFAULT NULL,
  `item_receive_bank_statement_id` int(11) DEFAULT NULL,
  `item_sell_bank_statement_id` int(11) DEFAULT NULL,
  `item_sell_id` int(11) DEFAULT NULL,
  `payment_date` date DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `school_id` int(11) DEFAULT '1',
  `academic_id` int(11) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_base_groups`
--

CREATE TABLE `sm_base_groups` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_base_groups`
--

INSERT INTO `sm_base_groups` (`id`, `name`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'Gender', 1, '2021-04-20 05:30:30', NULL, 1, 1, 1),
(2, 'Religion', 1, '2021-04-20 05:30:30', NULL, 1, 1, 1),
(3, 'Blood Group', 1, '2021-04-20 05:30:30', NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_base_setups`
--

CREATE TABLE `sm_base_setups` (
  `id` int(10) UNSIGNED NOT NULL,
  `base_setup_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `base_group_id` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_base_setups`
--

INSERT INTO `sm_base_setups` (`id`, `base_setup_name`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `base_group_id`, `school_id`) VALUES
(1, 'Male', 1, '2021-04-20 05:30:36', NULL, 1, 1, 1, 1),
(2, 'Female', 1, '2021-04-20 05:30:36', NULL, 1, 1, 1, 1),
(3, 'Others', 1, '2021-04-20 05:30:36', NULL, 1, 1, 1, 1),
(4, 'Islam', 1, '2021-04-20 05:30:36', NULL, 1, 1, 2, 1),
(5, 'Hinduism', 1, '2021-04-20 05:30:36', NULL, 1, 1, 2, 1),
(6, 'Sikhism', 1, '2021-04-20 05:30:36', NULL, 1, 1, 2, 1),
(7, 'Buddhism', 1, '2021-04-20 05:30:36', NULL, 1, 1, 2, 1),
(8, 'Protestantism', 1, '2021-04-20 05:30:36', NULL, 1, 1, 2, 1),
(9, 'A+', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(10, 'O+', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(11, 'B+', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(12, 'AB+', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(13, 'A-', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(14, 'O-', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(15, 'B-', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1),
(16, 'AB-', 1, '2021-04-20 05:30:36', NULL, 1, 1, 3, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_books`
--

CREATE TABLE `sm_books` (
  `id` int(10) UNSIGNED NOT NULL,
  `book_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `book_number` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `isbn_no` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `publisher_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `author_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rack_number` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quantity` int(11) DEFAULT '0',
  `book_price` int(11) DEFAULT NULL,
  `post_date` date DEFAULT NULL,
  `details` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `book_subject_id` int(10) UNSIGNED DEFAULT NULL,
  `book_category_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_book_categories`
--

CREATE TABLE `sm_book_categories` (
  `id` int(10) UNSIGNED NOT NULL,
  `category_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_book_issues`
--

CREATE TABLE `sm_book_issues` (
  `id` int(10) UNSIGNED NOT NULL,
  `quantity` int(11) DEFAULT NULL,
  `given_date` date DEFAULT NULL,
  `due_date` date DEFAULT NULL,
  `issue_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `book_id` int(10) UNSIGNED DEFAULT NULL,
  `member_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_chart_of_accounts`
--

CREATE TABLE `sm_chart_of_accounts` (
  `id` int(10) UNSIGNED NOT NULL,
  `head` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'E = expense, I = income',
  `active_status` int(11) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_chart_of_accounts`
--

INSERT INTO `sm_chart_of_accounts` (`id`, `head`, `type`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`, `academic_id`) VALUES
(1, 'Fees Collection', 'I', 1, '2021-04-20 05:31:11', '2021-04-20 05:31:11', 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_classes`
--

CREATE TABLE `sm_classes` (
  `id` int(10) UNSIGNED NOT NULL,
  `class_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_optional_subject`
--

CREATE TABLE `sm_class_optional_subject` (
  `id` int(10) UNSIGNED NOT NULL,
  `class_id` int(11) NOT NULL,
  `gpa_above` double(8,2) NOT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_rooms`
--

CREATE TABLE `sm_class_rooms` (
  `id` int(10) UNSIGNED NOT NULL,
  `room_no` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `capacity` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_routines`
--

CREATE TABLE `sm_class_routines` (
  `id` int(10) UNSIGNED NOT NULL,
  `monday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `monday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `monday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `monday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `tuesday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tuesday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tuesday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tuesday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `wednesday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `wednesday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `wednesday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `wednesday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `thursday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `thursday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `thursday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `thursday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `friday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `friday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `friday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `friday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `saturday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `saturday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `saturday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `saturday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `sunday` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sunday_start_from` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sunday_end_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sunday_room_id` int(10) UNSIGNED DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_routine_updates`
--

CREATE TABLE `sm_class_routine_updates` (
  `id` int(10) UNSIGNED NOT NULL,
  `day` int(11) DEFAULT NULL COMMENT '1=sat,2=sun,7=fri',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `room_id` int(10) UNSIGNED DEFAULT NULL,
  `teacher_id` int(10) UNSIGNED DEFAULT NULL,
  `class_period_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_sections`
--

CREATE TABLE `sm_class_sections` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_teachers`
--

CREATE TABLE `sm_class_teachers` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `teacher_id` int(10) UNSIGNED DEFAULT NULL,
  `assign_class_teacher_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_class_times`
--

CREATE TABLE `sm_class_times` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` enum('exam','class') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `period` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_time` time DEFAULT NULL,
  `end_time` time DEFAULT NULL,
  `is_break` tinyint(4) DEFAULT NULL COMMENT '1 = tiffin time, 0 = class',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_complaints`
--

CREATE TABLE `sm_complaints` (
  `id` int(10) UNSIGNED NOT NULL,
  `complaint_by` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `complaint_type` tinyint(4) DEFAULT NULL,
  `complaint_source` tinyint(4) DEFAULT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `action_taken` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `assigned` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_contact_messages`
--

CREATE TABLE `sm_contact_messages` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci,
  `view_status` tinyint(4) NOT NULL DEFAULT '0',
  `reply_status` tinyint(4) NOT NULL DEFAULT '0',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_contact_pages`
--

CREATE TABLE `sm_contact_pages` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `latitude` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `longitude` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zoom_level` int(11) DEFAULT NULL,
  `google_map_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_contact_pages`
--

INSERT INTO `sm_contact_pages` (`id`, `title`, `description`, `image`, `button_text`, `button_url`, `address`, `address_text`, `phone`, `phone_text`, `email`, `email_text`, `latitude`, `longitude`, `zoom_level`, `google_map_address`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'Contact Us', 'Have any questions? We’d love to hear from you! Here’s how to get in touch with us.', 'public/uploads/contactPage/contact.jpg', 'Learn More About Us', 'about', '56/8 Panthapath, Dhanmondi,Dhaka', 'Santa monica bullevard', '0184113625', 'Mon to Fri 9am to 6 pm', 'admin@infixedu.com', 'Send us your query anytime!', '23.707310', '90.415480', 15, 'Panthapath, Dhaka', 1, NULL, NULL, 1, 1, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sm_content_types`
--

CREATE TABLE `sm_content_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `type_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_countries`
--

CREATE TABLE `sm_countries` (
  `id` int(10) UNSIGNED NOT NULL,
  `code` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `native` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `continent` varchar(255) DEFAULT NULL,
  `capital` varchar(255) DEFAULT NULL,
  `currency` varchar(255) DEFAULT NULL,
  `languages` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `sm_courses`
--

CREATE TABLE `sm_courses` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` int(11) NOT NULL,
  `overview` text COLLATE utf8mb4_unicode_ci,
  `outline` text COLLATE utf8mb4_unicode_ci,
  `prerequisites` text COLLATE utf8mb4_unicode_ci,
  `resources` text COLLATE utf8mb4_unicode_ci,
  `stats` text COLLATE utf8mb4_unicode_ci,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_courses`
--

INSERT INTO `sm_courses` (`id`, `title`, `image`, `category_id`, `overview`, `outline`, `prerequisites`, `resources`, `stats`, `active_status`, `created_at`, `updated_at`, `school_id`) VALUES
(1, 'Dolore molestias corrupti neque qui cumque.', 'public/uploads/course/academic1.jpg', 0, 'Excepturi quasi nemo nihil est. Illum ullam temporibus qui numquam. Maxime ipsa facilis laudantium aspernatur iure. Omnis qui excepturi numquam ut. Iure deleniti laboriosam adipisci ad. Est at atque facere nihil enim non. Molestiae officiis dolor aut dolorum. Nulla corrupti quisquam veniam voluptatem aut voluptate unde illum. Tempora eum iste aut. Sequi voluptates provident aut minus. Nisi asperiores magnam voluptatem architecto. Necessitatibus quos dicta molestias eos soluta voluptas. Nesciunt architecto repudiandae vero nulla minima omnis fugiat sunt. Ea dolores aspernatur quos sed et ea. Sunt aperiam sed corporis eum vel repudiandae. Esse magnam accusantium tenetur assumenda. Voluptatum voluptatem dolorum reprehenderit quia quidem distinctio eos. Sed sed sapiente explicabo labore error minima illum. Voluptas cum sit repellat error dolor. Consequatur hic nihil optio doloremque. Id voluptatum aut accusamus eum minus eum fuga. Doloribus et iste qui quis iste perspiciatis. Quia id quaerat quidem deleniti. Fugiat qui minima iure tempore et vel. Qui sapiente non omnis ipsa. Necessitatibus ut voluptas minus rerum. Nesciunt possimus possimus et ut voluptate est. Sit porro veniam et ipsum quae dolor. Similique sequi doloremque dolores incidunt. Molestiae sit quam dolores voluptas et. Omnis corrupti delectus eaque illo fugiat necessitatibus. Ut inventore natus tenetur veritatis corporis ea quasi. Quia commodi sint consequatur officia eos. Itaque consequatur quo autem provident quibusdam et neque. Tempora nam ex deserunt atque similique eveniet alias. Dolores quibusdam voluptatem perferendis qui temporibus et. Enim repellendus beatae aliquid voluptatum. Deleniti iusto ut reiciendis maxime inventore corporis. Mollitia eum cum aut reprehenderit tempora totam numquam. Quae nesciunt repudiandae qui nihil laboriosam autem. Consequatur similique incidunt qui atque fugiat recusandae. Dicta dolor facere voluptatem corrupti.', 'Autem numquam ut quia sapiente et quibusdam in. Aut vel vitae at enim eos repudiandae sunt. Voluptatum consequatur qui molestiae voluptatem consequatur et quia. Laboriosam rerum sed dolores dicta laborum aut. Optio quam nemo est adipisci. Qui vel nihil debitis corrupti numquam. Eligendi non rerum omnis corporis vel dignissimos. Explicabo magnam est provident iste. Consequatur quia soluta eos eligendi. Debitis alias ea maiores autem. Laudantium fuga vel inventore occaecati. Labore beatae quia molestiae et qui. Sint qui esse quas tempore. Aliquam consequatur sint blanditiis dolore accusamus ipsam. Veritatis dolorem aliquam natus fuga qui qui harum. A ratione numquam possimus corporis dolores ut quia. Quia dolores aut sit sit dicta praesentium magnam harum. Delectus est quis occaecati eius expedita consequuntur enim. Qui delectus ea consequatur reprehenderit et officia dolorem. Eum libero voluptates vel consectetur quia eos in. Ullam vero et mollitia id quo. Repudiandae facilis dolor ipsam qui asperiores minus est. Dolorem ipsam omnis laudantium officiis natus consequuntur labore. Enim neque id eos praesentium accusamus est. Et aperiam a officiis optio. Esse ea ullam animi minima est aut. Voluptatibus quam facilis cum perferendis tempora ut vero. Voluptas illo sit aspernatur harum recusandae pariatur. Est sunt a tenetur natus itaque aut aliquid esse. Rem voluptas beatae libero impedit minima quidem. Blanditiis dolor quam enim aut rerum. Consequatur consectetur esse vero voluptatem deserunt. Accusamus delectus vitae quis. Totam velit et qui ipsum dolores sed. Esse fuga recusandae dolor laborum fugiat. Consequatur eum reprehenderit qui provident dolores voluptatem et. Est maxime ut voluptates quis quisquam in veniam. Doloribus ut consequatur aut assumenda. Atque quia mollitia dolorem deserunt voluptatem. Sint est animi exercitationem ipsum. Porro corrupti sequi nihil. Alias repellat quam fuga sunt rerum amet molestiae sunt.', 'Accusantium est tempora fugiat fugiat libero sed eius. Rerum molestias non aliquam. Est maiores quasi suscipit odio. Fugiat nihil dignissimos ipsum consectetur. Et nemo libero earum eligendi possimus et. Eos enim sequi earum unde. Voluptatem eligendi ipsa atque modi ea. Magnam molestias amet numquam animi voluptatibus qui consequatur. Fuga et quidem impedit quisquam occaecati dolore tenetur. Impedit reiciendis tempore et. Deleniti dolores necessitatibus et qui. Laboriosam nesciunt ipsa ea eaque architecto. Sit itaque ea rerum. Porro velit est eum similique ullam expedita cumque. Ut veritatis asperiores labore et omnis labore omnis. Cupiditate ut nostrum distinctio voluptatem quam occaecati est. Odit veritatis quisquam ipsam aut. Quia temporibus nesciunt minus natus necessitatibus. Exercitationem deleniti repellat quo. Culpa nemo veritatis hic alias enim. Nobis unde qui sunt excepturi magnam labore eum. Dignissimos enim velit autem dolore quis est et. Cupiditate laborum sequi omnis aut ex quo culpa. In numquam quas voluptates. Ad vitae distinctio nobis quas animi. Id aut alias eaque aliquid numquam. Delectus saepe et quaerat ex laudantium qui fugit. Veritatis adipisci nisi enim natus quasi officiis voluptas. Qui enim non in minus accusantium blanditiis odio. Dolor similique doloribus maxime et cupiditate in. Aspernatur cumque dignissimos ut tempora. Modi ipsa quo rerum. Fugiat id vero aut. Est fugit labore impedit exercitationem optio. Nemo quo saepe blanditiis reprehenderit nihil. Ut quaerat explicabo vitae id laudantium delectus. Sunt voluptate quo recusandae qui. Aliquid vitae in amet id qui. Odit repellat sed consequatur cumque consectetur dolor molestias. Aut rerum placeat fugit molestiae placeat sapiente atque. Accusantium sit cupiditate repellendus. Aliquid amet recusandae ea assumenda. Voluptatum consequuntur rem ut cum beatae nostrum. Similique nostrum ab eaque et quod laudantium.', 'Voluptatem tempore aut magnam non. Recusandae cum et deleniti. Ad velit sunt ratione qui ratione minima et. Delectus saepe facilis ut similique rerum beatae dolor. Quo sed quasi qui voluptate placeat excepturi illo ipsam. Dolorum ipsa et rerum ipsum qui. Iste maiores et earum et consequatur fugit et. Dolor rerum doloribus sequi numquam. Et optio qui ut odio quia qui molestiae. Dolores officia nesciunt sed est repellat. Fugit facilis molestias soluta id accusamus at similique. Est facilis reprehenderit laboriosam tempora. Consectetur exercitationem molestias repudiandae et voluptatibus consequuntur. Delectus et aperiam explicabo inventore beatae facilis sint. Odio aspernatur quia ut labore fuga beatae. Et ut sequi quasi ab voluptatem atque et. Recusandae rerum reiciendis impedit ut quia. Quia cupiditate dolorum iusto qui alias. Et provident labore expedita enim a aspernatur. Mollitia laborum non ea. Quis libero voluptatem recusandae nemo consequuntur enim et. Eveniet ut ad et sit fugiat. Voluptas repellendus error voluptatibus ullam nihil voluptatum nostrum ratione. Ipsa voluptatem quaerat minima quis ea qui voluptatum. Delectus nobis velit autem tempora magni. Ut aut culpa pariatur nesciunt non nostrum et ut. Ipsam enim reiciendis ut ea voluptas consequatur perspiciatis tempore. Beatae ut debitis debitis unde dolores. Earum assumenda voluptatem suscipit dolor eligendi. Reprehenderit quo quae consequatur harum maiores enim dolores. Consequatur nesciunt repudiandae dolorem asperiores itaque ut suscipit. Quisquam quo consectetur accusamus placeat officia fugit voluptas. Aut at vitae nostrum ut qui nam possimus quaerat. Distinctio voluptas ullam qui quae. Aut animi optio praesentium est quisquam dolores quo eaque. Iure similique et sit velit eius in. Repellat ex sequi enim voluptas accusantium libero. Beatae voluptas eos dolores consequatur ut delectus.', 'Ut libero in fugiat et quo qui est. Assumenda impedit et nemo quia. Est corporis quia ut quisquam molestiae velit. Aut fugit iure quis amet perferendis quidem dolor. Ex et voluptatem rerum sint molestias et. Assumenda ducimus blanditiis earum voluptatem voluptas. Et dolores voluptatem expedita quo. Eius quibusdam cumque ut tempora voluptatem facilis rerum. Id accusantium est tempora asperiores. Voluptatem in aut sed. Cumque nihil omnis dolor illo. Pariatur reprehenderit architecto accusantium nostrum aspernatur eos itaque animi. Omnis distinctio consequatur facilis. Officia esse tempore ut amet. Et autem fuga debitis ea iste nostrum est. Maxime dolores vitae officia. Et harum unde error aspernatur et. Soluta architecto qui harum enim veritatis deserunt atque. Id molestiae quod neque inventore provident quia tenetur. Praesentium et est voluptatem ut ut ab. Magni ea exercitationem est quaerat dignissimos aspernatur aut. Labore dicta et ducimus ut quisquam ipsa sunt minima. Molestiae a quisquam dolorem architecto. Illo sed cumque itaque consequatur. Voluptatem voluptates minus inventore laboriosam non et. Maiores ea sed quas ea cupiditate. Amet deleniti non labore non ipsum at. Omnis sed nemo consequatur maiores nobis deleniti praesentium. Sint placeat quo fugit et error. Doloribus id sunt aliquid harum officia. Pariatur exercitationem nostrum sequi nam facilis. Laudantium totam earum suscipit id tenetur. Doloribus libero saepe sequi dolores facilis nulla. Est maiores at nulla nulla sit sunt. Quia ex impedit amet nulla et et. Velit tenetur ut cum magnam maiores delectus quia ipsum. Quia doloribus unde corrupti ea ipsum sint. Fugiat cum delectus facere architecto sit. Recusandae et architecto doloremque quia sit sapiente tempora. Vero voluptatibus iusto nemo adipisci non. Doloremque ipsum asperiores aperiam fugiat qui sed dicta.', 1, '2021-04-20 05:46:49', NULL, 1),
(2, 'Officia est et delectus laudantium aut.', 'public/uploads/course/academic3.jpg', 0, 'Alias quia suscipit aut. Eos iste quia quasi voluptatem dolores totam dolore. Deserunt et ducimus velit deserunt libero sint. Voluptatem veniam totam et quibusdam. Animi accusantium voluptatem reprehenderit consequuntur quaerat ratione. Dolores numquam et sunt excepturi. Culpa porro quis eaque est neque deleniti. Reiciendis tempora voluptatem cumque enim provident commodi. Officiis voluptatem laboriosam ipsa dolor quaerat esse. Blanditiis dolore autem ea eum qui fuga. Fugiat provident in expedita mollitia. Harum totam quam rem odit iste. Possimus est commodi suscipit in saepe maxime. Quis consequuntur ipsam cupiditate saepe commodi. Cupiditate eaque consequuntur amet a consectetur natus. Sed fugiat recusandae voluptas impedit voluptatem error. Dolorum quo quo soluta esse enim. Ut molestiae aut quidem delectus inventore distinctio nemo. Aut quia ex porro dolore et reprehenderit. Vero corrupti saepe sed ut illum laboriosam. Odio quae nostrum soluta molestiae. Voluptatem voluptatum illo est optio deserunt ut asperiores. Ea et veniam voluptas harum. Et et et neque veritatis cum ipsam. Qui culpa harum vel ut optio. Eius et praesentium ipsum. Quos blanditiis laborum debitis soluta. Nesciunt vel pariatur rerum. Aspernatur iste ea dicta modi voluptas iure. Voluptatibus rem voluptates fugit voluptas nesciunt itaque quia. Voluptas repudiandae maiores aut natus et nihil. Reiciendis accusantium eos dolorem laborum qui. Voluptates atque ut asperiores error cum quasi. Commodi autem eum iste quisquam sed culpa corporis nobis. Quae quo incidunt ipsum quia sapiente et. Inventore earum harum quia delectus vero et odio. Ipsam explicabo et facilis explicabo animi. Fugiat dicta in enim quas incidunt vel eum dolorum. Velit ex sint mollitia aliquid necessitatibus. Cum impedit voluptatum ut autem laborum laudantium. Odio qui ipsa et ut culpa. Occaecati doloremque voluptatem aut eaque autem eos velit. Dolorum totam et quia voluptatum non illo ad.', 'Eaque nemo ut quidem possimus fugiat quia quasi. Rerum doloribus magni possimus consequatur. Nisi vero suscipit temporibus maiores atque autem. Rerum minima et sint earum voluptatem. Totam quisquam et quod eligendi iusto. Possimus facilis soluta ea amet. Tempora iure qui itaque omnis fugit tempore quibusdam. Dolores esse voluptates suscipit maiores fuga magni facilis velit. Autem autem labore error consequatur. Et qui cum ipsum suscipit dolorem tempora sit tenetur. Dignissimos aut neque iusto vel qui omnis eos. Placeat cupiditate debitis ab nobis. Quia labore impedit minus aliquam et iste. Rerum impedit quo sint rerum. Explicabo aut molestiae dignissimos quam. Vel expedita temporibus est aliquam eos. Quasi quia voluptas ex inventore sed. Quia aut ut beatae nostrum necessitatibus quasi voluptates aut. Optio hic accusamus repellat. Voluptatum quae ut ut rerum modi et ea. Eligendi et reprehenderit et porro voluptatibus. Asperiores id minus natus qui. Velit porro nihil quia ea. Sequi delectus numquam ad sed qui nam. Perferendis at dolorem ratione aliquam sunt corrupti. Exercitationem harum ut aut iure quisquam est ex ut. Numquam repellat nisi fuga sunt est officia. Fugiat amet totam inventore nihil vel. Amet aut in qui voluptatum velit quasi. Commodi quaerat magni quas velit sunt omnis ad. Quam magni maxime reprehenderit repellat facilis facere assumenda alias. Quaerat sapiente id inventore qui. Beatae aspernatur itaque voluptatem. Sequi pariatur eos saepe quos in ut. Tempora voluptatem quia aut fuga quo. Sed illo quia fuga impedit alias officiis. Quis voluptatem voluptatem est nam itaque beatae exercitationem. Unde veritatis ratione doloribus facere. Sit quae minima quis est qui. Voluptatum voluptatum et velit harum facere. Dolores non similique libero occaecati. Repellat ducimus consequatur cum temporibus. Nihil dicta amet cupiditate. Consequatur blanditiis optio nemo perferendis voluptatum. Expedita occaecati veritatis hic quia magnam et. Nam rerum quia dolor.', 'Architecto mollitia voluptas est nobis. Eius tempore ea natus ut dolores ab quia. Iste velit et distinctio quia voluptas sunt. Voluptas facere ut dolor corporis qui. Aut aut suscipit perspiciatis sed animi voluptas non. Ea dolor natus harum qui soluta. Praesentium hic hic tenetur. Quia voluptatum iusto quia iste atque. Hic neque excepturi in similique mollitia ratione. Molestiae corporis libero eos eos impedit harum aliquid. In non et dolorem facere sit non assumenda. Molestias repellendus repellendus deleniti veritatis accusamus rerum odit. Incidunt dolorem quos corrupti ipsum a. Facilis enim incidunt nobis fuga est voluptatem. Quis nobis nemo qui sunt illum quaerat inventore. Et harum voluptates sunt repellat ratione blanditiis. Aut et voluptas ut nihil mollitia sapiente. Eum dicta ut optio quaerat. Eligendi tempore commodi labore quia. Voluptatum fugit doloremque quo eveniet. Blanditiis id voluptatem voluptatum dicta excepturi excepturi illo. Sunt quod facere ut. Voluptas possimus est molestiae praesentium enim exercitationem minima. Ut adipisci cumque et et quidem fugiat. Quas aspernatur ea rerum. Laboriosam ullam quis sed nostrum et aliquam. Molestiae et eos doloribus. Vel quaerat magni ad dolore cupiditate. Esse sint commodi impedit dolor consequuntur qui quaerat quaerat. Ipsa sunt ab itaque quia nesciunt asperiores. Repudiandae sint illum eos iusto consequatur qui mollitia. Est id numquam rerum consequatur quam. Possimus blanditiis voluptatem tempore voluptatum laborum libero eaque. Sint modi adipisci quibusdam consequatur aliquam. Ipsa dolorem corporis veniam blanditiis asperiores ullam. Quia doloribus omnis quidem consequatur doloremque. Harum quibusdam dolores aspernatur vitae rerum. Consequatur et numquam dolorum quisquam repudiandae dolores. Dolorum expedita nisi accusamus vel. Quas accusantium optio culpa repellendus. Beatae aut assumenda dolorum nulla qui. Et omnis minima atque dolor.', 'Iusto mollitia facilis ex. Est architecto odit libero eveniet provident qui. Vel deleniti eius libero sit magnam iusto. Impedit soluta est omnis ab blanditiis suscipit temporibus. Odio aut voluptas nam est numquam tenetur et. Aspernatur cum ut nulla aliquid officia. Dolore reprehenderit fuga voluptate officiis et incidunt facere ipsa. Eligendi esse sunt et perferendis doloribus magnam aut distinctio. Tenetur ut sapiente blanditiis rerum. Illo dolorum beatae enim quibusdam. Consectetur eveniet dolore assumenda nostrum rerum odio iusto quis. Sit vel fuga quas excepturi praesentium beatae corrupti. A dolores laboriosam quas impedit incidunt enim. Voluptate quis quidem soluta. Quisquam nulla aliquid sed quas tempora laborum. Qui quia natus delectus. Pariatur officiis non velit voluptatibus sapiente pariatur. Reprehenderit saepe quibusdam dolorum corporis minus nam. Et autem dolor harum eligendi. Culpa minima aliquam voluptatem reiciendis dolorem quisquam dolores expedita. Ipsa dolores odit rerum modi dolorem. Voluptates velit id quo laboriosam aut nulla et sit. Ut et omnis placeat. Quae quis fugit soluta et quos voluptatibus. Voluptas et rerum beatae cum qui. Tempore quia officia velit atque esse iure at. Molestias dolores minima autem explicabo aut sit. Iste quo ipsam vitae. Beatae id consequatur esse molestias. Ut explicabo officia nam quisquam. Perspiciatis facilis vitae incidunt quia ea officia. Omnis accusamus eius ipsa corporis qui. Eos facere enim minima et nulla recusandae minus. Voluptas illum fuga ipsa dolores. Doloribus magni totam voluptates natus voluptatem sint sunt. Officia quia aut repudiandae eveniet fuga quia. Non dolorem temporibus omnis magni. Qui dolore occaecati explicabo voluptas architecto accusamus dignissimos. Ut dolor qui explicabo dicta accusantium. Ut alias soluta quo fugiat commodi modi.', 'Rerum qui totam a qui. Dolorem ea id qui porro voluptatibus. Quia tenetur non est pariatur tenetur sit. In voluptatum quo molestiae. Sit neque voluptate adipisci quod. Provident neque temporibus sed in minima maiores itaque dolorum. Laborum tempore eius debitis. Excepturi excepturi dolores vitae laboriosam. Omnis non enim neque nulla dicta quae. Sed illum aut aliquid sunt. Blanditiis veritatis voluptas dolorem recusandae fugiat itaque. Fugiat reprehenderit deleniti ut et delectus rerum cumque. Et ullam dolorem consectetur sit. Consequatur rerum soluta nam et rerum fuga. Et pariatur veniam ipsa recusandae. Dolores molestiae soluta autem aut sit ducimus doloremque quasi. Animi debitis sed nostrum. Ut quasi cumque necessitatibus et sed et quasi. Hic dolorem omnis ex illo. Unde vitae aut vel laborum. Consequatur libero maxime cumque. Odit velit sunt ratione animi velit quidem. Sed saepe et quia veritatis. Maiores sapiente ea commodi facere perspiciatis. Et officia eius voluptas. Ipsa repellendus voluptatem consequatur provident. Id et autem dicta ut beatae minus et. Aut nisi suscipit ad consequatur eveniet nihil repudiandae. Totam temporibus quod suscipit reprehenderit. Libero esse ut sit officia aut. Consequatur et magnam amet accusantium. Modi et et expedita est. Quidem ut voluptatem eum labore ut asperiores. Blanditiis est et dolorem voluptatem corporis. Iure aut totam nemo. Et quo ab inventore. Accusantium omnis soluta laborum quam ut consequatur minus dolor. Ullam quis delectus suscipit facere consequatur. Eos dolores tempora illo ut. Est voluptate quia eum quis debitis facilis. Dolor explicabo eos omnis et quis officiis dicta. Quis omnis enim ex repellendus atque dolore. Sequi fugit rerum non et quis nulla. Quasi nemo sint a consequuntur labore dignissimos. Accusamus magnam deleniti facilis quas. Quo laboriosam sit quibusdam dolorum culpa. Voluptatem corporis officiis aut quo ipsum sint vitae. Officiis cum commodi doloribus unde ut excepturi quis accusamus.', 1, '2021-04-20 05:46:49', NULL, 1),
(3, 'Sed tenetur quo magnam ut.', 'public/uploads/course/academic5.jpg', 0, 'Doloremque mollitia autem omnis dolorem eum rerum. Aut dolor ut vel. Dolor beatae explicabo magnam voluptatem ex ut quia sed. Eaque ad omnis sapiente necessitatibus et itaque quae. Nemo veniam est repellat ut amet consequatur. Sit vel ut qui consequatur commodi nisi sapiente debitis. At nostrum facilis aut ea omnis molestiae sit. Dolorem nobis omnis occaecati architecto. Est ducimus et minima eveniet. Reiciendis sit numquam officia illo quos dolorem. Dignissimos in autem natus libero consequatur eveniet sapiente. Minus animi aliquid et molestias qui iusto. Earum ea qui quia repellendus qui. Est voluptatibus vero repellat et ipsa autem tempore. Eum vero et ut saepe autem quia. Non dolor reiciendis alias voluptatum cupiditate nam sint. Quis sit nesciunt illo in. Sunt veritatis autem voluptatibus eos. Quo laborum quod non non quia vitae ut. At libero quod qui sit eveniet expedita architecto. Vitae et explicabo odit consequuntur. Consequuntur blanditiis sit eius et et ut. At dolor nihil sint. Pariatur sunt velit sed. Quasi explicabo tenetur consectetur rerum provident perferendis. Minus necessitatibus quo laudantium distinctio necessitatibus vero molestiae consequuntur. Deleniti odit ut expedita consequatur. Vitae porro iste accusamus. Praesentium sunt illo quasi et adipisci iure enim. Qui ipsa ut et laudantium ut eos. Praesentium ut non libero quo corporis et non. Omnis non sint eligendi quia maiores itaque quia pariatur. Dolor saepe nemo vel ut illo explicabo. Cumque voluptatem et illum. Consectetur eveniet eum quo doloribus sint. Fuga qui mollitia ut a in rerum reiciendis velit. Sed quaerat autem in atque et. Veniam quis ut laudantium nobis quidem. Unde quisquam sed sapiente delectus et dolorem. Ut maiores itaque eveniet illum hic quas. Dolor inventore fugiat atque voluptas. Dolor quasi ea et nostrum sequi aliquam. Deleniti ut aut ipsum iste maxime ut laudantium. Aliquam eveniet alias velit et magnam.', 'Et quibusdam dolor quis sed veniam explicabo consectetur. Voluptas voluptatem repudiandae illo repellendus suscipit recusandae. At quis vero maxime sapiente sit consectetur enim. Qui quaerat vel optio sit quas vel. Saepe nemo quis ut quae. Id aut ut maiores qui. Temporibus rerum non vitae ea nam consectetur vel. Labore aliquid non error sed. Est ipsam repudiandae autem voluptate iure necessitatibus autem. Earum rerum modi et cum iure aliquid nobis. Et perspiciatis temporibus perspiciatis nihil molestiae. Magnam impedit fugit voluptatem ab earum. Itaque sunt non sapiente dolorem et. Dolores in eaque sed illo tenetur. Odio consequatur maiores voluptatem tempora. Qui aut debitis repellat eveniet nihil nihil. Consequuntur optio reprehenderit iure. Nihil dignissimos repellendus aperiam eos eveniet sint. Tempora sit ratione doloremque harum. Ipsa consequatur tempora consequatur deleniti officiis ea ullam. Occaecati omnis praesentium suscipit suscipit aut dolorem omnis. Hic iure earum fugit. Unde dolorum at modi velit doloribus. Veniam vel eligendi cumque nihil. Sapiente soluta laborum velit fuga. Magnam laudantium omnis quasi fuga non. Tenetur laudantium debitis est consequatur est. Rem earum asperiores omnis voluptas quae fuga similique. Impedit dolore aut blanditiis. Sequi a ipsa sit repudiandae qui. Est cupiditate consequatur architecto odit minima. Ad quam error harum accusamus. Aut omnis doloremque labore repudiandae. Ea et beatae unde. Qui laudantium dolores aliquid inventore minima ipsa doloremque. Sint aut in qui delectus ut. Enim rerum saepe in consequatur eos fuga nostrum. Excepturi itaque accusantium vitae sed molestias et dolorem cumque. Fugit eius autem non incidunt doloribus dolor velit sunt. Quam ea aut ut aut. Voluptatum unde et voluptatem ab et. Voluptatibus soluta qui fugit at illum voluptatem perferendis. Aut et nostrum in temporibus ut vitae commodi.', 'Dolorem harum autem est perspiciatis et. Officia in sunt et et et quis eum. Vitae unde dolorem dolor et repudiandae. Exercitationem quos accusamus deleniti dolorem quia consequuntur dolorem doloremque. Voluptas autem sed facere unde reprehenderit culpa non. Officiis minus corrupti et dolore. Tenetur doloribus numquam tempore adipisci culpa. Adipisci officiis et quas amet. Sapiente similique nihil officiis rerum. Fuga nihil veritatis voluptatibus. Sint nulla minima vitae laudantium blanditiis dolores dolores voluptatibus. Consequuntur facere ab dolores aut ipsum sit magnam. Odit suscipit consectetur placeat ducimus aliquam nostrum quisquam. Maxime autem cupiditate adipisci commodi eveniet facere sed. Voluptas delectus nihil ab. Accusantium voluptas accusamus voluptates nemo commodi quis velit. Et nesciunt sequi nihil tempore autem vel. Unde minima eligendi quia. Vero ex eos in fugit nostrum nesciunt. Nesciunt perspiciatis omnis sed eum. Et qui modi itaque sit voluptates sunt at. Placeat animi quam voluptatem et in. Et similique voluptatem error fugiat unde. At expedita id sint et velit earum. Et rem quam est mollitia accusantium sed consectetur et. Consectetur architecto et necessitatibus omnis. Quia voluptatem repellat suscipit non minus. Omnis mollitia commodi saepe blanditiis dolorem. Aut aliquam voluptatum commodi. Nobis ea at aperiam modi laborum voluptatem quo. Aliquam deserunt qui voluptate numquam pariatur rem. Inventore dolorem qui vel. Quis beatae nemo quia non. Praesentium eligendi rerum voluptatibus sint. Asperiores repudiandae molestiae ipsum quasi sunt delectus. Maiores repudiandae deleniti exercitationem inventore iusto. Asperiores vel ea expedita hic. Nesciunt natus deserunt asperiores nemo hic placeat. Temporibus porro neque quia perferendis. Asperiores et reiciendis aliquid quia. Quis pariatur eos voluptas dolorum dolor.', 'Quibusdam vel error recusandae harum ut modi repellat. Vel corrupti tempore consequuntur quos modi repellat. Sunt aut neque quidem nulla nesciunt pariatur commodi voluptatem. Velit et dolores ducimus sit eligendi. Voluptatem eius error ut ab nemo nostrum. Ducimus reiciendis fugiat repudiandae aut esse ex quibusdam. Est molestiae quo dolor sapiente corporis fuga laborum. Itaque voluptates dolorem ut quod iste sit non. In mollitia quae consequatur. Deleniti adipisci sit reprehenderit repellat cupiditate quasi. Modi sed natus vitae eum repellat possimus similique quaerat. Pariatur neque voluptatem magni dolorem et repellendus. Eum quas autem est officia quibusdam sequi libero qui. Qui iure non perspiciatis ea quia sunt. Neque adipisci inventore reprehenderit exercitationem aut. Suscipit laborum facilis eaque officia dolorem provident. Commodi harum non eaque ea sed. Dolorum et est doloribus harum voluptate et. Sed iure commodi mollitia non exercitationem est. Error officiis officia sequi dolorum aut. Molestias repellat deserunt nostrum in maiores. Eum fugiat non ex. Rerum laboriosam velit consequuntur aut ex quo commodi similique. Ducimus maxime praesentium corrupti in eum et. Cum ut facere atque in quasi qui fugit. Beatae veritatis cum odit occaecati nulla mollitia architecto. Aut aut accusamus dolorum vitae dicta enim. Aliquid odio ducimus culpa quibusdam. Ex qui fugit facilis expedita est quidem. Soluta iusto ad hic animi corporis asperiores. Id illum et consequatur dolorum rerum et alias. Perspiciatis facilis ea voluptas nam cum. Fugit ut iusto sed distinctio. Accusamus sunt rerum eos commodi saepe. Laborum molestiae natus repudiandae eius aut consectetur vel id. Ratione eos similique sed animi eos consequatur. A velit asperiores veniam. Dolor modi doloribus explicabo et. Laborum eius in quia inventore quia. Libero vel harum rerum debitis quibusdam. Ratione iste et rerum similique praesentium magnam.', 'Distinctio impedit pariatur dignissimos impedit eaque quos laborum. Voluptatibus voluptatem nisi omnis officiis voluptate iusto. Fugiat et esse minima aliquam eos. Est maxime dolores tenetur quasi temporibus. Voluptatem recusandae quos aut nulla similique et aut. Veniam alias maiores voluptatem. Unde assumenda consectetur enim ipsum consectetur doloribus ipsa. Voluptatem eum voluptas quia ut excepturi. Sed dolorem illum quod quam iusto possimus. Omnis pariatur quis quae dolor quis doloremque optio omnis. Incidunt numquam expedita nostrum. Quasi qui ab a adipisci soluta dignissimos et velit. Repellat a soluta et molestias. Architecto mollitia sequi ea labore repudiandae. Dicta exercitationem blanditiis voluptatibus odit molestiae voluptatem ipsa est. Quod harum sapiente corporis quia. Molestiae a tenetur ipsa porro voluptatibus. Quas maxime tempore ullam cumque sunt. Sit nisi repudiandae laboriosam voluptas. Et ea amet accusamus unde et quis illum. Nobis voluptas occaecati sit et veritatis. Voluptates tempora dignissimos vel temporibus est repudiandae. Velit quia assumenda quaerat amet. Fugit temporibus aperiam qui et placeat. Et quis aut voluptatem aliquam illum delectus. Magni aliquam nulla odio quo fugit cum dignissimos nam. Quia molestiae provident enim delectus eum qui sed. Exercitationem incidunt ducimus iusto. Corrupti voluptas aut voluptate nostrum totam omnis. Similique sint sunt inventore architecto sed quia. Maxime velit optio quo animi deserunt harum. Repellat perferendis unde ea et et error sit. Non reprehenderit quaerat error et omnis doloribus et. Sint reprehenderit necessitatibus commodi praesentium et. Ea et sunt commodi rerum ab odio. Aliquam velit cum molestiae quis aperiam. Facilis dicta tempore molestias aut quia. Qui velit qui non voluptatem nostrum saepe. Explicabo eos quo dolores velit. Consequatur aliquam dolorem facilis omnis.', 1, '2021-04-20 05:46:49', NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_course_categories`
--

CREATE TABLE `sm_course_categories` (
  `id` int(10) UNSIGNED NOT NULL,
  `category_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category_image` text COLLATE utf8mb4_unicode_ci,
  `school_id` bigint(20) UNSIGNED NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_course_pages`
--

CREATE TABLE `sm_course_pages` (
  `id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `main_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `is_parent` tinyint(1) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_course_pages`
--

INSERT INTO `sm_course_pages` (`id`, `created_at`, `updated_at`, `title`, `description`, `main_title`, `main_description`, `image`, `main_image`, `button_text`, `button_url`, `active_status`, `is_parent`, `created_by`, `updated_by`, `school_id`) VALUES
(1, NULL, NULL, 'Course Infix', 'Lisus consequat sapien metus dis urna, facilisi. Nonummy rutrum eu lacinia platea a, ipsum parturient, orci tristique. Nisi diam natoque.', 'Under Graduate Education', 'INFIX has all in one place. You’ll find everything what you are looking into education management system software. We care! User will never bothered in our real eye catchy user friendly UI & UX  Interface design. You know! Smart Idea always comes to well planners. And Our INFIX is Smart for its Well Documentation. Explore in new support world! It’s now faster & quicker. You’ll find us on Support Ticket, Email, Skype, WhatsApp.', 'public/uploads/about_page/about.jpg', 'public/uploads/about_page/about-img.jpg', 'Learn More News ', 'news', 1, 1, 1, 1, 1),
(2, NULL, NULL, 'Course Infix', 'Lisus consequat sapien metus dis urna, facilisi. Nonummy rutrum eu lacinia platea a, ipsum parturient, orci tristique. Nisi diam natoque.', NULL, NULL, 'public/uploads/about_page/about.jpg', NULL, 'Learn More News ', 'news', 1, 0, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_currencies`
--

CREATE TABLE `sm_currencies` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `symbol` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_currencies`
--

INSERT INTO `sm_currencies` (`id`, `name`, `code`, `symbol`, `created_at`, `updated_at`, `school_id`, `academic_id`) VALUES
(1, 'Leke', 'ALL', 'Lek', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(2, 'Dollars', 'USD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(3, 'Afghanis', 'AFN', '؋', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(4, 'Pesos', 'ARS', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(5, 'Guilders', 'AWG', 'ƒ', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(6, 'Dollars', 'AUD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(7, 'New Manats', 'AZN', 'ман', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(8, 'Dollars', 'BSD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(9, 'Dollars', 'BBD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(10, 'Rubles', 'BYR', 'p.', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(11, 'Euro', 'EUR', '€', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(12, 'Dollars', 'BZD', 'BZ$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(13, 'Dollars', 'BMD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(14, 'Bolivianos', 'BOB', '$b', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(15, 'Convertible Marka', 'BAM', 'KM', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(16, 'Pula', 'BWP', 'P', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(17, 'Leva', 'BGN', 'лв', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(18, 'Reais', 'BRL', 'R$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(19, 'Pounds', 'GBP', '£', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(20, 'Dollars', 'BND', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(21, 'Riels', 'KHR', '៛', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(22, 'Dollars', 'CAD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(23, 'Dollars', 'KYD', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(24, 'Pesos', 'CLP', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(25, 'Yuan Renminbi', 'CNY', '¥', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(26, 'Pesos', 'COP', '$', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(27, 'Colón', 'CRC', '₡', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(28, 'Kuna', 'HRK', 'kn', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(29, 'Pesos', 'CUP', '₱', '2021-04-20 05:46:23', '2021-04-20 05:46:23', 1, 1),
(30, 'Koruny', 'CZK', 'Kč', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(31, 'Kroner', 'DKK', 'kr', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(32, 'Pesos', 'DOP ', 'RD$', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(33, 'Dollars', 'XCD', '$', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(34, 'Pounds', 'EGP', '£', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(35, 'Colones', 'SVC', '$', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(36, 'Pounds', 'FKP', '£', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(37, 'Dollars', 'FJD', '$', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(38, 'Cedis', 'GHC', '¢', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(39, 'Pounds', 'GIP', '£', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(40, 'Quetzales', 'GTQ', 'Q', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(41, 'Pounds', 'GGP', '£', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(42, 'Dollars', 'GYD', '$', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(43, 'Lempiras', 'HNL', 'L', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(44, 'Dollars', 'HKD', '$', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(45, 'Forint', 'HUF', 'Ft', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(46, 'Kronur', 'ISK', 'kr', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(47, 'Rupees', 'INR', '₹', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(48, 'Rupiahs', 'IDR', 'Rp', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(49, 'Rials', 'IRR', '﷼', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(50, 'Pounds', 'IMP', '£', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(51, 'New Shekels', 'ILS', '₪', '2021-04-20 05:46:24', '2021-04-20 05:46:24', 1, 1),
(52, 'Dollars', 'JMD', 'J$', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(53, 'Yen', 'JPY', '¥', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(54, 'Pounds', 'JEP', '£', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(55, 'Tenge', 'KZT', 'лв', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(56, 'Won', 'KPW', '₩', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(57, 'Won', 'KRW', '₩', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(58, 'Soms', 'KGS', 'лв', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(59, 'Kips', 'LAK', '₭', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(60, 'Lati', 'LVL', 'Ls', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(61, 'Pounds', 'LBP', '£', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(62, 'Dollars', 'LRD', '$', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(63, 'Switzerland Francs', 'CHF', 'CHF', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(64, 'Litai', 'LTL', 'Lt', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(65, 'Denars', 'MKD', 'ден', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(66, 'Ringgits', 'MYR', 'RM', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(67, 'Rupees', 'MUR', '₨', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(68, 'Pesos', 'MXN', '$', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(69, 'Tugriks', 'MNT', '₮', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(70, 'Meticais', 'MZN', 'MT', '2021-04-20 05:46:25', '2021-04-20 05:46:25', 1, 1),
(71, 'Dollars', 'NAD', '$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(72, 'Rupees', 'NPR', '₨', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(73, 'Guilders', 'ANG', 'ƒ', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(74, 'Dollars', 'NZD', '$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(75, 'Cordobas', 'NIO', 'C$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(76, 'Nairas', 'NGN', '₦', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(77, 'Krone', 'NOK', 'kr', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(78, 'Rials', 'OMR', '﷼', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(79, 'Rupees', 'PKR', '₨', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(80, 'Balboa', 'PAB', 'B/.', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(81, 'Guarani', 'PYG', 'Gs', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(82, 'Nuevos Soles', 'PEN', 'S/.', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(83, 'Pesos', 'PHP', 'Php', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(84, 'Zlotych', 'PLN', 'zł', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(85, 'Rials', 'QAR', '﷼', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(86, 'New Lei', 'RON', 'lei', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(87, 'Rubles', 'RUB', 'руб', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(88, 'Pounds', 'SHP', '£', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(89, 'Riyals', 'SAR', '﷼', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(90, 'Dinars', 'RSD', 'Дин.', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(91, 'Rupees', 'SCR', '₨', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(92, 'Dollars', 'SGD', '$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(93, 'Dollars', 'SBD', '$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(94, 'Shillings', 'SOS', 'S', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(95, 'Rand', 'ZAR', 'R', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(96, 'Rupees', 'LKR', '₨', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(97, 'Kronor', 'SEK', 'kr', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(98, 'Dollars', 'SRD', '$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(99, 'Pounds', 'SYP', '£', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(100, 'New Dollars', 'TWD', 'NT$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(101, 'Baht', 'THB', '฿', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(102, 'Dollars', 'TTD', 'TT$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(103, 'Lira', 'TRY', 'TL', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(104, 'Liras', 'TRL', '£', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(105, 'Dollars', 'TVD', '$', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(106, 'Hryvnia', 'UAH', '₴', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(107, 'Pesos', 'UYU', '$U', '2021-04-20 05:46:26', '2021-04-20 05:46:26', 1, 1),
(108, 'Sums', 'UZS', 'лв', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(109, 'Bolivares Fuertes', 'VEF', 'Bs', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(110, 'Dong', 'VND', '₫', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(111, 'Rials', 'YER', '﷼', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(112, 'Taka', 'BDT', '৳', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(113, 'Zimbabwe Dollars', 'ZWD', 'Z$', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(114, 'Kenya', 'KES', 'KSh', '2021-04-20 05:46:27', '2021-04-20 05:46:27', 1, 1),
(115, 'Nigeria', 'naira', '₦', '2021-04-20 05:46:28', '2021-04-20 05:46:28', 1, 1),
(116, 'Ghana', 'GHS', 'GH₵', '2021-04-20 05:46:28', '2021-04-20 05:46:28', 1, 1),
(117, 'Ethiopian', 'ETB', 'Br', '2021-04-20 05:46:28', '2021-04-20 05:46:28', 1, 1),
(118, 'Tanzania', 'TZS', 'TSh', '2021-04-20 05:46:28', '2021-04-20 05:46:28', 1, 1),
(119, 'Uganda', 'UGX', 'USh', '2021-04-20 05:46:28', '2021-04-20 05:46:28', 1, 1),
(120, 'Rwandan', 'FRW', 'FRw', '2021-04-20 05:46:28', '2021-04-20 05:46:28', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_custom_links`
--

CREATE TABLE `sm_custom_links` (
  `id` int(10) UNSIGNED NOT NULL,
  `title1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href3` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label6` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href6` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label7` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href7` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label8` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href8` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label9` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href9` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label10` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href10` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label11` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href11` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label12` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href12` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label13` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href13` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label14` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href14` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label15` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href15` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_label16` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_href16` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `facebook_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dribble_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `linkedin_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `behance_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_custom_links`
--

INSERT INTO `sm_custom_links` (`id`, `title1`, `title2`, `title3`, `title4`, `link_label1`, `link_href1`, `link_label2`, `link_href2`, `link_label3`, `link_href3`, `link_label4`, `link_href4`, `link_label5`, `link_href5`, `link_label6`, `link_href6`, `link_label7`, `link_href7`, `link_label8`, `link_href8`, `link_label9`, `link_href9`, `link_label10`, `link_href10`, `link_label11`, `link_href11`, `link_label12`, `link_href12`, `link_label13`, `link_href13`, `link_label14`, `link_href14`, `link_label15`, `link_href15`, `link_label16`, `link_href16`, `facebook_url`, `twitter_url`, `dribble_url`, `linkedin_url`, `behance_url`, `created_at`, `updated_at`) VALUES
(1, 'Departments', 'Health Care', 'About Our System', 'Resources', 'About Infix', 'http://infixedu.com', 'Infix Home', 'http://infixedu.com/home', 'Business', 'http://infixedu.com', 'link_label4', 'http://infixedu.com', 'link_label5', 'http://infixedu.com', 'link_label6', 'http://infixedu.com', 'link_label7', 'http://infixedu.com', 'link_label8', 'http://infixedu.com', 'Home', 'http://infixedu.com/home', 'About', 'http://infixedu.com/about', 'Contact', 'http://infixedu.com/contact', 'link_label12', 'http://infixedu.com', 'link_label13', 'http://infixedu.com', 'link_label14', 'http://infixedu.com', 'link_label15', 'http://infixedu.com', 'link_label16', 'http://infixedu.com', NULL, NULL, NULL, NULL, NULL, '2021-04-20 05:46:52', '2021-04-20 05:46:52');

-- --------------------------------------------------------

--
-- Table structure for table `sm_custom_temporary_results`
--

CREATE TABLE `sm_custom_temporary_results` (
  `id` int(10) UNSIGNED NOT NULL,
  `student_id` int(11) DEFAULT NULL,
  `admission_no` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `full_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `term1` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gpa1` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `term2` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gpa2` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `term3` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gpa3` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `final_result` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `final_grade` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_dashboard_settings`
--

CREATE TABLE `sm_dashboard_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `dashboard_sec_id` int(11) NOT NULL,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_date_formats`
--

CREATE TABLE `sm_date_formats` (
  `id` int(10) UNSIGNED NOT NULL,
  `format` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `normal_view` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_date_formats`
--

INSERT INTO `sm_date_formats` (`id`, `format`, `normal_view`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'jS M, Y', '17th May, 2019', 1, '2021-04-20 05:36:12', '2021-04-20 05:36:12', 1, 1, 1),
(2, 'Y-m-d', '2019-05-17', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(3, 'Y-d-m', '2019-17-05', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(4, 'd-m-Y', '17-05-2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(5, 'm-d-Y', '05-17-2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(6, 'Y/m/d', '2019/05/17', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(7, 'Y/d/m', '2019/17/05', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(8, 'd/m/Y', '17/05/2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(9, 'm/d/Y', '05/17/2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(10, 'l jS \\of F Y', 'Monday 17th of May 2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(11, 'jS \\of F Y', '17th of May 2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(12, 'g:ia \\o\\n l jS F Y', '12:00am on Monday 17th May 2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(13, 'F j, Y, g:i a', 'May 7, 2019, 6:20 pm', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(14, 'F j, Y', 'May 17, 2019', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1),
(15, '\\i\\t \\i\\s \\t\\h\\e jS \\d\\a\\y', 'it is the 17th day', 1, '2021-04-20 05:36:13', '2021-04-20 05:36:13', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_designations`
--

CREATE TABLE `sm_designations` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `is_saas` int(10) UNSIGNED DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_designations`
--

INSERT INTO `sm_designations` (`id`, `title`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`, `is_saas`) VALUES
(1, 'Principal', 1, '2021-04-20 05:31:32', NULL, 1, 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `sm_dormitory_lists`
--

CREATE TABLE `sm_dormitory_lists` (
  `id` int(10) UNSIGNED NOT NULL,
  `dormitory_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'B=Boys, G=Girls',
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `intake` int(11) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_email_settings`
--

CREATE TABLE `sm_email_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `email_engine_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_driver` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_host` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_port` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_username` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_password` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mail_encryption` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_email_settings`
--

INSERT INTO `sm_email_settings` (`id`, `email_engine_type`, `from_name`, `from_email`, `mail_driver`, `mail_host`, `mail_port`, `mail_username`, `mail_password`, `mail_encryption`, `school_id`, `academic_id`, `active_status`, `created_at`, `updated_at`) VALUES
(1, 'smtp', 'System Admin', 'admin@infixedu.com', 'smtp', 'smtp.gmail.com', '587', 'spn5@spondonit.com', '123456', 'tls', 1, 1, 0, NULL, NULL),
(2, 'php', 'System Admin', 'admin@infixedu.com', 'php', '', '', '', '', '', 1, 1, 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sm_email_sms_logs`
--

CREATE TABLE `sm_email_sms_logs` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `send_date` date DEFAULT NULL,
  `send_through` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `send_to` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_events`
--

CREATE TABLE `sm_events` (
  `id` int(10) UNSIGNED NOT NULL,
  `event_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `for_whom` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'teacher, student, parents, all',
  `event_location` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `event_des` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_date` date DEFAULT NULL,
  `to_date` date DEFAULT NULL,
  `uplad_image_file` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_events`
--

INSERT INTO `sm_events` (`id`, `event_title`, `for_whom`, `event_location`, `event_des`, `from_date`, `to_date`, `uplad_image_file`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`, `academic_id`) VALUES
(1, 'Biggest Robotics Competition in Campus', NULL, 'Main Campus', 'Amet enim curabitur urna. Faucibus tincidunt pellentesque varius blandit fermentum tristique vulputate sodales tempus est hendrerit est tincidunt ligula lorem tellus eu malesuada tortor, lacinia posuere. Conubia Egestas sed senectus.', '2019-06-12', '2019-06-21', 'public/uploads/events/event1.jpg', 1, NULL, NULL, 1, 1, 1, 1),
(2, 'Great Science Fair in main campus', NULL, 'Main Campus', 'Magna odio in. Facilisi arcu nec augue lacus augue maecenas hendrerit euismod cras vulputate dignissim pellentesque sociis est. Ut congue Leo dignissim. Fermentum curabitur pede bibendum aptent, quam, ultrices Nam convallis sed condimentum. Adipiscing mollis lorem integer eget neque, vel.', '2019-06-12', '2019-06-21', 'public/uploads/events/event2.jpg', 1, NULL, NULL, 1, 1, 1, 1),
(3, 'Seminar on Internet of Thing in Campus', NULL, 'Main Campus', 'Libero erat porta ridiculus semper mi eleifend. Nisl nulla. Tempus, rhoncus per. Varius. Pharetra nisi potenti ut ultrices sociosqu adipiscing at. Suscipit vulputate senectus. Nostra. Aliquam fringilla eleifend accumsan dui.', '2019-06-12', '2019-06-21', 'public/uploads/events/event3.jpg', 1, NULL, NULL, 1, 1, 1, 1),
(4, 'Art Competition in Campus', NULL, 'Main Campus', 'Dui nunc faucibus Feugiat penatibus molestie taciti nibh nulla pellentesque convallis praesent. Fusce. Vivamus egestas Rutrum est eu dictum volutpat morbi et. Placerat justo elementum dictumst magna nisl ut mollis varius velit facilisi. Duis tellus ullamcorper aenean massa nibh mi.', '2019-06-12', '2019-06-21', 'public/uploads/events/event4.jpg', 1, NULL, NULL, 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_exams`
--

CREATE TABLE `sm_exams` (
  `id` int(10) UNSIGNED NOT NULL,
  `exam_mark` double(8,2) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_type_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_attendances`
--

CREATE TABLE `sm_exam_attendances` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_attendance_children`
--

CREATE TABLE `sm_exam_attendance_children` (
  `id` int(10) UNSIGNED NOT NULL,
  `attendance_type` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'P = present A = Absent',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_attendance_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_marks_registers`
--

CREATE TABLE `sm_exam_marks_registers` (
  `id` int(10) UNSIGNED NOT NULL,
  `obtained_marks` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `exam_date` date DEFAULT NULL,
  `comments` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_id` int(10) UNSIGNED NOT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_schedules`
--

CREATE TABLE `sm_exam_schedules` (
  `id` int(10) UNSIGNED NOT NULL,
  `date` date DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_period_id` int(10) UNSIGNED DEFAULT NULL,
  `room_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_term_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_schedule_subjects`
--

CREATE TABLE `sm_exam_schedule_subjects` (
  `id` int(10) UNSIGNED NOT NULL,
  `date` date DEFAULT NULL,
  `start_time` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `end_time` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `room` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `full_mark` int(11) DEFAULT NULL,
  `pass_mark` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_schedule_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_settings`
--

CREATE TABLE `sm_exam_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `exam_type` int(11) DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `publish_date` date DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `file` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_exam_settings`
--

INSERT INTO `sm_exam_settings` (`id`, `exam_type`, `title`, `publish_date`, `start_date`, `end_date`, `file`, `active_status`, `created_at`, `updated_at`, `school_id`, `academic_id`) VALUES
(1, 1, 'Exam Controller', '2021-04-20', '2021-04-20', '2021-04-20', 'public/uploads/exam/signature.png', 1, '2021-04-20 05:51:37', '2021-04-20 05:51:37', 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_setups`
--

CREATE TABLE `sm_exam_setups` (
  `id` int(10) UNSIGNED NOT NULL,
  `exam_title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `exam_mark` double(8,2) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_term_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_exam_types`
--

CREATE TABLE `sm_exam_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `percentage` double(8,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_expense_heads`
--

CREATE TABLE `sm_expense_heads` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_assigns`
--

CREATE TABLE `sm_fees_assigns` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fees_amount` double(10,2) DEFAULT NULL,
  `applied_discount` double(10,2) DEFAULT NULL,
  `fees_master_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_discount_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_assign_discounts`
--

CREATE TABLE `sm_fees_assign_discounts` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_discount_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_type_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_group_id` int(10) UNSIGNED DEFAULT NULL,
  `applied_amount` double DEFAULT '0',
  `unapplied_amount` double DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_carry_forwards`
--

CREATE TABLE `sm_fees_carry_forwards` (
  `id` int(10) UNSIGNED NOT NULL,
  `balance` double(16,2) NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_discounts`
--

CREATE TABLE `sm_fees_discounts` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` enum('once','year') COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'once for one time, year for all months',
  `amount` double(10,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_groups`
--

CREATE TABLE `sm_fees_groups` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `due_date` date DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_masters`
--

CREATE TABLE `sm_fees_masters` (
  `id` int(10) UNSIGNED NOT NULL,
  `date` date DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fees_group_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_type_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_payments`
--

CREATE TABLE `sm_fees_payments` (
  `id` int(10) UNSIGNED NOT NULL,
  `discount_month` tinyint(4) DEFAULT NULL,
  `discount_amount` double(8,2) DEFAULT NULL,
  `fine` double(8,2) DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `payment_date` date DEFAULT NULL,
  `payment_mode` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `slip` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fine_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fees_discount_id` int(10) UNSIGNED DEFAULT NULL,
  `fees_type_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_fees_types`
--

CREATE TABLE `sm_fees_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(230) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `fees_group_id` int(10) UNSIGNED DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_frontend_persmissions`
--

CREATE TABLE `sm_frontend_persmissions` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `is_published` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_frontend_persmissions`
--

INSERT INTO `sm_frontend_persmissions` (`id`, `name`, `parent_id`, `is_published`, `created_at`, `updated_at`) VALUES
(1, 'Home Page', 0, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(2, 'About Page', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(3, 'Image Banner', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(4, 'Latest News', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(5, 'Notice Board', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(6, 'Event List', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(7, 'Academics', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(8, 'Testimonial', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(9, 'Custom Links', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(10, 'Social Icons', 1, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(11, 'About Image', 2, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(12, 'Statistic Number Section', 2, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(13, 'Our History', 2, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(14, 'Our Mission and Vision', 2, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53'),
(15, 'Testimonial', 2, 1, '2021-04-20 05:46:53', '2021-04-20 05:46:53');

-- --------------------------------------------------------

--
-- Table structure for table `sm_general_settings`
--

CREATE TABLE `sm_general_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `school_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `site_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `school_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file_size` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '102400',
  `currency` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'USD',
  `currency_symbol` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '$',
  `promotionSetting` int(11) DEFAULT '0',
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `favicon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `system_version` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '6.0',
  `active_status` int(11) DEFAULT '1',
  `currency_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'USD',
  `language_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'en',
  `session_year` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT '2020',
  `system_purchase_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `system_activated_date` date DEFAULT NULL,
  `last_update` date DEFAULT NULL,
  `envato_user` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `envato_item_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `system_domain` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `copyright_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `api_url` int(11) NOT NULL DEFAULT '1',
  `website_btn` int(11) NOT NULL DEFAULT '1',
  `dashboard_btn` int(11) NOT NULL DEFAULT '1',
  `report_btn` int(11) NOT NULL DEFAULT '1',
  `style_btn` int(11) NOT NULL DEFAULT '1',
  `ltl_rtl_btn` int(11) NOT NULL DEFAULT '1',
  `lang_btn` int(11) NOT NULL DEFAULT '1',
  `website_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ttl_rtl` int(11) NOT NULL DEFAULT '2',
  `phone_number_privacy` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `week_start_id` int(11) DEFAULT NULL,
  `time_zone_id` int(11) DEFAULT NULL,
  `session_id` int(10) UNSIGNED DEFAULT NULL,
  `language_id` int(10) UNSIGNED DEFAULT '1',
  `date_format_id` int(10) UNSIGNED DEFAULT '1',
  `ss_page_load` int(11) DEFAULT '3',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `software_version` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_driver` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'smtp',
  `Lesson` int(11) DEFAULT '1',
  `Chat` int(11) DEFAULT '1',
  `FeesCollection` int(11) DEFAULT '0',
  `income_head_id` int(11) DEFAULT '0',
  `InfixBiometrics` int(11) DEFAULT '0',
  `ResultReports` int(11) DEFAULT '0',
  `TemplateSettings` int(11) DEFAULT '1',
  `MenuManage` int(11) DEFAULT '1',
  `RolePermission` int(11) DEFAULT '1',
  `RazorPay` int(11) DEFAULT '0',
  `Saas` int(11) DEFAULT '1',
  `ParentRegistration` int(11) DEFAULT '0',
  `Zoom` int(11) DEFAULT '0',
  `SaasSubscription` int(11) DEFAULT '0',
  `SaasRolePermission` int(11) DEFAULT '0',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_general_settings`
--

INSERT INTO `sm_general_settings` (`id`, `school_name`, `site_title`, `school_code`, `address`, `phone`, `email`, `file_size`, `currency`, `currency_symbol`, `promotionSetting`, `logo`, `favicon`, `system_version`, `active_status`, `currency_code`, `language_name`, `session_year`, `system_purchase_code`, `system_activated_date`, `last_update`, `envato_user`, `envato_item_id`, `system_domain`, `copyright_text`, `api_url`, `website_btn`, `dashboard_btn`, `report_btn`, `style_btn`, `ltl_rtl_btn`, `lang_btn`, `website_url`, `ttl_rtl`, `phone_number_privacy`, `created_at`, `updated_at`, `week_start_id`, `time_zone_id`, `session_id`, `language_id`, `date_format_id`, `ss_page_load`, `school_id`, `software_version`, `email_driver`, `Lesson`, `Chat`, `FeesCollection`, `income_head_id`, `InfixBiometrics`, `ResultReports`, `TemplateSettings`, `MenuManage`, `RolePermission`, `RazorPay`, `Saas`, `ParentRegistration`, `Zoom`, `SaasSubscription`, `SaasRolePermission`, `academic_id`) VALUES
(1, 'Infix Edu', 'Infix Education software', '12345678', '89/2 Panthapath, Dhaka 1215, Bangladesh', '+8801841412141', 'info@spondonit.com', '102400', 'USD', '$', 0, 'public/uploads/settings/logo.png', 'public/uploads/settings/favicon.png', '6.0', 1, 'USD', 'en', '2020', NULL, '2021-04-20', '2021-04-20', NULL, NULL, 'http://localhost', 'Copyright &copy; 2020 All rights reserved | This application is made by Codethemes', 1, 1, 1, 1, 1, 1, 1, NULL, 2, 1, NULL, NULL, NULL, 51, 1, 1, 1, 3, 1, '6.0', 'smtp', 1, 1, 0, 1, 0, 0, 1, 1, 1, 0, 1, 0, 0, 0, 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_header_menu_managers`
--

CREATE TABLE `sm_header_menu_managers` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `element_id` bigint(20) UNSIGNED DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint(20) UNSIGNED DEFAULT NULL,
  `position` int(10) UNSIGNED NOT NULL DEFAULT '0',
  `show` tinyint(1) NOT NULL DEFAULT '0',
  `is_newtab` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_holidays`
--

CREATE TABLE `sm_holidays` (
  `id` int(10) UNSIGNED NOT NULL,
  `holiday_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `details` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_date` date DEFAULT NULL,
  `to_date` date DEFAULT NULL,
  `upload_image_file` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_homeworks`
--

CREATE TABLE `sm_homeworks` (
  `id` int(10) UNSIGNED NOT NULL,
  `homework_date` date DEFAULT NULL,
  `submission_date` date DEFAULT NULL,
  `evaluation_date` date DEFAULT NULL,
  `file` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marks` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `evaluated_by` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_homework_students`
--

CREATE TABLE `sm_homework_students` (
  `id` int(10) UNSIGNED NOT NULL,
  `marks` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `teacher_comments` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `complete_status` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `homework_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_home_page_settings`
--

CREATE TABLE `sm_home_page_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `long_title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `short_description` text COLLATE utf8mb4_unicode_ci,
  `link_label` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_home_page_settings`
--

INSERT INTO `sm_home_page_settings` (`id`, `title`, `long_title`, `short_description`, `link_label`, `link_url`, `image`, `created_at`, `updated_at`) VALUES
(1, 'THE ULTIMATE EDUCATION ERP', 'INFIX', 'Managing various administrative tasks in one place is now quite easy and time savior with this INFIX and Give your valued time to your institute that will increase next generation productivity for our society.', 'Learn More About Us', 'http://infixedu.com/about', 'public/backEnd/img/client/home-banner1.jpg', '2021-04-20 05:46:54', '2021-04-20 05:46:54');

-- --------------------------------------------------------

--
-- Table structure for table `sm_hourly_rates`
--

CREATE TABLE `sm_hourly_rates` (
  `id` int(10) UNSIGNED NOT NULL,
  `grade` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rate` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_hr_payroll_earn_deducs`
--

CREATE TABLE `sm_hr_payroll_earn_deducs` (
  `id` int(10) UNSIGNED NOT NULL,
  `type_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `earn_dedc_type` varchar(5) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'e for earnings and d for deductions',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `payroll_generate_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_hr_payroll_generates`
--

CREATE TABLE `sm_hr_payroll_generates` (
  `id` int(10) UNSIGNED NOT NULL,
  `basic_salary` double DEFAULT NULL,
  `total_earning` double DEFAULT NULL,
  `total_deduction` double DEFAULT NULL,
  `gross_salary` double DEFAULT NULL,
  `tax` double DEFAULT NULL,
  `net_salary` double DEFAULT NULL,
  `payroll_month` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payroll_year` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payroll_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'NG for not generated, G for generated, P for paid',
  `payment_mode` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_date` date DEFAULT NULL,
  `bank_id` int(11) DEFAULT NULL,
  `note` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `staff_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_hr_salary_templates`
--

CREATE TABLE `sm_hr_salary_templates` (
  `id` int(10) UNSIGNED NOT NULL,
  `salary_grades` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `salary_basic` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `overtime_rate` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `house_rent` int(11) DEFAULT NULL,
  `provident_fund` int(11) DEFAULT NULL,
  `gross_salary` int(11) DEFAULT NULL,
  `total_deduction` int(11) DEFAULT NULL,
  `net_salary` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_human_departments`
--

CREATE TABLE `sm_human_departments` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `is_saas` int(10) UNSIGNED DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_human_departments`
--

INSERT INTO `sm_human_departments` (`id`, `name`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`, `is_saas`) VALUES
(1, 'Admin', 1, '2021-04-20 05:31:35', NULL, 1, 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `sm_income_heads`
--

CREATE TABLE `sm_income_heads` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_instructions`
--

CREATE TABLE `sm_instructions` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_inventory_payments`
--

CREATE TABLE `sm_inventory_payments` (
  `id` int(10) UNSIGNED NOT NULL,
  `item_receive_sell_id` int(10) UNSIGNED DEFAULT NULL,
  `payment_date` date DEFAULT NULL,
  `amount` double(10,2) DEFAULT NULL,
  `reference_no` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_type` varchar(11) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'R for receive S for sell',
  `payment_method` int(10) UNSIGNED DEFAULT NULL,
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_items`
--

CREATE TABLE `sm_items` (
  `id` int(10) UNSIGNED NOT NULL,
  `item_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_in_stock` double(8,2) DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `item_category_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_categories`
--

CREATE TABLE `sm_item_categories` (
  `id` int(10) UNSIGNED NOT NULL,
  `category_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_issues`
--

CREATE TABLE `sm_item_issues` (
  `id` int(10) UNSIGNED NOT NULL,
  `issue_to` int(10) UNSIGNED DEFAULT NULL,
  `issue_by` int(10) UNSIGNED DEFAULT NULL,
  `issue_date` date DEFAULT NULL,
  `due_date` date DEFAULT NULL,
  `quantity` int(10) UNSIGNED DEFAULT NULL,
  `issue_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `item_category_id` int(10) UNSIGNED DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_receives`
--

CREATE TABLE `sm_item_receives` (
  `id` int(10) UNSIGNED NOT NULL,
  `receive_date` date DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grand_total` int(11) DEFAULT NULL,
  `total_quantity` int(11) DEFAULT NULL,
  `total_paid` int(11) DEFAULT NULL,
  `total_due` int(11) DEFAULT NULL,
  `expense_head_id` int(11) DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paid_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `supplier_id` int(10) UNSIGNED DEFAULT NULL,
  `store_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_receive_children`
--

CREATE TABLE `sm_item_receive_children` (
  `id` int(10) UNSIGNED NOT NULL,
  `unit_price` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `sub_total` int(11) DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `item_receive_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_sells`
--

CREATE TABLE `sm_item_sells` (
  `id` int(10) UNSIGNED NOT NULL,
  `student_staff_id` int(11) DEFAULT NULL,
  `sell_date` date DEFAULT NULL,
  `reference_no` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grand_total` int(11) DEFAULT NULL,
  `total_quantity` int(11) DEFAULT NULL,
  `total_paid` int(11) DEFAULT NULL,
  `total_due` int(11) DEFAULT NULL,
  `income_head_id` int(11) DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  `payment_method` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paid_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_sell_children`
--

CREATE TABLE `sm_item_sell_children` (
  `id` int(10) UNSIGNED NOT NULL,
  `sell_price` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `sub_total` int(11) DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `item_sell_id` int(10) UNSIGNED DEFAULT NULL,
  `item_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_item_stores`
--

CREATE TABLE `sm_item_stores` (
  `id` int(10) UNSIGNED NOT NULL,
  `store_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `store_no` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_languages`
--

CREATE TABLE `sm_languages` (
  `id` int(10) UNSIGNED NOT NULL,
  `language_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `native` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `language_universal` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `lang_id` int(10) UNSIGNED DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_languages`
--

INSERT INTO `sm_languages` (`id`, `language_name`, `native`, `language_universal`, `active_status`, `created_at`, `updated_at`, `lang_id`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'English', 'English', 'en', 1, '2021-04-20 05:36:10', '2021-04-20 05:36:10', 19, 1, 1, 1),
(2, 'Bengali', 'বাংলা', 'bn', 0, '2021-04-20 05:36:11', '2021-04-20 05:36:11', 9, 1, 1, 1),
(3, 'Spanish', 'Español', 'es', 0, '2021-04-20 05:36:11', '2021-04-20 05:36:11', 20, 1, 1, 1),
(4, 'French', 'Français', 'fr', 0, '2021-04-20 05:36:11', '2021-04-20 05:36:11', 28, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_language_phrases`
--

CREATE TABLE `sm_language_phrases` (
  `id` int(10) UNSIGNED NOT NULL,
  `modules` text,
  `default_phrases` text,
  `en` text,
  `es` text,
  `bn` text,
  `fr` text,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `sm_language_phrases`
--

INSERT INTO `sm_language_phrases` (`id`, `modules`, `default_phrases`, `en`, `es`, `bn`, `fr`, `active_status`, `created_at`, `updated_at`) VALUES
(1, '0', 'dashboard', 'Dashboard', 'Tablero', 'ড্যাশবোর্ড', 'Tableau de bord', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(2, '0', 'read_more', 'Read More', 'Read More', 'আরও পড়ুন', 'Read More', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(3, '0', 'add_to_do', 'Add To Do', 'Add To Do', 'করতে যোগ করুন', 'Add To Do', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(4, '0', 'welcome', 'Welcome', 'Bienvenido', 'স্বাগত', 'Bienvenue', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(5, '0', 'student', 'Student', 'Estudiante', 'ছাত্র', 'Étudiant', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(6, '0', 'total', 'Total', 'Total', 'মোট', 'Total', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(7, '0', 'template', 'Template', 'Template', 'টেমপ্লেট', 'Template', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(8, '0', 'early', 'Early', 'Early', 'তাড়াতাড়ি', 'Early', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(9, '0', 'cheque_bounce', 'Cheque Bounce', 'Cheque Bounce', 'বাউন্স পরীক্ষা করুন', 'Cheque Bounce', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(10, '0', 'checkout', 'Checkout', 'Checkout', 'চেকআউট', 'Checkout', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(11, '0', 'check', 'Check', 'Check', 'চেক', 'Check', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(12, '0', 'credentials', 'Credentials', 'Credentials', 'শংসাপত্রাদি', 'Credentials', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(13, '0', 'birthday', 'Birthday', 'Birthday', 'জন্মদিন', 'Birthday', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(14, '0', 'application', 'Application', 'Application', 'প্রয়োগ', 'Application', 1, '2021-04-20 05:44:40', '2021-04-20 05:44:40'),
(15, '0', 'student_admitted_message', 'Student Admitted Message', 'Student Admitted Message', 'ছাত্র ভর্তি বার্তা', 'Student Admitted Message', 1, '2021-04-20 05:44:41', '2021-04-20 05:44:41'),
(16, '0', 'student_admission_progress', 'Student Admission In Progress', 'Student Admission In Progress', 'শিক্ষার্থী ভর্তি চলছে', 'Student Admission In Progress', 1, '2021-04-20 05:44:41', '2021-04-20 05:44:41'),
(17, '0', 'teachers', 'Teachers', 'Maestros', 'শিক্ষক', 'Enseignants', 1, '2021-04-20 05:44:41', '2021-04-20 05:44:41'),
(18, '0', 'parents', 'Parents', 'Los padres', 'মাতাপিতা', 'Parents', 1, '2021-04-20 05:44:41', '2021-04-20 05:44:41'),
(19, '0', 'staffs', 'Staffs', 'Personal', 'কর্মীরা', 'Le personnel', 1, '2021-04-20 05:44:41', '2021-04-20 05:44:41'),
(20, '0', 'income_and_expenses_for', 'Income and Expenses for', 'Ingresos y gastos para', 'আয় এবং ব্যয়ের জন্য', 'Revenus et dépenses pour', 1, '2021-04-20 05:44:41', '2021-04-20 05:44:41'),
(21, '0', 'total_income', 'Total Income', 'Ingresos totales', 'মোট আয়', 'Revenu total', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(22, '0', 'total_expenses', 'Total Expenses', 'Gastos totales', 'মোট খরচ', 'Dépenses totales', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(23, '0', 'total_profit', 'Total Profit', 'Beneficio total', 'সমস্ত লাভ', 'Bénéfice total', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(24, '0', 'total_revenue', 'Total Revenue', 'Los ingresos totales', 'মোট রাজস্ব', 'Revenu total', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(25, '0', 'title', 'Title', 'Título', 'শিরোনাম', 'Titre', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(26, '0', 'message', 'Message', 'Mensaje', 'বার্তা', 'Message', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(27, '0', 'actions', 'Actions', 'Comportamiento', 'ক্রিয়াকলাপ', 'actes', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(28, '0', 'calendar', 'Calendar', 'Calendario', 'পাঁজি', 'Calendrier', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(29, '0', 'view', 'View', 'Ver', 'দৃশ্য', 'Vue', 1, '2021-04-20 05:44:42', '2021-04-20 05:44:42'),
(30, '0', 'to_do_list', 'To Do List', 'Lista de quehaceres', 'তালিকা তৈরি', 'Liste de choses à faire', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(31, '0', 'add', 'Add', 'Añadir', 'যোগ', 'Ajouter', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(32, '0', 'edit', 'Edit', 'Editar', 'সম্পাদন করা', 'modifier', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(33, '0', 'no_do_lists_assigned_yet', 'No Do Lists Assigned Yet', 'No hay listas asignadas aún', 'এখনও কোনও তালিকা তালিকাভুক্ত করা হয়নি', 'Aucune liste assignée pour linstant', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(34, '0', 'theme', 'Theme', 'Theme', 'বিষয়', 'Theme', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(35, '0', 'time_zone', 'Time Zone', 'Time Zone', 'সময় অঞ্চল', 'Time Zone', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(36, '0', 'mail', 'Mail', 'Mail', 'মেল', 'Mail', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(37, '0', 'host', 'Host', 'Host', 'নিমন্ত্রণকর্তা', 'Host', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(38, '0', 'encryption', 'Encryption', 'Encryption', 'জোড়া লাগানো', 'Encryption', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(39, '0', 'login', 'Login', 'Login', 'প্রবেশ করুন', 'Login', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(40, '0', 'enter', 'Enter', 'Enter', 'প্রবেশ করান', 'Enter', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(41, '0', 'remember_me', 'Remember Me', 'Remember Me', 'আমাকে মনে কর', 'Remember Me', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(42, '0', 'forget', 'Forget', 'Forget', 'ভুলে যান', 'Forget', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(43, '0', 'current_month', 'Current Month', 'Current Month', 'বর্তমান মাস', 'Current Month', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(44, '0', 'keyword', 'Keyword', 'Keyword', 'কী খুঁজতে হবে', 'Keyword', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(45, '0', 'manage', 'Manage', 'manage', 'পরিচালনা করা', 'manage', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(46, '0', 'manager', 'Manager', 'manager', 'পরিচালনা', 'Manager', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(47, '0', 'child', 'Child', 'Child', 'শিশু', 'Child', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(48, '0', 'running', 'Running', 'Running', 'চলমান', 'Running', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(49, '0', 'select_academic_year', 'Select Academic Year', 'Select Academic Year', 'একাডেমিক বছর নির্বাচন করুন', 'Select Academic Year', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(50, '0', 'PDF', 'PDF', 'PDF', 'পিডিএফ', 'PDF', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(51, '0', 'biometrics', 'Biometrics', 'Biometrics', 'বায়োমেট্রিক্স', 'Biometrics', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(52, '1', 'admin_section', 'Admin Section', 'Sección de Administración', 'প্রশাসন বিভাগ', 'Section Admin', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(53, '1', 'admission_query', 'Admission Query', 'Consulta de Admisión', 'ভর্তি প্রশ্ন', 'Requête dadmission', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(54, '1', 'select_criteria', 'Select Criteria', 'Seleccione los criterios', 'মানদণ্ড নির্বাচন করুন', 'Sélectionner des critères', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(55, '1', 'date_from', 'Date From', 'Fecha de', 'তারিখ থেকে', 'Dater de', 1, '2021-04-20 05:44:43', '2021-04-20 05:44:43'),
(56, '1', 'date_to', 'Date To', 'Fecha para', 'তারিখ', 'Date à', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(57, '1', 'select_source', 'Select Source', 'Seleccione Fuente', 'উত্স নির্বাচন করুন', 'Sélectionnez la source', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(58, '1', 'select_status', 'Select status', 'Seleccionar estado', 'স্থিতি নির্বাচন করুন', 'Sélectionnez le statut', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(59, '1', 'Status', 'Status', 'Estado', 'অবস্থা', 'Statut', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(60, '1', 'active', 'Active', 'Activo', 'সক্রিয়', 'actif', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(61, '1', 'inactive', 'Inactive', 'Inactivo', 'নিষ্ক্রিয়', 'Inactif', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(62, '1', 'search', 'Search', 'Buscar', 'অনুসন্ধান করুন', 'Chercher', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(63, '1', 'query_list', 'Query List', 'Lista de consultas', 'অনুসন্ধানের তালিকা', 'Liste de requêtes', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(64, '1', 'name', 'Name', 'Nombre', 'নাম', 'prénom', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(65, '1', 'phone', 'Phone', 'Teléfono', 'ফোন', 'Téléphone', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(66, '1', 'source', 'Source', 'Fuente', 'সূত্র', 'La source', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(67, '1', 'email', 'Email', 'Email', 'ইমেইল', 'Email', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(68, '1', 'query_date', 'Query Date', 'Fecha de consulta', 'অনুসন্ধানের তারিখ', 'Date de la requête', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(69, '1', 'last_follow_up_date', 'last follow up date', 'última fecha de seguimiento', 'শেষ অনুসরণ তারিখ', 'dernière date de suivi', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(70, '1', 'next_follow_up_date', 'next follow up date', 'siguiente fecha de seguimiento', 'পরবর্তী অনুসরণ তারিখ', 'prochaine date de suivi', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(71, '1', 'select', 'Select', 'Seleccionar', 'নির্বাচন করা', 'Sélectionner', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(72, '1', 'add_query', 'Add Query', 'Añadir consulta', 'অনুসন্ধান যোগ করুন', 'Ajouter une requête', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(73, '1', 'delete', 'Delete', 'Borrar', 'মুছে ফেলা', 'Effacer', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(74, '1', 'delete_admission_query', 'Delete Admission Query', 'Eliminar consulta de admisión', 'ভর্তি প্রশ্ন মুছুন', 'Supprimer la requête dadmission', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(75, '1', 'are_you_sure_to_delete', 'Are you sure to delete this item?', '¿Estás seguro de eliminar este elemento?', 'আপনি কি এই আইটেমটি মুছে ফেলার বিষয়ে নিশ্চিত?', 'Êtes-vous sûr de vouloir supprimer cet article?', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(76, '1', 'are_you_sure_to_disable', 'Are you sure to disable this item?', '¿Estás seguro de eliminar este elemento?', 'আপনি কি এই আইটেমটি মুছে ফেলার বিষয়ে নিশ্চিত?', 'Êtes-vous sûr de vouloir supprimer cet article?', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(77, '1', 'are_you_sure_to_enable', 'Are you sure to enable this item?', '¿Estás seguro de eliminar este elemento?', 'আপনি কি এই আইটেমটি মুছে ফেলার বিষয়ে নিশ্চিত?', 'Êtes-vous sûr de vouloir supprimer cet article?', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(78, '1', 'cancel', 'Cancel', 'Cancelar', 'বাতিল', 'Annuler', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(79, '1', 'admission_enquiry', 'Admission Enquiry', 'Consulta de Admisión', 'ভর্তি তদন্ত', 'Enquête dadmission', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(80, '1', 'address', 'Address', 'Dirección', 'ঠিকানা', 'Adresse', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(81, '1', 'description', 'Description', 'Descripción', 'বিবরণ', 'La description', 1, '2021-04-20 05:44:44', '2021-04-20 05:44:44'),
(82, '1', 'date', 'Date', 'Fecha', 'তারিখ', 'Rendez-vous amoureux', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(83, '1', 'expired', 'Expired', 'Expired', 'মেয়াদোত্তীর্ণ', 'Expired', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(84, '1', 'assigned', 'Assigned', 'Asignado', 'বরাদ্দ', 'Attribué', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(85, '1', 'reference', 'Reference', 'Referencia', 'উল্লেখ', 'Référence', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(86, '1', 'number_of_child', 'Number of child', 'Numero de niño', 'সন্তানের সংখ্যা', 'Nombre denfant', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(87, '1', 'save', 'Save', 'Salvar', 'সংরক্ষণ', 'sauvegarder', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(88, '1', 'visitor_book', 'Visitor Book', 'Libro de visitas', 'ভিজিটর বুক', 'Livre de visites', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(89, '1', 'visitor', 'Visitor', 'Visitante', 'দর্শনার্থী', 'Visiteur', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(90, '1', 'purpose', 'Purpose', 'Propósito', 'উদ্দেশ্য', 'Objectif', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(91, '1', 'id', 'Id', 'CARNÉ DE IDENTIDAd', 'আইডি', 'Id', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(92, '1', 'no_of_person', 'No. of Person', 'No. de persona', 'ব্যক্তির সংখ্যা', 'No. de personne', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(93, '1', 'in_time', 'In Time', 'A tiempo', 'সময়', 'À lheure', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(94, '1', 'out_time', 'Out time', 'Fuera de tiempo', 'সময় শেষ', 'Temps de sortie', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(95, '1', 'out_of', 'Out Of', 'Out Of', 'এর বাইরে', 'Out Of', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(96, '1', 'browse', 'browse', 'vistazo', 'ব্রাউজ', 'Feuilleter', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(97, '1', 'update', 'Update', 'Actualizar', 'হালনাগাদ', 'Mettre à jour', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(98, '1', 'visitor_list', 'Visitor List', 'Lista de visitantes', 'দর্শনার্থীর তালিকা', 'Liste de visiteurs', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(99, '1', 'download', 'Download', 'Descargar', 'ডাউনলোড', 'Télécharger', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(100, '1', 'complaint', 'Complaint', 'Queja', 'অভিযোগ', 'Plainte', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(101, '1', 'by', 'By', 'Por', 'দ্বারা', 'Par', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(102, '1', 'type', 'Type', 'Tipo', 'আদর্শ', 'Type', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(103, '1', 'taken', 'Taken', 'Tomado', 'ধরা', 'Pris', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(104, '1', 'list', 'List', 'Lista', 'তালিকা', 'liste', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(105, '1', 'postal_receive', 'Postal Receive', 'Recibir Postal', 'ডাক প্রাপ্তি', 'Réception postale', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(106, '1', 'from_title', 'From Title', 'Del título', 'শিরোনাম থেকে', 'De titre', 1, '2021-04-20 05:44:45', '2021-04-20 05:44:45'),
(107, '1', 'no', 'No', 'No', 'না', 'Non', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(108, '1', 'note', 'Note', 'Nota', 'বিঃদ্রঃ', 'Remarque', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(109, '1', 'to_title', 'To Title', 'Al título', 'শিরোনাম', 'Au titre', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(110, '1', 'postal_dispatch', 'Postal Dispatch', 'Despacho Postal', 'ডাক প্রেরণ', 'Envoi postal', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(111, '1', 'phone_call_log', 'Phone Call Log', 'Registro de llamadas telefónicas', 'ফোন কল লগ', 'Journal des appels téléphoniques', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(112, '1', 'phone_call', 'Phone Call', 'Llamada telefónica', 'ফোন কল', 'Appel téléphonique', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(113, '1', 'follow_up_date', 'Follow Up Date', 'Fecha de seguimiento', 'অনুসরণ তারিখ', 'Date de suivi', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(114, '1', 'call_duration', 'Call Duration', 'Duración de la llamada', 'কল সময়কাল', 'Durée dappel', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(115, '1', 'incoming', 'Incoming', 'Entrante', 'ইনকামিং', 'Entrant', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(116, '1', 'outgoing', 'Outgoing', 'Saliente', 'বিদায়ী', 'Sortant', 1, '2021-04-20 05:44:46', '2021-04-20 05:44:46'),
(117, '1', 'call', 'Call', 'Llamada', 'কল', 'Appel', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(118, '1', 'admin_setup', 'Admin Setup', 'Configuración de administrador', 'অ্যাডমিন সেটআপ', 'Configuration de ladministrateur', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(119, '1', 'setup_admin', 'Admin Setup', 'Configuración de administrador', 'অ্যাডমিন সেটআপ', 'Configuration de ladministrateur', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(120, '1', 'student_certificate', 'Student Certificate', 'Certificado de estudiante', 'ছাত্র শংসাপত্র', 'Certificat détudiant', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(121, '1', 'certificate', 'Certificate', 'Certificado', 'সনদপত্র', 'Certificat', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(122, '1', 'header_left_text', 'Header left text', 'Encabezado texto a la izquierda', 'শিরোনাম বাম পাঠ্য', 'En-tête gauche du texte', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(123, '1', 'body', 'Body', 'Cuerpo', 'শরীর', 'Corps', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(124, '1', 'footer_left_text', 'Footer left text', 'Pie de página texto a la izquierda', 'পাদচরণ বাম পাঠ্য', 'Footer left text', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(125, '1', 'footer_center_text', 'Footer Center text', 'Texto del centro de pie de página', 'পাদচরণ কেন্দ্র পাঠ্য', 'Footer Center text', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(126, '1', 'footer_right_text', 'Footer Right text', 'Pie derecho texto', 'পাদলেখ ডান পাঠ্য', 'Footer Right text', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(127, '1', 'student_photo', 'Student Photo', 'Foto de estudiante', 'ছাত্রের ছবি', 'Photo étudiante', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(128, '1', 'yes', 'Yes', 'sí', 'হ্যাঁ', 'Oui', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(129, '1', 'none', 'No', 'No', 'না', 'Non', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(130, '1', 'background_image', 'Background Image', 'Imagen de fondo', 'পটভূমি চিত্র', 'Image de fond', 1, '2021-04-20 05:44:47', '2021-04-20 05:44:47'),
(131, '1', 'generate_certificate', 'Generate Certificate', 'Generar certificado', 'শংসাপত্র তৈরি করুন', 'Générer un certificat', 1, '2021-04-20 05:44:48', '2021-04-20 05:44:48'),
(132, '1', 'select_section', 'Select section', 'Seleccione la sección', 'বিভাগ নির্বাচন করুন', 'Sélectionnez une section', 1, '2021-04-20 05:44:48', '2021-04-20 05:44:48'),
(133, '1', 'generate', 'Generate', 'Generar', 'জেনারেট করুন', 'produire', 1, '2021-04-20 05:44:48', '2021-04-20 05:44:48'),
(134, '1', 'admission', 'Admission', 'Admisión', 'স্বীকারোক্তি', 'Admission', 1, '2021-04-20 05:44:48', '2021-04-20 05:44:48'),
(135, '1', 'class_Sec', 'Class (Sec.)', 'Clase (Sec.)', 'ক্লাস (সেকেন্ড)', 'Classe (Sec.)', 1, '2021-04-20 05:44:48', '2021-04-20 05:44:48'),
(136, '1', 'father', 'Father', 'Padre', 'পিতা', 'Père', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(137, '1', 'date_of_birth', 'Date Of Birth', 'Fecha de nacimiento', 'জন্ম তারিখ', 'Date de naissance', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(138, '1', 'gender', 'Gender', 'Género', 'লিঙ্গ', 'Le sexe', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(139, '1', 'mobile', 'Mobile', 'Móvil', 'মুঠোফোন', 'Mobile', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(140, '1', 'student_id_card', 'Student ID Card', 'Credencial de estudiante', 'শিক্ষার্থী আইডি কার্ড', 'Carde didentité détudiant', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(141, '1', 'id_card_title', 'ID Card Title', 'Título de la tarjeta de identificación', 'আইডি কার্ডের শিরোনাম', 'Titre de la carte didentité', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(142, '1', 'number', 'Number', 'Número', 'সংখ্যা', 'Nombre', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(143, '1', 'mother', 'Mother', 'Madre', 'মা', 'Mère', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(144, '1', 'blood_group', 'Blood Group', 'Grupo sanguíneo', 'রক্তের গ্রুপ', 'Groupe sanguin', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(145, '1', 'id_card', 'ID Card', 'Tarjeta de identificación', 'পরিচয় পত্র', 'Carte didentité', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(146, '1', 'generate_id_card', 'Generate ID Card', 'Generar tarjeta de identificación', 'আইডি কার্ড তৈরি করুন', 'Générer une carte didentité', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(147, '1', 'all', 'All', 'Todos', 'সব', 'Tout', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(148, '1', 'relation_with_guardian', 'Relation with Guardian', 'Relación con Guardian', 'অভিভাবকের সাথে সম্পর্ক', 'Relation avec le gardien', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(149, '1', 'admin', 'Admin', 'Administración', 'অ্যাডমিন', 'Admin', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(150, '1', 'follow_up', 'Follow up', 'Seguir', 'অনুসরণ করুন', 'Suivre', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(151, '1', 'follow_up_admission_query', 'Follow Up Admission Query', 'Consulta de seguimiento de admisión', 'ভর্তি প্রশ্ন অনুসরণ করুন', 'Requête dadmission de suivi', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(152, '1', 'response', 'Response', 'Respuesta', 'প্রতিক্রিয়া', 'Réponse', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(153, '1', 'follow_up_list', 'Follow Up List', 'Lista de seguimiento', 'ফলো আপ তালিকা', 'Liste de suivi', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(154, '1', 'query_by', 'Query By', 'Consulta por', 'অনুসন্ধান দ্বারা', 'Requête par', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(155, '1', 'delete_follow_up_query', 'Delete Follow up query', 'Eliminar consulta de seguimiento', 'ফলো আপ কোয়েরি মুছুন', 'Supprimer la requête de suivi', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(156, '1', 'certificate_body_len', 'Max Character lenght 500', 'Longitud máxima de caracteres 500', 'সর্বোচ্চ অক্ষর 500 দৈর্ঘ্য 500', 'Longueur maximum 500 caractères', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(157, '1', 'class_section', 'Class (Sec.)', 'Clase (Sec.)', 'ক্লাস (সেকেন্ড)', 'Classe (Sec.)', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(158, '1', 'are_you_sure_to_remove', 'Are you sure to remove this item?', '¿Estás seguro de eliminar este elemento?', 'আপনি কি এই আইটেমটি সরানোর বিষয়ে নিশ্চিত?', 'Êtes-vous sûr de vouloir supprimer cet article?', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(159, '1', 'admission_no', 'Admission No', 'Admission No', 'ভর্তি নং', 'Admission No', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(160, '1', 'no', 'No', 'No', 'না', 'No', 1, '2021-04-20 05:44:49', '2021-04-20 05:44:49'),
(161, '1', 'fill_marks', 'Fill Marks', 'Fill Marks', 'চিহ্ন পূরণ করুন', 'Fill Marks', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(162, '1', 'main', 'Main', 'Main', 'প্রধান', 'Main', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(163, '1', 'duration', 'Duration', 'Duration', 'স্থিতিকাল', 'Duration', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(164, '1', 'approve', 'Approve', 'Approve', 'অনুমোদন করা', 'Approve', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(165, '1', 'user_name', 'User Name', 'User Name', 'ব্যবহারকারীর নাম', 'User Name', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(166, '1', 'rate', 'Rate', 'Rate', 'হার', 'Rate', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(167, '1', 'hourly_rate', 'Hourly Rate', 'Hourly Rate', 'প্রতি ঘণ্টার মূল্য', 'Hourly Rate', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(168, '1', 'add_new_staff', 'Add New Staff', 'Add New Staff', 'নতুন স্টাফ যোগ করুন', 'Add New Staff', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(169, '1', 'first_name', 'First Name', 'First Name', 'নামের প্রথম অংশ', 'First Name', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(170, '1', 'last_name', 'Last Name', 'Last Name', 'নামের শেষাংশ', 'Last Name', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(171, '1', 'married', 'Married', 'Married', 'বিবাহিত', 'Married', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(172, '1', 'unmarried', 'Unmarried', 'Unmarried', 'অবিবাহিত', 'Unmarried', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(173, '1', 'marital_status', 'Marital Status', 'Marital Status', 'বৈবাহিক অবস্থা', 'Marital Status', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(174, '1', 'driving_license', 'Driving License', 'Driving License', 'ড্রাইভিং লাইসেন্স', 'Driving License', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(175, '1', 'contract', 'Contract', 'Contract', 'চুক্তি', 'Contract', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(176, '1', 'crop', 'Crop', 'Crop', 'ফসল', 'Crop', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(177, '1', 'crop_image_and_upload', 'Crop Image And Upload', 'Crop Image And Upload', 'চিত্র ক্রপ করুন এবং আপলোড করুন', 'Crop Image And Upload', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(178, '1', 'staff_ID', 'Staff ID', 'Staff ID', 'স্টাফ আইডি', 'Staff ID', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(179, '1', 'for_the_period_of', 'for the period of', 'for the period of', 'সময়ের জন্য', 'for the period of', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(180, '1', 'evaluated_by', 'Evaluated By', 'Evaluated By', 'মূল্যায়ন দ্বারা', 'Evaluated By', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(181, '1', 'summary', 'Summary', 'Summary', 'সারসংক্ষেপ', 'Summary', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(182, '1', 'good', 'Good', 'Good', 'ভাল', 'Good', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(183, '1', 'not', 'Not', 'Not', 'না', 'Not', 1, '2021-04-20 05:44:50', '2021-04-20 05:44:50'),
(184, '1', 'comments', 'Comments', 'Comments', 'মন্তব্য', 'Comments', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(185, '1', 'roll_number', 'Roll Number', 'Roll Number', 'রোল নাম্বার', 'Roll Number', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(186, '1', 'cash', 'Cash', 'Cash', 'নগদ', 'Cash', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(187, '1', 'cheque', 'Cheque', 'Cheque', 'চেক', 'Cheque', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(188, '1', 'dd', 'DD', 'DD', 'ডিডি', 'DD', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(189, '1', 'please_give_the_all_information_properly', 'Please Give the All Information Properly. We can not Save any of Your Data. Your Safety is our First Priority', 'Please Give the All Information Properly. We can not Save any of Your Data. Your Safety is our First Priority', 'দয়া করে সমস্ত তথ্য সঠিকভাবে দিন। আমরা আপনার কোনও ডেটা সংরক্ষণ করতে পারি না। আপনার সুরক্ষা আমাদের প্রথম অগ্রাধিকার', 'Please Give the All Information Properly. We can not Save any of Your Data. Your Safety is our First Priority', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(190, '1', 'expiration', 'Expiration', 'Expiration', 'শ্বাসত্যাগ', 'Expiration', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(191, '1', 'cvc', 'CVC', 'CVC', 'সিভিসি', 'CVC', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(192, '1', 'card_number', 'Card Number', 'Card Number', 'কার্ড নম্বর', 'Card Number', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(193, '1', 'name_on_card', 'Name on Card', 'Name on Card', 'কার্ডের ওপর নাম', 'Name on Card', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(194, '1', 'vai_card', 'vai Card', 'vai Card', 'ভাই কার্ড', 'vai Card', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(195, '1', 'pay_with', 'Pay with', 'Pay with', 'সঙ্গে দিতে', 'Pay with', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(196, '1', 'pay', 'Pay', 'Pay', 'পে', 'Pay', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(197, '1', 'expiration_month', 'Expiration Month', 'Expiration Month', 'মেয়াদ মাস', 'Expiration Month', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(198, '1', 'expiration_year', 'Expiration Year', 'Expiration Year', 'মেয়াদোত্তীর্ণ বছর', 'Expiration Year', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(199, '1', 'fees', 'Fees', 'Fees', 'ফি', 'Fees', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(200, '1', 'all_fees', 'All Fees', 'All Fees', 'সমস্ত ফি', 'All Fees', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(201, '1', 'online', 'Online', 'Online', 'অনলাইন', 'Online', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(202, '1', 'assign_exam_room', 'Assign Exam Room', 'Assign Exam Room', 'পরীক্ষার ঘর বরাদ্দ করুন', 'Assign Exam Room', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(203, '1', 'level', 'Level', 'Level', 'উচ্চতা', 'Level', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(204, '1', 'question_level', 'Question Level', 'Question Level', 'প্রশ্ন স্তর', 'Question Level', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(205, '1', 'update_online_exam_question', 'Update Online Exam Question', 'Update Online Exam Question', 'অনলাইন পরীক্ষার প্রশ্ন আপডেট করুন', 'Update Online Exam Question', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(206, '1', 'number_options', 'Number Options', 'Number Options', 'সংখ্যা বিকল্প', 'Number Options', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(207, '1', 'currect_answer', 'Currect Answer', 'Currect Answer', 'কারেন্ট উত্তর', 'Currect Answer', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(208, '1', 'currect', 'Currect', 'Currect', 'কারেন্ট', 'Currect', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(209, '1', 'exam_has_to_be_submitted_within', 'Exam Has To Be Submitted Within', 'Exam Has To Be Submitted Within', 'পরীক্ষার মধ্যে জমা দিতে হবে', 'Exam Has To Be Submitted Within', 1, '2021-04-20 05:44:51', '2021-04-20 05:44:51'),
(210, '1', 'is_present', 'Is Present', 'Is Present', 'উপস্থিত', 'Is Present', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(211, '1', 'roll_no', 'Roll No', 'Roll No', 'ক্রমিক নাম্বার', 'Roll No', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(212, '1', 'button_url', 'Button Url', 'Button Url', 'বাটন ইউআর', 'Button Url', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(213, '1', 'button_text', 'Button Text', 'Button Text', 'বোতাম পাঠ্য', 'Button Text', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(214, '1', 'course', 'Course', 'Course', 'পথ', 'Course', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(215, '1', 'update_course_heading_section', 'Update Course Heading Section', 'Update Course Heading Section', 'কোর্স শিরোনাম বিভাগ আপডেট করুন', 'Update Course Heading Section', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(216, '1', 'stats', 'Stats', 'Stats', 'পরিসংখ্যান', 'Stats', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(217, '1', 'resources', 'Resources', 'Resources', 'সম্পদ', 'Resources', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(218, '1', 'prerequisites', 'Prerequisites', 'Prerequisites', 'পূর্বশর্ত', 'Prerequisites', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(219, '1', 'outline', 'Outline', 'Outline', 'রূপরেখা', 'Outline', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(220, '1', 'menu', 'Menu', 'Menu', 'তালিকা', 'Menu', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(221, '1', 'sub_menu', 'Sub Menu', 'Sub Menu', 'সাবমেনু', 'Sub Menu', 1, '2021-04-20 05:44:52', '2021-04-20 05:44:52'),
(222, '1', 'pages', 'Pages', 'Pages', 'পৃষ্ঠাগুলি', 'Pages', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(223, '1', 'sub_title', 'Sub Title', 'Sub Title', 'সাব শিরোনাম', 'Sub Title', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(224, '1', 'back', 'Back', 'Back', 'পেছনে', 'Back', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(225, '1', 'slug', 'Slug', 'Slug', 'স্লাগ', 'Slug', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(226, '1', 'overview', 'Overview', 'Overview', 'সংক্ষিপ্ত বিবরণ', 'Overview', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(227, '1', 'export_to_csv', 'Export to CSV', 'Export to CSV', 'সিএসভিতে রফতানি করুন', 'Export to CSV', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(228, '1', 'export_to_excel', 'Export to Excel', 'Export to Excel', 'এক্সেলে রফতানি করুন', 'Export to Excel', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(229, '1', 'export_to_pdf', 'Export to PDF', 'Export to PDF', 'পিডিএফ রফতানি করুন', 'Export to PDF', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(230, '1', 'copy_table', 'Copy Table', 'Copy Table', 'টেবিল অনুলিপি করুন', 'Copy Table', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(231, '1', 'visibility', 'Visibility', 'visibility', 'দৃষ্টিপাত', 'visibility', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(232, '1', 'column_view', 'Column View', 'Column View', 'কলাম ভিউ', 'Column View', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(233, '1', 'student_name', 'Student Name', 'Student Name', 'শিক্ষার্থীর নাম', 'Student Name', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(234, '1', 'manu', 'Manu', 'Manu', 'ম্যানু', 'Manu', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(235, '17', 'disabled_student', 'Disabled Student', 'Disabled Student', 'অক্ষম শিক্ষার্থী', 'Disabled Student', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(236, '2', 'student_info', 'Student Info', 'Información del estudiante', 'শিক্ষার্থীদের তথ্য', 'Info étudiant', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(237, '2', 'subject_wise_attendance', 'Subject Wise Attendance', 'Subject Wise  Attendance', 'বিষয় উপস্থিতি', 'Subject Wise  Attendance', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(238, '16', 'collection_report', 'Collection Report', 'Colección report', 'সংগ্রহ রিপোর্ট', 'Collection Report', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(239, '2', 'subject_wise_attendance_report', 'Subject Wise Attendance Report', 'Subject Wise  Attendance Report', 'বিষয় উপস্থিতি রিপোর্ট', 'Subject Wise  Attendance Report', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(240, '10', 'homework', 'HomeWork', 'Deberes', 'বাড়ির কাজ', 'Devoirs', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(241, '5', 'profit_&_loss', 'Profit & Loss', 'Lucro & loss', 'মুনাফা & ক্ষতি', 'Profit & Loss', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(242, '17', 'setup_exam_rule', 'Setup Exam Role', 'Configuración exam rule', 'পরীক্ষা ভূমিকা সেটআপ', 'Configuración exam rule', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(243, '17', 'format_settings', 'Format Settings', 'Configuración de format', 'ফর্ম্যাট সেটিংস', 'Format Settings', 1, '2021-04-20 05:44:53', '2021-04-20 05:44:53'),
(244, '10', 'homework_evaluation', 'HomeWork Evaluation', 'Deberes Evaluación', 'বাড়ির কাজ মূল্যায়ন', 'Deberes Évaluation', 1, '2021-04-20 05:44:54', '2021-04-20 05:44:54'),
(245, '1', 'is_published_web_site', 'Is Published Web Site', 'Is Published Web Site', 'প্রকাশিত ওয়েব সাইট', 'Is Published Web Site', 1, '2021-04-20 05:44:54', '2021-04-20 05:44:54'),
(246, '10', 'home_work', 'HomeWork', 'Deberes', 'বাড়ির কাজ', 'Devoirs', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(247, '18', 'sms_templete', 'Sms Template', 'Sms Template', 'এসএমএস টেম্পলেট', 'Sms Templete', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(248, '18', 'email_templete', 'Email Template', 'Email Template', 'ইমেল টেম্পলেট', 'Email Templete', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(249, '11', 'send_email_/_sms_', 'Send Email / Sms', 'Enviar correo electrónico / SMS', 'ইমেল / এসএমএস প্রেরণ করুন', 'Envoyer un email / sms', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(250, '11', 'email_/_sms_log', 'Email / Sms Log', 'Email / Sms Log', 'ইমেল / এসএমএস লগ', 'Journal Email / Sms', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(251, '12', 'book_list_', 'Book List', 'Lista de libros', 'বইএর তালিকা', 'Liste de livres', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(252, '12', 'book_categories', 'Book Categories', 'Categorías de libros', 'বইয়ের বিভাগ', 'Catégories de livre', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(253, '10', 'add_homework', 'Add Homework', 'Añadir tarea', 'হোমওয়ার্ক যোগ করুন', 'Ajouter des devoirs', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(254, '10', 'homework_list', 'Homework List', 'Lista de tareas', 'হোমওয়ার্ক তালিকা', 'Liste de devoirs', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(255, '10', 'evaluation_report', 'Homework Evaluation Report', 'Informe de evaluación de tareas', 'হোম ওয়ার্ক মূল্যায়ন প্রতিবেদন', 'Rapport dévaluation des devoirs', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(256, '12', 'issue/return_book', 'Issue/Return Book', 'Libro de emisión / devolución', 'ইস্যু / রিটার্ন বই', 'Livre démission / retour', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(257, '15', 'guardian_reports', 'Guardians Reports', 'Informes del guardián', 'অভিভাবক প্রতিবেদন', 'Informes del guardián', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(258, '16', 'teacher_class_routine', 'Teacher Class Routine', 'Informe de  para el maestro', 'শিক্ষক শ্রেণির রুটিন', 'de routine de classe denseignant', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(259, '8', 'previous_result', 'Previous Result', 'Previous Result', 'আগে ফলাফল', 'Previous Result', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(260, '8', 'previous_class_result', 'Previous Class  Result', 'Previous Class  Result', 'আগে ক্লাস ফলাফল', 'Previous Class Result', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(261, '20', 'contact_message', 'Contact Message', 'Contact Message', 'বার্তা পৃষ্ঠা', 'Contact Message', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(262, '8', 'previous-record', 'Previous Record', 'Previous Record', 'আগে রেকর্ড', 'Previous Record', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(263, '20', 'color_theme', 'Color Theme', 'Color Theme', 'রঙ বিষয়', 'Color Theme', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(264, '18', 'news_category', 'News Category', 'Categoría de noticias', 'সংবাদ বিভাগ', 'Catégorie de nouvelles', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(265, '20', 'contact_page', 'Contact Page', 'Contact Page', 'যোগাযোগ পৃষ্ঠা', 'Contact Page', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(266, '20', 'contact_messages', 'Contact Message', 'Contact Message', 'বার্তা পৃষ্ঠা', 'Contact Message', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(267, '0', 'manager', 'Manager', 'manager', 'পরিচালনা', 'Manager', 1, '2021-04-20 05:44:55', '2021-04-20 05:44:55'),
(268, '1', 'header_manager', 'Header Manager', 'header manager', 'শিরোনাম পরিচালনা', 'header manager', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(269, '1', 'header_menu_manager', 'Header Menu  Manager', 'header Menu  manager', 'শিরোনাম তালিকা পরিচালনা', 'header menu  manager', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(270, '1', 'module_manager', 'Module Manager', 'Module manager', 'মডিউল পরিচালনা', 'Module Manager', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(271, '1', 'optional_subject_setup', 'Optional Subject Setup', 'Optional Subject Setup', 'ঐচ্ছিক বিষয় সেটআপ', 'Optional Subject Setup', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(272, '1', 'jitsi', 'Jitsi', 'Jitsi', 'জেটসি', 'Jitsi', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(273, '2', 'course_category', 'Course Category', 'Course Category', 'কোর্স বিভাগ', 'Course Category', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(274, '20', 'header_option', 'Hearder Option', 'Hearder Option', 'শিরোনাম পছন্দ', 'Hearder Option', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(275, '20', 'chat_box', 'Chat Box', 'Chat Box', 'চ্যাট বক্স', 'Chat Box', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(276, '20', 'blocked_user', 'Blocked User', 'Blocked User', 'অবরুদ্ধ ব্যবহারকারী', 'Blocked User', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(277, '20', 'chat_settings', 'Chat Settings', 'Chat Settings', 'চ্যাট সেটিংস', 'Chat Settings', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(278, '20', 'api_permission', 'Api Permission', 'Api Permission', 'এপিআই অনুমতি', 'Api Permission', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(279, '2', 'pages', 'Page', 'Page', 'পৃষ্ঠা', 'Page', 1, '2021-04-20 05:44:56', '2021-04-20 05:44:56'),
(280, '18', 'meeting_report', 'Meeting Report', 'Meeting Report', 'মিটিং প্রতিবেদন', 'Meeting Report', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(281, '16', 'reports', 'Reports', 'Informes', 'প্রতিবেদন', 'Rapports', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(282, '10', 'submission', 'Submission', 'Sumisión', 'নমন', 'Soumission', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(283, '10', 'attach_file', 'Attach File', 'Adjuntar archivo', 'ফাইল সংযুক্ত', 'Pièce jointe', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(284, '10', 'evaluation', 'Evaluation', 'Evaluación', 'মূল্যায়ন', 'Évaluation', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(285, '10', 'created_by', 'Created By', 'Creado por', 'দ্বারা সৃষ্টি', 'Créé par', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(286, '10', 'complete', 'Complete', 'Completar', 'সম্পূর্ণ', 'Achevée', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(287, '10', 'incomplete', 'Incomplete', 'Incompleto', 'অসম্পূর্ণ', 'Incomplet', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(288, '11', 'notice_board', 'Notice Board', 'Tablón de anuncios', 'নোটিসবোর্ড', 'Tableau daffichage', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(289, '11', 'for_whom', 'For Whom', 'for whom', 'কার জন্য', 'For Whom', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(290, '11', 'send_message', 'Send Message', 'Enviar mensaje', 'বার্তা পাঠান', 'Envoyer le message', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(291, '17', 'role_&_permission', 'Role Permission', 'Permiso de rol', 'ভূমিকা অনুমতি', 'Permission de rôle', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(292, '11', 'send_email', 'Send Email / Sms', 'Enviar correo electrónico / SMS', 'ইমেল / এসএমএস প্রেরণ করুন', 'Envoyer un email / sms', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(293, '11', 'email_sms_log', 'Email / Sms Log', 'Email / Sms Log', 'ইমেল / এসএমএস লগ', 'Journal Email / Sms', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(294, '11', 'event', 'Event', 'Evento', 'ঘটনা', 'un événement', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(295, '11', 'notices', 'Notices', 'Avisos', 'নোটিশ', 'Les avis', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(296, '11', 'notice', 'Notice', 'darse cuenta', 'বিজ্ঞপ্তি', 'Remarquer', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(297, '11', 'publish', 'Publish', 'Publicar', 'প্রকাশ করা', 'Publier', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(298, '11', 'add_notice', 'Add Notice', 'Añadir aviso', 'বিজ্ঞপ্তি যুক্ত করুন', 'Ajouter un avis', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(299, '11', 'add_a_notice', 'Add a Notice', 'Añadir un aviso', 'একটি নোটিশ যুক্ত করুন', 'Ajouter un avis', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(300, '11', 'publish_on', 'Publish On', 'Publicar en', 'প্রকাশ করুন', 'Publier sur', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(301, '11', 'Send_Email_Sms', 'Send Email', 'Enviar correo electrónico', 'ইমেইল পাঠান', 'Envoyer un email', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(302, '11', 'sms', 'SMS', 'SMS', 'খুদেবার্তা', 'SMS', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(303, '11', 'individual', 'Individual', 'Individual', 'স্বতন্ত্র', 'Individuel', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(304, '11', 'select_all', 'Select All', 'Seleccionar todo', 'সমস্ত নির্বাচন করুন', 'Tout sélectionner', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(305, '11', 'For_Sending_Email', 'For Sending Email / Sms, It may take some seconds. So please take patience.', 'Para enviar correo electrónico / SMS, puede tardar unos segundos. Así que por favor ten paciencia.', 'ইমেল / এসএমএস প্রেরণের জন্য, এটি কয়েক সেকেন্ড সময় নিতে পারে। তাই দয়া করে ধৈর্য ধরুন।', 'Pour lenvoi demails / sms, cela peut prendre quelques secondes. Alors sil vous plaît prenez patience.', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(306, '11', 'send', 'Send', 'Enviar', 'পাঠান', 'Envoyer', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(307, '11', 'start_date', 'Start Date', 'Fecha de inicio', 'শুরুর তারিখ', 'Date de début', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(308, '11', 'to_date', 'To Date', 'Hasta la fecha', 'এখন পর্যন্ত', 'À ce jour', 1, '2021-04-20 05:44:57', '2021-04-20 05:44:57'),
(309, '11', 'from_date', 'from Date', 'partir de la fecha', 'তারিখ হইতে', 'partir de la date', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(310, '11', 'details', 'Details', 'Detalles', 'বিস্তারিত', 'Détails', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(311, '11', 'notice_date', 'Notice Date', 'Fecha de notificacion', 'নোটিশ তারিখ', 'Date davis', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(312, '11', 'update_content', 'Update content', 'Actualizar contenido', 'সামগ্রী আপডেট করুন', 'Mettre à jour le contenu', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(313, '11', 'communicate', 'Communicate', 'Comunicar', 'যোগাযোগ করুন', 'Communiquer', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(314, '11', 'student_approve_message', 'Student Approve Message', 'Student Approve Message', 'ছাত্র অনুমোদনের বার্তা', 'Student Approve Message', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(315, '11', 'student_registration_message', 'Student Registration Message', 'Student Registration Message', 'ছাত্র নিবন্ধনের বার্তা', 'Student Registration Message', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(316, '11', 'student_admission_message', 'Student Admission Message', 'Student Admission Message', 'যোগাযোগ করুন', 'Communiquer', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(317, '11', 'exam_schedule_message', 'Exam Schedule Message', 'Exam Schedule Message', 'পরীক্ষার সময়সূচী বার্তা', 'Exam Schedule Message', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(318, '11', 'dues_fees_message', 'Dues Fees Message', 'Dues fees message', 'বকেয়া ফি বার্তা', 'Communiquer', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(319, '11', 'communicate', 'Communicate', 'Comunicar', 'যোগাযোগ করুন', 'Communiquer', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(320, '12', 'library', 'Library', 'Biblioteca', 'গ্রন্থাগার', 'Bibliothèque', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(321, '12', 'add_book', 'Add Book', 'Añadir libro', 'বই যোগ করুন', 'Ajouter un livre', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(322, '12', 'book_list', 'Book List', 'Lista de libros', 'বইএর তালিকা', 'Liste de livres', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(323, '12', 'book_category', 'Book Categories', 'Categorías de libros', 'বইয়ের বিভাগ', 'Catégories de livre', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(324, '12', 'library_member', 'Add Member', 'Añadir miembro', 'সদস্য যোগ করুন', 'Ajouter un membre', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(325, '12', 'member_list', 'Issue/Return Book', 'Libro de emisión / devolución', 'ইস্যু / রিটার্ন বই', 'Livre démission / retour', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(326, '12', 'all_issued_book', 'All Issued Book', 'Todo el libro publicado', 'সমস্ত ইস্যু করা বই', 'Tous les livres publiés', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(327, '12', 'edit_book', 'Edit Book', 'Editar libro', 'সম্পাদনা বই', 'Editer le livre', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(328, '12', 'book', 'Book', 'Libro', 'বই', 'Livre', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(329, '12', 'book_title', 'Book Title', 'Titulo del libro', 'বইয়ের শিরোনাম', 'Titre de livre', 1, '2021-04-20 05:44:58', '2021-04-20 05:44:58'),
(330, '12', 'select_book_category', 'Select Book Category', 'Seleccionar categoría de libro', 'বইয়ের বিভাগ নির্বাচন করুন', 'Sélectionnez une catégorie de livre', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(331, '12', 'isbn', 'ISBN', 'ISBN', 'আইএসবিএন', 'ISBN', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(332, '12', 'publisher', 'Publisher', 'Editor', 'প্রকাশক', 'Éditeur', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(333, '12', 'author_name', 'Author Name', 'Nombre del autor', 'লেখকের নাম', 'Nom de lauteur', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(334, '12', 'rack', 'Rack', 'Estante', 'তাক', 'Grille', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(335, '12', 'quantity', 'Quantity', 'Cantidad', 'পরিমাণ', 'Quantité', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(336, '12', 'book_price', 'Book Price', 'Precio del libro', 'বইয়ের দাম', 'Prix ​​du livre', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(337, '12', 'price', 'Price', 'Precio', 'মূল্য', 'Prix', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(338, '12', 'category_name', 'Category Name', 'nombre de la categoría', 'বিভাগ নাম', 'Nom de catégorie', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(339, '12', 'add_member', 'Add Member', 'Añadir miembro', 'সদস্য যোগ করুন', 'Ajouter un membre', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(340, '12', 'member', 'Member', 'Miembro', 'সদস্য', 'Membre', 1, '2021-04-20 05:44:59', '2021-04-20 05:44:59'),
(341, '12', 'member_type', 'Member Type', 'Tipo de miembro', 'সদস্যের প্রকার', 'Type de membre', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(342, '12', 'select_student', 'Select Student', 'Seleccionar estudiante', 'ছাত্র নির্বাচন করুন', 'Sélectionnez étudiant', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(343, '12', 'issue_books', 'Issue Books', 'Libros de emisión', 'বই ইস্যু', 'Livres de questions', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(344, '12', 'full_name', 'Full Name', 'Nombre completo', 'পুরো নাম', 'Nom complet', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(345, '12', 'issue_return_Book', 'Issue / Return Book', 'Libro de emisión / devolución', 'ইস্যু / রিটার্ন বই', 'Livre démission / retour', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(346, '12', 'issued_Book_List', 'Issued Book List', 'Lista de libros emitidos', 'জারি করা বইয়ের তালিকা', 'Liste des livres publiés', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(347, '12', 'select_Book_Name', 'Select Book Name', 'Seleccione el nombre del libro', 'বইয়ের নাম নির্বাচন করুন', 'Sélectionnez le nom du livre', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(348, '12', 'search_By_Book_ID', 'Search By Book ID', 'Buscar por ID de libro', 'বুক আইডি দ্বারা অনুসন্ধান করুন', 'Rechercher par numéro de livre', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(349, '12', 'author', 'Author', 'Autor', 'লেখক', 'Auteur', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(350, '12', 'library_book_issue', 'Library Book Issue', 'Número de libro de la biblioteca', 'লাইব্রেরির বই ইস্যু', 'Problème de livre de bibliothèque', 1, '2021-04-20 05:45:00', '2021-04-20 05:45:00'),
(351, '12', 'staff_name', 'Staff Name', 'Nombre del personal', 'স্টাফ নাম', 'Nom du personnel', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(352, '12', 'select_book', 'Select Book', 'Seleccionar libro', 'বই নির্বাচন করুন', 'Sélectionnez un livre', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01');
INSERT INTO `sm_language_phrases` (`id`, `modules`, `default_phrases`, `en`, `es`, `bn`, `fr`, `active_status`, `created_at`, `updated_at`) VALUES
(353, '12', 'issue_book', 'Issue Book', 'Libro de temas', 'ইস্যু বুক', 'Numéro de livre', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(354, '12', 'issued_book', 'Issued Book', 'Libro publicado', 'ইস্যু করা বই', 'Livre publié', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(355, '12', 'book_number', 'Book Number', 'Número de libro', 'বইয়ের নম্বর', 'Numéro du livre', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(356, '12', 'status', 'Status', 'Estado', 'অবস্থা', 'Statut', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(357, '12', 'issue_date', 'Issue Date', 'Fecha de asunto', 'প্রদানের তারিখ', 'Date démission', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(358, '12', 'return_this_book', 'Are you sure to Return This Book ?', '¿Seguro que regresas este libro?', 'আপনি কি এই বইটি ফেরত দেওয়ার বিষয়ে নিশ্চিত?', 'Êtes-vous sûr de retourner ce livre?', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(359, '12', 'return_date', 'Return Date', 'Fecha de regreso', 'ফেরার তারিখ', 'Date de retour', 1, '2021-04-20 05:45:01', '2021-04-20 05:45:01'),
(360, '13', 'inventory', 'Inventory', 'Inventario', 'জায়', 'Inventaire', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(361, '13', 'item_category', 'Item Category', 'Categoría de artículo', 'আইটেম বিভাগ', 'Catégorie darticle', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(362, '13', 'item_list', 'Item List', 'Lista de articulos', 'উপকরণ তালিকা', 'Liste des articles', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(363, '13', 'item_store', 'Item Store', 'Tienda de articulos', 'আইটেম স্টোর', 'Magasin darticles', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(364, '13', 'warehouse', 'Warehouse', 'Warehouse', 'গুদাম', 'Warehouse', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(365, '13', 'store', 'Store', 'Store', 'স্টোর', 'Store', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(366, '13', 'supplier', 'Supplier', 'Proveedor', 'সরবরাহকারী', 'Fournisseur', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(367, '13', 'item_receive', 'Item Receive', 'El artículo recibe', 'আইটেম রিসিভ', 'Point recevoir', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(368, '13', 'item_receive_list', 'Item Receive List', 'Lista de artículos recibidos', 'আইটেমের প্রাপ্তির তালিকা', 'Item Receive List', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(369, '13', 'item_sell', 'Item Sell', 'Venta de artículos', 'আইটেম বিক্রয়', 'Article Vendre', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(370, '13', 'item_issue', 'Item Issue', 'Emisión del artículo', 'আইটেম ইস্যু', 'Question darticle', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(371, '13', 'select_item_category', 'Select Item Category', 'Seleccione la categoría del artículo', 'আইটেম বিভাগ নির্বাচন করুন', 'Sélectionner une catégorie darticle', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(372, '13', 'selected', 'Selected', 'Seleccionado', 'নির্বাচিত', 'Choisi', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(373, '13', 'total_in_stock', 'Total in Stock', 'Total en Stock', 'মোট স্টক', 'Total en stock', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(374, '13', 'store_name', 'Store Name', 'Nombre de la tienda', 'দোকানের নাম', 'Nom du magasin', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(375, '13', 'store_number', 'Store Number', 'Número de tienda', 'স্টোর নম্বর', 'Numéro de magasin', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(376, '13', 'company', 'Company', 'Empresa', 'প্রতিষ্ঠান', 'Entreprise', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(377, '13', 'contact_person_name', 'Contact Person Name', 'Nombre del Contacto', 'যোগাযোগ ব্যক্তির নাম', 'nom de contacte dune personne', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(378, '13', 'contact_person', 'Contact Person', 'Persona de contacto', 'যোগাযোগ', 'Contact', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(379, '13', 'receive_details', 'Receive Details', 'Recibir detalles', 'বিশদ গ্রহণ করুন', 'Recevoir les détails', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(380, '13', 'select_supplier', 'Select Supplier', 'Seleccionar Proveedor', 'সরবরাহকারী নির্বাচন করুন', 'Sélectionner un fournisseur', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(381, '13', 'receive_date', 'Receive Date', 'Fecha de recepción', 'গ্রহণের তারিখ', 'date de réception', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(382, '13', 'product_name', 'Product Name', 'nombre del producto', 'পণ্যের নাম', 'Nom du produit', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(383, '13', 'unit_price', 'Unit Price', 'Precio unitario', 'একক দাম', 'Prix ​​unitaire', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(384, '13', 'sub_total', 'Sub Total', 'Sub Total', 'সাব টোটাল', 'Total partiel', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(385, '13', 'full_paid', 'Full Paid', 'Completo pagado', 'ফুল পেইড', 'Complet payé', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(386, '13', 'total_paid', 'Total Paid', 'Total pagado', 'পুরাপুরি পরিশোধিত', 'Total payé', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(387, '13', 'total_due', 'Total Due', 'Total a pagar', 'মোট বাকি', 'Total dû', 1, '2021-04-20 05:45:02', '2021-04-20 05:45:02'),
(388, '13', 'receive', 'Receive', 'Recibir', 'গ্রহণ করা', 'Recevoir', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(389, '13', 'new', 'New', 'Nuevo', 'নতুন', 'Nouveau', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(390, '13', 'total_quantity', 'Total Quantity', 'Cantidad total', 'মোট পরিমাণ', 'Quantité totale', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(391, '13', 'partial_paid', 'Partial Paid', 'Parcial pagado', 'আংশিক প্রদেয়', 'Partiellement payé', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(392, '13', 'unpaid', 'Unpaid', 'No pagado', 'অবৈতনিক', 'Non payé', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(393, '13', 'if', 'If', 'If', 'যদি', 'If', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(394, '13', 'will_be', 'Will be', 'Will be', 'হবে', 'Will be', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(395, '13', 'shift', 'Shift', 'Shift', 'শিফট', 'Shift', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(396, '13', 'casier', 'Casier', 'Casier', 'ক্যাসিয়ার', 'Casier', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(397, '13', 'officer', 'Officer', 'Officer', 'অফিসার', 'Officer', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(398, '13', 'refund', 'Refund', 'Reembolso', 'প্রত্যর্পণ', 'Rembourser', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(399, '13', 'buyer', 'Buyer', 'Comprador', 'ক্রেতা', 'Acheteur', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(400, '13', 'issue_item', 'Issue Item', 'Elemento de emisión', 'আইটেম ইস্যু করুন', 'Point démission', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(401, '13', 'issue_a_item', 'Issue a Item', 'Emitir un artículo', 'একটি আইটেম ইস্যু করুন', 'Émettre un article', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(402, '13', 'user_type', 'User Type', 'Tipo de usuario', 'ব্যবহারকারীর ধরন', 'Type dutilisateur', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(403, '13', 'select_student_for_issue', 'Select Student For Issue', 'Seleccionar estudiante para su emisión', 'ইস্যু করার জন্য শিক্ষার্থী নির্বাচন করুন', 'Sélectionner un étudiant pour lédition', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(404, '13', 'issue_to', 'Issue To', 'Emitido a', 'ইস্যু করতে', 'Issue to', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(405, '13', 'issued_item_list', 'Issued Item List', 'Lista de elementos emitidos', 'জারি করা আইটেমের তালিকা', 'Liste darticles publiés', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(406, '13', 'issued', 'Issued', 'Emitido', 'ইস্যু করা', 'Publié', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(407, '13', 'returned', 'Returned', 'Devuelto', 'ফেরৎ', 'Revenu', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(408, '13', 'cancel_the_record', 'You are about to cancel the record. This cannot be undone. are you sure?', 'Estás a punto de cancelar el registro. Esto no se puede deshacer. ¿Estás seguro?', 'আপনি রেকর্ডটি বাতিল করতে চলেছেন। এটা অসম্পূর্ণ থাকতে পারে না. তুমি কি নিশ্চিত?', 'Vous êtes sur le point dannuler lenregistrement. Ça ne peut pas être annulé. êtes-vous sûr?', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(409, '13', 'return', 'Return', 'Regreso', 'প্রত্যাবর্তন', 'Revenir', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(410, '13', 'purchase_details', 'Purchase Details', 'Detalles de la compra', 'ক্রয়ের বিশদ', 'Les détails dachat', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(411, '14', 'transport', 'Transport', 'Transporte', 'পরিবহন', 'Transport', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(412, '14', 'routes', 'Routes', 'Rutas', 'রুট', 'Itinéraires', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(413, '14', 'vehicle', 'Vehicle', 'Vehículo', 'বাহন', 'Véhicule', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(414, '14', 'assign_vehicle', 'Assign Vehicle', 'Asignar vehículo', 'যানবাহন বরাদ্দ করুন', 'Assigner un véhicule', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(415, '14', 'student_transport', 'Student Transport', 'Informe de transporte de', 'ছাত্র পরিবহন', 'Rapport de transport', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(416, '14', 'student_teacher', 'Student Teacher', 'Informe de teacher', 'ছাত্র শিক্ষক', 'student teacher', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(417, '14', 'student_transport_report', 'Student Transport Report', 'Informe de transporte de estudiantes', 'ছাত্র পরিবহন প্রতিবেদন', 'Rapport de transport étudiant', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(418, '14', 'transport_route', 'Transport Route', 'Ruta de transporte', 'পরিবহন রুট', 'Route de transport', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(419, '14', 'route', 'Route', 'Ruta', 'রুট', 'Route', 1, '2021-04-20 05:45:03', '2021-04-20 05:45:03'),
(420, '14', 'route_title', 'Route Title', 'Título de la ruta', 'রুটের শিরোনাম', 'Titre de la route', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(421, '14', 'fare', 'Fare', 'Tarifa', 'ভাড়া', 'Tarif', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(422, '14', 'model', 'Model', 'Modelo', 'মডেল', 'Modèle', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(423, '14', 'year_made', 'Year Made', 'Año hecho', 'বছর তৈরি', 'Année de fabrication', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(424, '14', 'select_driver', 'Select Driver', 'Seleccione Driver', 'ড্রাইভার নির্বাচন করুন', 'Sélectionnez le pilote', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(425, '14', 'license', 'License', 'Licencia', 'লাইসেন্স', 'Licence', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(426, '14', 'select_route', 'Select Route', 'Seleccione Ruta', 'রুট নির্বাচন করুন', 'Sélectionnez un itinéraire', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(427, '14', 'select_vehicle', 'Select Vehicle', 'Seleccionar vehiculo', 'যানবাহন নির্বাচন করুন', 'Choisir un véhicule', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(428, '14', 'father_phone', 'Fathers Phone', 'Telefono del padre', 'বাবার ফোন', 'Téléphone du père', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(429, '14', 'mother_name', 'Mothers Name', 'Nombre de la madre', 'মায়ের নাম', 'Le nom de la mère', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(430, '14', 'mother_phone', 'Mothers Phone', 'Teléfono de la madre', 'মায়েদের ফোন', 'Téléphone de la mère', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(431, '15', 'dormitory', 'Dormitory', 'Dormitorio', 'ছাত্রাবাস', 'Dortoir', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(432, '15', 'dormitory_rooms', 'Dormitory Rooms', 'Dormitorios', 'ডরমেটরি রুম', 'Dortoirs', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(433, '15', 'room_type', 'Room Type', 'Tipo de habitación', 'ঘরের বিবরণ', 'Type de chambre', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(434, '15', 'student_dormitory_report', 'Student Dormitory Report', 'Informe del dormitorio de estudiantes', 'ছাত্র ছাত্রাবাস প্রতিবেদন', 'Rapport du dortoir des étudiants', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(435, '15', 'number_of_bed', 'Number Of Bed', 'Numero de cama', 'বিছানা সংখ্যা', 'Nombre de lit', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(436, '15', 'cost_per_bed', 'Cost Per Bed', 'Costo por cama', 'প্রতি বিছানা খরচ', 'Coût par lit', 1, '2021-04-20 05:45:04', '2021-04-20 05:45:04'),
(437, '15', 'no_of_bed', 'NO. OF BEd', 'NO. DE LA CAMA', 'কোন। বিএড এর', 'NON. DE LIT', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(438, '15', 'dormitory_list', 'Dormitory List', 'Lista de dormitorios', 'আস্তানা তালিকা', 'Liste des dortoirs', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(439, '15', 'boys', 'Boys', 'Muchachos', 'বয়েজ', 'Garçons', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(440, '15', 'girls', 'Girls', 'Chicas', 'গার্লস', 'Filles', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(441, '15', 'intake', 'Intake', 'Consumo', 'ঘেরা জমি', 'Admission', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(442, '15', 'select_dormitory', 'Select Dormitory', 'Dormitorio selecto', 'ডরমেটরি নির্বাচন করুন', 'Sélectionnez un dortoir', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(443, '15', 'guardian_phone', 'Guardians Phone', 'Teléfono del guardián', 'অভিভাবকরা ফোন', 'Téléphone du gardien', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(444, '16', 'reports', 'Reports', 'Informes', 'প্রতিবেদন', 'Rapports', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(445, '16', 'student_report', 'Student Report', 'Informe del estudiante', 'ছাত্র প্রতিবেদন', 'Rapport détudiant', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(446, '16', 'guardian_report', 'Guardian Reports', 'Informes del tutor', 'গার্ডিয়ান রিপোর্টস', 'Rapports de gardien', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(447, '16', 'student_history', 'Student History', 'Historia del estudiante', 'ছাত্র ইতিহাস', 'Histoire des étudiants', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(448, '16', 'student_login_report', 'Student Login Report', 'Informe de inicio de sesión del estudiante', 'ছাত্র লগইন রিপোর্ট', 'Rapport de connexion détudiant', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(449, '16', 'fees_statement', 'Fees Statement', 'Declaración de honorarios', 'ফি বিবৃতি', 'Relevé des frais', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(450, '16', 'balance_fees_report', 'Balance Fees Report', 'Informe de comisiones de saldo', 'ব্যালেন্স ফি রিপোর্ট', 'Bilan des frais', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(451, '16', 'transaction_report', 'Transaction Report', 'Reporte de transacción', 'লেনদেন রিপোর্ট', 'Rapport de transaction', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(452, '16', 'transaction', 'Transaction', 'Transacción', 'লেনদেন', 'Transaction', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(453, '16', 'credit', 'Credit', 'Transacción', 'ক্রেডিট', 'Credit', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(454, '16', 'debit', 'Debit', 'Debit', 'ডেবিট', 'Debit', 1, '2021-04-20 05:45:05', '2021-04-20 05:45:05'),
(455, '16', 'loss', 'Loss', 'Loss', 'ক্ষতি', 'Loss', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(456, '16', 'class_report', 'Class Report', 'Informe de clase', 'ক্লাস রিপোর্ট', 'Rapport de classe', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(457, '16', 'merit_list_report', 'Merit List Report', 'Informe de la lista de méritos', 'মেধা তালিকা প্রতিবেদন', 'Rapport de liste de mérite', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(458, '16', 'online_exam_report', 'Online Exam Report', 'Informe de examen en línea', 'অনলাইন পরীক্ষার রিপোর্ট', 'Rapport dexamen en ligne', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(459, '16', 'mark_sheet_report', 'Mark Sheet Report', 'Informe de hoja de marcas', 'মার্ক শীট রিপোর্ট', 'Rapport de feuille de marque', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(460, '16', 'tabulation_sheet_report', 'Tabulation Sheet Report', 'Informe de hoja de tabulación', 'ট্যাবুলেশন শীট রিপোর্ট', 'Rapport de tabulation', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(461, '16', 'tabulation_sheet', 'Tabulation Sheet', 'Informe de hoja', 'ট্যাবুলেশন শীট', 'de tabulation', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(462, '16', 'student_fine_report', 'Student Fine Report', 'Informe de estudiante bien', 'শিক্ষার্থীর ফাইন রিপোর্ট', 'Rapport de létudiant bien', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(463, '16', 'user_log', 'User Log', 'Registro de usuario', 'ব্যবহারকারী লগ', 'Journal de lutilisateur', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(464, '16', 'exam_routine', 'Exam Routine', 'Rutina de examen', 'পরীক্ষার রুটিন', 'Routine dexamen', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(465, '16', 'select_type', 'Select Type', 'Seleccione tipo', 'প্রকার নির্বাচন করুন', 'Sélectionner le genre', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(466, '16', 'select_gender', 'Select Gender', 'Seleccione género', 'লিংগ নির্বাচন', 'Sélectionnez le sexe', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(467, '16', 'nid', 'NID', 'NID', 'জাতীয় পরিচয়পত্র', 'NID', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(468, '16', 'Birth_Certificate_Number', 'Birth Certificate Number', 'Número de Certificado de Nacimiento', 'জন্ম শংসাপত্র নম্বর', 'Numéro Acte de Naissance', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(469, '16', 'select_admission_year', 'Select admission Year', 'Seleccione el año de admisión', 'ভর্তি বছর নির্বাচন করুন', 'Sélectionnez lannée dadmission', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(470, '16', 'start_end', 'Start-End', 'Inicio fin', 'শুরু শেষ', 'Début Fin', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(471, '16', 'student_login_info', 'Student Login Info', 'Información de inicio de sesión del estudiante', 'শিক্ষার্থী লগইন তথ্য', 'Informations de connexion des étudiants', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(472, '16', 'login_info_report', 'Login Info Report', 'Informe de información de inicio de sesión', 'লগইন তথ্য প্রতিবেদন', 'Login Info Report', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(473, '16', 'username', 'Username', 'Nombre de usuario', 'ব্যবহারকারীর নাম', 'Nom dutilisateur', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(474, '16', 'password', 'Password', 'Contraseña', 'পাসওয়ার্ড', 'Mot de passe', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(475, '16', 'logout', 'Logout', 'Logout', 'প্রস্থান', 'Logout', 1, '2021-04-20 05:45:06', '2021-04-20 05:45:06'),
(476, '16', 'as', 'as', 'as', 'হিসাবে', 'as', 1, '2021-04-20 05:45:07', '2021-04-20 05:45:07'),
(477, '16', 'parent', 'Parent', 'Padre', 'মাতা', 'Parent', 1, '2021-04-20 05:45:07', '2021-04-20 05:45:07'),
(478, '16', 'reset', 'Reset', 'Reiniciar', 'রিসেট', 'Réinitialiser', 1, '2021-04-20 05:45:07', '2021-04-20 05:45:07'),
(479, '16', 'due_date', 'Due Date', 'Fecha de vencimiento', 'নির্দিষ্ট তারিখ', 'Date déchéance', 1, '2021-04-20 05:45:07', '2021-04-20 05:45:07'),
(480, '16', 'partial', 'Partial', 'Parcial', 'আংশিক', 'Partiel', 1, '2021-04-20 05:45:07', '2021-04-20 05:45:07'),
(481, '16', 'discount_of', 'Discount of', 'Descuento de', 'ছাড়', 'Remise de', 1, '2021-04-20 05:45:07', '2021-04-20 05:45:07'),
(482, '16', 'fees_report', 'Fees Report', 'Informe de tarifas', 'ফি রিপোর্ট', 'Rapport de frais', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(483, '16', 'paid_fees', 'Paid Fees', 'Honorarios pagados', 'প্রদত্ত ফি', 'Frais payés', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(484, '16', 'fees_collection_details', 'Fees Collection Details', 'Detalles de la colección', 'ফি সংগ্রহের বিশদ', 'Frais Collection Détails', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(485, '16', 'number_of_student', 'Number Of Student', 'Numero de estudiante', 'ছাত্র সংখ্যা', 'Nombre détudiant', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(486, '16', 'total_subjects_assigned', 'Total Subjects assigned', 'Total de asignaturas asignadas', 'বরাদ্দকৃত মোট বিষয়', 'Nombre total de sujets assignés', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(487, '16', 'collection', 'Collection', 'Colección', 'সংগ্রহ', 'Collection', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(488, '16', 'due', 'Due', 'Debido', 'বাকি', 'Dû', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(489, '16', 'fees_details', 'Fees Details', 'Detalles de tarifas', 'ফি বিবরণ', 'Détails des frais', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(490, '16', 'class_routine_report', 'Class Routine Report', 'Informe de rutina de la clase', 'ক্লাস রুটিন রিপোর্ট', 'Rapport de routine de classe', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(491, '16', 'report', 'Report', 'Informe', 'প্রতিবেদন', 'rapport', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(492, '16', 'teacher_class_routine_report', 'Teacher Class Routine Report', 'Informe de rutina para el maestro', 'শিক্ষক শ্রেণির রুটিন প্রতিবেদন', 'Rapport de routine de classe denseignant', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(493, '16', 'select_teacher', 'Select Teacher', 'Seleccionar profesor', 'শিক্ষক নির্বাচন করুন', 'Sélectionnez un enseignant', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(494, '16', 'school_management_system', 'School Management System', 'Sistema de gestión escolar', 'স্কুল পরিচালনা ব্যবস্থা', 'Système de gestion scolaire', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(495, '16', 'united_states_of_america', 'House 25, Road 27, Block B, 54th Floor, USA', 'House 25, Road 27, Block B, Nueva York, USA', 'বাড়ি 25, রোড 27, ব্লক বি, 54 তলা, মার্কিন যুক্তরাষ্ট্র', 'USA', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(496, '16', 'order_of_merit_list', 'Order of merit list', 'Lista de orden de mérito', 'মেধা তালিকার অর্ডার', 'Ordre de mérite', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(497, '16', 'position', 'Position', 'Posición', 'অবস্থান', 'Position', 1, '2021-04-20 05:45:08', '2021-04-20 05:45:08'),
(498, '16', 'average', 'Average', 'Promedio', 'গড়', 'Moyenne', 1, '2021-04-20 05:45:09', '2021-04-20 05:45:09'),
(499, '16', 'obtained_marks', 'Obtained Marks', 'Marcas obtenidas', 'প্রাপ্ত নম্বর', 'Obtenu Marques', 1, '2021-04-20 05:45:09', '2021-04-20 05:45:09'),
(500, '16', 'top_obtained_mark', 'Top Obtained Mark', 'Mejor marca obtenida', 'শীর্ষ প্রাপ্ত চিহ্ন', 'Top obtenu la marque', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(501, '16', 'student_terminal_report', 'Student Terminal Report', 'Informe de terminal de estudiante', 'ছাত্র টার্মিনাল রিপোর্ট', 'Rapport de fin détude', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(502, '16', 'progress_card_report', 'Progress Card Report', 'Informe De Progreso', 'অগ্রগতি কার্ড রিপোর্ট', 'Rapport De Carte De Progression', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(503, '16', 'progress_card', 'Progress Card', 'Progress Card', 'অগ্রগতি কার্ড', 'Progress Card', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(504, '16', 'position_in_class', 'Position in Class', 'Posición en clase', 'ক্লাসে পজিশন', 'Position en classe', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(505, '16', 'class_test', 'Class Test', 'Prueba de clase', 'ক্লাস টেস্ট', 'Test de classe', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(506, '16', 'remarks', 'Remarks', 'Observaciones', 'মন্তব্য', 'Remarques', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(507, '16', 'user', 'User', 'Usuario', 'ব্যবহারকারী', 'Utilisateur', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(508, '16', 'ip', 'IP', 'IP', 'আইপি', 'IP', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(509, '16', 'login_time', 'Login Time', 'Hora de inicio de sesión', 'লগইন সময়', 'Heure de connexion', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(510, '16', 'user_agent', 'User Agent', 'Agente de usuario', 'ব্যবহারিক দূত', 'Agent utilisateur', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(511, '17', 'authentication', 'Authentication', 'Autenticación', 'প্রমাণীকরণ', 'Authentification', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(512, '17', 'token', 'Token', 'Simbólico', 'টোকেন', 'Jeton', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(513, '17', 'registered_phone_number', 'Registered Phone Number', 'Número de teléfono registrado', 'নিবন্ধিত ফোন নম্বর', 'Numéro de téléphone enregistré', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(514, '17', 'authentication_key_SId', 'Authentication Key SId', 'Clave de autenticación SId', 'প্রমাণীকরণ কী এসআইডি', 'Clé dauthentification SId', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(515, '17', 'sender', 'Sender', 'Remitente', 'প্রেরকের', 'Expéditeur', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(516, '17', 'country_code', 'Country Code', 'Código de país', 'কান্ট্রি কোড', 'Code postal', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(517, '17', 'select_serial', 'Select serial', 'Seleccione serial', 'সিরিয়াল নির্বাচন করুন', 'Sélectionnez série', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(518, '17', 'day_list', 'Day list', 'Lista de días', 'দিনের তালিকা', 'Liste de jour', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(519, '17', 'serial', 'Serial', 'De serie', 'ক্রমিক', 'En série', 1, '2021-04-20 05:45:10', '2021-04-20 05:45:10'),
(520, '17', 'upload_from_local_directory', 'Upload From Local Directory', 'Subir desde el directorio local', 'স্থানীয় ডিরেক্টরি থেকে আপলোড করুন', 'Télécharger depuis le répertoire local', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(521, '17', 'file', 'File', 'Expediente', 'ফাইল', 'Fichier', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(522, '17', 'cron_secret_key', 'Cron Secret Key', 'Clave secreta de Cron', 'ক্রোন সিক্রেট কী', 'Cron Secret Key', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(523, '17', 'generate_key', 'Generate key', 'Generar clave', 'কী উত্পন্ন', 'Générer une clé', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(524, '17', 'database_backup_list', 'Database Backup List', 'Lista de respaldo de la base de datos', 'ডাটাবেস ব্যাকআপ তালিকা', 'Liste de sauvegarde de la base de données', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(525, '17', 'backup', 'Backup', 'Apoyo', 'ব্যাকআপ', 'Sauvegarde', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(526, '17', 'full', 'Full', 'Full', 'সম্পূর্ণ', 'Full', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(527, '17', 'project', 'Project', 'Project', 'প্রকল্প', 'Project', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(528, '17', 'disabled', 'Disabled', 'Disabled', 'অক্ষম', 'Disabled', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(529, '17', 'size', 'Size', 'Size', 'আকার', 'Size', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(530, '17', 'created_date_time', 'Created Date Time', 'Fecha de creación', 'তৈরি তারিখের সময়', 'Date de création heure', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(531, '17', 'backup_files', 'Backup Files', 'Archivos de respaldo', 'ব্যাকআপ ফাইল', 'Fichiers de sauvegarde', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(532, '17', 'weekend', 'Weekend', 'Fin de semana', 'সপ্তাহান্তিক কাল', 'Weekend', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(533, '17', 'week', 'Week', 'semana', 'সপ্তাহ', 'Week', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(534, '17', 'restore', 'Restore', 'Restaurar', 'প্রত্যর্পণ করা', 'Restaurer', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(535, '17', 'default', 'Default', 'Defecto', 'ডিফল্ট', 'Défaut', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(536, '17', 'module', 'Module', 'Módulo', 'মডিউল', 'Module', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(537, '17', 'module_link', 'Module Link', 'Enlace del módulo', 'মডিউল লিঙ্ক', 'Lien de module', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(538, '17', 'permission', 'Permission', 'Permiso', 'অনুমতি', 'Autorisation', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(539, '17', 'site_title', 'Site Title', 'Título del sitio', 'সাইট শিরোনাম', 'Titre du site', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(540, '17', 'select_session', 'Select Academic Year', 'Seleccionar Academic Year', 'সেশন নির্বাচন করুন', 'Sélectionnez une Academic Year', 1, '2021-04-20 05:45:11', '2021-04-20 05:45:11'),
(541, '17', 'select_date_format', 'Select Date Format', 'Seleccione el formato de fecha', 'তারিখ ফর্ম্যাট নির্বাচন করুন', 'Sélectionnez le format de date', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(542, '17', 'format', 'Format', 'Format', 'ফর্ম্যাট', 'Format', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(543, '17', 'select_currency', 'Select Currency', 'Seleccione el tipo de moneda', 'কারেন্সি নির্বাচন করুন', 'Sélectionnez la devise', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(544, '17', 'currency_symbol', 'Currency Symbol', 'Símbolo de moneda', 'মুদ্রার প্রতীক', 'Symbole de la monnaie', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(545, '17', 'school_address', 'School Address', 'Dirección de Escuela', 'স্কুলের ঠিকানা', 'Adresse de lécole', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(546, '17', 'update_language', 'Update Language', 'Actualizar idioma', 'ভাষা আপডেট করুন', 'Mise à jour de la langue', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(547, '17', 'language_setup', 'Language Setup', 'Configuración de idioma', 'ভাষা সেটআপ', 'Configuration de la langue', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(548, '17', 'starting', 'Starting', 'Starting', 'শুরু হচ্ছে', 'Starting', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(549, '17', 'term', 'Term', 'Term', 'শব্দ', 'Term', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(550, '17', 'optional_subject', 'Optional Subject', 'Optional Subject', 'ঐচ্ছিক বিষয়', 'Optional Subject', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(551, '17', 'manage_currency', 'Manage Currency', 'Manage Currency', 'মুদ্রা পরিচালনা করুন', 'Manage Currency', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(552, '17', 'send_through', 'Send Through', 'Send Through', 'মাধ্যমে প্রেরণ করুন', 'Send Through', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(553, '17', 'custom_progress_card_report', 'Custom Progress Card Report', 'Custom Progress Card Report', 'কাস্টম অগ্রগতি কার্ড রিপোর্ট', 'Custom Progress Card Report', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(554, '17', 'due_amount', 'Due Amount', 'Due Amount', 'বাকি টাকা', 'Due Amount', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(555, '17', 'paid_amount', 'Paid Amount', 'Paid Amount', 'দেওয়া পরিমাণ', 'Paid Amount', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(556, '17', 'expaire_date', 'Expaire Date', 'Expaire Date', 'মেয়াদ উত্তীর্ণ', 'Expaire Date', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(557, '17', 'purchase_date', 'Purchase Date', 'Purchase Date', 'ক্রয় তারিখ', 'Purchase Date', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(558, '17', 'package', 'Package', 'Package', 'প্যাকেজ', 'Package', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(559, '17', 'sl', 'SL', 'SL', 'এসএল বিভাগ:', 'SL', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(560, '17', 'purchase_list', 'Purchase List', 'Purchase List', 'ক্রয়ের তালিকা', 'Purchase List', 1, '2021-04-20 05:45:12', '2021-04-20 05:45:12'),
(561, '17', 'infix_clasified', 'Infix Clasified', 'Infix Clasified', 'ইনফিক্স শ্রেণিবদ্ধ', 'Infix Clasified', 1, '2021-04-20 05:45:13', '2021-04-20 05:45:13'),
(562, '17', 'infix_edu', 'Infix Edu', 'Infix Edu', 'ইনফিক্স এডু', 'Infix Edu', 1, '2021-04-20 05:45:13', '2021-04-20 05:45:13'),
(563, '17', 'select_package', 'Select Package', 'Select Package', 'প্যাকেজ নির্বাচন করুন', 'Select Package', 1, '2021-04-20 05:45:13', '2021-04-20 05:45:13'),
(564, '17', 'thanks', 'Thanks', 'Thanks', 'ধন্যবাদ', 'Thanks', 1, '2021-04-20 05:45:13', '2021-04-20 05:45:13'),
(565, '17', 'team', 'Team', 'Team', 'টীম', 'Team', 1, '2021-04-20 05:45:13', '2021-04-20 05:45:13'),
(566, '17', 'select', 'Select', 'Select', 'নির্বাচন করা', 'Select', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(567, '17', 'mark', 'Mark', 'Mark', 'ছাপ', 'Mark', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(568, '17', 'fees_groups_details', 'Fees groups Details', 'Fees groups Details', 'ফি গোষ্ঠী বিশদ', 'Fees groups Details', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(569, '17', 'staff', 'Staff', 'Staff', 'কর্মী', 'Staff', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(570, '17', 'manage-currency', 'Manage Currency', 'Manage Currency', 'মুদ্রা পরিচালনা করুন', 'Manage Currency', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(571, '17', 'wise', 'Wise', 'Wise', 'জ্ঞানী', 'Wise', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(572, '17', 'system_settings', 'System Settings', 'Ajustes del sistema', 'পদ্ধতি নির্ধারণ', 'Les paramètres du système', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(573, '17', 'general_settings', 'General Settings', 'Configuración general', 'সাধারণ সেটিংস', 'réglages généraux', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(574, '17', 'email_settings', 'Email Settings', 'Ajustes del correo electrónico', 'ইমেল সেটিংস', 'Paramètres de messagerie', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(575, '17', 'email_setting', 'Email Setting', 'Ajustes del correo electrónico', 'ইমেল সেটিংস', 'Paramètres de messagerie', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(576, '17', 'payment_method_settings', 'Payment Method Settings', 'Configuración del método de pago', 'প্রদানের পদ্ধতি সেটিংস', 'Méthode de paiement', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(577, '17', 'role', 'Role', 'Papel', 'ভূমিকা', 'Rôle', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(578, '17', 'base_group', 'Base Group', 'Grupo base', 'বেস গ্রুপ', 'Groupe de base', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(579, '17', 'base_setup', 'Base Setup', 'Configuración de la base', 'বেস সেটআপ', 'Configuration de base', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(580, '17', 'academic_year', 'Academic Year', 'Año académico', 'শিক্ষাবর্ষ', 'Année académique', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(581, '17', 'session', 'Academic Year', 'Academic Year', 'সেশন', 'Academic Year', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(582, '17', 'holiday', 'Holiday', 'Vacaciones', 'ছুটির দিন', 'Vacances', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(583, '17', 'sms_settings', 'Sms Settings', 'Configuración de SMS', 'এসএমএস সেটিংস', 'Paramètres Sms', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(584, '17', 'language_settings', 'Language Settings', 'Configuraciones de idioma', 'ভাষা সেটিংস', 'Paramètres de langue', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(585, '17', 'backup_settings', 'Backup', 'Apoyo', 'ব্যাকআপ', 'Sauvegarde', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(586, '17', 'select_language', 'Select Language', 'Seleccione el idioma', 'ভাষা নির্বাচন কর', 'Choisir la langue', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(587, '17', 'native', 'Native', 'Nativo', 'স্থানীয়', 'Originaire de', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(588, '17', 'universal', 'Universal', 'Universal', 'সার্বজনীন', 'Universel', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(589, '17', 'make_default', 'Make Default', 'Hacer por defecto', 'ডিফল্ট করা', 'Faire défaut', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(590, '17', 'setup', 'Setup', 'Preparar', 'সেটআপ', 'Installer', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(591, '17', 'change_logo', 'Change Logo', 'Cambiar Logo', 'লোগো পরিবর্তন করুন', 'Changer le logo', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(592, '17', 'change_fav', 'Change Favicon', 'Cambiar Favicon', 'ফ্যাভিকন পরিবর্তন করুন', 'Changer de favicon', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(593, '17', 'upload', 'Upload', 'Subir', 'আপলোড', 'Télécharger', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(594, '17', 'school_name', 'School Name', 'Nombre de la escuela', 'স্কুলের নাম', 'Nom de lécole', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(595, '17', 'school_code', 'School Code', 'Código escolar', 'স্কুল কোড', 'Code détablissement', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(596, '17', 'language', 'Language', 'Idioma', 'ভাষা', 'La langue', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(597, '17', 'date_format', 'Date Format', 'Formato de fecha', 'তারিখ বিন্যাস', 'Format de date', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(598, '17', 'currency', 'Currency', 'Moneda', 'মুদ্রা', 'Devise', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(599, '17', 'symbol', 'Symbol', 'Símbolo', 'প্রতীক', 'symbole', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(600, '17', 'sand', 'Sand', 'Arena', 'বালি', 'Le sable', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(601, '17', 'smtp', 'SMTP', 'SMTP', 'এসএমটিপি', 'SMTP', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(602, '17', 'from_name', 'From Name', 'De Nombre', 'নাম থেকে', 'De nom', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(603, '17', 'from_email', 'From Email', 'Desde el e-mail', 'ইমেল থেকে', 'De lemail', 1, '2021-04-20 05:45:14', '2021-04-20 05:45:14'),
(604, '17', 'server', 'Server', 'Servidor', 'সার্ভার', 'Serveur', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(605, '17', 'port', 'Port', 'Puerto', 'বন্দর', 'Port', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(606, '17', 'security', 'Security', 'Seguridad', 'নিরাপত্তা', 'Sécurité', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(607, '17', 'select_a_payment_gateway', 'Select a Payment Gateway', 'Seleccione una pasarela de pago', 'পেমেন্ট গেটওয়ে নির্বাচন করুন', 'Sélectionnez une passerelle de paiement', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(608, '17', 'checked', 'Checked', 'Comprobado', 'সংযত', 'Vérifié', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(609, '17', 'paypal', 'Paypal', 'Paypal', 'পেপ্যাল', 'Pay Pal', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(610, '17', 'stripe', 'Stripe', 'Raya', 'ডোরা', 'Bande', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(611, '17', 'razorpay', 'Razorpay', 'Razorpay', 'রেজারপে', 'Razorpay', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(612, '17', 'payUMoney', 'PayUMoney', 'PayUMoney', 'পেইউমনি', 'PayUMoney', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(613, '17', 'signature', 'Signature', 'Firma', 'স্বাক্ষর', 'Signature', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(614, '17', 'client_id', 'Client ID', 'Identificación del cliente', 'ক্লায়েন্ট আইডি', 'identité du client', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(615, '17', 'secret_id', 'Secret ID', 'ID secreta', 'সিক্রেট আইডি', 'ID secret', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(616, '17', 'stripe_api_secret_key', 'Stripe API Secret Key', 'Stripe API Secret Key', 'স্ট্রিপ এপিআই সিক্রেট কী', 'Clé secrète de lAPI de bande', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(617, '17', 'stripe_publisher_key', 'Stripe Publishable Key', 'Stripe Publishable Key', 'স্ট্রাইপ প্রকাশযোগ্য কী', 'Raie Clé Publiable', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(618, '17', 'pay_u_money_key', 'PayU Money Key', 'PayU Money Key', 'পেইউমনি কী', 'Clé PayU Money', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(619, '17', 'pay_u_money_salt', 'PayU Money Salt', 'PayU Money Salt', 'পেইউ মানি লবণ', 'PayU Money Salt', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(620, '17', 'role_permission', 'Role Permission', 'Permiso de rol', 'ভূমিকা অনুমতি', 'Permission de rôle', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(621, '17', 'assign_permission', 'Assign Permission', 'Asignar permiso', 'অনুমতি বরাদ্দ করুন', 'Attribuer une autorisation', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(622, '17', 'label', 'Label', 'Etiqueta', 'লেবেল', 'Étiquette', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(623, '17', 'base', 'Base', 'Base', 'ভিত্তি', 'Base', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(624, '17', 'year_title', 'Year Title', 'Título del año', 'বছরের শিরোনাম', 'Titre de lannée', 1, '2021-04-20 05:45:15', '2021-04-20 05:45:15'),
(625, '17', 'starting_date', 'Starting Date', 'Fecha de inicio', 'শুরু তারিখ', 'Date de début', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(626, '17', 'ending_date', 'Ending Date', 'Fecha de finalización', 'সমাপ্তির তারিখ', 'Fin', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(627, '17', 'select_a_SMS_service', 'Select a SMS Service', 'Seleccione un servicio de SMS', 'একটি এসএমএস পরিষেবা নির্বাচন করুন', 'Sélectionnez un service SMS', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(628, '17', 'clickatell', 'Clickatell', 'Clickatell', 'ক্লিক স্যাটেলাইট', 'Clickatell', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(629, '17', 'settings', 'Settings', 'Ajustes', 'সেটিংস', 'Réglages', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(630, '17', 'chat', 'Chat', 'Chat', 'চ্যাট', 'Chat', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(631, '17', 'chatting', 'Chatting', 'Chatting', 'চ্যাটিং', 'Chatting', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(632, '17', 'box', 'Box', 'Box', 'বাক্স', 'Box', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(633, '17', 'invitation', 'Invitation', 'Invitation', 'আমন্ত্রণ', 'Invitation', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(634, '17', 'blocked', 'Blocked', 'Blocked', 'অবরুদ্ধ', 'Blocked', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(635, '17', 'you', 'You', 'You', 'আপনি', 'You', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(636, '17', 'requests', 'Requests', 'Requests', 'অনুরোধ', 'Requests', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(637, '17', 'request', 'Request', 'Request', 'অনুরোধ', 'Request', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(638, '17', 'connect', 'Connect', 'Connect', 'সংযোগ করুন', 'Connect', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(639, '17', 'people', 'People', 'People', 'মানুষ', 'People', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(640, '17', 'connection', 'Connection', 'Connection', 'সংযোগ', 'Connection', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(641, '17', 'connections', 'Connections', 'Connections', 'সংযোগ', 'Connections', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(642, '17', 'connected', 'Connected', 'Connected', 'সংযুক্ত', 'Connected', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(643, '17', 'unblock', 'Unblock', 'Unblock', 'অবরোধ মুক্ত করুন', 'Unblock', 1, '2021-04-20 05:45:16', '2021-04-20 05:45:16'),
(644, '17', 'block', 'Block', 'Block', 'ব্লক', 'Block', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(645, '17', 'can_teacher_chat_with_parents', 'Can Teacher Chat With Parents', 'Can Teacher Chat With Parents', 'শিক্ষক পিতামাতার সাথে চ্যাট করতে পারেন', 'Can Teacher Chat With Parents', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(646, '17', 'can_student_chat_with_admin_accounts', 'Can Student Chat With Admin, Accounts', 'Can Student Chat With Admin, Accounts', 'প্রশাসক, অ্যাকাউন্টগুলির সাথে শিক্ষার্থীরা চ্যাট করতে পারে', 'Can Student Chat With Admin, Accounts', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(647, '17', 'admin_can_chat_without_invitation', 'Admin Can Chat Without Invitation', 'Admin Can Chat Without Invitation', 'অ্যাডমিন আমন্ত্রণ ছাড়াই চ্যাট করতে পারেন', 'Admin Can Chat Without Invitation', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(648, '17', 'open_chat_system', 'Open Chat System', 'Open Chat System', 'ওপেন চ্যাট সিস্টেম', 'Open Chat System', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(649, '17', 'requirement', 'Requirement', 'Requirement', 'প্রয়োজনীয়তা', 'Requirement', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(650, '17', 'required', 'Required', 'Required', 'প্রয়োজনীয়', 'Required', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(651, '17', 'old', 'Old', 'Old', 'পুরাতন', 'Old', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(652, '17', 'can_upload_file', 'Can Upload File', 'Can Upload File', 'ফাইল আপলোড করতে পারেন', 'Can Upload File', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(653, '17', 'upload_file_limit', 'Upload File Limit', 'Upload File Limit', 'ফাইল সীমা আপলোড করুন', 'Upload File Limit', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(654, '17', 'mb', 'Megabyte', 'Megabyte', 'মেগাবাইট', 'Megabyte', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(655, '17', 'can', 'Can', 'Can', 'মেগাবাইট', 'Can', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(656, '17', 'can_make_group', 'Can Make Group', 'Can Make Group', 'গ্রুপ তৈরি করতে পারে', 'Can Make Group', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(657, '17', 'can_staff_or_teacher_ban_tudent', 'Can Staff or Teacher Ban Student', 'Can Staff or Teacher Ban Student', 'স্টাফ বা শিক্ষক নিষিদ্ধ ছাত্র', 'Can Staff or Teacher Ban Student', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(658, '17', 'teacher_can_pinned_top_message', 'Teacher Can Pinned Top Message', 'Teacher Can Pinned Top Message', 'শিক্ষক শীর্ষ বার্তা পিন করতে পারেন', 'Teacher Can Pinned Top Message', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(659, '17', 'conversition', 'Conversition', 'Conversition', 'কথোপকথন', 'Conversition', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(660, '17', 'this', 'This', 'This', 'এই', 'This', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(661, '17', 'load_more', 'Load More', 'Load More', 'আর ঢুকাও', 'Load More', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(662, '17', 'attachment', 'Attachment', 'Attachment', 'সংযুক্তি', 'Attachment', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(663, '17', 'forwarded_message', 'Forwarded Message', 'Forwarded Message', 'প্রেরণকৃত বার্তা', 'Forwarded Message', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(664, '17', 'forward', 'Forward', 'Forward', 'ফরোয়ার্ড', 'Forward', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(665, '17', 'quote', 'Quote', 'Quote', 'উদ্ধৃতি', 'Quote', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(666, '17', 'replying', 'Replying', 'Replying', 'উত্তর', 'Replying', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(667, '17', 'keywords', 'Keywords', 'Keywords', 'কীওয়ার্ডস', 'Keywords', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(668, '17', 'media_files', 'Media Files', 'Media Files', 'মিডিয়া ফাইল', 'Media Files', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(669, '17', 'showing', 'Showing', 'Showing', 'দেখাচ্ছে', 'Showing', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(670, '17', 'your_voice_is_recording', 'Your Voice Is Recording', 'Your Voice Is Recording', 'আপনার ভয়েস রেকর্ডিং হয়', 'Your Voice Is Recording', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(671, '17', 'moderate', 'Moderate', 'Moderate', 'মাঝারি', 'Moderate', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(672, '17', 'remove_read_only', 'Remove Read Only', 'Remove Read Only', 'কেবল পঠনযোগ্য সরান', 'Remove Read Only', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(673, '17', 'mark_as_read_only', 'Mark As Read Only', 'Mark As Read Only', 'কেবলমাত্র পঠন হিসাবে চিহ্নিত করুন', 'Mark As Read Only', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(674, '17', 'write_something_Optional', 'Write something (Optional)', 'Write something (Optional)', 'কিছু লিখুন (ঐচ্ছিক)', 'Write something (Optional)', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(675, '17', 'away', 'Away', 'Away', 'দূরে', 'Away', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(676, '17', 'busy', 'Busy', 'Busy', 'ব্যস্ত', 'Busy', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(677, '17', 'someone', 'Someone', 'Someone', 'কেউ', 'Someone', 1, '2021-04-20 05:45:17', '2021-04-20 05:45:17'),
(678, '17', 'is_typing', 'Is Typing', 'Is Typing', 'টাইপিং হয়', 'Is Typing', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(679, '17', 'you_are_invited_in_new_group', 'You are invited in new group', 'You are invited in new group', 'আপনাকে নতুন দলে আমন্ত্রিত করা হয়েছে', 'You are invited in new group', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(680, '17', 'new_message_in_this_group', 'New message in this group', 'New message in this group', 'এই গ্রুপে নতুন বার্তা', 'New message in this group', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(681, '17', 'twilio', 'Twilio', 'Twilio', 'টিভিলিও', 'Twilio', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(682, '17', 'api', 'API', 'API', 'এপিআই', 'API', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(683, '17', 'sid', 'SID', 'SID', 'এসআইডি', 'SID', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(684, '18', 'front_end_settings', 'Front End Settings', 'Configuraciones frontales', 'সম্মুখ সমাপ্তি সেটিংস', 'Paramètres frontaux', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(685, '18', 'navigation', 'Navigation', 'Navigation', 'নেভিগেশন', 'Navigation', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(686, '18', 'left', 'Left', 'Left', 'বাম', 'Left', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(687, '18', 'right', 'Right', 'Right', 'ডান', 'Right', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(688, '18', 'open_in_a_new_tab', 'Open In a New Tab', 'Open In a New Tab', 'একটি নতুন ট্যাবে খুলুন', 'Open In a New Tab', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(689, '18', 'add_news', 'Add News', 'Añadir noticias', 'সংবাদ যুক্ত করুন', 'Ajouter des nouvelles', 1, '2021-04-20 05:45:18', '2021-04-20 05:45:18'),
(690, '18', 'news', 'News', 'Noticias', 'খবর', 'Nouvelles', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(691, '18', 'news_list', 'News List', 'Lista de noticias', 'সংবাদ তালিকা', 'Liste de nouvelles', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(692, '18', 'image', 'Image', 'Imagen', 'ভাবমূর্তি', 'Image', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(693, '18', 'publication_date', 'Publication Date', 'Fecha de publicación', 'প্রকাশনার তারিখ', 'Date de publication', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(694, '18', 'add_testimonial', 'Add Testimonial', 'Añadir Testimonial', 'প্রশংসাপত্র যোগ করুন', 'Ajouter un témoignage', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(695, '18', 'testimonial', 'Testimonial', 'Testimonial', 'এজাহারনামা', 'Témoignage', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(696, '18', 'institution_name', 'Institution Name', 'Nombre de la Institución', 'প্রতিষ্ঠানের নাম', 'nom de linstitution', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19');
INSERT INTO `sm_language_phrases` (`id`, `modules`, `default_phrases`, `en`, `es`, `bn`, `fr`, `active_status`, `created_at`, `updated_at`) VALUES
(697, '18', 'institute', 'Institute', 'Institute', 'ইনস্টিটিউট', 'Institute', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(698, '18', 'location', 'Location', 'Ubicación', 'অবস্থান', 'Emplacement', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(699, '18', 'front_settings', 'Front Settings', 'Ajustes frontales', 'সামনের সেটিংস', 'Paramètres avant', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(700, '19', 'my_profile', 'My Profile', 'Mi perfil', 'আমার প্রোফাইল', 'Mon profil', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(701, '19', 'fees', 'Fees', 'Matrícula', 'ফি', 'Honoraires', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(702, '19', 'pay_fees', 'Pay Fees', 'Cuotas de pago', 'ফি পরিশোধ', 'Payer les frais', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(703, '19', 'download_center', 'Download Center', 'Centro de descargas', 'ডাউনলোড কেন্দ্র', 'centre de téléchargement', 1, '2021-04-20 05:45:19', '2021-04-20 05:45:19'),
(704, '19', 'student_study_material', 'Study Materials', 'Materiales de estudio', 'অধ্যয়ন উপকরণ', 'Matériel détudes', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(705, '19', 'examinations', 'Examinations', 'Exámenes', 'পরীক্ষায়', 'Examens', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(706, '19', 'rule', 'Rule', 'Rule', 'নিয়ম', 'Rule', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(707, '19', 'setup', 'Setup', 'Setup', 'সেটআপ', 'Setup', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(708, '19', 'result', 'Result', 'resultado', 'ফলাফল', 'résultat', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(709, '19', 'active_exams', 'Active Exams', 'Exámenes activos', 'সক্রিয় পরীক্ষা', 'Examens actifs', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(710, '19', 'book_issue', 'Book issued', 'Libro emitido', 'বই জারি', 'Livre publié', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(711, '19', 'my_children', 'My Children', 'Mis hijos', 'আমার শিশু', 'Mes enfants', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(712, '19', 'exam_result', 'Exam Result', 'Resultado del examen', 'পরীক্ষার ফলাফল', 'Résultat déxamen', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(713, '19', 'teacher_list', 'Teacher list', 'Lista de profesores', 'শিক্ষকের তালিকা', 'Liste des enseignants', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(714, '19', 'inserted_message', 'Operation Successfully', 'Insertado con éxito', 'সফলভাবে অপারেশন', 'Inséré avec succès', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(715, '19', 'updated_message', 'Updated Successfully', 'Actualizado exitosamente', 'সফলভাবে আপডেট হয়েছে', 'Mis à jour avec succés', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(716, '19', 'deleted_message', 'Deleted Successfully', 'Borrado exitosamente', 'সফলভাবে মোছা হয়েছে', 'Supprimé avec succès', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(717, '19', 'inactive_message', 'Inactivated Successfully', 'Inactivado con éxito', 'সফলভাবে নিষ্ক্রিয় করা হয়েছে', 'Inactivé avec succès', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(718, '19', 'active_message', 'Activated Successfully', 'Activado con éxito', 'সফলভাবে সক্রিয় হয়েছে', 'Activé avec succès', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(719, '19', 'backup_message', 'Backup Successfully', 'Copia de seguridad con éxito', 'ব্যাকআপ সফলভাবে', 'Sauvegarde réussie', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(720, '19', 'restore_message', 'Restore Successfully', 'Restaurar con éxito', 'সফলভাবে পুনরুদ্ধার করুন', 'Restaurer avec succès', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(721, '19', 'not_found_message', 'Ops! Data not Found', 'Ops! Datos no encontrados', 'অপস! তথ্য পাওয়া যায়নি', 'Ops! Données non trouvées', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(722, '19', 'error_message', 'Ops! Something went wrong, please try again', 'Ops! Algo salió mal. Por favor, vuelva a intentarlo', 'অপস! কিছু ভুল হয়েছে আবার চেষ্টা করুন', 'Ops! Une erreur sest produite. Veuillez réessayer', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(723, '19', 'front_cms', 'Front cms', 'Frente cms', 'সামনের সেমি', 'Cms avant', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(724, '19', 'update_system', 'Update System', 'Sistema de actualización', 'আপডেট সিস্টেম', 'Système de mise à jour', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(725, '19', 'System_Status', 'System Status', 'Estado del sistema', 'সিস্টেমের অবস্থা', 'État du système', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(726, '19', 'Upgrade', 'Upgrade', 'Mejorar', 'আপগ্রেড করুন', 'Améliorer', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(727, '19', 'Version', 'Version', 'Versión', 'সংস্করণ', 'Version', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(728, '19', 'Existing', 'Existing', 'Existente', 'বর্তমান', 'Existant', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(729, '19', 'Available', 'Available', 'Disponible', 'সহজলভ্য', 'Disponible', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(730, '19', 'Alert', 'Alert', 'Alerta', 'সতর্ক', 'Alerte', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(731, '19', 'New_Features', 'New Features', 'Nuevas características', 'নতুন বৈশিষ্ট', 'Nouvelles fonctionnalités', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(732, '19', 'copyright_text', 'Copyright Text', 'Texto de copyright', 'কপিরাইট পাঠ্য', 'Texte de copyright', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(733, '2', 'grade_point', 'Grade Point', 'Grade Point', 'গ্রেড পয়েন্ট', 'Grade Point', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(734, '2', 'without_additional', 'Without Additional', 'Without Additional', 'অতিরিক্ত ছাড়া', 'Without Additional', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(735, '2', 'additional_subject', 'Additional Subject', 'Additional Subject', 'অতিরিক্ত বিষয়', 'Additional Subject', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(736, '2', 'without', 'Without', 'Without', 'বিনা', 'Without', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(737, '2', 'letter', 'Letter', 'Letter', 'অক্ষর', 'Letter', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(738, '2', 'point', 'Point', 'Point', 'পয়েন্ট', 'Point', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(739, '2', 'gpa_above', 'GPA Above', 'GPA above', 'উপরে জিপিএ', 'GPA above', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(740, '2', 'date_of_publication_of_result', 'Date of Publication of Result', 'Date of Publication of Result', 'ফলাফল প্রকাশের তারিখ', 'Date of Publication of Result', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(741, '2', 'controller', 'Controller', 'Controller', 'নিয়ামক', 'Controller', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(742, '2', 'class_report_for_class', 'Class Report for class', 'Class Report for class', 'ক্লাসের জন্য ক্লাস রিপোর্ট', 'Class Report for class', 1, '2021-04-20 05:45:20', '2021-04-20 05:45:20'),
(743, '2', 'history', 'History', 'History', 'ইতিহাস', 'History', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(744, '2', 'change_password', 'Change Password', 'Change Password', 'পাসওয়ার্ড পরিবর্তন করুন', 'Change Password', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(745, '2', 'course_heading', 'Course Heading', 'Course Heading', 'কোর্স শিরোনাম', 'Course Heading', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(746, '2', 'course_details_heading', 'Course Details Heading', 'Course Details Heading', 'কোর্স বিশদ শিরোনাম', 'Course Details Heading', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(747, '2', 'news_heading', 'News Heading', 'News Heading', 'সংবাদ শিরোনাম', 'News Heading', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(748, '2', 'subject_attendance_report', 'Subject Attendance Report', 'Subject Attendance Report', 'বিষয় উপস্থিতি রিপোর্ট', 'Subject Attendance Report', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(749, '2', 'subject_wise_attendance_report', 'Subject Wise Attendance Report', 'Subject Wise  Attendance Report', 'বিষয় উপস্থিতি রিপোর্ট', 'Subject Wise  Attendance Report', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(750, '2', 'ltl', 'LTL', 'LTL', 'এলটিএল', 'LTL', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(751, '2', 'rtl', 'RTL', 'RTL', 'আরটিএল', 'RTL', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(752, '2', 'alignment', 'Alignment', 'Alignment', 'শ্রেণীবিন্যাস', 'Alignment', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(753, '2', 'invoice', 'Invoice', 'Invoice', 'চালান', 'Invoice', 1, '2021-04-20 05:45:21', '2021-04-20 05:45:21'),
(754, '2', 'new_client_information', 'New Client Information', 'New Client Information', 'নতুন ক্লায়েন্ট তথ্য', 'New Client Information', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(755, '2', 'made', 'Made', 'Made', 'প্রণীত', 'Made', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(756, '2', 'exam', 'Exam', 'Exam', 'পরীক্ষা', 'Exam', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(757, '2', 'final', 'Final', 'Final', 'ফাইনাল', 'Final', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(758, '2', 'contribution', 'Contribution', 'Contribution', 'অবদান', 'Contribution', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(759, '2', 'phone_number', 'Phone Number', 'Phone Number', 'ফোন নম্বর', 'Phone Number', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(760, '2', 'transport_and_dormitory_details', 'Transport and Dormitory Details', 'Transport and Dormitory Details', 'পরিবহন এবং ছাত্রাবাসের বিশদ', 'Transport and Dormitory Details', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(761, '2', 'driver_phone_number', 'Driver Phone Number', 'Driver Phone Number', 'ড্রাইভার ফোন নম্বর', 'Driver Phone Number', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(762, '2', 'national_identification_number', 'National Identification Number', 'National Identification Number', 'জাতীয় সনাক্তকারী নম্বর', 'National Identification Number', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(763, '2', 'local_identification_number', 'Local Identification Number', 'Local Identification Number', 'স্থানীয় পরিচয় নম্বর', 'Local Identification Number', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(764, '2', 'UBC56987', 'UBC56987', 'UBC56987', 'ইউবিসি 56987', 'UBC56987', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(765, '2', 'incompleted', 'Incompleted', 'Incompleted', 'অসম্পূর্ণ', 'Incompleted', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(766, '2', 'room_name', 'Room Name', 'Room Name', 'রুমের নাম', 'Room Name', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(767, '2', 'class_period', 'Class Period', 'Class Period', 'ক্লাসের সময়সীমা', 'Class Period', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(768, '2', 'paystack', 'Paystack', 'Paystack', 'পেস্ট্যাক', 'Paystack', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(769, '2', 'paystack_note', 'Paystack Note', 'Paystack Note', 'পেস্ট্যাক নোট', 'Paystack Note', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(770, '2', 'update_news_heading_section', 'Update News Heading Section', 'Update News Heading Section', 'আপডেট শিরোনাম বিভাগ', 'Update News Heading Section', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(771, '2', 'membership', 'Membership', 'Membership', 'সদস্যতা', 'Membership', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(772, '2', 'purchase_receipt', 'Purchase Receipt', 'Purchase Receipt', 'কেনার রশিদ', 'Purchase Receipt', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(773, '2', 'bill_to', 'Bill To', 'Bill To', 'বিল টু', 'Bill To', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(774, '2', 'sell_receipt', 'Sell Receipt', 'Sell Receipt', 'রসিদ বিক্রি করুন', 'Sell Receipt', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(775, '2', 'sale_to', 'Sale To', 'Sale To', 'বিক্রয়', 'Sale To', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(776, '2', 'sell_date', 'Sell Date', 'Sell Date', 'তারিখ বিক্রয়', 'Sell Date', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(777, '2', 'item_sale', 'Item Sale', 'Item Sale', 'আইটেম বিক্রয়', 'Item Sale', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(778, '2', 'sell_price', 'Sell Price', 'Sell Price', 'বিক্রয় মূল্য', 'Sell Price', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(779, '2', 'contarct_type', 'Contarct Type', 'Contarct Type', 'সংযুক্তি প্রকার', 'Contarct Type', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(780, '2', 'work_experience', 'Work Experience', 'Work Experience', 'কর্মদক্ষতা', 'Work Experience', 1, '2021-04-20 05:45:22', '2021-04-20 05:45:22'),
(781, '2', 'mode_of_payment', 'Mode of Payment', 'Mode of Payment', 'পেমেন্ট মোড', 'Mode of Payment', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(782, '2', 'no_payroll_data', 'No Payroll Data', 'No Payroll Data', 'কোনও পেওরোল ডেটা নেই', 'No Payroll Data', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(783, '2', 'not_leaves_data', 'Not Leaves Data', 'Not Leaves Data', 'পাতাগুলি নেই', 'Not Leaves Data', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(784, '2', 'joining_letter', 'Joining Letter', 'Joining Letter', 'চিঠি যোগ দিচ্ছেন', 'Joining Letter', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(785, '2', 'student_information', 'Student Info', 'Información del estudiante', 'শিক্ষার্থীদের তথ্য', 'Info étudiant', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(786, '2', 'student_admission', 'Student Admission', 'Admisión de estudiantes', 'ছাত্র ভর্তি', 'Admission des étudiants', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(787, '2', 'student_import', 'Student Import', 'Estudiante de importación', 'শিক্ষার্থী আমদানি', 'Import étudiant', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(788, '2', 'import', 'Import', 'Importar', 'আমদানি', 'Importation', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(789, '2', 'personal', 'Personal', 'Personal', 'ব্যক্তিগত', 'Personnel', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(790, '2', 'info', 'Info', 'Información', 'তথ্য', 'Info', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(791, '2', 'roll', 'Roll', 'Rodar', 'রোল', 'Rouleau', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(792, '2', 'first', 'First', 'primero', 'প্রথম', 'Premier', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(793, '2', 'last', 'Last', 'Último', 'গত', 'Dernier', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(794, '2', 'religion', 'Religion', 'Religión', 'ধর্ম', 'Religion', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(795, '2', 'caste', 'Caste', 'Casta', 'জাত', 'Caste', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(796, '2', 'category', 'Category', 'Categoría', 'বিভাগ', 'Catégorie', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(797, '2', 'height', 'Height', 'Altura', 'উচ্চতা', 'la taille', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(798, '2', 'Weight', 'Weight', 'Peso', 'ওজন', 'Poids', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(799, '2', 'sibling', 'Sibling', 'Hermano', 'সমরূপ', 'Enfant de mêmes parents', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(800, '2', 'information', 'Information', 'Información', 'তথ্য', 'Information', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(801, '2', 'guardian', 'Guardian', 'guardián', 'অভিভাবক', 'Gardien', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(802, '2', '&', '&', 'Y', 'এবং', 'Et', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(803, '2', 'occupation', 'Occupation', 'Ocupación', 'পেশা', 'Occupation', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(804, '2', 'photo', 'Photo', 'Foto', 'ছবি', 'Photo', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(805, '2', 'Other', 'Others', 'Otros', 'অন্যান্য', 'Autres', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(806, '2', 'relation_with_guardian', 'Relation with Guardian', 'Relación con Guardian', 'অভিভাবকের সাথে সম্পর্ক', 'Relation avec le gardien', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(807, '2', 'current', 'Current', 'Corriente', 'বর্তমান', 'Actuel', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(808, '2', 'permanent', 'Permanent', 'Permanente', 'স্থায়ী', 'Permanent', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(809, '2', 'route_list', 'Route List', 'Lista de rutas', 'রুটের তালিকা', 'Liste des itinéraires', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(810, '2', 'driver', 'Driver', 'Conductor', 'চালক', 'Chauffeur', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(811, '2', 'room', 'Room', 'Habitación', 'ঘর', 'Pièce', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(812, '2', 'national_id', 'National Identity', 'National Identity', 'জাতীয় পরিচয়', 'National Identity', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(813, '2', 'local_id', 'Local Identity', 'Local Identity', 'স্থানীয় পরিচয়', 'Local Identity', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(814, '2', 'bank', 'Bank', 'Banco', 'ব্যাংক', 'Banque', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(815, '2', 'previous_school_details', 'Previous School Details', 'Detalles de la escuela anterior', 'পূর্ববর্তী স্কুলের বিবরণ', 'Détails de lécole précédente', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(816, '2', 'additional_notes', 'Additional Notes', 'Notas adicionales', 'অতিরিক্ত নোট', 'Notes complémentaires', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(817, '2', 'parents_and_guardian_info', 'PARENTS & GUARDIAN INFO', 'INFORMACIÓN PARA LOS PADRES Y TUTORES', 'অভিভাবক এবং গার্ডিয়ান তথ্য', 'INFO PARENTS ET GARDIENS', 1, '2021-04-20 05:45:23', '2021-04-20 05:45:23'),
(818, '2', 'transport_and_dormitory_info', 'Transport & Dormitory Info', 'Información de transporte y dormitorio', 'পরিবহন এবং ছাত্রাবাসের তথ্য', 'Informations sur le transport et le dortoir', 1, '2021-04-20 05:45:24', '2021-04-20 05:45:24'),
(819, '2', 'document_info', 'Document Info', 'Información del documento', 'নথি তথ্য', 'Informations sur le document', 1, '2021-04-20 05:45:24', '2021-04-20 05:45:24'),
(820, '2', 'document_01_title', 'Document 01 Title', 'Documento 01 Título', 'নথি 01 শিরোনাম', 'Document 01 Titre', 1, '2021-04-20 05:45:24', '2021-04-20 05:45:24'),
(821, '2', 'document_02_title', 'Document 02 Title', 'Documento 02 Titulo', 'দলিল 02 শিরোনাম', 'Document 02 Titre', 1, '2021-04-20 05:45:24', '2021-04-20 05:45:24'),
(822, '2', 'document_03_title', 'Document 03 Title', 'Título del documento 03', 'দলিল 03 শিরোনাম', 'Document 03 Titre', 1, '2021-04-20 05:45:24', '2021-04-20 05:45:24'),
(823, '2', 'document_04_title', 'Document 04 Title', 'Documento 04 Título', 'নথি 04 শিরোনাম', 'Document 04 Titre', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(824, '2', 'student_details', 'Student Details', 'Detalles del estudiante', 'শিক্ষার্থীদের বিবরণ', 'Détails de létudiant', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(825, '2', 'search_by_name', 'Search By Name', 'Buscar por nombre', 'নাম দ্বারা অনুসন্ধান', 'Rechercher par nom', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(826, '2', 'search_by_roll_no', 'Search By Roll No', 'Búsqueda por rollo no', 'রোল নম্বর দ্বারা অনুসন্ধান করুন', 'Recherche par roulement no', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(827, '2', 'father_name', 'Fathers Name', 'Nombre del Padre', 'বাবার নাম', 'Le nom du père', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(828, '2', 'student_promote', 'Student Promote', 'Estudiante de promoción', 'ছাত্র প্রচার করুন', 'Étudiant promouvoir', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(829, '2', 'select_current_session', 'Select Current Academic Year', 'Seleccionar Academic Year', 'বর্তমান সেশন নির্বাচন করুন', 'Sélectionner Academic Year', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(830, '2', 'select_current_class', 'Select current Class', 'Seleccione la clase actual', 'বর্তমান ক্লাস নির্বাচন করুন', 'Sélectionnez la classe actuelle', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(831, '2', 'select_current_section', 'Select Current section', 'Seleccione la sección actual', 'বর্তমান বিভাগ নির্বাচন করুন', 'Sélectionnez la section actuelle', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(832, '2', 'promote_student_in_next_session', 'Promote Student In Next Academic Year', 'Promover estudiante en la próxima sesión', 'পরের সেশনে শিক্ষার্থী প্রচার করুন', 'Promouvoir létudiant à la prochaine session', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(833, '2', 'view_academic_performance', 'View Academic Performance', 'Ver rendimiento académico', 'একাডেমিক পারফরম্যান্স দেখুন', 'Voir la performance académique', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(834, '2', 'pass', 'Pass', 'Pasar', 'পাস', 'Passer', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(835, '2', 'fail', 'Fail', 'Fallar', 'ব্যর্থ', 'Échouer', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(836, '2', 'select_promote_session', 'Select Promote Academic Year', 'Seleccione Promover Academic Year', 'সেশন প্রচার করুন নির্বাচন করুন', 'Sélectionnez la session de promotion', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(837, '2', 'select_promote_class', 'Select Promote Class', 'Seleccione Promover clase', 'শ্রেণী প্রচার করুন নির্বাচন করুন', 'Sélectionnez Promouvoir la classe', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(838, '2', 'the_session_is_required', 'The session is required', 'La sesion es obligatoria', 'অধিবেশন প্রয়োজন', 'La session est obligatoire', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(839, '2', 'the_class_is_required', 'The class is required', 'La clase es obligatoria', 'ক্লাস প্রয়োজন', 'Le cours est obligatoire', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(840, '2', 'the_section_is_required', 'The section is required', 'La sección es obligatoria.', 'বিভাগটি প্রয়োজনীয়', 'La section est obligatoire', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(841, '2', 'select_promote_section', 'Select Promote Section', 'Seleccione la sección de promoción', 'বিভাগ প্রচার করুন নির্বাচন করুন', 'Sélectionnez la section de promotion', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(842, '2', 'promote', 'Promote', 'Promover', 'উন্নীত করা', 'Promouvoir', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(843, '2', 'student_attendance', 'Student Attendance', 'Asistencia de estudiantes', 'শিক্ষার্থীদের উপস্থিতি', 'Assiduité des étudiants', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(844, '2', 'select_class', 'Select Class', 'Seleccionar clase', 'ক্লাস নির্বাচন করুন', 'Sélectionnez une classe', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(845, '2', 'attendance', 'Attendance', 'Asistencia', 'উপস্থিতি', 'Présence', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(846, '2', 'attendance_already_submitted_as_holiday', 'Attendance Already Submitted As Holiday. You Can Edit Record', 'Asistencia ya enviada como festivo. Puede editar el registro', 'উপস্থিতি ইতিমধ্যে ছুটির দিন হিসাবে জমা দেওয়া হয়েছে। আপনি রেকর্ড সম্পাদনা করতে পারেন', 'Présence déjà soumise à titre de vacances. Vous pouvez modifier lenregistrement', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(847, '2', 'attendance_already_submitted', 'Attendance Already Submitted You Can Edit Record', 'La asistencia ya enviada Puede editar el registro', 'উপস্থিতি ইতিমধ্যে জমা দেওয়া আপনি রেকর্ড সম্পাদনা করতে পারেন', 'Présence déjà soumise Vous pouvez modifier la fiche', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(848, '2', 'already_submitted', 'Already Submitted', 'Already Submitted', 'ইতিমধ্যে জমা দেওয়া হয়েছে', 'Already Submitted', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(849, '2', 'mark_holiday', 'Mark Holiday', 'Mark Holiday', 'মার্ক হলিডে', 'Mark Holiday', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(850, '2', 'unmark_holiday', 'Unmark Holiday', 'Unmark Holiday', 'মার্ক হলিডে', 'Unmark Holiday', 1, '2021-04-20 05:45:25', '2021-04-20 05:45:25'),
(851, '2', 'present', 'Present', 'Presente', 'বর্তমান', 'Présent', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(852, '2', 'late', 'Late', 'Tarde', 'বিলম্বে', 'En retard', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(853, '2', 'absent', 'Absent', 'Ausente', 'অনুপস্থিত', 'Absent', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(854, '2', 'half_day', 'Half Day', 'Medio día', 'অর্ধেক দিন', 'Demi-journée', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(855, '2', 'add_note_here', 'Add Note Here', 'Añadir nota aquí', 'এখানে নোট যুক্ত করুন', 'Ajouter une note ici', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(856, '2', 'error', 'Error', 'Error', 'ত্রুটি', 'Erreur', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(857, '2', 'student_attendance_report', 'Student Attendance Report', 'Informe de asistencia del estudiante', 'ছাত্র উপস্থিতি রিপোর্ট', 'Rapport de présence des étudiants', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(858, '2', 'january', 'January', 'enero', 'জানুয়ারী', 'janvier', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(859, '2', 'february', 'February', 'febrero', 'ফেব্রুয়ারি', 'février', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(860, '2', 'march', 'March', 'marzo', 'মার্চ', 'Mars', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(861, '2', 'april', 'April', 'abril', 'এপ্রিল', 'avril', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(862, '2', 'may', 'May', 'Mayo', 'মে', 'Peut', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(863, '2', 'june', 'June', 'junio', 'জুন', 'juin', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(864, '2', 'july', 'July', 'julio', 'জুলাই', 'juillet', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(865, '2', 'august', 'August', 'agosto', 'অগাস্ট', 'août', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(866, '2', 'september', 'September', 'septiembre', 'সেপ্টেম্বর', 'septembre', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(867, '2', 'october', 'October', 'octubre', 'অক্টোবর', 'octobre', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(868, '2', 'november', 'November', 'noviembre', 'নভেম্বর', 'novembre', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(869, '2', 'december', 'December', 'diciembre', 'ডিসেম্বর', 'décembre', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(870, '2', 'select_month', 'Select Month', 'Seleccione mes', 'মাস নির্বাচন করুন', 'Sélectionnez un mois', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(871, '2', 'select_year', 'Select Year', 'Seleccione el año', 'বছর নির্বাচন করুন', 'Sélectionnez lannée', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(872, '2', 'student_category', 'Student Category', 'Categoría de estudiante', 'ছাত্র বিভাগ', 'Catégorie détudiant', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(873, '2', 'student_category_list', 'Student Category List', 'Lista de categorías de estudiantes', 'শিক্ষার্থী বিভাগ তালিকা', 'Liste des catégories détudiants', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(874, '2', 'student_group', 'Student Group', 'Grupo de estudiantes', 'ছাত্র দল', 'Groupe détudiants', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(875, '2', 'group', 'Group', 'Grupo', 'গ্রুপ', 'Groupe', 1, '2021-04-20 05:45:26', '2021-04-20 05:45:26'),
(876, '2', 'disabled_student', 'Disabled Students', 'Estudiantes discapacitados', 'প্রতিবন্ধী শিক্ষার্থীরা', 'Etudiants handicapés', 1, '2021-04-20 05:45:27', '2021-04-20 05:45:27'),
(877, '2', 'student_list', 'Student List', 'Lista de estudiantes', 'ছাত্র তালিকা', 'Liste des étudiants', 1, '2021-04-20 05:45:27', '2021-04-20 05:45:27'),
(878, '2', 'birth_certificate', 'Birth Certificate', 'Certificado de nacimiento', 'জন্ম সনদ', 'Certificat de naissance', 1, '2021-04-20 05:45:27', '2021-04-20 05:45:27'),
(879, '2', 'student_edit', 'Student Edit', 'Estudiante Editar', 'ছাত্র সম্পাদনা', 'Étudiant modifier', 1, '2021-04-20 05:45:27', '2021-04-20 05:45:27'),
(880, '2', 'in', 'In', 'En', 'ভিতরে', 'Dans', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(881, '2', 'kg', 'KG', 'KG', 'কেজি', 'KG', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(882, '2', 'add_parent', 'Add Parent', 'Añadir padre', 'প্যারেন্ট যোগ করুন', 'Ajouter un parent', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(883, '2', 'update_information', 'Update information', 'Actualizar información', 'হালনাগাদ তথ্য', 'Mettre à jour les informations', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(884, '2', 'siblings', 'Siblings', 'Hermanos', 'ভাইবোন', 'Frères et sœurs', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(885, '2', 'guardian_name', 'Guardians Name', 'Nombre del guardián', 'অভিভাবকদের নাম', 'Nom du gardien', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(886, '2', 'guardian_email', 'Guardians Email', 'Email del guardián', 'অভিভাবকরা ইমেল', 'Email du gardien', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(887, '2', 'guardian_phone', 'Guardians Phone', 'Teléfono del guardián', 'অভিভাবকরা ফোন', 'Téléphone du gardien', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(888, '2', 'guardian_registration_message', 'Guardian Registration Message', 'Guardian Registration Message', 'অভিভাবক নিবন্ধনের বার্তা', 'Guardian Registration Message', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(889, '2', 'guardian_occupation', 'Guardian Occupation', 'Ocupación Guardián', 'অভিভাবক পেশা', 'Profession de gardien', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(890, '2', 'guardian_address', 'Guardian Address', 'Dirección del tutor', 'অভিভাবক ঠিকানা', 'Adresse du gardien', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(891, '2', 'student_address_info', 'Student Address Info', 'Información de la dirección del estudiante', 'শিক্ষার্থী ঠিকানা তথ্য', 'Adresse de l\'étudiant', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(892, '2', 'current_address', 'Current Address', 'Direccion actual', 'বর্তমান ঠিকানা', 'Adresse actuelle', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(893, '2', 'permanent_address', 'Permanent Address', 'dirección permanente', 'স্থায়ী ঠিকানা', 'Adresse permanente', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(894, '2', 'vehicle_number', 'Vehicle Number', 'Número de vehículo', 'যানবাহন নম্বর', 'Numéro de véhicule', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(895, '2', 'driver_name', 'Driver Name', 'Nombre del conductor', 'ড্রাইভারের নাম', 'Nom du conducteur', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(896, '2', 'bank_name', 'Bank Name', 'Nombre del banco', 'ব্যাংকের নাম', 'Nom de banque', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(897, '2', 'update_student', 'update student', 'actualizar estudiante', 'আপডেট ছাত্র', 'mise à jour de létudiant', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(898, '2', 'remove', 'Remove', 'retirar', 'অপসারণ', 'Retirer', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(899, '2', 'are_you', 'Are you sure to remove siblings?', '¿Estás seguro de eliminar a los hermanos?', 'আপনি কি ভাইবোনদের সরানোর বিষয়ে নিশ্চিত?', 'Êtes-vous sûr de vouloir supprimer vos frères et soeurs?', 1, '2021-04-20 05:45:28', '2021-04-20 05:45:28'),
(900, '2', 'download_sample_file', 'Download Sample File', 'Descargar archivo de muestra', 'নমুনা ফাইলটি ডাউনলোড করুন', 'Télécharger un exemple de fichier', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(901, '2', 'other_documents', 'Other Documents', 'Other Documents', 'অন্যান্য কাগজপত্র', 'Other Documents', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(902, '2', 'documents', 'Documents', 'Documents', 'কাগজপত্র', 'Documents', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(903, '2', 'resume', 'Resume', 'Resume', 'জীবনবৃত্তান্ত', 'Resume', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(904, '2', 'summery', 'Summery', 'Summery', 'গ্রীষ্মের বৈশিষ্ট্যপূর্ণ', 'Summery', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(905, '2', 'academic_records', 'Academic Records', 'Academic Records', 'একাডেমিক রেকর্ড', 'Academic Records', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(906, '2', 'chairman_of_the_examination_board', 'Chairman of the Examination Board', 'Chairman of the Examination Board', 'পরীক্ষা বোর্ডের চেয়ারম্যান', 'Chairman of the Examination Board', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(907, '2', 'head_of_students_affairs', 'Head of Students Affairs', 'Head of Students Affairs', 'ছাত্র বিষয়ক প্রধান', 'Head of Students Affairs', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(908, '2', 'merit', 'Merit', 'Merit', 'যোগ্যতা', 'Merit', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(909, '2', 'merit_list', 'Merit List', 'Merit List', 'মেধা তালিকা', 'Merit List', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(910, '2', 'academic', 'Academic', 'Academic', 'একাডেমিক', 'Academic', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(911, '2', 'staring', 'Staring', 'Staring', 'অনিমেষনেত্রে', 'Staring', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(912, '2', 'ending', 'Ending', 'Ending', 'শেষ', 'Ending', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(913, '2', 'evalution', 'Evalution', 'Evalution', 'মূল্যায়ন', 'Evalution', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(914, '2', 'marks_sheet_of', 'Marks Sheet of', 'Marks Sheet of', 'পত্রকটি চিহ্নিত করে', 'Marks Sheet of', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(915, '2', 'highest_marks', 'Highest Marks', 'Highest Marks', 'সর্বোচ্চ নম্বর', 'Highest Marks', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(916, '2', 'letter_grade', 'Letter Grade', 'Letter Grade', 'লেটার গ্রেড', 'Letter Grade', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(917, '20', 'point1', 'Your CSV data should be in the format download file. The first line of your CSV file should be the column headers as in the table example. Also make sure that your file is UTF-8 to avoid unnecessary encoding problems.', 'Sus datos CSV deben estar en el archivo de descarga de formato. La primera línea de su archivo CSV debe ser los encabezados de columna como en el ejemplo de la tabla. También asegúrese de que su archivo sea UTF-8 para evitar problemas de codificación innecesarios.', 'আপনার সিএসভি ডেটা ফর্ম্যাট ডাউনলোড ফাইলে থাকা উচিত। আপনার সিএসভি ফাইলের প্রথম লাইনটি সারণীর উদাহরণ হিসাবে কলাম শিরোনাম হওয়া উচিত। অপ্রয়োজনীয় এনকোডিংয়ের সমস্যা এড়াতে আপনার ফাইলটি ইউটিএফ -8 রয়েছে তাও নিশ্চিত করুন।', 'Your CSV data should be in the format download file. The first line of your CSV file should be the column headers as in the table example. Also make sure that your file is UTF-8 to avoid unnecessary encoding problems.', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(918, '20', 'point2', 'If the column you are trying to import is date make sure that is formatted in format Y-m-d (2018-06-06).', 'Si la columna que está intentando importar es fecha, asegúrese de que esté formateada en el formato Y-m-d (2018-06-06).', 'আপনি যে কলামটি আমদানির চেষ্টা করছেন সেটি যদি তারিখ হয় তা নিশ্চিত করুন যে এটি ওয়াই-এম-ডি (2018-06-06) ফর্ম্যাটে ফর্ম্যাট হয়েছে।', 'Si la colonne que vous tentez dimporter est datée, assurez-vous quelle est formatée au format Y-m-d (2018-06-06).', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(919, '20', 'point3', 'Duplicate \"Roll Number\" (unique in section) rows will not be imported. Roll No used or not you can get from student report page search on class & section', 'Las filas duplicadas de \"Número de rollo\" (único en la sección) no se importarán. Rollo No se utiliza o no se puede obtener de la página de informe del alumno en clase y sección', 'সদৃশ \"রোল নম্বর\" (বিভাগে অনন্য) সারিগুলি আমদানি করা হবে না। রোল না ব্যবহৃত বা না আপনি ক্লাস ও বিভাগে শিক্ষার্থীর প্রতিবেদন পৃষ্ঠা সন্ধান থেকে পেতে পারেন', 'Les lignes en double \"Numéro de rouleau\" (uniques dans la section) ne seront pas importées. Pas de recherche doccasion ou non, vous pouvez obtenir une recherche de page de rapport d’étudiant dans la classe et la section', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(920, '20', 'point4', 'Duplicate \"Guardian email & Guardian Phone\" rows will not be imported. Guardian email & Guardian Phone used or not you can get from student report page search on class & section', 'No se importarán filas duplicadas de \"Guardian email & Guardian Phone\". El correo electrónico de Guardian & Guardian Phone utilizado o no se puede obtener de la página de informe del alumno en la clase y sección', 'সদৃশ \"অভিভাবক ইমেল এবং গার্ডিয়ান ফোন\" সারিগুলি আমদানি করা হবে না। অভিভাবক ইমেল এবং গার্ডিয়ান ফোন ব্যবহৃত বা না আপনি ক্লাস ও বিভাগে শিক্ষার্থীর প্রতিবেদন পৃষ্ঠা সন্ধান থেকে পেতে পারেন', 'Les lignes dupliquées \"Email et téléphone Guardian\" ne seront pas importées. Guardian email & Guardian Phone utilisé ou non, vous pouvez obtenir une recherche dans la page de rapport de létudiant sur la classe et la section', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(921, '20', 'point5', 'For student Session use Id', 'Para el estudiante Sesión use Id', 'শিক্ষার্থীদের সেশনের জন্য আইডি ব্যবহার করুন', 'Pour les étudiants \"Session\", utilisez lidentifiant', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(922, '20', 'point6', 'For student \"Gender\" use ID', 'Para el estudiante \"Género\" usar ID', 'শিক্ষার্থীদের জন্য \"লিঙ্গ\" আইডি ব্যবহার করুন', 'Pour létudiant \"Sexe\", utilisez lidentifiant', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(923, '20', 'point7', 'For student \"Blood Group\" use Id', 'Para el estudiante \"Grupo de sangre\" use ID', 'শিক্ষার্থীদের জন্য \"ব্লাড গ্রুপ\" আইডি ব্যবহার করুন', 'Pour les étudiants Groupe sanguin, utilisez lId', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(924, '20', 'point8', 'For student \"Religion\" use ID', 'Para el estudiante \"Religión\" usar identificación', 'শিক্ষার্থীদের জন্য \"ধর্ম\" আইডি ব্যবহার করুন', 'Pour les étudiants Religion, utilisez votre identifiant', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(925, '20', 'point9', 'For student \"Guardian Relation\" use capital O for Other, F for Father M for Mother.', 'Para el estudiante \"Guardian Relation\" use mayúscula O para Otro, F para el Padre M para la Madre.', 'শিক্ষার্থীর জন্য \"গার্ডিয়ান রিলেশন\" অন্যের জন্য মূলধন ও ব্যবহার করুন, মায়ের জন্য এফ ফাদার এম।', 'Pour les étudiants \"Relation Gardien\", utilisez la majuscule O pour Autre, F pour Père M pour Mère.', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(926, '20', 'save_bulk_students', 'save bulk students', 'guardar estudiantes a granel', 'বাল্ক ছাত্রদের সংরক্ষণ করুন', 'sauver des étudiants en vrac', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(927, '20', 'bank_account_number', 'Bank Account Number', 'Número de cuenta bancaria', 'ব্যাংক একাউন্ট নম্বর', 'Numéro de compte bancaire', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(928, '20', 'IFSC_Code', 'IFSC Code', 'Código IFSC', 'আইএফএসসি কোড', 'Code IFSC', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(929, '20', 'payment_id', 'Payment Id', 'ID de pago', 'পেমেন্ট আইডি', 'ID de paiement', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(930, '20', 'passing_marks', 'Passing Marks', 'Marcas de paso', 'পাসিং মার্কস', 'Marques de passage', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(931, '20', 'website', 'Website', 'Sitio web', 'ওয়েবসাইট', 'Site Internet', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(932, '20', 'you_have', 'You have', 'Tienes', 'তোমার আছে', 'Tu as', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(933, '20', 'notification', 'notification', 'notificación', 'প্রজ্ঞাপন', 'notification', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(934, '20', 'mark_all_as_read', 'Mark All As Read', 'Marcar todo como leido', 'সবগুলো পঠিত বলে সনাক্ত কর', 'Tout marquer comme lu', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(935, '20', 'view_profile', 'view profile', 'ver perfil', 'প্রোফাইল দেখুন', 'Voir le profil', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(936, '20', 'completed', 'Completed', 'Terminado', 'সম্পন্ন', 'Terminé', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(937, '20', 'to_do_title', 'To Do Title', 'Para hacer titulo', 'শিরোনাম করতে', 'Titre à faire', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(938, '20', 'Designation_of_Signature_person', 'Designation of Signature person', 'Designación de la persona de la firma', 'স্বাক্ষর ব্যক্তির পদবি', 'Désignation de la personne signataire', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(939, '20', 'student_wise', 'Student Wise', 'Estudiante sabio', 'শিক্ষার্থী বুদ্ধিমান', 'Étudiant sage', 1, '2021-04-20 05:45:29', '2021-04-20 05:45:29'),
(940, '20', 'print', 'Print', 'impresión', 'ছাপা', 'impression', 1, '2021-04-20 05:45:30', '2021-04-20 05:45:30'),
(941, '20', 'discount_of', 'Discount of', 'Descuento de', 'ছাড়', 'Remise de', 1, '2021-04-20 05:45:30', '2021-04-20 05:45:30'),
(942, '20', 'applied', 'Applied', 'Aplicado', 'ফলিত', 'Appliqué', 1, '2021-04-20 05:45:30', '2021-04-20 05:45:30'),
(943, '20', 'fees_assign', 'Fees Assign', 'Asignar cuotas', 'ফি বরাদ্দ', 'Affectation des frais', 1, '2021-04-20 05:45:30', '2021-04-20 05:45:30'),
(944, '20', 'invoice_print', 'Invoice print', 'Invoice print', 'চালান প্রিন্ট', 'Invoice print', 1, '2021-04-20 05:45:30', '2021-04-20 05:45:30'),
(945, '20', 'background', 'Background', 'Background', 'পটভূমি', 'Background', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(946, '20', 'style', 'Style', 'Style', 'শৈলী', 'Style', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(947, '20', 'color', 'Color', 'Color', 'রঙ', 'Color', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(948, '20', 'select_position', 'Select Position', 'Select Position', 'অবস্থান নির্বাচন করুন', 'Select Position', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(949, '20', 'background_settings', 'Background Settings', 'Background Settings', 'পটভূমি সেটিংস', 'Background Settings', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(950, '20', 'background_type', 'Background Type', 'Background Type', 'পটভূমি প্রকার', 'Background Type', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(951, '20', 'course_list', 'Course List', 'Course List', 'কোর্স তালিকা', 'Course List', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(952, '20', 'about_us', 'About Us', 'About Us', 'আমাদের সম্পর্কে', 'About Us', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(953, '20', 'custom_links', 'Custom Links', 'Custom Links', 'কাস্টম লিঙ্কগুলি', 'Custom Links', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(954, '20', 'operation_success_message', 'Operation Successful', 'Operation Successful', 'কাজটি সফল হইসে', 'Operation Successful', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(955, '20', 'home_page', 'Home Page', 'Home Page', 'হোম পৃষ্ঠা', 'Home Page', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(956, '20', 'payment_id', 'Payment ID', 'Payment ID', 'পেমেন্ট আইডি', 'Payment ID', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(957, '20', 'payment_ID', 'Payment ID', 'Payment ID', 'পেমেন্ট আইডি', 'Payment ID', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(958, '20', 'contact', 'Contact', 'Contact', 'যোগাযোগ', 'Contact', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(959, '20', 'page', 'Page', 'Page', 'পৃষ্ঠা', 'Page', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(960, '20', 'SampleDataEmpty', 'Sample Data', 'Sample Data', 'নমুনা তথ্য', 'Sample Data', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(961, '20', 'authentication_key_SID', 'Authentication KEY SID', 'Authentication KEY SID', 'প্রমাণীকরণ মূল এসআইডি', 'Authentication KEY SID', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(962, '20', 'validation_data', 'Data Validation', 'Data Validation', 'তথ্য বৈধতা', 'Data Validation', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(963, '20', 'login_permission', 'Login Permission', 'Login Permission', 'লগইন অনুমতি', 'Login Permission', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(964, '20', 'profile', 'Profile', 'Profile', 'প্রোফাইল', 'Profile', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(965, '20', 'primary_color', 'Primary Color', 'Primary Color', 'মৌলিক রঙ', 'Primary Color', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(966, '20', 'primary_color2', 'Primary Color 2', 'Primary Color 2', 'প্রাথমিক রঙ 2', 'Primary Color 2', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(967, '20', 'primary_color3', 'Primary Color 3', 'Primary Color 3', 'প্রাথমিক রঙ 3', 'Primary Color 3', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(968, '20', 'title_color', 'Title Color', 'Title Color', 'শিরোনামের রঙ', 'Title Color', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(969, '20', 'text_color', 'Text Color', 'Text Color', 'লেখার রঙ', 'Text Color', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(970, '20', 'sidebar_bg', 'Sidebar', 'Sidebar', 'সাইডবার', 'Sidebar', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(971, '20', 'widget', 'Widget', 'Widget', 'উইজেট', 'Widget', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(972, '3', 'change', 'Change', 'Change', 'পরিবর্তন', 'Change', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(973, '3', 'confirm', 'Confirm', 'Confirm', 'নিশ্চিত করুন', 'Confirm', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(974, '3', 'restore_message', 'All sample data will restore in your database. Your existing data will be damage, so please take backup before restore.', 'All sample data will restore in your database. Your existing data will be damage, so please take backup before restore.', 'সমস্ত নমুনা ডেটা আপনার ডাটাবেসে পুনরুদ্ধার করবে। আপনার বিদ্যমান ডেটা ক্ষতি হয়ে যাবে, তাই পুনরুদ্ধার করার আগে ব্যাকআপ নিন please', 'All sample data will restore in your database. Your existing data will be damage, so please take backup before restore.', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(975, '3', 'sample', 'Sample', 'Sample', 'নমুনা', 'Sample', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(976, '3', 'data', 'Data', 'Data', 'উপাত্ত', 'Data', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(977, '3', 'found', 'Found', 'Found', 'পাওয়া', 'Found', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(978, '3', 'empty', 'Empty', 'Empty', 'খালি', 'Empty', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(979, '3', 'database', 'Database', 'Database', 'তথ্যশালা', 'Database', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(980, '3', 'table', 'Table', 'Table', 'টেবিল', 'Table', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(981, '3', 'key', 'KEY', 'KEY', 'মূল', 'KEY', 1, '2021-04-20 05:45:31', '2021-04-20 05:45:31'),
(982, '3', 'msg91', 'MSG91', 'MSG91', 'এমএসজি 91', 'MSG91', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(983, '3', 'system', 'System', 'System', 'পদ্ধতি', 'System', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(984, '3', 'home', 'Home', 'Home', 'বাড়ি', 'Home', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(985, '3', 'front', 'Front', 'Front', 'সদর', 'Front', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(986, '3', 'heading', 'Heading', 'Heading', 'শিরোনাম', 'Heading', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(987, '3', 'short', 'Short', 'Short', 'সংক্ষিপ্ত', 'Short', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(988, '3', 'set_permission_in', 'Set permission in', 'Set permission in', 'মধ্যে অনুমতি সেট করুন', 'Set permission in', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(989, '3', 'custom', 'Custom', 'Custom', 'প্রথা', 'Custom', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(990, '3', 'links', 'Links', 'Links', 'লিংক', 'Links', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(991, '3', 'link', 'Link', 'Link', 'লিংক', 'Link', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(992, '3', 'url', 'URL', 'URL', 'ইউআরএল', 'URL', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(993, '3', 'facebook', 'Facebook', 'Facebook', 'ফেসবুক', 'Facebook', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(994, '3', 'behance', 'Behance', 'Behance', 'পেশাগতভাবে', 'Behance', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(995, '3', 'dribbble', 'Dribbble', 'Dribbble', 'ড্রিবল', 'Dribbble', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(996, '3', 'twitter', 'Twitter', 'Twitter', 'টুইটার', 'Twitter', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(997, '3', 'activated', 'Activated', 'Activated', 'সক্রিয়', 'Activated', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(998, '3', 'make', 'Make', 'Make', 'মেক', 'Make', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(999, '3', 'disable', 'Disable', 'Disable', 'অক্ষম', 'Disable', 1, '2021-04-20 05:45:32', '2021-04-20 05:45:32'),
(1000, '3', 'admin_staff', 'Admin/Staff', 'Admin/Staff', 'প্রশাসন কর্মচারীবৃন্দ', 'Admin/Staff', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1001, '3', 'access', 'Access', 'Access', 'প্রবেশ', 'Access', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1002, '3', 'enable', 'Enable', 'Enable', 'সক্ষম করা', 'Enable', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1003, '3', 'criteria', 'Criteria', 'Criteria', 'নির্ণায়ক', 'Criteria', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1004, '3', 'office', 'Office', 'Office', 'দপ্তর', 'Office', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1005, '3', 'site', 'Site', 'Site', 'সাইট', 'Site', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1006, '3', 'google', 'Google', 'Google', 'গুগল', 'Google', 1, '2021-04-20 05:45:33', '2021-04-20 05:45:33'),
(1007, '3', 'ads', 'Ads', 'Ads', 'বিজ্ঞাপন', 'Ads', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1008, '3', 'campaign', 'Campaign', 'Campaign', 'ক্যাম্পেইন', 'Campaign', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1009, '3', 'advertisement', 'Advertisement', 'Advertisement', 'বিজ্ঞাপন', 'Advertisement', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1010, '3', 'passive', 'Passive', 'Passive', 'নিষ্ক্রিয়', 'Passive', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1011, '3', 'dead', 'Dead', 'Dead', 'মৃত', 'Dead', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1012, '3', 'won', 'Won', 'Won', 'ওঁন', 'Won', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1013, '3', 'lost', 'Lost', 'Lost', 'নিখোঁজ', 'Lost', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1014, '3', 'name', 'Name', 'Name', 'নাম', 'Name', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1015, '3', 'salmon', 'Salmon', 'Salmon', 'স্যালমন মাছ', 'Salmon', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1016, '3', 'shashimi', 'Shashimi', 'Shashimi', 'সশিমি', 'Shashimi', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1017, '3', 'male', 'Male', 'Male', 'পুরুষ', 'Male', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1018, '3', 'female', 'female', 'female', 'মহিলা', 'female', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34');
INSERT INTO `sm_language_phrases` (`id`, `modules`, `default_phrases`, `en`, `es`, `bn`, `fr`, `active_status`, `created_at`, `updated_at`) VALUES
(1019, '3', 'add_fees', 'Add Fees', 'Add Fees', 'ফি যোগ করুন', 'Add Fees', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1020, '3', 'pay_via_paystack', 'Pay via Paystack', 'Pay via Paystack', 'পেস্ট্যাকের মাধ্যমে পরিশোধ করুন', 'Pay via Paystack', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1021, '3', 'grand', 'Grand', 'Grand', 'মহান', 'Grand', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1022, '3', 'are_you_sure_to_detete_this_item', 'Are you sure to detete this item', 'Are you sure to detete this item', 'আপনি কি এই আইটেমটি সনাক্ত করার বিষয়ে নিশ্চিত?', 'Are you sure to detete this item', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1023, '3', 'are_you_sure_to_reject', 'Are you sure to reject', 'Are you sure to reject', 'আপনি কি প্রত্যাখ্যান নিশ্চিত??', 'Are you sure to reject', 1, '2021-04-20 05:45:34', '2021-04-20 05:45:34'),
(1024, '3', 'student_profile', 'Student Profile', 'Student Profile', 'ছাত্র প্রোফাইল', 'Student Profile', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1025, '3', 'admission_number', 'Admission Nnumber', 'Admission Nnumber', 'ভর্তি নম্বর', 'Admission Nnumber', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1026, '3', 'sibling_snformation', 'Sibling Information', 'Sibling Information', 'ভাইবোন তথ্য', 'Sibling Information', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1027, '3', 'sibling_name', 'Sibling Name', 'Sibling Name', 'সহোদর নাম', 'Sibling Name', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1028, '3', 'father_name', 'Father’s Name', 'Father’s Name', 'বাবার নাম', 'Father’s Name', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1029, '3', 'mother_name', 'Mother’s Name', 'Mother’s Name', 'মায়ের নাম', 'Mother’s Name', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1030, '3', 'guardian_name', 'Guardian’s Name', 'Guardian’s Name', 'অভিভাবকের নাম', 'Guardian’s Name', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1031, '3', 'transport_and_dormitory_details', 'Transport and Dormitory Details', 'Transport and Dormitory Details', 'পরিবহন এবং ছাত্রাবাসের বিশদ', 'Transport and Dormitory Details', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1032, '3', 'dormitory_name', 'Dormitory Name', 'Dormitory Name', 'আস্তানা নাম', 'Dormitory Name', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1033, '3', 'other', 'Other', 'Other', 'অন্যান্য', 'Other', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1034, '3', 'upload_document', 'Upload Document', 'Upload Document', 'দস্তাবেজ আপলোড করুন', 'Upload Document', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1035, '3', 'document_title', 'Document Title', 'Document Title', 'নথির শিরোনাম', 'Document Title', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1036, '3', 'new_document', 'New Document', 'New Document', 'নতুন দলিল', 'New Document', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1037, '3', 'others_download', 'Others Download', 'Others Download', 'অন্যদের ডাউনলোড', 'Others Download', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1038, '3', 'attendance_result', 'Attendance result', 'Attendance result', 'উপস্থিতি ফলাফল', 'Attendance result', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1039, '3', 'dormitory_room_list', 'Dormitory Room List', 'Dormitory Room List', 'ডরমেটরি রুম তালিকা', 'Dormitory Room List', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1040, '3', 'evaluation_date', 'Evaluation Date', 'Evaluation Date', 'মূল্যায়ন তারিখ', 'Evaluation Date', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1041, '3', 'submission_date', 'Submission Date', 'Submission Date', 'জমাদানের তারিখ', 'Submission Date', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1042, '3', 'homework_date', 'Homework date', 'Homework date', 'হোম ওয়ার্কের তারিখ', 'Homework date', 1, '2021-04-20 05:45:35', '2021-04-20 05:45:35'),
(1043, '3', 'subject_list', 'Subject List', 'Subject List', 'বিষয় তালিকা', 'Subject List', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1044, '3', 'made', 'Made', 'Made', 'প্রণীত', 'Made', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1045, '3', 'answer_script', 'Answer Script', 'Answer Script', 'উত্তর স্ক্রিপ্ট', 'Answer Script', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1046, '3', 'student_book_issue', 'Student Book Issue', 'Student Book Issue', 'ছাত্র বই ইস্যু', 'Student Book Issue', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1047, '3', 'all_issued_book_list', 'All Issued Book List', 'All Issued Book List', 'সমস্ত জারি বইয়ের তালিকা', 'All Issued Book List', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1048, '3', 'sorry', 'Sorry', 'Sorry', 'দুঃখিত', 'Sorry', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1049, '3', 'there_is_no_notice_for_you', 'There is no notice for you', 'There is no notice for you', 'আপনার জন্য কোনও নোটিশ নেই', 'There is no notice for you', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1050, '3', 'available_for', 'Available For', 'Disponible para', 'সহজলভ্যের জন্যে', 'Disponible pour', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1051, '3', 'take_online_exam', 'Take Online Exam', 'Take Online Exam', 'অনলাইন পরীক্ষা দিন', 'Take Online Exam', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1052, '3', 'select_subject', 'Select subject', 'Select subject', 'বিষয় নির্বাচন করুন', 'Select subject', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1053, '3', 'mark_as_holiday', 'Mark as Holiday', 'Mark as Holiday', 'ছুটির দিন হিসাবে চিহ্নিত করুন', 'Mark as Holiday', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1054, '3', 'teacher', 'Teacher', 'Profesor', 'শিক্ষক', 'Prof', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1055, '3', 'upload_content', 'Upload Content', 'Subir contenido', 'সামগ্রী আপলোড করুন', 'Télécharger du contenu', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1056, '3', 'assignment', 'Assignment', 'Asignación', 'নিয়োগ', 'Affectation', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1057, '3', 'content_title', 'Content Title', 'Título del contenido', 'সামগ্রীর শিরোনাম', 'Titre du contenu', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1058, '3', 'study_material', 'Study Material', 'Material de estudio', 'শিক্ষাসামগ্রী', 'Matériel détude', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1059, '3', 'syllabus', 'Syllabus', 'Silaba', 'পাঠ্যসূচি', 'Programme', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1060, '3', 'other_download', 'Other Downloads', 'Otras descargas', 'অন্যান্য ডাউনলোড', 'Autres téléchargements', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1061, '3', 'available_for', 'Available for', 'Disponible para', 'সহজলভ্যের জন্যে', 'Disponible pour', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1062, '3', 'admin', 'Admin', 'Administración', 'অ্যাডমিন', 'Admin', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1063, '3', 'min', 'Min', 'Min', 'নূন্যতম', 'Min', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1064, '3', 'available_for_all_classes', 'Available for all classes', 'Disponible para todas las clases.', 'সমস্ত শ্রেণীর জন্য উপলব্ধ', 'Disponible pour toutes les classes', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1065, '3', 'action', 'Action', 'Acción', 'কর্ম', 'action', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1066, '3', 'source_url', 'Source URL', 'Source URL', 'উৎস', 'Source URL', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1067, '3', 'content_type', 'Content Type', 'Content Type', 'বিষয়বস্তুর প্রকার', 'Content Type', 1, '2021-04-20 05:45:36', '2021-04-20 05:45:36'),
(1068, '3', 'all_admins', 'All Admins', 'All Admins', 'সমস্ত প্রশাসক', 'All Admins', 1, '2021-04-20 05:45:37', '2021-04-20 05:45:37'),
(1069, '3', 'all_students_of', 'All Students Of', 'All Students Of', 'সমস্ত ছাত্র', 'All Students Of', 1, '2021-04-20 05:45:37', '2021-04-20 05:45:37'),
(1070, '3', 'all_classes_student', 'All classes student', 'All classes student', 'সকল শ্রেণির শিক্ষার্থী', 'All classes student', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1071, '3', 'all_classes', 'All Classes', 'All Classes', 'সকল ক্লাস', 'All Classes', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1072, '3', 'click_here', 'Click Here', 'Click Here', 'এখানে ক্লিক করুন', 'Click Here', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1073, '3', 'other_downloads', 'Other Downloads', 'Other Downloads', 'অন্যান্য ডাউনলোড', 'Other Downloads', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1074, '3', 'other_downloads_list', 'Other Downloads List', 'Lista de otras descargas', 'অন্যান্য ডাউনলোডের তালিকা', 'Autres téléchargements', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1075, '4', 'payment', 'Payment', 'Pago', 'পারিশ্রমিক', 'Paiement', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1076, '4', 'reject', 'Reject', 'Reject', 'প্রত্যাখ্যান', 'Reject', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1077, '4', 'payment_ID_Details', 'Payment ID Details', 'Detalles de ID de pago', 'পেমেন্ট আইডি বিশদ', 'ID de paiement', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1078, '4', 'mode', 'Mode', 'Modo', 'মোড', 'Mode', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1079, '4', 'amount', 'Amount', 'Cantidad', 'পরিমাণ', 'Montant', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1080, '4', 'transfer', 'Transfer', 'Transfer', 'স্থানান্তর', 'Transfer', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1081, '4', 'fund', 'Fund', 'Fund', 'তহবিল', 'Fund', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1082, '4', 'fund_transfer', 'Fund Transfer', 'Fund Transfer', 'তহবিল স্থানান্তর', 'Fund Transfer', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1083, '4', 'fine_report', 'Fine Report', 'Multa Report', 'জরিমানা রিপোর্ট', 'Bien Report', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1084, '4', 'discount', 'Discount', 'Descuento', 'ডিসকাউন্ট', 'Remise', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1085, '4', 'fine', 'Fine', 'Multa', 'জরিমানা', 'Bien', 1, '2021-04-20 05:45:38', '2021-04-20 05:45:38'),
(1086, '4', 'fees_due_list', 'Fees Due List', 'Lista de cuotas', 'ফি বকেয়া তালিকা', 'Frais à payer', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1087, '4', 'due_birth', 'Due Birth', 'Nacimiento debido', 'জন্মের কারণে', 'Naissance due', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1088, '4', 'deposit', 'Deposit', 'Depositar', 'আমানত', 'Dépôt', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1089, '4', 'balance', 'Balance', 'Equilibrar', 'ভারসাম্য', 'Équilibre', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1090, '4', 'master', 'Master', 'Dominar', 'মনিব', 'Maîtriser', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1091, '4', 'assign', 'Assign', 'Asignar', 'বরাদ্দ', 'Attribuer', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1092, '4', 'item', 'Item', 'ít', 'পদ', 'Article', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1093, '4', 'content', 'content', 'contenido', 'সন্তুষ্ট', 'contenu', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1094, '4', 'fees_code', 'Fees Code', 'Código de Cuotas', 'ফি কোড', 'Code des frais', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1095, '4', 'code', 'Code', 'Código', 'কোড', 'Code', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1096, '4', 'once', 'Once', 'Una vez', 'একদা', 'Une fois que', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1097, '4', 'year', 'Year', 'Año', 'বছর', 'Année', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1098, '4', 'previous_Session_Balance_Fees', 'Previous Session Balance Fees', 'Cuotas de balance de la sesión anterior', 'পূর্ববর্তী সেশন ব্যালেন্স ফি', 'Frais de solde de la session précédente', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1099, '4', 'previous_balance_can_only_update_now.', 'Previous balance already forwarded, you can only update now.', 'El saldo anterior ya reenviado, solo se puede actualizar ahora.', 'পূর্ববর্তী ব্যালেন্স ইতিমধ্যে ফরওয়ার্ড করা হয়েছে, আপনি কেবলমাত্র এখনই আপডেট করতে পারবেন।', 'Le solde précédent ayant déjà été transféré, vous ne pouvez mettre à jour que maintenant.', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1100, '4', 'fees_collection', 'Fees Collection', 'Colección de tarifas', 'ফি সংগ্রহ', 'Collection de frais', 1, '2021-04-20 05:45:39', '2021-04-20 05:45:39'),
(1101, '4', 'collect_fees', 'Collect Fees', 'Cobrar honorarios', 'ফি সংগ্রহ করুন', 'Recueillir les frais', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1102, '4', 'search_fees_payment', 'Search Fees Payment', 'Pago de tarifas de búsqueda', 'অনুসন্ধানের পেমেন্ট', 'Recherche des frais de paiement', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1103, '4', 'search_fees_due', 'Search Fees Due', 'Tarifas de búsqueda vencidas', 'পারিশ্রমিক ফি', 'Frais de recherche dus', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1104, '4', 'fees_master', 'Fees Master', 'Honorarios maestro', 'ফি মাস্টার', 'Frais Maître', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1105, '4', 'fees_group', 'Fees Group', 'Grupo de tarifas', 'ফি গ্রুপ', 'Groupe de frais', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1106, '4', 'fees_type', 'Fees Type', 'Tipo de Cuotas', 'ফি প্রকার', 'Type de frais', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1107, '4', 'fees_discount', 'Fees Discount', 'Tarifas de descuento', 'ফি ছাড়', 'Remise des frais', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1108, '4', 'fees_forward', 'Fees Carry Forward', 'Cuotas de llevar adelante', 'ফি ফরওয়ার্ড বহন', 'Frais reportés', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1109, '5', 'accounts', 'Accounts', 'Cuentas', 'অ্যাকাউন্টস', 'Comptes', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1110, '5', 'profit', 'Profit', 'Lucro', 'মুনাফা', 'Profit', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1111, '5', 'income', 'Income', 'Ingresos', 'আয়', 'le revenu', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1112, '5', 'expense', 'Expense', 'Gastos', 'ব্যয়', 'Frais', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1113, '5', 'chart_of_account', 'Chart Of Account', 'Plan de cuentas', 'অ্যাকাউন্ট চার্ট', 'Charte dutilisation', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1114, '5', 'payment_method', 'Payment Method', 'Método de pago', 'মূল্যপরিশোধ পদ্ধতি', 'Mode de paiement', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1115, '5', 'bank_account', 'Bank Account', 'Cuenta bancaria', 'ব্যাংক হিসাব', 'Compte bancaire', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1116, '5', 'a_c_Head', 'A/C Head', 'A / C Head', 'এ / সি হেড', 'Tête A / C', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1117, '5', 'add_expense', 'Add Expense', 'Añadir gastos', 'ব্যয় যুক্ত করুন', 'Ajouter une dépense', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1118, '5', 'search_income_expense', 'Search Income/Expense', 'Buscar ingresos / gastos', 'ইনকাম / ব্যয় অনুসন্ধান করুন', 'Recherche revenu / dépense', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1119, '5', 'item_Receive', 'Item Receive', 'El artículo recibe', 'আইটেম রিসিভ', 'Point recevoir', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1120, '5', 'income_head', 'Income Head', 'Jefe de ingresos', 'ইনকাম হেড', 'Chef de revenu', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1121, '5', 'sells', 'Sells', 'Vende', 'বিক্রি', 'Vend', 1, '2021-04-20 05:45:40', '2021-04-20 05:45:40'),
(1122, '5', 'grand_total', 'Grand Total', 'Gran total', 'সর্বমোট', 'somme finale', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1123, '5', 'and', 'And', 'And', 'এবং', 'And', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1124, '5', 'for', 'For', 'For', 'জন্য', 'For', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1125, '5', 'expense_head', 'Expense Head', 'Cabeza de gastos', 'ব্যয় প্রধান', 'Chef de dépenses', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1126, '5', 'purchase', 'Purchase', 'Compra', 'ক্রয়', 'achat', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1127, '5', 'from', 'From', 'Desde', 'থেকে', 'De', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1128, '5', 'upto', 'Upto', 'Upto', 'পর্যন্ত', 'Upto', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1129, '5', 'head', 'Head', 'Cabeza', 'মাথা', 'Tête', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1130, '5', 'method', 'Method', 'Método', 'পদ্ধতি', 'Méthode', 1, '2021-04-20 05:45:41', '2021-04-20 05:45:41'),
(1131, '5', 'account_name', 'Account Name', 'Nombre de la cuenta', 'হিসাবের নাম', 'Nom du compte', 1, '2021-04-20 05:45:42', '2021-04-20 05:45:42'),
(1132, '5', 'opening_balance', 'Opening Balance', 'Saldo de apertura', 'খোলার ভারসাম্য', 'Solde douverture', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1133, '5', 'account', 'Account', 'Cuenta', 'হিসাব', 'Compte', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1134, '6', 'human_resource', 'Human Resource', 'Recursos humanos', 'মানব সম্পদ', 'Ressource humaine', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1135, '6', 'staff_directory', 'Staff Directory', 'Directorio de Personal', 'স্টাফ ডিরেক্টরি', 'Répertoire personnel', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1136, '6', 'staff_attendance', 'Staff Attendance', 'Asistencia del personal', 'কর্মীদের উপস্থিতি', 'Présence du personnel', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1137, '6', 'staff_attendance_report', 'Staff Attendance Report', 'Informe de asistencia del personal', 'কর্মীদের উপস্থিতি রিপোর্ট', 'Rapport de présence du personnel', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1138, '6', 'payroll', 'Payroll', 'Nómina de sueldos', 'বেতনের', 'Paie', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1139, '6', 'payroll_report', 'Payroll Report', 'Informe de nómina', 'বেতন তালিকা', 'Rapport de paie', 1, '2021-04-20 05:45:43', '2021-04-20 05:45:43'),
(1140, '6', 'approve_leave_request', 'Approve Leave Request', 'Aprobar Solicitud de Licencia', 'ছুটির অনুরোধ অনুমোদন করুন', 'Approuver la demande de congé', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1141, '6', 'apply_leave', 'Apply Leave', 'Aplicar licencia', 'ছুটি প্রয়োগ করুন', 'Appliquer congé', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1142, '6', 'leave_type', 'Leave Type', 'Dejar Tipo', 'প্রস্থান প্রকার', 'Laisser Type', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1143, '6', 'department', 'Department', 'Departamento', 'বিভাগ', 'département', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1144, '6', 'designation', 'Designation', 'Designacion', 'উপাধি', 'La désignation', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1145, '6', 'staff_list', 'Staff List', 'Lista de personal', 'স্টাফ তালিকা', 'Liste du personnel', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1146, '6', 'add_staff', 'Add Staff', 'Añadir personal', 'স্টাফ যোগ করুন', 'Ajouter du personnel', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1147, '6', 'search_by_staff_id', 'Search By Staff Id', 'Búsqueda por identificación del personal', 'স্টাফ আইডি দ্বারা অনুসন্ধান করুন', 'Rechercher par ID de personnel', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1148, '6', 'staff', 'Staff', 'Personal', 'কর্মী', 'Personnel', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1149, '6', 'select_role', 'Select Role', 'Seleccionar rol', 'ভূমিকা নির্বাচন করুন', 'Sélectionnez un rôle', 1, '2021-04-20 05:45:44', '2021-04-20 05:45:44'),
(1150, '6', 'generate_payroll', 'Generate Payroll', 'Generar Nómina', 'পে-রোল উত্পন্ন করুন', 'Générer la paie', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1151, '6', 'generated', 'Generate', 'Generar', 'জেনারেট করুন', 'produire', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1152, '6', 'paid', 'Paid', 'Pagado', 'পেইড', 'Payé', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1153, '6', 'not', 'Not', 'No', 'না', 'ne pas', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1154, '6', 'proceed_to_pay', 'Proceed to Pay', 'Proceda a pagar', 'প্রদান করতে এগিয়ে যান', 'Procéder au paiement', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1155, '6', 'view_payslip', 'View Payslip', 'Ver recibo de sueldo', 'পেইস্লিপ দেখুন', 'Voir fiche de paie', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1156, '6', 'month', 'Month', 'Mes', 'মাস', 'Mois', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1157, '6', 'payslip', 'Payslip', 'Boleta de pago', 'স্লিপে', 'Fiche de paie', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1158, '6', 'basic_salary', 'Basic Salary', 'Salario base', 'মূল বেতন', 'Salaire de base', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1159, '6', 'earnings', 'Earnings', 'Ganancias', 'উপার্জন', 'Gains', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1160, '6', 'deductions', 'Deductions', 'Deducciones', 'কর্তন', 'Déductions', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1161, '6', 'gross_salary', 'Gross Salary', 'Salario bruto', 'মোট বেতন', 'Salaire brut', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1162, '6', 'tax', 'Tax', 'Impuesto', 'কর', 'Impôt', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1163, '6', 'net_salary', 'Net Salary', 'Sueldo neto', 'মোট বেতন', 'Salaire net', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1164, '6', 'to', 'To', 'A', 'প্রতি', 'À', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1165, '6', 'apply_date', 'Apply Date', 'Fecha de aplicación', 'আবেদনের তারিখ', 'Date dapplication', 1, '2021-04-20 05:45:45', '2021-04-20 05:45:45'),
(1166, '6', 'pending', 'Pending', 'Pendiente', 'বিচারাধীন', 'en attendant', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1167, '6', 'static', 'Static', 'Static', 'স্থির', 'Static', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1168, '6', 'ongoing', 'Ongoing', 'Ongoing', 'চলমান', 'Ongoing', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1169, '6', 'close', 'Close', 'Close', 'বন্ধ', 'Close', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1170, '6', 'approved', 'Approved', 'Aprobado', 'অনুমোদিত', 'Approuvé', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1171, '6', 'cancelled', 'Cancelled', 'Cancelado', 'বাতিল করা হয়েছে', 'Annulé', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1172, '6', 'leave_from', 'Leave From', 'Dejar de', 'থেকে ত্যাগ', 'Partir de', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1173, '6', 'leave_to', 'Leave To', 'Dejar', 'ছেড়ে', 'Laisser à', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1174, '6', 'reason', 'Reason', 'Razón', 'কারণ', 'Raison', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1175, '6', 'type_name', 'Type Name', 'Escribe un nombre', 'নাম টাইপ করুন', 'Nom du type', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1176, '6', 'total_days', 'Total Days', 'Días totales', 'মোট দিন', 'Nombre total de jours', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1177, '6', 'leave_type_list', 'Leave Type List', 'Deja la lista de tipos', 'প্রকারের তালিকা ছেড়ে দিন', 'Quitter la liste des types', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1178, '6', 'departments', 'Departments', 'Departamentos', 'বিভাগ', 'Départements', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1179, '6', 'department_name', 'Department Name', 'Nombre de Departamento', 'বিভাগ নাম', 'Nom du département', 1, '2021-04-20 05:45:46', '2021-04-20 05:45:46'),
(1180, '6', 'designations', 'Designations', 'Designaciones', 'প্রশিক্ষণে', 'Désignations', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1181, '6', 'staffs_payroll', 'Staffs Payroll', 'Nómina de personal', 'স্টাফদের বেতন', 'Personnel', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1182, '6', 'staff_no', 'Staff No', 'Personal No', 'স্টাফ নং', 'Numéro du personnel', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1183, '6', 'date_of_joining', 'Date of Joining', 'Fecha de inscripción', 'যোগদানের তারিখ', 'Date dadhésion', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1184, '6', 'value', 'Value', 'Valor', 'মান', 'Valeur', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1185, '6', 'payroll_summary', 'Payroll Summary', 'Resumen de nómina', 'পে-রোল সংক্ষিপ্তসার', 'Résumé de la paie', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1186, '6', 'calculate', 'Calculate', 'Calcular', 'ক্যালকুলেট', 'Calculer', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1187, '6', 'earning', 'Earning', 'Ganador', 'রোজগার', 'Revenus', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1188, '6', 'deduction', 'Deduction', 'Deducción', 'ছাড়', 'Déduction', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1189, '6', 'submit', 'Submit', 'Enviar', 'জমা দিন', 'Soumettre', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1190, '6', 'edit_staff', 'Edit Staff', 'Editar Personal', 'কর্মীদের সম্পাদনা করুন', 'Modifier le personnel', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1191, '6', 'basic_info', 'Basic Info', 'Información básica', 'মৌলিক তথ্য', 'Informations de base', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1192, '6', 'staff_number', 'Staff Number', 'Numero de personal', 'স্টাফ নম্বর', 'Numéro du personnel', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1193, '6', 'emergency_mobile', 'Emergency Mobile', 'Móvil de emergencia', 'জরুরী মোবাইল', 'Mobile durgence', 1, '2021-04-20 05:45:47', '2021-04-20 05:45:47'),
(1194, '6', 'current_address', 'Current Address', 'Direccion actual', 'বর্তমান ঠিকানা', 'Adresse actuelle', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1195, '6', 'permanent_address', 'Permanent Address', 'dirección permanente', 'স্থায়ী ঠিকানা', 'Adresse permanente', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1196, '6', 'qualifications', 'Qualifications', 'Calificaciones', 'যোগ্যতা', 'Qualifications', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1197, '6', 'experience', 'Experience', 'Experiencia', 'অভিজ্ঞতা', 'Expérience', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1198, '6', 'payroll_details', 'Payroll Details', 'Detalles de la nómina', 'বেতনের বিশদ', 'Détails de la paie', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1199, '6', 'epf_no', 'EPF NO', 'EPF NO', 'ইপিএফ নং', 'EPF NO', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1200, '6', 'bank_info_details', 'Bank Info Details', 'Detalles de la información del banco', 'ব্যাংক তথ্য বিশদ', 'Informations bancaires', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1201, '6', 'bank_account_name', 'Bank Account Name', 'Nombre de la cuenta bancaria', 'ব্যাংক হিসাব নাম', 'Nom du compte bancaire', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1202, '6', 'branch_name', 'Branch Name', 'Nombre de la rama', 'শাখার নাম', 'Nom de la filiale', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1203, '6', 'social_links_details', 'Social Links Details', 'Detalles de enlaces sociales', 'সামাজিক লিঙ্কের বিশদ', 'Liens sociaux Détails', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1204, '6', 'facebook_url', 'Facebook Url', 'Facebook URL', 'ফেসবুক ইউআর', 'Ladresse URL de Facebook', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1205, '6', 'twitter_url', 'Twitter Url', 'URL de Twitter', 'টুইটার ইউআরএল', 'URL de Twitter', 1, '2021-04-20 05:45:48', '2021-04-20 05:45:48'),
(1206, '6', 'linkedin_url', 'Linkedin Url', 'Linkedin url', 'লিঙ্কডিন উরল', 'URL de Linkedin', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1207, '6', 'instragram_url', 'Instragram Url', 'Url de instagram', 'ইনস্ট্রগ্রাম ইউরাল', 'URL Instragram', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1208, '6', 'update_staff', 'Update Staff', 'Personal de actualización', 'হালনাগাদ স্টাফ', 'Mettre à jour le personnel', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1209, '6', 'pending_leave_request', 'Pending Leave', 'Pending Leave', 'মুলতুবি ছুটি', 'Pending Leave', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1210, '7', 'leave', 'Leave', 'Salir', 'ছুটি', 'Laisser', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1211, '7', 'leave_define', 'Leave Define', 'Dejar definir', 'ছেড়ে দিন', 'Quitter Définir', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1212, '7', 'my_remaining_leaves', 'My Remaining Leaves', 'Mis hojas restantes', 'আমার বাকী পাতা', 'Mes feuilles restantes', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1213, '7', 'remaining_days', 'Remaining Days', 'Días restantes', 'বাকি দিনগুলো', 'Jours restants', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1214, '7', 'extra_taken', 'Extra Taken', 'Extra Taken', 'অতিরিক্ত নেওয়া', 'Extra pris', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1215, '7', 'leave_taken', 'Leave Taken', 'Leave Taken', 'ছুটি নেওয়া', 'Leave pris', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1216, '7', 'leave_days', 'Leave Days', 'Leave Days', 'ছুটির দিন', 'Leave Days', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1217, '7', 'total_days', 'Total Days', 'Días totales', 'মোট দিন', 'Nombre total de jours', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1218, '7', 'days', 'Days', 'Dias', 'দিন', 'Journées', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1219, '7', 'day', 'Day', 'Dia', 'দিন', 'Journée', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1220, '8', 'examination', 'Examination', 'Examen', 'পরীক্ষা', 'Examen', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1221, '8', 'exam_time_setup', 'Add Exam Setup', 'Add Exam Setup', 'পরীক্ষার সেটআপ যুক্ত করুন', 'Add Exam Setup', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1222, '8', 'exam', 'Exam', 'Examen', 'পরীক্ষা', 'Examen', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1223, '8', 'add_exam_type', 'Add Exam Type', 'Añadir tipo de examen', 'পরীক্ষার ধরণ যুক্ত করুন', 'Ajouter un type dexamen', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1224, '8', 'exam_schedule', 'Exam Schedule', 'Horario del examen', 'পরীক্ষার সময়সূচী', 'Calendrier des examens', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1225, '8', 'marks_register', 'Marks Register', 'Registro de marcas', 'চিহ্ন নিবন্ধ', 'Registre des marques', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1226, '8', 'final_result', 'Final Result', 'Final Result', 'সর্বশেষ ফলাফল', 'Final Result', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1227, '8', 'seat_plan', 'Seat Plan', 'Plan de asiento', 'আসন পরিকল্পনা', 'Plan de siège', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1228, '8', 'exam_attendance', 'Exam Attendance', 'Examen de asistencia', 'পরীক্ষার উপস্থিতি', 'Présence à lexamen', 1, '2021-04-20 05:45:49', '2021-04-20 05:45:49'),
(1229, '8', 'with', 'With', 'With', 'সঙ্গে', 'With', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1230, '8', 'marks_grade', 'Marks Grade', 'Nota de calificaciones', 'গ্রেড চিহ্নিত', 'Note de marques', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1231, '8', 'custom_result_setting', 'Custom Result Setting', 'Custom Result Setting', 'কাস্টম ফলাফল সেট', 'Custom Result Setting', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1232, '8', 'send_marks_by_sms', 'Send Marks By Sms', 'Enviar marcas por sms', 'এসএমএস দ্বারা চিহ্ন প্রেরণ করুন', 'Envoyer des marques par sms', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1233, '8', 'percentage', 'Percentage', 'Percentage', 'শতকরা হার', 'Percentage', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1234, '8', 'question_group', 'Question Group', 'Grupo de preguntas', 'প্রশ্ন গ্রুপ', 'Groupe de questions', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1235, '8', 'with_out', 'With out', 'With out', 'বিনা', 'With out', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1236, '8', 'question_bank', 'Question Bank', 'Banco de preguntas', 'প্রশ্ন ব্যাংক', 'Banque de questions', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1237, '8', 'online_exam', 'Online Exam', 'Examen en linea', 'অনলাইন পরীক্ষা', 'Examen en ligne', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1238, '8', 'exam_type', 'Exam Type', 'Tipo de examen', 'পরীক্ষার ধরণ', 'Type dexamen', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1239, '8', 'exam_setup', 'Exam Setup', 'Configuración del examen', 'পরীক্ষা সেটআপ', 'Configuration de lexamen', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1240, '8', 'exam_setup_role', 'Exam Setup ROle', 'Configuración del examen role', 'পরীক্ষা সেটআপ ভূমিকা', 'Configuration de lexamen role', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1241, '8', 'setup_exam_role', 'Setup Exam ROle', 'Configuración del examen role', 'পরীক্ষা সেটআপ ভূমিকা', 'Configuration de lexamen role', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1242, '8', 'exam_name', 'Exam Name', 'Nombre del examen', 'পরীক্ষার নাম', 'Nom de lexamen', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1243, '8', 'sl', 'Sl', 'Sl', 'ক্রমিক', 'Sl', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1244, '8', 'select_subjects', 'Select Subjects', 'Temas seleccionados', 'বিষয় নির্বাচন করুন', 'Sélectionner des sujets', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1245, '8', 'exam_mark', 'Exam Mark', 'Marca de examen', 'পরীক্ষার চিহ্ন', 'Marque dexamen', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1246, '8', 'add_mark_distributions', 'Add Mark Distributions', 'Añadir Distribuciones de Marca', 'চিহ্ন বিতরণ যুক্ত করুন', 'Ajouter des distributions de marques', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1247, '8', 'exam_title', 'Exam Title', 'Título del examen', 'পরীক্ষার শিরোনাম', 'Titre de lexamen', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1248, '8', 'ct_AT_Exam', 'Name', 'Nombre', 'নাম', 'prénom', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1249, '8', 'mark_distribution', 'Mark Distribution', 'Distribución de marcas', 'চিহ্ন বিতরণ', 'Distribution des marques', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1250, '8', 'subject', 'Subject', 'Tema', 'বিষয়', 'Assujettir', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1251, '8', 'total_mark', 'Total Mark', 'Marca total', 'মোট চিহ্ন', 'Total Mark', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1252, '8', 'view_status', 'View Status', 'Ver el estado de', 'স্থিতি দেখুন', 'Voir le statut', 1, '2021-04-20 05:45:50', '2021-04-20 05:45:50'),
(1253, '8', 'copy', 'Copy', 'Dupdo', 'অনুলিপি', 'Copie', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1254, '8', 'add_exam_schedule', 'Add Exam Schedule', 'añadir horario de exámenes', 'পরীক্ষার সময়সূচী যুক্ত করুন', 'ajouter un calendrier dexamen', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1255, '8', 'FALSE', 'FALSE', 'FALSE', 'মিথ্যা', 'FALSE', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1256, '8', 'exam_list', 'Exam List', 'Lista de exámenes', 'পরীক্ষার তালিকা', 'Liste dexamen', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1257, '8', 'archive', 'Archive', 'Archive', 'সংরক্ষাণাগার', 'Archive', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1258, '8', 'marks', 'Marks', 'Marcas', 'চিহ্ন', 'Des notes', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1259, '8', 'waiting_for', 'Waiting For', 'Waiting For', 'অপেক্ষা করা', 'Waiting For', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1260, '8', 'official', 'Official', 'Official', 'দাপ্তরিক', 'Official', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1261, '8', 'select_exam', 'Select Exam', 'Seleccionar examen', 'পরীক্ষা নির্বাচন করুন', 'Sélectionnez un examen', 1, '2021-04-20 05:45:51', '2021-04-20 05:45:51'),
(1262, '8', 'transcript', 'Transcript', 'Transcript', 'প্রতিলিপি', 'Transcript', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1263, '8', 'percent', 'Percent', 'Por ciento', 'শতাংশ', 'Pour cent', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1264, '8', 'previous', 'Previous', 'Previous', 'আগে', 'Previous', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1265, '8', 'seat_plan_report', 'Seat Plan Report', 'Informe del plan de asiento', 'আসন পরিকল্পনা প্রতিবেদন', 'Rapport de plan de siège', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1266, '8', 'record', 'Record', 'Record', 'নথি', 'Record', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1267, '8', 'assign_students', 'Assign Students', 'Asignar estudiantes', 'ছাত্র নিয়োগ করুন', 'Attribuer des étudiants', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1268, '8', 'search_by_year', 'Search by Year', 'Search by Year', 'বছর অনুসারে অনুসন্ধান করুন', 'Search by Year', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1269, '8', 'start_end_time', 'start-end time', 'hora de inicio y fin', 'শুরুর সময়', 'heure de début', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1270, '8', 'button', 'Button', 'Button', 'বোতাম', 'Button', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1271, '8', 'total_students', 'Total Student', 'Total de estudiante', 'মোট ছাত্র', 'Total des étudiant', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1272, '8', 'exam_not_found', 'Exam schedule is not available.', 'Exam schedule is not available.', 'পরীক্ষার সময়সূচী পাওয়া যায় না।', 'Exam schedule is not available.', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1273, '8', 'attendance_create', 'Attendance Create', 'Asistencia Crear', 'উপস্থিতি তৈরি করুন', 'Présence Créer', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1274, '8', 'biometrics', 'Biometrics', 'Biometrics', 'বায়োমেট্রিক্স', 'Biometrics', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1275, '8', 'grade', 'Grade', 'Grado', 'শ্রেণী', 'Qualité', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1276, '8', 'consider_start_time', 'Consider Start Time', 'Consider Start Time', 'শুরুর সময় বিবেচনা করুন', 'Consider Start Time', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1277, '8', 'gpa', 'GPA', 'GPA', 'জিপিএ', 'GPA', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1278, '8', 'consider_end_time', 'Consider End Time', 'Consider End Time', 'সমাপ্তির সময় বিবেচনা করুন', 'Consider End Time', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1279, '8', 'percent_from', 'Percent From', 'Porcentaje de', 'শতাংশ থেকে', 'Pour cent de', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1280, '8', 'percent_upto', 'Percent Upto', 'Por ciento hasta', 'শতকরা পর্যন্ত', 'Pourcentage jusquà', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1281, '8', 'send_marks_via_SMS', 'Send Marks Via SMS', 'Enviar marcas a través de SMS', 'এসএমএসের মাধ্যমে চিহ্নগুলি প্রেরণ করুন', 'Envoyer des marques par SMS', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1282, '8', 'seen', 'Seen', 'Seen', 'দেখা', 'Seen', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1283, '8', 'unseen', 'Unseen', 'Unseen', 'অদেখা', 'Unseen', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1284, '8', 'log', 'Log', 'Log', 'লগ', 'Log', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1285, '8', 'answer_type', 'Answer Type', 'Answer Type', 'উত্তর প্রকার', 'Answer Type', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1286, '8', 'single_select', 'Single Select', 'Single Select', 'একক নির্বাচন', 'Single Select', 1, '2021-04-20 05:45:52', '2021-04-20 05:45:52'),
(1287, '8', 'multiple_select', 'Multiple Select', 'Multiple Select', 'একাধিক নির্বাচন', 'Multiple Select', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1288, '8', 'question_image', 'Question Image', 'Question Image', 'প্রশ্ন ইমেজ', 'Question Image', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1289, '8', 'time_setup', 'Time Setup', 'Time Setup', 'প্রশ্ন ইমেজ', 'Time Setup', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1290, '8', 'student_absent_notification_sms', 'Student Absent Notification', 'Student Absent Notification', 'ছাত্র অনুপস্থিতি বিজ্ঞপ্তি', 'Student Absent Notification', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1291, '8', 'Ending', 'Ending', 'Ending', 'শেষ', 'Ending', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1292, '8', 'select_receiver', 'Select Receiver', 'Seleccionar Receptor', 'রিসিভার নির্বাচন করুন', 'Sélectionnez le destinataire', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1293, '8', 'final_result', 'Final Result', 'Final Result', 'সর্বশেষ ফলাফল', 'Final Result', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1294, '8', 'students', 'Students', 'Estudiantes', 'শিক্ষার্থীরা', 'Étudiants', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1295, '8', 'third_term', 'Third Term', 'Third Term', 'তৃতীয় মেয়াদ', 'Third Term', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1296, '8', 'select_group', 'Select Group', 'Selecciona grupo', 'গ্রুপ নির্বাচন করুন', 'Sélectionner un groupe', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1297, '8', 'second_term', 'Second Term', 'Second Term', 'দ্বিতীয় মেয়াদে', 'Second Term', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1298, '8', 'question_type', 'Question Type', 'tipo de pregunta', 'প্রশ্নের ধরন', 'Type de question', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1299, '8', 'first_term', 'First Term', 'First term', 'প্রথম পক্ষ', 'First term', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1300, '8', 'multiple_choice', 'Multiple Choice', 'Opción multiple', 'বহু নির্বাচনী', 'Choix multiple', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1301, '8', 'multiple_image', 'Multiple Image', 'Multiple Image', 'একাধিক চিত্র', 'Multiple Image', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1302, '8', 'watch', 'Watch Video', 'Watch Video', 'ভিডিও দেখা', 'Watch Video', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1303, '8', 'create_class_routine', 'Create Class Routine', 'Create class routine', 'শ্রেণীর রুটিন তৈরি করুন', 'Create class routine', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1304, '8', 'true_false', 'True False', 'Verdadero Falso', 'সত্য মিথ্যা', 'Vrai faux', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1305, '8', 'optional', 'Optional', 'Optional', 'ঐচ্ছিক', 'Optional', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1306, '8', 'fill_in_the_blanks', 'Fill in the Blanks', 'Rellenar los espacios en blanco', 'শুন্যস্তান পূরণ', 'Remplir les espaces vides', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1307, '8', 'question', 'Question', 'Pregunta', 'প্রশ্ন', 'Question', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1308, '8', 'number_of_options', 'Number Of Options', 'Número de opciones', 'বিকল্পের সংখ্যা', 'Nombre doptions', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1309, '8', 'with', 'With', 'With', 'সঙ্গে', 'With', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1310, '8', 'create', 'Create', 'Crear', 'সৃষ্টি', 'Créer', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1311, '8', 'with_out', 'With out', 'With out', 'বিনা', 'With out', 1, '2021-04-20 05:45:53', '2021-04-20 05:45:53'),
(1312, '8', 'option', 'Option', 'Opción', 'পছন্দ', 'Option', 1, '2021-04-20 05:45:54', '2021-04-20 05:45:54'),
(1313, '8', 'true', 'TRUE', 'CIERTO', 'সত্য', 'VRAI', 1, '2021-04-20 05:45:54', '2021-04-20 05:45:54'),
(1314, '8', 'false', 'FALSE', 'FALSO', 'মিথ্যা', 'FAUX', 1, '2021-04-20 05:45:54', '2021-04-20 05:45:54'),
(1315, '8', 'suitable_words', 'Suitable Words', 'Palabras adecuadas', 'উপযুক্ত শব্দ', 'Mots convenables', 1, '2021-04-20 05:45:54', '2021-04-20 05:45:54'),
(1316, '8', 'start_time', 'Start Time', 'Hora de inicio', 'সময় শুরু', 'Heure de début', 1, '2021-04-20 05:45:54', '2021-04-20 05:45:54'),
(1317, '8', 'end_time', 'End Time', 'Hora de finalización', 'শেষ সময়', 'Heure de fin', 1, '2021-04-20 05:45:54', '2021-04-20 05:45:54'),
(1318, '8', 'minimum_percentage', 'Minimum Percentage', 'Porcentaje mínimo', 'সর্বনিম্ন শতাংশ', 'Pourcentage minimum', 1, '2021-04-20 05:45:55', '2021-04-20 05:45:55'),
(1319, '8', 'Wait_Till_Exam_Finish', 'Wait Till Exam Finish', 'Porcentaje mínimo', 'পরীক্ষা শেষ হওয়া পর্যন্ত অপেক্ষা করুন', 'Pourcentage minimum', 1, '2021-04-20 05:45:55', '2021-04-20 05:45:55'),
(1320, '8', 'instruction', 'Instruction', 'Instrucción', 'নির্দেশ', 'Instruction', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1321, '8', 'exam_date', 'Exam Date', 'Fecha de examen', 'পরীক্ষার তারিখ', 'Date de lexamen', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1322, '8', 'time', 'Time', 'Hora', 'সময়', 'Temps', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1323, '8', 'published', 'Published', 'Publicado', 'প্রকাশিত', 'Publié', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1324, '8', 'manage_question', 'Manage Question', 'Gestionar pregunta', 'প্রশ্ন পরিচালনা করুন', 'Gérer la question', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1325, '8', 'published_now', 'Published Now', 'Publicado ahora', 'এখন প্রকাশিত', 'Publié maintenant', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1326, '8', 'view_result', 'View Result', 'Ver resultado', 'ফলাফল দেখুন', 'Voir résultat', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1327, '8', 'monday', 'Monday', 'lunes', 'সোমবার', 'Lundi', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1328, '8', 'tuesday', 'Tuesday', 'martes', 'মঙ্গলবার', 'Mardi', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1329, '8', 'wednesday', 'Wednesday', 'miércoles', 'বুধবার', 'Mercredi', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1330, '8', 'thursday', 'Thursday', 'jueves', 'বৃহস্পতিবার', 'Jeudi', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1331, '8', 'friday', 'Friday', 'viernes', 'শুক্রবার', 'Vendredi', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1332, '8', 'Saturday', 'Saturday', 'sábado', 'শনিবার', 'samedi', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1333, '8', 'sunday', 'Sunday', 'domingo', 'রবিবার', 'dimanche', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1334, '8', 'room_number', 'Room Number', 'Número de habitación', 'রুম নম্বর', 'Numéro de chambre', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1335, '8', 'not_scheduled', 'Not Scheduled', 'No programada', 'নির্ধারিত না', 'Non prévu', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1336, '8', 'result_view', 'Result View', 'Vista de resultados', 'ফলাফল দেখুন', 'Résultat', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1337, '8', 'total_marks', 'Total Marks', 'Notas totales', 'মোট চিহ্ন', 'Total des notes', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1338, '8', 'obtained_marks', 'Obtained Marks', 'Marcas obtenidas', 'প্রাপ্ত নম্বর', 'Obtenu Marques', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1339, '8', 'marking', 'Marking', 'Calificación', 'অবস্থানসূচক', 'Marquage', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1340, '8', 'view_answer_marking', 'View answer & marking', 'Ver respuesta y marcado', 'উত্তর ও চিহ্নিতকরণ দেখুন', 'Voir la réponse et le marquage', 1, '2021-04-20 05:45:56', '2021-04-20 05:45:56'),
(1341, '8', 'online_exam_question', 'Online Exam Question', 'Pregunta de examen en línea', 'অনলাইন পরীক্ষার প্রশ্ন', 'Question dexamen en ligne', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1342, '8', 'question_list', 'Question List', 'Lista de preguntas', 'প্রশ্ন তালিকা', 'Liste de questions', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1343, '8', 'questions', 'Questions', 'Preguntas', 'প্রশ্নাবলি', 'Des questions', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1344, '8', 'exam_details', 'Exam Details', 'Detalles del examen', 'পরীক্ষার বিবরণ', 'Détails de lexamen', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1345, '8', 'passing_percentage', 'Passing Percentage', 'Pasando el porcentaje', 'পাসিং পার্সেন্টেজ', 'Passage Pourcentage', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1346, '8', 'online_active_exams', 'Online Active Exams', 'Exámenes activos en línea', 'অনলাইন অ্যাক্টিভ পরীক্ষা', 'Examens actifs en ligne', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1347, '8', 'take_exam', 'Take Exam', 'Tomar examen', 'পরীক্ষা দিন', 'Passer un examen', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1348, '8', 'classes', 'Classes', 'Las clases', 'ক্লাস', 'Des classes', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1349, '8', 'exam_terms', 'Exam Terms', 'Términos del examen', 'পরীক্ষার শর্তাদি', 'Termes de lexamen', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1350, '8', 'document', 'Document', 'Document', 'দলিল', 'Document', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1351, '8', 'timeline', 'Timeline', 'Línea de tiempo', 'সময়রেখা', 'Chronologie', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1352, '8', 'Parent_Guardian_Details', 'Parent / Guardian Details', 'Detalles de padres / tutores', 'পিতামাতার / অভিভাবকের বিবরণ', 'Détails sur le parent / tuteur', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1353, '8', 'full_marks', 'Full Marks', 'La máxima puntuación', 'পুরো চিহ্ন', 'La totalité des points', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1354, '8', 'results', 'Results', 'Resultados', 'ফলাফল', 'Résultats', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1355, '8', 'visible_to_this_person', 'Visible to this person', 'Visible para esta persona', 'এই ব্যক্তির কাছে দৃশ্যমান', 'Visible à cette personne', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1356, '9', 'academics', 'Academics', 'Académica', 'শিক্ষাবিদগণ', 'Les universitaires', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1357, '9', 'class_routine', 'Class Routine', 'Rutina de clase', 'ক্লাস রুটিন', 'Routine de classe', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1358, '9', 'class_routine_create', 'Class Routine Create', 'Rutina de clase Crear', 'ক্লাস রুটিন তৈরি করুন', 'Classe Routine Create', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1359, '9', 'view_teacher_routine', 'View Class Routine(Teacher)', 'Ver la rutina de la clase (profesor)', 'দেখুন ক্লাসের রুটিন (শিক্ষক)', 'Voir la routine de classe (enseignant)', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1360, '9', 'assign_subject', 'Assign Subject', 'Asignar Asunto', 'সাবজেক্ট বরাদ্দ করুন', 'Attribuer un sujet', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1361, '9', 'assign_subject_create', 'Assign Subject create', 'Asignar Asunto crear', 'সাবজেক্ট তৈরি বরাদ্দ করুন', 'Assigner le sujet créer', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1362, '9', 'assign_class_teacher', 'Assign Class Teacher', 'Asignar profesor de clase', 'শ্রেণি শিক্ষক নিয়োগ করুন', 'Attribuer un enseignant de classe', 1, '2021-04-20 05:45:57', '2021-04-20 05:45:57'),
(1363, '9', 'subjects', 'Subjects', 'Asignaturas', 'বিষয়', 'Sujets', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1364, '9', 'class', 'Class', 'Clase', 'শ্রেণী', 'Classe', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1365, '9', 'section', 'Section', 'Seccion', 'অধ্যায়', 'Section', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1366, '9', 'class_room', 'Class Room', 'Salón de clases', 'ক্লাস রুম', 'Salle de cours', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58');
INSERT INTO `sm_language_phrases` (`id`, `modules`, `default_phrases`, `en`, `es`, `bn`, `fr`, `active_status`, `created_at`, `updated_at`) VALUES
(1367, '9', 'n_a', 'N/A', 'N / A', 'এন / এ', 'N / A', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1368, '9', 'class_teacher', 'Class Teacher', 'Profesor de la clase', 'শ্রেণী শিক্ষক', 'Professeur de classe', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1369, '9', 'assign_teacher', 'Assign Teacher', 'Asignar maestro', 'শিক্ষক নিয়োগ করুন', 'Assigner un enseignant', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1370, '9', 'subject_name', 'Subject Name', 'Nombre del tema', 'বিষয় নাম', 'Nom du sujet', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1371, '9', 'theory', 'Theory', 'Teoría', 'তত্ত্ব', 'Théorie', 1, '2021-04-20 05:45:58', '2021-04-20 05:45:58'),
(1372, '9', 'practical', 'Practical', 'Práctico', 'ব্যবহারিক', 'Pratique', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1373, '9', 'subject_code', 'Subject Code', 'Código del Asunto', 'বিষয় কোড', 'Code de sujet', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1374, '9', 'subject_type', 'Subject Type', 'Tipo de asunto', 'বিষয় প্রকার', 'Type de sujet', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1375, '9', 'capacity', 'Capacity', 'Capacidad', 'ধারণক্ষমতা', 'Capacité', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1376, '9', 'cl_ex_time_setup', 'Cl/Ex Time Setup', 'Cl / Ex Configuración de hora', 'সিএল / প্রাক্তন সময় সেটআপ', 'Configuration de lheure Cl / Ex', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1377, '9', 'class_exam_time_setup', 'Class & Exam Time Setup', 'Configuración de clase y tiempo de examen', 'ক্লাস ও পরীক্ষার সময় সেটআপ', 'Configuration du temps de cours et dexamen', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1378, '9', 'class_time', 'Class Time', 'Hora de clase', 'ক্লাস টাইম', 'Le moment daller en classe', 1, '2021-04-20 05:45:59', '2021-04-20 05:45:59'),
(1379, '9', 'time_type', 'Time Type', 'Tipo de tiempo', 'সময়ের ধরণ', 'Type de temps', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1380, '9', 'exam_time', 'Exam Time', 'Tiempo de examen', 'পরীক্ষার সময়', 'Temps dexamen', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1381, '9', 'period', 'Period', 'Período', 'কাল', 'Période', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1382, '9', 'select_time', 'Select Time', 'Seleccione tiempo', 'সময় নির্বাচন করুন', 'Sélectionnez lheure', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1383, '9', 'not_assigned_yet', 'Not assigned yet', 'Aún no asignado', 'এখনও নিযুক্ত করা হয়নি', 'Pas encore assigné', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1384, '9', 'of', 'of', 'of', 'এর', 'of', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1385, '9', 'about', 'About', 'About', 'সম্পর্কিত', 'About', 1, '2021-04-20 05:46:00', '2021-04-20 05:46:00'),
(1386, '9', 'payable', 'Payable', 'Payable', 'প্রদেয়', 'Payable', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1387, '9', 'start', 'Start', 'Start', 'শুরু করুন', 'Start', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1388, '9', 'end', 'End', 'End', 'শেষ', 'End', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1389, '9', 'uqinue_fine_list', 'Uqinue Fine List', 'Uqinue fine list', 'অনন্য ফাইন তালিকা', 'Uqinue fine list', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1390, '9', 'days_after_date', 'Days After Due Date', 'Days After Due Date', 'নির্ধারিত তারিখের পরে দিনগুলি', 'Days After Due Date', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1391, '9', 'fixed', 'Fixed', 'Fixed', 'স্থির', 'Fixed', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1392, '9', 'ltl_rtl', 'LTL To RTL', 'LTL To RTL', 'আরটিএল থেকে এলটিএল', 'LTL To RTL', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1393, '9', 'testimonial_list', 'Testimonial List', 'Testimonial List', 'প্রশংসাপত্র তালিকা', 'Testimonial List', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1394, '9', 'assign_optional_subject', 'Assign Optional Subject', 'Assign Optional Subject', 'বরাদ্দ ঐচ্ছিক বিষয়', 'Assign Optional Subject', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1395, '9', 'term_wise_report', 'Term Wise Report', 'Term Wise Report', 'টার্ম ওয়াইজ রিপোর্ট', 'Term Wise Report', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1396, '9', 'type_wise_report', 'Type Wise Report', 'Type Wise Report', 'টাইপ ওয়াইজ রিপোর্ট', 'Type Wise Report', 1, '2021-04-20 05:46:01', '2021-04-20 05:46:01'),
(1397, '9', 'due_wise_report', 'Due Wise Report', 'Due Wise Report', 'বুদ্ধিমান প্রতিবেদন', 'Due Wise Report', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1398, '9', 'contract_type', 'Contract Type', 'Contract Type', 'চুক্তির ধরণ', 'Contract Type', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1399, '9', 'verify', 'Verify', 'Verify', 'যাচাই করুন', 'Verify', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1400, '9', 'addOns', 'Add Ons', 'Add Ons', 'অন যোগ করুন', 'Add Ons', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1401, '9', 'adons', 'Add Ons', 'Add Ons', 'অন যোগ করুন', 'Add Ons', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1402, '0', 'export', 'Export', 'Export', 'রফতানি', 'Export', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1403, '0', 'biometrics', 'Biometrics', 'Biometrics', 'বায়োমেট্রিক্স', 'Biometrics', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1404, '0', 'bio', 'Biometrics', 'Biometrics', 'বায়োমেট্রিক্স', 'Biometrics', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1405, '0', 'buy', 'Buy', 'Buy', 'কেনা', 'Buy', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1406, '0', 'csu', 'Custom URL', 'Custom URL', 'কাস্টম ইউআরএল', 'Custom URL', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1407, '0', 'now', 'Now', 'Now', 'এখন', 'Now', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1408, '19', 'social_media', 'Social Media', 'Social Media', 'সামাজিক মাধ্যম', 'Social Media', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1409, '19', 'icon', 'Icon', 'Icon', 'আইকন', 'Icon', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1410, '3', 'student_delete_note', 'Note: if delete, then all related information will removed.', 'Note: if delete, then all related information will removed.', 'দ্রষ্টব্য: যদি মুছে ফেলা হয়, তবে সম্পর্কিত সমস্ত তথ্য মুছে ফেলা হবে।', 'Note: if delete, then all related information will removed.', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1411, '6', 'staff_delete_note', 'Note: if delete, then all related information will removed.', 'Note: if delete, then all related information will removed.', 'দ্রষ্টব্য: যদি মুছে ফেলা হয়, তবে সম্পর্কিত সমস্ত তথ্য মুছে ফেলা হবে।', 'Note: if delete, then all related information will removed.', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1412, '17', 'cumulative', 'Cumulative', 'cumulative', 'ক্রমবর্ধমান', 'cumulative', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1413, '17', 'sheet', 'Sheet', 'sheet', 'চাদর', 'sheet', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1414, '17', 'contonuous', 'Contonuous', 'contonuous', 'একটানা', 'contonuous', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1415, '17', 'assessment', 'Assessment', 'assessment', 'মূল্যায়ন', 'assessment', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1416, '17', 'termly', 'Termly', 'Termly', 'স্থায়ীভাবে', 'Termly', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1417, '17', 'academic', 'Academic', 'Academic', 'একাডেমিক', 'Academic', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1418, '17', 'performance', 'Performance', 'Performance', 'কর্মক্ষমতা', 'Performance', 1, '2021-04-20 05:46:02', '2021-04-20 05:46:02'),
(1419, '17', 'terminal', 'Terminal', 'Terminal', 'টার্মিনাল', 'Terminal', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1420, '17', 'continuous', 'Continuous', 'Continuous', 'একটানা', 'Continuous', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1421, '17', 'institution', 'Institution', 'Institution', 'প্রতিষ্ঠান', 'Institution', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1422, '17', 'one', 'One', 'one', 'এক', 'one', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1423, '17', 'school', 'School', 'School', 'বিদ্যালয়', 'School', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1424, '17', 'opening', 'Opening', 'opening', 'খোলার', 'opening', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1425, '17', 'confirm_password', 'Confirm Password', 'confirm password', 'পাসওয়ার্ড নিশ্চিত করুন', 'confirm password', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1426, '17', 'or', 'or', 'or', 'বা', 'or', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1427, '17', 'routine', 'Routine', 'Routine', 'রুটিন', 'Routine', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1428, '17', 'ticket_comment', 'Ticket Comment', 'Ticket Comment', 'টিকিট মন্তব্য', 'Ticket Comment', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1429, '17', 'my', 'My', 'my', 'আমার', 'my', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1430, '17', 'ticket', 'Ticket', 'ticket', 'টিকিট', 'ticket', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1431, '17', 'guardian_mobile', 'Guardian Mobile', 'guardian mobile', 'গার্ডিয়ান মোবাইল', 'guardian mobile', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1432, '17', 'is_approved', 'Is Approved', 'is approved', 'অনুমোদিত হয়', 'is approved', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1433, '17', 'is_enabled', 'Is Enabled', 'Is Enabled', 'সক্রিয় করা হয়', 'Is Enabled', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1434, '17', 'ticket_list', 'Ticket List', 'Ticket List', 'টিকিটের তালিকা', 'Ticket List', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1435, '17', 'priority_list', 'Priority List', 'Priority List', 'অগ্রাধিকার তালিকা', 'Priority List', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1436, '17', 'ticket_priority', 'Ticket Priority', 'Ticket Priority', 'টিকিট অগ্রাধিকার', 'Ticket Priority', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1437, '17', 'ticket_category', 'Ticket Category', 'Ticket Category', 'টিকিট বিভাগ', 'Ticket Category', 1, '2021-04-20 05:46:03', '2021-04-20 05:46:03'),
(1438, '17', 'category_list', 'Category List', 'Category List', 'বিভাগ তালিকা', 'Category List', 1, '2021-04-20 05:46:04', '2021-04-20 05:46:04'),
(1439, '17', 'ticket_system', 'Ticket System', 'Ticket System', 'টিকিট সিস্টেম', 'Ticket System', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1440, '17', 'delete_uploaded_content', 'Delete Uploaded Content', 'Delete Uploaded Content', 'আপলোড করা সামগ্রী মুছুন', 'Delete Uploaded Content', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1441, '17', 'add_content', 'Add Content', 'Add Content', 'সামগ্রী যুক্ত করুন', 'Add Content', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1442, '18', 'download_uploaded_content', 'Download Uploaded Content', 'Download Uploaded Content', 'আপলোড করা সামগ্রী ডাউনলোড করুন', 'Download Uploaded Content', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1443, '18', 'password_reset_message', 'Password Reset Message', 'Password Reset Message', 'পাসওয়ার্ড রিসেট বার্তা', 'Password Reset Message', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1444, '18', 'student_login_credential_message', 'Student Login Credential Message', 'Student Login Credential Message', 'ছাত্র লগইন শংসাপত্র বার্তা', 'Student Login Credential Message', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1445, '18', 'guardian_login_credential_message', 'Guardian Login Credential Message', 'Guardian Login Credential Message', 'অভিভাবক লগইন শংসাপত্র বার্তা', 'Guardian Login Credential Message', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1446, '18', 'staff_login_credential_message', 'Staff Login Credential Message', 'Staff Login Credential Message', 'স্টাফ লগইন শংসাপত্র বার্তা', 'Staff Login Credential Message', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1447, '18', 'dues_payment_message', 'Dues Payment Message', 'Dues Payment Message', 'বকেয়া অর্থ প্রদানের বার্তা', 'Dues Payment Message', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1448, '18', 'email_footer_text', 'Email Footer Text', 'Email Footer Text', 'ইমেল পাদলেখ পাঠ্য', 'Email Footer Text', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1449, '18', 'registration', 'Registration', 'Registration', 'নিবন্ধন', 'Registration', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1450, '18', 'after', 'After', 'After', 'পরে', 'After', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1451, '18', 'header', 'Header', 'Header', 'শিরোনাম', 'Header', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1452, '18', 'footer', 'Footer', 'Footer', 'পাদচরণ', 'Footer', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1453, '18', 'footer_widget', 'Footer Widget', 'Footer Widget', 'পাদচরণ উইজেট', 'Footer Widget', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1454, '18', 'sec', 'Section', 'Section', 'অধ্যায়', 'Section', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1455, '18', 'are_you_sure_to_approve', 'Are You Sure To Approve This Item?', 'Are you sure to approve this item?', 'আপনি কি এই আইটেমটি অনুমোদনের বিষয়ে নিশ্চিত?', 'Are you sure to approve this item?', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1456, '18', 'saas', 'SAAS', 'SAAS', 'সাস', 'SAAS', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1457, '18', 'how_do_you_know_us', 'How Do You Know Us', 'How Do You Know Us', 'আপনি আমাদের জানেন কিভাবে', 'How Do You Know Us', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1458, '18', 'recaptcha', 'Recaptcha', 'Recaptcha', 'পুনঃপচা', 'Recaptcha', 1, '2021-04-20 05:46:05', '2021-04-20 05:46:05'),
(1459, '18', 'nocaptcha_sitekey', 'noCaptcha Sitekey', 'noCaptcha Sitekey', 'নো ক্যাপচা সাইট কি', 'noCaptcha Sitekey', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1460, '18', 'nocaptcha_secret', 'noCaptcha Secret', 'noCaptcha Secret', 'নো ক্যাপচা গোপন', 'noCaptcha Secret', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1461, '18', 'guardian_relation', 'Guardian Relation', 'Guardian Relation', 'অভিভাবক সম্পর্কিত', 'Guardian Relation', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1462, '18', 'relation', 'Relation', 'Relation', 'সম্পর্ক', 'Relation', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1463, '18', 'promossion_without', 'Promotion Without', 'Promotion Without', 'প্রচার ছাড়াই', 'Promotion Without', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1464, '18', 'promossion', 'Promotion', 'Promotion', 'পদোন্নতি', 'Promotion', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1465, '18', 'administrator', 'Administrator', 'Administrator', 'প্রশাসক', 'Administrator', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1466, '18', 'age', 'Age', 'Age', 'বয়স', 'Age', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1467, '18', 'note_for_multiple_child_registration', 'If you want to register your another child please contact with school.', 'If you want to register your another child please contact with school.', 'আপনি যদি আপনার অন্য সন্তানের নিবন্ধন করতে চান তবে দয়া করে স্কুলের সাথে যোগাযোগ করুন।', 'If you want to register your another child please contact with school.', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1468, '18', 'click_for_recaptcha_create', 'Click Here For Create Recaptcha (v2).', 'Click Here For Create Recaptcha (v2)', 'পুনর্নির্মাণ তৈরি করার জন্য এখানে ক্লিক করুন (v2)', 'Click Here For Create Recaptcha (v2)', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1469, '18', 'textlocal', 'Textlocal', 'Textlocal', 'পাঠ্যপুস্তক', 'Textlocal', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1470, '18', 'hash', 'Hash', 'Hash', 'হ্যাশ', 'Hash', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1471, '18', 'sms_template', 'Email/Sms Template', 'Email/Sms Template', 'এসএমএস টেম্পলেট', 'Email/Sms Template', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1472, '18', 'zoom', 'Zoom', 'Zoom', 'জুম', 'Zoom', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1473, '18', 'virtual_class', 'Virtual Class', 'Virtual Class', 'ভার্চুয়াল ক্লাস', 'Virtual Class', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1474, '18', 'description', 'Description', 'Description', 'বিবরণ', 'Description', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1475, '18', 'date_of_meeting', 'Date of Meeting', 'Date of Meeting', 'সভার তারিখ', 'Date of Meeting', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1476, '18', 'time_of_meeting', 'Time of Meeting', 'Time of Meeting', 'সভার সময়', 'Time of Meeting', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1477, '18', 'meeting_durration', 'Meetting Durration (Minutes)', 'Meetting Durration (Minutes)', 'সভার সময়কাল (মিনিট)', 'Meetting Durration (Minutes)', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1478, '18', 'zoom_recurring', 'Recurring', 'Recurring', 'পুনরাবৃত্তি', 'Recurring', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1479, '18', 'zoom_recurring_type', 'Recurrence Type', 'Recurrence Type', 'পুনরাবৃত্তির ধরণ', 'Recurrence Type', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1480, '18', 'zoom_recurring_daily', 'Daily', 'Daily', 'প্রতিদিন', 'Daily', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1481, '18', 'zoom_recurring_weekly', 'Weekly', 'Weekly', 'সাপ্তাহিক', 'Weekly', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1482, '18', 'zoom_recurring_monthly', 'Monthly', 'Monthly', 'মাসিক', 'Monthly', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1483, '18', 'zoom_recurring_repect', 'Repeat Every', 'Repeat Every', 'প্রতিটি পুনরাবৃত্তি', 'Repeat Every', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1484, '18', 'zoom_recurring_end', 'End Recurrence', 'End Recurrence', 'শেষ পুনরাবৃত্তি', 'End Recurrence', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1485, '18', 'join_before_host', 'Join Before Host', 'Join Before Host', 'হোস্টের আগে যোগ দিন', 'Join Before Host', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1486, '18', 'host_video', 'Host Video', 'Host Video', 'হোস্ট ভিডিও', 'Host Video', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1487, '18', 'participant_video', 'Participant Video', 'Participant Video', 'অংশগ্রহণকারী ভিডিও', 'Participant Video', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1488, '18', 'mute_upon_entry', 'Participate Mic Mute', 'Participate Mic Mute', 'মাইক নিঃশব্দে অংশ নিন', 'Participate Mic Mute', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1489, '18', 'watermark', 'Watermark', 'Watermark', 'ওয়াটারমার্ক', 'Watermark', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1490, '18', 'waiting_room', 'Waiting Room', 'Waiting Room', 'বিশ্রাম কক্ষ', 'Waiting Room', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1491, '18', 'auto_recording', 'Auto Recording', 'Auto Recording', 'অটো রেকর্ডিং', 'Auto Recording', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1492, '18', 'audio_options', 'Audio Option', 'Audio Option', 'অডিও বিকল্প', 'Audio Option', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1493, '18', 'meeting_approval', 'Meeting Join Approval', 'Meeting Join Approval', 'সভা যোগদানের অনুমোদন', 'Meeting Join Approval', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1494, '18', 'meeting_id', 'Meeting ID', 'Meeting ID', 'মিটিং আইডি', 'Meeting ID', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1495, '18', 'zoom_start_join', 'Join/Start', 'Join/Start', 'যোগ দিন / শুরু করুন', 'Join/Start', 1, '2021-04-20 05:46:06', '2021-04-20 05:46:06'),
(1496, '18', 'join', 'Join', 'Join', 'যোগদান', 'Join', 1, '2021-04-20 05:46:07', '2021-04-20 05:46:07'),
(1497, '18', 'show', 'Show', 'Show', 'দেখান', 'Show', 1, '2021-04-20 05:46:07', '2021-04-20 05:46:07'),
(1498, '18', 'delete_meetings', 'Delete Meeting', 'Delete Meeting', 'সভা মুছুন', 'Delete Meeting', 1, '2021-04-20 05:46:07', '2021-04-20 05:46:07'),
(1499, '18', 'are_you_sure_delete', 'Are You Sure To Delete ?', 'Are you sure to delete ?', 'আপনি কি মুছে ফেলার বিষয়ে নিশ্চিত?', 'Are you sure to delete ?', 1, '2021-04-20 05:46:07', '2021-04-20 05:46:07'),
(1500, '18', 'zoom_setting', 'Zoom Setting', 'Zoom Setting', 'জুম সেটিং', 'Zoom Setting', 1, '2021-04-20 05:46:07', '2021-04-20 05:46:07'),
(1501, '18', 'automatically', 'Automatically', 'Automatically', 'স্বয়ংক্রিয়ভাবে', 'Automatically', 1, '2021-04-20 05:46:07', '2021-04-20 05:46:07'),
(1502, '18', 'manually', 'Manually', 'Manually', 'ম্যানুয়ালি', 'Manually', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1503, '18', 'required', 'Required', 'Required', 'প্রয়োজনীয়', 'Required', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1504, '18', 'local', 'Local', 'Local', 'স্থানীয়', 'Local', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1505, '18', 'cloud', 'Cloud', 'Cloud', 'মেঘ', 'Cloud', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1506, '18', 'both', 'Both', 'Both', 'দুটোই', 'Both', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1507, '18', 'telephony', 'Telephony', 'Telephony', 'টেলিফোনি', 'Telephony', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1508, '18', 'voip', 'Voip', 'Voip', 'ভিওআইপি', 'Voip', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1509, '18', 'basic', 'Basic', 'Basic', 'বেসিক', 'Basic', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1510, '18', 'free', 'Free', 'Free', 'ফ্রি', 'Free', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1511, '18', 'pro', 'Pro', 'Pro', 'প্রো', 'Pro', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1512, '18', 'preview', 'Preview', 'Preview', 'পূর্বরূপ', 'Preview', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1513, '18', 'business', 'Business', 'Business', 'ব্যবসা', 'Business', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1514, '18', 'enterprise', 'Enterprise', 'Enterprise', 'এন্টারপ্রাইজ', 'Enterprise', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1515, '18', 'for_paid_package', 'For Paid Package', 'For Paid Package', 'পেইড প্যাকেজের জন্য', 'For Paid Package', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1516, '18', 'api_key', 'API Key', 'API Key', 'এপিআই কী', 'API Key', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1517, '18', 'serect_key', 'Secret Key', 'Secret Key', 'গোপন চাবি', 'Secret Key', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1518, '18', 'pakage', 'Pakage', 'Pakage', 'পাকেজ', 'Pakage', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1519, '18', 'join_meeting', 'Join Meeting', 'Join Meeting', 'সভাতে যোগদান করুন', 'Join Meeting', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1520, '18', 'attached_file', 'Attached File', 'Attached File', 'সংযুক্ত ফাইল', 'Attached File', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1521, '18', 'start_date_time', 'Start Date & Time', 'Start Date & Time', 'আরম্ভের তারিখ ও সময়', 'Start Date & Time', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1522, '18', 'not_yet_start', 'Not Yet Start', 'Not Yet Start', 'এখনও না শুরু', 'Not Yet Start', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1523, '18', 'closed', 'Closed', 'closed', 'বন্ধ', 'closed', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1524, '18', 'host_id', 'Host ID', 'Host ID', 'হোস্ট আইডি', 'Host ID', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1525, '18', 'timezone', 'Timezone', 'Timezone', 'সময় অঞ্চল', 'Timezone', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1526, '18', 'created_at', 'Created At', 'Created At', 'এ নির্মিত', 'Created At', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1527, '18', 'join_url', 'Join URL', 'Join URL', 'ইউআরএল যোগ দিন', 'Join URL', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1528, '18', 'encrypted', 'Encrypted', 'Encrypted', 'এনক্রিপ্ট করা', 'Encrypted', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1529, '18', 'in_mettings', 'in Mettings', 'in Mettings', 'মিটিংয়ে', 'in Mettings', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1530, '18', 'cn_mettings', 'cn Mettings', 'cn Mettings', 'সিএন সভা', 'cn Mettings', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1531, '18', 'use_pmi', 'use pmi', 'use pmi', 'পিএমআই ব্যবহার করুন', 'use pmi', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1532, '18', 'enforce_login', 'Enforce Login', 'Enforce Login', 'লগইন প্রয়োগ করুন', 'Enforce Login', 1, '2021-04-20 05:46:08', '2021-04-20 05:46:08'),
(1533, '18', 'enforce_login_domains', 'Enforce Login Domains', 'Enforce Login Domains', 'লগইন ডোমেনগুলি প্রয়োগ করুন', 'Enforce Login Domains', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1534, '18', 'alternative_hosts', 'Alternative Hosts', 'Alternative Hosts', 'প্রমাণীকরণের সভা', 'Alternative Hosts', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1535, '18', 'meeting_authentication', 'Meeting Authentication', 'Meeting Authentication', 'প্রমাণীকরণের সভা', 'Meeting Authentication', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1536, '18', 'delete_virtual_meeting', 'Delete Virtaul Meeting', 'Delete Virtaul Meeting', 'ভার্চুয়াল সভা মুছুন', 'Delete Virtaul Meeting', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1537, '18', 'delete_virtual_class', 'Delete Virtaul Class', 'Delete Virtaul Class', 'ভার্চুয়াল ক্লাস মুছুন', 'Delete Virtaul Class', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1538, '18', 'meeting', 'Meeting', 'Meeting', 'সভা', 'Meeting', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1539, '18', 'join_class', 'Join Class', 'Join Class', 'ক্লাসে যোগদান করুন', 'Join Class', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1540, '18', 'participants', 'Participants', 'Participants', 'অংশগ্রহণকারীরা', 'Participants', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1541, '18', 'meetings', 'Meetings', 'Meetings', 'সভা', 'Meetings', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1542, '18', 'select_member', 'Select Member', 'Select Member', 'সদস্য নির্বাচন করুন', 'Select Member', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1543, '18', 'change_default_settings', 'Change Default Settings', 'Change Default Settings', 'ডিফল্ট সেটিংস পরিবর্তন করুন', 'Change Default Settings', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1544, '18', 'virtual_class_meetting', 'Vitual Class/Meeting', 'Vitual Class/Meeting', 'ভার্চুয়াল ক্লাস / সভা', 'Vitual Class/Meeting', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1545, '18', 'class_reports', 'Class Reports', 'Class Reports', 'ক্লাস রিপোর্ট', 'Class Reports', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1546, '18', 'meeting_reports', 'Meeting Reports', 'Meeting Reports', 'সভা সভা', 'Meeting Reports', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1547, '18', 'date_of_class', 'Date of Class', 'Date of Class', 'ক্লাসের তারিখ', 'Date of Class', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1548, '18', 'time_of_class', 'Time of Class', 'Time of Class', 'ক্লাসের সময়', 'Time of Class', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1549, '18', 'duration_of_class', 'Duration of Class (Minutes)', 'Duration of Class (Minutes)', 'শ্রেণীর সময়কাল (মিনিট)', 'Duration of Class (Minutes)', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1550, '18', 'virtual_class_id', 'VClass ID', 'VClass ID', 'ভিস্লাস আইডি', 'VClass ID', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1551, '18', 'virtual_meeting', 'Virtual Meeting', 'Virtual Meeting', 'ভার্চুয়াল সভা', 'Virtual Meeting', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1552, '18', 'sms_template', 'Sms Template', 'Sms Template', 'এসএমএস টেম্পলেট', 'Sms Template', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1553, '18', 'liability', 'Liability', 'Liability', 'দায়', 'Liability', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1554, '18', 'asset', 'Asset', 'Asset', 'সম্পদ', 'Asset', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1555, '18', 'bank_details', 'Bank Details', 'Bank Details', 'ব্যাংক বিবরণ', 'Bank Details', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1556, '18', 'africatalking', 'Africatalking', 'Africatalking', 'আফ্রিকান কথাবার্তা', 'Africatalking', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1557, '18', 'africatalking_api_key', 'Africatalking API Key', 'Africatalking API Key', 'আফ্রিকানতালিকা এপিআই কী', 'Africatalking API Key', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1558, '18', 'slip', 'Slip', 'Slip', 'স্লিপ', 'Slip', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1559, '18', 'class_time_setup', 'Class Time Setup', 'Class Time Setup', 'ক্লাস টাইম সেটআপ', 'Class Time Setup', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1560, '18', 'result_not_publish_yet', 'Result Not Publish Yet', 'Result Not Publish Yet', 'ফলাফল এখনও প্রকাশ হয় না', 'Result Not Publish Yet', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1561, '18', 'max_upload_file_size', 'Max Upload File Size', 'Max Upload File Size', 'সর্বোচ্চ ফাইল আপলোড', 'Max Upload File Size', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1562, '18', 'gateway_setting', 'Gateway Setting', 'Gateway Setting', 'গেটওয়ে সেটিং', 'Gateway Setting', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1563, '18', 'ss_page_load', 'Server Side Page Load', 'Server Side Page Load', 'সার্ভার সাইড পৃষ্ঠা লোড', 'Server Side Page Load', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1564, '18', 'cheque_details', 'Cheque Details', 'Cheque Details', 'বিশদ পরীক্ষা করুন', 'Cheque Details', 1, '2021-04-20 05:46:09', '2021-04-20 05:46:09'),
(1565, '18', 'event_ist', 'Event List', 'Event List', 'ইভেন্ট তালিকা', 'Event List', 1, '2021-04-20 05:46:10', '2021-04-20 05:46:10'),
(1566, '18', 'incorrect', 'Incorrect', 'Incorrect', 'ভুল', 'Incorrect', 1, '2021-04-20 05:46:10', '2021-04-20 05:46:10'),
(1567, '18', 'browse_all', 'Browse All', 'Browse All', 'সমস্ত ব্রাউজ করুন', 'Browse All', 1, '2021-04-20 05:46:10', '2021-04-20 05:46:10'),
(1568, '18', 'notice_board', 'Notice Board', 'Notice Board', 'সমস্ত ব্রাউজ করুন', 'Notice Board', 1, '2021-04-20 05:46:10', '2021-04-20 05:46:10'),
(1569, '18', 'related_news', 'Related News', 'Related News', 'সম্পর্কিত খবর', 'Related News', 1, '2021-04-20 05:46:10', '2021-04-20 05:46:10'),
(1570, '18', 'related_courses', 'Related Courses', 'Related Courses', 'সম্পর্কিত কোর্স', 'Related Courses', 1, '2021-04-20 05:46:10', '2021-04-20 05:46:10'),
(1571, '18', 'latest_news', 'Latest News', 'Latest News', 'সর্বশেষ সংবাদ', 'Latest News', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1572, '18', 'load_more_news', 'Load More News', 'Load More News', 'সর্বশেষ সংবাদ', 'Load More News', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1573, '18', 'Opened_in', 'Opened in', 'Opened in', 'ভিতরে খোলা', 'Opened in', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1574, '18', 'Total_Teachers_count', 'Total Teachers count', 'Total Teachers count', 'মোট শিক্ষক গণনা', 'Total Teachers count', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1575, '18', 'Faculty', 'Faculty', 'Faculty', 'অনুষদ', 'Faculty', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1576, '18', 'Our_History', 'Our History', 'Our History', 'আমাদের ইতিহাস', 'Our History', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1577, '18', 'Enter_your', 'Enter your', 'Enter your', 'প্রবেশ করাও তোমার', 'Enter your', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1578, '18', 'our_mission', 'Our Mission and Vision', 'Our Mission and Vision', 'আমাদের মিশন এবং দৃষ্টি', 'Our Mission and Vision', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1579, '18', 'load_more_courses', 'Load More Courses', 'Load More Courses', 'আরও কোর্স লোড করুন', 'Load More Courses', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1580, '18', 'Auto_Mark_Register', 'Auto Mark Register', 'Auto Mark Register', 'অটো চিহ্ন নিবন্ধ', 'Auto Mark Register', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1581, '18', 'Only_for_Multiple', 'Only for Multiple choise & True False', 'Only for Multiple choise & True False', 'শুধুমাত্র একাধিক পছন্দ এবং সত্য মিথ্যা জন্য', 'Only for Multiple choise & True False', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1582, '18', 'logo', 'Logo', 'Logo', 'লোগো', 'Logo', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1583, '18', 'map', 'Map', 'Map', 'মানচিত্র', 'Map', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1584, '18', 'text', 'Text', 'Text', 'পাঠ্য', 'Text', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1585, '18', 'user_management', 'User Management', 'User Management', 'ব্যবহারকারী ব্যবস্থাপনা', 'User Management', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1586, '18', 'is_read?', 'Is Read?', 'Is Read?', 'পড়া আছে?', 'Is Read?', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1587, '18', 'is_replied?', 'Is Replied?', 'Is Replied?', 'জবাব দেওয়া হয়?', 'Is Replied?', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1588, '18', 'latitude', 'Latitude', 'Latitude', 'অক্ষাংশ', 'Latitude', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1589, '18', 'longitude', 'Longitude', 'Longitude', 'দ্রাঘিমাংশ', 'Longitude', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1590, '18', 'signiture', 'Signiture', 'Signiture', 'স্বাক্ষর', 'Signiture', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1591, '18', 'import_attendance', 'Import Attendance', 'Import Attendance', 'আমদানি উপস্থিতি', 'Import Attendance', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1592, '18', 'cheque_details', 'Cheque Details', 'Cheque Details', 'বিশদ পরীক্ষা করুন', 'Cheque Details', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1593, '18', 'copy_with_academic_year', 'Copy With Academic Year', 'Copy With Academic Year', 'একাডেমিক বছর সহ অনুলিপি করুন', 'Copy With Academic Year', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1594, '18', 'delete_conformation', 'All the information related with this data will also delete permanently', 'All the information related with this data will also delete permanently', 'এর সাথে সম্পর্কিত সমস্ত তথ্যও স্থায়ীভাবে মুছে ফেলা হবে', 'All the information related with this data will also delete permanently', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1595, '18', 'academic_year_delete_confirmation', 'All the information related with this academic year will also delete permanently.', 'All the information related with this academic year will also delete permanently.', 'এই শিক্ষাবর্ষের সাথে সম্পর্কিত সমস্ত তথ্যও স্থায়ীভাবে মুছে ফেলা হবে', 'All the information related with this academic year will also delete permanently.', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1596, '18', 'system_activation_date', 'System Activation Date', 'System Activation Date', 'সিস্টেম সক্রিয়করণের তারিখ', 'System Activation Date', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1597, '18', 'install_domain', 'Install Domain', 'Install Domain', 'ডোমেন ইনস্টল করুন', 'Install Domain', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1598, '18', 'purchase_code', 'Purchase code', 'Purchase code', 'ক্রয় কোড', 'Purchase code', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1599, '18', 'curl_enable', 'Curl enable', 'Curl enable', 'কার্ল সক্ষম', 'Curl enable', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1600, '18', 'PHP_version', 'PHP Version', 'PHP Version', 'পিএইচপি সংস্করণ', 'PHP Version', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1601, '18', 'check_update', 'Check update', 'Check update', 'আপডেট চেক কর', 'Check update', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1602, '18', 'software_version', 'Software Version', 'Software Version', 'সফ্টওয়্যার সংস্করণ', 'Software Version', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1603, '0', 'lesson', 'Lesson', 'Lesson', 'পাঠ', 'Lesson', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1604, '0', 'plan', 'Plan', 'Plan', 'পরিকল্পনা', 'Plan', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1605, '0', 'sup', 'Sup', 'Sup', 'উপ', 'Sup', 1, '2021-04-20 05:46:11', '2021-04-20 05:46:11'),
(1606, '19', 'sub', 'Sub', 'Sub', 'উপ', 'Sub', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1607, '0', 'lesson_plan', 'Lesson Plan', 'Lesson Plan', 'পাঠ পরিকল্পনা', 'Lesson Plan', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1608, '0', 'lesson_plan_overview', 'Lesson Plan Overview', 'Lesson Plan Overview', 'পাঠ পরিকল্পনা বিবরণ', 'Lesson Plan Overview', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1609, '0', 'sup_topic', 'Sup Topic', 'Sup Topic', 'উপ বিষয়', 'Sup Topic', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1610, '1', 'overview', 'Overview', 'Overview', 'সংক্ষিপ্ত বিবরণ', 'Overview', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1611, '0', 'topic_overview', 'Topic Overview', 'Topic Overview', 'বিষয় বিবরণ', 'Topic Overview', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1612, '16', 'progress', 'Progress', 'Progreso', 'অগ্রগতি', 'Progression', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1613, '16', 'upcoming', 'Upcoming', 'Upcoming', 'আসন্ন', 'Upcoming', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1614, '19', 'teaching', 'Teaching', 'Teaching', 'শিক্ষাদান', 'Teaching', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1615, '19', 'general', 'General', 'General', 'সাধারণ', 'General', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1616, '19', 'objectives', 'Objectives', 'Objectives', 'উদ্দেশ্য', 'Objectives', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1617, '19', 'knowledge', 'Knowledge', 'Knowledge', 'জ্ঞান', 'Knowledge', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1618, '19', 'comprehensive', 'Comprehensive', 'Comprehensive', 'বিস্তৃত', 'Comprehensive', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1619, '19', 'lecture', 'Lecture', 'Lecture', 'লেকচার', 'Lecture', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1620, '19', 'youtube', 'YouTube', 'YouTube', 'ইউটিউব', 'YouTube', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1621, '19', 'multiple', 'Multiple', 'Multiple', 'একাধিক', 'Multiple', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1622, '19', 'separate', 'Separate', 'Separate', 'পৃথক', 'Separate', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1623, '16', 'online_exam_result', 'Online Exam Result', 'Informe de examen en línea', 'অনলাইন পরীক্ষার ফলাফল', 'Result dexamen en ligne', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1624, '0', 'lesson_plan', 'Lesson Plan', 'Lesson Plan', 'পাঠ পরিকল্পনা', 'Lesson Plan', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1625, '0', 'lesson_plan_overview', 'Lesson Plan Overview', 'Lesson Plan Overview', 'পাঠ পরিকল্পনা বিবরণ', 'Lesson Plan Overview', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1626, '19', 'download_center', 'Download Center', 'Centro de descargas', 'ডাউনলোড কেন্দ্র', 'centre de téléchargement', 1, '2021-04-20 05:46:12', '2021-04-20 05:46:12'),
(1627, '14', 'student_teacher', 'Student Teacher', 'Informe de teacher', 'ছাত্র শিক্ষক', 'student teacher', 1, '2021-04-20 05:46:13', '2021-04-20 05:46:13'),
(1628, '19', 'coma', 'Coma', 'Coma', 'কমা', 'Coma', 1, '2021-04-20 05:46:13', '2021-04-20 05:46:13');

-- --------------------------------------------------------

--
-- Table structure for table `sm_leave_deduction_infos`
--

CREATE TABLE `sm_leave_deduction_infos` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `staff_id` int(11) DEFAULT NULL,
  `payroll_id` int(11) DEFAULT NULL,
  `extra_leave` int(11) DEFAULT NULL,
  `salary_deduct` int(11) DEFAULT NULL,
  `pay_month` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_year` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) DEFAULT '0',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_leave_defines`
--

CREATE TABLE `sm_leave_defines` (
  `id` int(10) UNSIGNED NOT NULL,
  `days` int(10) UNSIGNED DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `type_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `total_days` int(10) UNSIGNED DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_leave_requests`
--

CREATE TABLE `sm_leave_requests` (
  `id` int(10) UNSIGNED NOT NULL,
  `apply_date` date DEFAULT NULL,
  `leave_from` date DEFAULT NULL,
  `leave_to` date DEFAULT NULL,
  `reason` text COLLATE utf8mb4_unicode_ci,
  `note` text COLLATE utf8mb4_unicode_ci,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `approve_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'P for Pending, A for Approve, R for reject',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `leave_define_id` int(10) UNSIGNED DEFAULT NULL,
  `staff_id` int(10) UNSIGNED DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `type_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_leave_types`
--

CREATE TABLE `sm_leave_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_days` int(10) UNSIGNED DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_lessons`
--

CREATE TABLE `sm_lessons` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `lesson_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `user_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_lesson_details`
--

CREATE TABLE `sm_lesson_details` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `lesson_id` int(11) NOT NULL,
  `lesson_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_lesson_topics`
--

CREATE TABLE `sm_lesson_topics` (
  `id` int(10) UNSIGNED NOT NULL,
  `lesson_id` int(11) NOT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `active_status` int(11) NOT NULL DEFAULT '1',
  `user_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_lesson_topic_details`
--

CREATE TABLE `sm_lesson_topic_details` (
  `id` int(10) UNSIGNED NOT NULL,
  `lesson_id` int(11) DEFAULT NULL,
  `topic_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `competed_date` date DEFAULT NULL,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `topic_id` int(10) UNSIGNED DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `user_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_library_members`
--

CREATE TABLE `sm_library_members` (
  `id` int(10) UNSIGNED NOT NULL,
  `member_ud_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `member_type` int(10) UNSIGNED DEFAULT NULL,
  `student_staff_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_marks_grades`
--

CREATE TABLE `sm_marks_grades` (
  `id` int(10) UNSIGNED NOT NULL,
  `grade_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gpa` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from` double(8,2) DEFAULT NULL,
  `up` double(8,2) DEFAULT NULL,
  `percent_from` int(11) DEFAULT NULL,
  `percent_upto` int(11) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_marks_grades`
--

INSERT INTO `sm_marks_grades` (`id`, `grade_name`, `gpa`, `from`, `up`, `percent_from`, `percent_upto`, `description`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`, `academic_id`) VALUES
(1, 'A+', '5.00', 5.00, 5.99, 80, 100, 'Outstanding !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1),
(2, 'A', '4.00', 4.00, 4.99, 70, 79, 'Very Good !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1),
(3, 'A-', '3.50', 3.50, 3.99, 60, 69, 'Good !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1),
(4, 'B', '3.00', 3.00, 3.49, 50, 59, 'Outstanding !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1),
(5, 'C', '2.00', 2.00, 2.99, 40, 49, 'Bad !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1),
(6, 'D', '1.00', 1.00, 1.99, 33, 39, 'Very Bad !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1),
(7, 'F', '0.00', 0.00, 0.99, 0, 32, 'Failed !', 1, '2021-04-20 05:32:04', '2021-04-20 05:32:04', 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_marks_registers`
--

CREATE TABLE `sm_marks_registers` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_marks_register_children`
--

CREATE TABLE `sm_marks_register_children` (
  `id` int(10) UNSIGNED NOT NULL,
  `marks` int(11) DEFAULT NULL,
  `abs` int(11) NOT NULL DEFAULT '0' COMMENT '1 for absent, 0 for present',
  `gpa_point` double(8,2) DEFAULT NULL,
  `gpa_grade` varchar(55) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `marks_register_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_marks_send_sms`
--

CREATE TABLE `sm_marks_send_sms` (
  `id` int(10) UNSIGNED NOT NULL,
  `sms_send_status` tinyint(4) NOT NULL DEFAULT '1',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_mark_stores`
--

CREATE TABLE `sm_mark_stores` (
  `id` int(10) UNSIGNED NOT NULL,
  `student_roll_no` int(11) NOT NULL DEFAULT '1',
  `student_addmission_no` int(11) NOT NULL DEFAULT '1',
  `total_marks` double(8,2) NOT NULL DEFAULT '0.00',
  `is_absent` tinyint(4) NOT NULL DEFAULT '1',
  `teacher_remarks` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_term_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_setup_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_modules`
--

CREATE TABLE `sm_modules` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `order` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_modules`
--

INSERT INTO `sm_modules` (`id`, `name`, `active_status`, `order`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'Dashboard', 1, 0, '2021-04-20 05:36:05', NULL, 1, 1, 1),
(2, 'Admin Section', 1, 1, '2021-04-20 05:36:05', NULL, 1, 1, 1),
(3, 'Student Information', 1, 2, '2021-04-20 05:36:05', NULL, 1, 1, 1),
(4, 'Teacher', 1, 3, '2021-04-20 05:36:05', NULL, 1, 1, 1),
(5, 'Fees Collection', 1, 4, '2021-04-20 05:36:05', NULL, 1, 1, 1),
(6, 'Accounts', 1, 5, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(7, 'Human resource', 1, 6, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(8, 'Leave Application', 1, 7, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(9, 'Examination', 1, 8, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(10, 'Academics', 1, 9, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(11, 'HomeWork', 1, 10, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(12, 'Communicate', 1, 11, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(13, 'Library', 1, 12, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(14, 'Inventory', 1, 13, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(15, 'Transport', 1, 14, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(16, 'Dormitory', 1, 15, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(17, 'Reports', 1, 16, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(18, 'System Settings', 1, 17, '2021-04-20 05:36:06', NULL, 1, 1, 1),
(19, 'Common', 1, 18, '2021-04-20 05:36:06', NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_module_links`
--

CREATE TABLE `sm_module_links` (
  `id` int(10) UNSIGNED NOT NULL,
  `module_id` int(10) UNSIGNED DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `route` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_module_links`
--

INSERT INTO `sm_module_links` (`id`, `module_id`, `name`, `route`, `active_status`, `created_by`, `updated_by`, `school_id`, `created_at`, `updated_at`) VALUES
(1, 1, 'Dashboard Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(2, 1, '➡ Number of Student', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(3, 1, '➡ Number of Teacher', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(4, 1, '➡ Number of Parents', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(5, 1, '➡ Number of Staff', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(6, 1, '➡ Current Month Income and Expense Chart', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(7, 1, '➡ Current Year Income and Expense Chart', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(8, 1, '➡ Notice Board', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(9, 1, '➡ Calendar Section', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(10, 1, '➡ To Do list', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(11, 2, 'Admin Section Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(12, 2, 'Admission Query menu', 'admission-query', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(13, 2, '➡ Create Query Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(14, 2, '➡ Create Query Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(15, 2, '➡ Create Query Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(16, 2, 'Visitor Book Menu', 'visitor', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(17, 2, '➡ Visitor  Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(18, 2, '➡ Visitor Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(19, 2, '➡ Visitor Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(20, 2, '➡ Visitor Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(21, 2, 'Complaint Menu', 'complaint', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(22, 2, '➡ Complaint Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(23, 2, '➡ Complaint Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(24, 2, '➡ Complaint Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(25, 2, '➡ Complaint Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(26, 2, '➡ Complaint View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(27, 2, 'Postal Receive Menu', 'postal-receive', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(28, 2, '➡ Postal Receive Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(29, 2, '➡ Postal Receive Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(30, 2, '➡ Postal Receive Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(31, 2, '➡ Postal Receive Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(32, 2, 'Postal Dispatch Menu', 'postal-dispatch', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(33, 2, '➡ Postal Dispatch Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(34, 2, '➡ Postal Dispatch Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(35, 2, '➡ Postal Dispatch Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(36, 2, 'Phone Call Log Menu', 'phone-call', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(37, 2, '➡ Phone Call Log Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(38, 2, '➡ Phone Call Log Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(39, 2, '➡ Phone Call Log Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(40, 2, '➡ Phone Call Log Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(41, 2, 'Admin Setup Menu', 'setup-admin', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(42, 2, '➡ Admin Setup Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(43, 2, '➡ Admin Setup Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(44, 2, '➡ Admin Setup Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(45, 2, 'Student ID Menu', 'student-id-card', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(46, 2, '➡ Student ID Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(47, 2, '➡ Student ID Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(48, 2, '➡ Student ID Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(49, 2, 'Student Certificate Menu', 'student-certificate', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(50, 2, '➡ Student Certificate Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(51, 2, '➡ Student Certificate Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(52, 2, '➡ Student Certificate Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(53, 2, 'Generate Certificate Menu', 'generate-certificate', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(54, 2, '➡ Generate Certificate Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(55, 2, '➡ Generate Certificate Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(56, 2, '➡ Generate Certificate Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(57, 2, 'Generate ID Card Menu', 'generate-id-card', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(58, 2, '➡ Generate ID Card Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(59, 2, '➡ Generate ID Card Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(60, 2, '➡ Generate ID Card Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(61, 3, 'Student Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(62, 3, 'Student Admission Menu', 'student-admission', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(63, 3, '➡ Import Student', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(64, 3, 'Student List Menu', 'student-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(65, 3, '➡ Student List Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(66, 3, '➡ Student List Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(67, 3, '➡ Student List Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(68, 3, 'Student Attendance Menu', 'student-attendance', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(69, 3, '➡ Student Attendance Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(70, 3, 'Student Attendance Report Menu', 'student-attendance-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(71, 3, 'Student Category Menu', 'student-category', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(72, 3, '➡ Student Category Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(73, 3, '➡ Student Category Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(74, 3, '➡ Student Category Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(75, 3, '➡ Student Category Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(76, 3, 'Student Group Menu', 'student-group', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(77, 3, '➡ Student Group Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(79, 3, '➡ Student Group Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(80, 3, '➡ Student Group Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(81, 3, 'Student Promote Menu', 'student-promote', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(82, 3, '➡ Student Promote Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(83, 3, 'Disabled Students Menu', 'disabled-student', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(84, 3, '➡ Disabled Students Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(85, 3, '➡ Disabled Students Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(86, 3, '➡ Disabled Students Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(87, 4, 'Teacher Section Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(88, 4, 'Upload Content Menu', 'upload-content', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(89, 4, '➡ Create Content Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(90, 4, '➡ Content Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(91, 4, '➡ Content Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(92, 4, 'Assignment Menu', 'assignment-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(93, 4, '➡ Create Assignment Add', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(94, 4, '➡ Assignment Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(95, 4, '➡ Assignment Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(96, 4, 'Study Material Menu', 'study-metarial-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(97, 4, '➡ Create Study Material Add', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(98, 4, '➡ Study Material Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(99, 4, '➡ Study Material Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(100, 4, 'Syllabus Menu', 'syllabus-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(101, 4, '➡ Create Study Syllabus Add', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(102, 4, '➡ Study Syllabus Edit', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(103, 4, '➡ Study Syllabus Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(104, 4, '➡ Study Syllabus Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(105, 4, 'Other Downloads Menu', 'other-download-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(106, 4, '➡ Other Downloads Download', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(107, 4, '➡ Other Downloads Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(108, 5, 'Fees Collection Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(109, 5, 'Collect Fees Menu', 'collect-fees', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(110, 5, '➡ Create Collect Fees', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(111, 5, '➡ Collect Fees Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(112, 5, '➡ Collect Fees Print', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(113, 5, 'Search Fees Payment Menu', 'search-fees-payment', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(114, 5, '➡ Create Search Fees Payment Add', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(115, 5, '➡ Search Fees Payment View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(116, 5, 'Search Fees Due Menu', 'search-fees-due', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(117, 5, '➡ Search Fees Due View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(118, 5, 'Fees Master Menu', 'fees-master', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(119, 5, '➡ Create Fees Master Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(120, 5, '➡ Fees Master Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(121, 5, '➡ Fees Master Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(122, 5, '➡ Fees Master Assign', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(123, 5, 'Fees Group Menu', 'fees-group', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(124, 5, '➡ Create Fees Group Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(125, 5, '➡ Fees Group Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(126, 5, '➡ Fees Group Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(127, 5, 'Fees Type Menu', 'fees-type', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(128, 5, '➡ Create Fees Type Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(129, 5, '➡ Fees Type Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(130, 5, '➡ Fees Type Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(131, 5, 'Fees Discount Menu', 'fees-discount', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(132, 5, '➡ Create Fees Discount Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(133, 5, '➡ Fees Discount Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(134, 5, '➡ Fees Discount Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(135, 5, '➡ Fees Discount Assign', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(136, 5, 'Fees Carry Forward Menu', 'fees-forward', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(137, 6, 'Accounts Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(138, 6, 'Profit Menu', 'profit', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(139, 6, 'Income Menu', 'add-income', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(140, 6, '➡ Create Income Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(141, 6, '➡ Income Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(142, 6, '➡ Income Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(143, 6, 'Expense Menu', 'add-expense', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(144, 6, '➡ Create Expense Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(145, 6, '➡ Expense Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(146, 6, '➡ Expense Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(147, 6, 'Search Menu', 'search-account', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(148, 6, 'Chart of Account Menu', 'chart-of-account', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(149, 6, '➡ Create Chart of Account Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(150, 6, '➡ Chart of Account Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(151, 6, '➡ Chart of Account Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(152, 6, 'Payment method Menu', 'payment-method', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(153, 6, '➡ Create Payment method Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(154, 6, '➡ Payment method Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(155, 6, '➡ Payment method Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(156, 6, 'Bank Account Menu', 'bank-account', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(157, 6, '➡ Create Bank Account Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(158, 6, '➡ Bank Account Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(159, 6, '➡ Bank Account Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(160, 7, 'Human Resource Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(161, 7, 'Staff Directory Menu', 'staff-directory', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(162, 7, '➡ Staff Directory Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(163, 7, '➡ Staff Directory Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(164, 7, '➡ Staff Directory Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(165, 7, 'Staff Attendance Menu', 'staff-attendance', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(166, 7, '➡ Staff Attendance Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(167, 7, '➡ Staff Attendance Edit', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(168, 7, '➡ Staff Attendance Delete', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(169, 7, 'Staff Attendance Report Menu', 'staff-attendance-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(170, 7, 'Payroll Menu', 'payroll', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(171, 7, '➡ Payroll Edit', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(172, 7, '➡ Payroll Delete', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(173, 7, '➡ Payroll Search', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(174, 7, '➡ Generate Payroll', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(175, 7, '➡ Payroll Create', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(176, 7, '➡ Payroll Proceed To Pay', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(177, 7, '➡ View Payslip', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(178, 7, 'Payroll Report Menu', 'payroll-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(179, 7, '➡ Payroll Report Search', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(180, 7, 'Designations Menu', 'designation', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(181, 7, '➡ Designations Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(182, 7, '➡ Designations Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(183, 7, '➡ Designations Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(184, 7, 'Departments Menu', 'department', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(185, 7, '➡ Departments Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(186, 7, '➡ Departments Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(187, 7, '➡ Departments Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(188, 8, 'Leave Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(189, 8, 'Approve Leave Menu', 'approve-leave', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(190, 8, '➡ Approve Leave Add', '', 0, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(191, 8, '➡ Approve Leave Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(192, 8, '➡ Approve Leave Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(193, 8, 'Apply Leave Menu', 'apply-leave', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(194, 8, '➡ Apply Leave View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(195, 8, '➡ Apply Leave Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(196, 8, 'Pending Leave Menu', 'pending-leave', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(197, 8, '➡ Pending Leave View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(198, 8, '➡ Pending Leave Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(199, 8, 'Leave Define Menu', 'leave-define', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(200, 8, '➡ Leave Define Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(201, 8, '➡ Leave Define Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(202, 8, '➡ Leave Define Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(203, 8, 'Leave Type Menu', 'leave-type', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(204, 8, '➡ Leave Type Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(205, 8, '➡ Leave Type Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(206, 8, '➡ Leave Type Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(207, 9, 'Examination Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(208, 9, 'Add Exam Type Menu', 'exam-type', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(209, 9, '➡ Add Exam Type Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(210, 9, '➡ Add Exam Type Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(211, 9, '➡ Add Exam Type Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(214, 9, 'Exam Setup Menu', 'exam', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(215, 9, '➡ Exam Setup Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(216, 9, '➡ Exam Setup Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(217, 9, 'Exam Schedule Menu', 'exam-schedule', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(218, 9, '➡ Exam Schedule Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(219, 9, '➡ Exam Schedule Create', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(220, 9, 'Exam Attendance Menu', 'exam-attendance', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(221, 9, '➡ Exam Attendance Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(222, 9, 'Marks Register Menu', 'marks-register', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(223, 9, '➡ Marks Register Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(224, 9, '➡ Marks Register Create', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(225, 9, 'Marks Grade Menu', 'marks-grade', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(226, 9, '➡ Marks Grade Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(227, 9, '➡ Marks Grade Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(228, 9, '➡ Marks Grade Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(229, 9, 'Send Marks By SMS Menu', 'send-marks-by-sms', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(230, 9, 'Question Group Menu', 'question-group', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(231, 9, '➡ Question Group Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(232, 9, '➡ Question Group Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(233, 9, '➡ Question Group Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(234, 9, 'Question Bank Menu', 'question-bank', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(235, 9, '➡ Question Bank Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(236, 9, '➡ Question Bank Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(237, 9, '➡ Question Bank Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(238, 9, 'Online Exam Menu', 'online-exam', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(239, 9, '➡ Online Exam Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(240, 9, '➡ Online Exam Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(241, 9, '➡ Online Exam Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(242, 9, '➡ Online Exam Manage Question', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(243, 9, '➡ Online Exam Marks Register', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(244, 9, '➡ Online Exam Result', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(245, 10, 'Academics Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(246, 10, 'Class Routine Menu', 'class-routine-new', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(247, 10, '➡ Class Routine Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(248, 10, '➡ Class Routine Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(249, 10, '➡ Class Routine Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(250, 10, 'Assign Subject Menu', 'assign-subject', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(251, 10, '➡ Assign Subject Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(252, 10, '➡ Assign Subject Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(253, 10, 'Assign Class Teacher Menu', 'assign-class-teacher', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(254, 10, '➡ Assign Class Teacher Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(255, 10, '➡ Assign Class Teacher Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(256, 10, '➡ Assign Class Teacher Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(257, 10, 'Subjects Menu', 'subject', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(258, 10, '➡ Subjects Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(259, 10, '➡ Subjects Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(260, 10, '➡ Subjects Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(261, 10, 'Class Menu', 'class', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(262, 10, '➡ Class Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(263, 10, '➡ Class Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(264, 10, '➡ Class Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(265, 10, 'Section Menu', 'section', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(266, 10, '➡ Section Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(267, 10, '➡ Section Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(268, 10, '➡ Section Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(269, 10, 'Class Room Menu', 'class-room', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(270, 10, '➡ Class Room Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(271, 10, '➡ Class Room Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(272, 10, '➡ Class Room Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(273, 10, 'CL/EX Time Setup Menu', 'class-time', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(274, 10, '➡ CL/EX Time Setup Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(275, 10, '➡ CL/EX Time Setup Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(276, 10, '➡ CL/EX Time Setup Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(277, 11, 'Homework Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(278, 11, 'Add Homework Menu', 'add-homeworks', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(279, 11, '➡ Create Homework Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(280, 11, 'Homework List Menu', 'homework-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(281, 11, '➡ Homework List Evaluation', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(282, 11, '➡ Homework List Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(283, 11, '➡ Homework List Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(284, 11, 'Homework Evaluation Report Menu', 'evaluation-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(285, 11, '➡ Homework Evaluation Report View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(286, 12, 'Communicate Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(287, 12, 'Notice Board Menu', 'notice-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(288, 12, '➡ Create Notice Board Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(289, 12, '➡ Create Notice Board Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(290, 12, '➡ Create Notice Board Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(291, 12, 'Send Email / SMS  Menu', 'send-email-sms-view', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(292, 12, '➡ Send Email / SMS  Send', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(293, 12, 'Email / SMS Log Menu', 'email-sms-log', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(294, 12, 'Event Menu', 'event', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(295, 12, '➡ Event Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(296, 12, '➡ Event Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(297, 12, '➡ Event Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(298, 13, 'Library Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(299, 13, 'Add Book Menu', 'add-book', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(300, 13, '➡ Create Add Book Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(301, 13, 'Book List  Menu', 'book-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(302, 13, '➡ Create Book List Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(303, 13, '➡ Create Book List Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(304, 13, 'Book Category Menu', 'book-category-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(305, 13, '➡ Book Category Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(306, 13, '➡ Book Category Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(307, 13, '➡ Book Category Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(308, 13, 'Add Member Menu', 'library-member', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(309, 13, '➡ Add Member Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(310, 13, '➡ Add Member Cancel', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(311, 13, 'Issue/Return Book Menu', 'member-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(312, 13, '➡ Issue/Return Book Issue', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(313, 13, '➡ Issue/Return Book Return', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(314, 13, 'All Issued Book', 'all-issed-book', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(315, 14, 'Inventory Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(316, 14, 'Item Category Menu', 'item-category', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(317, 14, '➡ Create Item Category Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(318, 14, '➡ Create Item Category Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(319, 14, '➡ Item Category Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(320, 14, 'Item List Menu', 'item-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(321, 14, '➡ Create Item List Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(322, 14, '➡ Item List Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(323, 14, '➡ Item List Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(324, 14, 'Item Store Menu', 'item-store', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(325, 14, '➡ Create Item Store Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(326, 14, '➡ Item Store Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(327, 14, '➡ Item Store Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(328, 14, 'Supplier Menu', 'suppliers', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(329, 14, '➡ Create Supplier Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(330, 14, '➡ Supplier Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(331, 14, '➡ Supplier Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(332, 14, 'Item Receive Menu', 'item-receive', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(333, 14, '➡ Create Item Receive Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(334, 14, 'Item Receive List Menu', 'item-receive-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(335, 14, '➡ Create Item Receive List Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(336, 14, '➡ Item Receive List Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(337, 14, '➡ Item Receive List View', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(338, 14, '➡ Item Receive List Cancel', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(339, 14, 'Item Sell Menu', 'item-sell-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(340, 14, '➡ Create Item Sell Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(341, 14, '➡ Item Sell Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(342, 14, '➡ Item Sell Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(343, 14, '➡ Add Payment', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(344, 14, '➡ View Payment', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(345, 14, 'Item Issue Menu', 'item-issue', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(346, 14, '➡ Create Item Issue Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(347, 14, '➡ Item Issue Return', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(348, 15, 'Transport Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(349, 15, 'Routes Menu', 'transport-route', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(350, 15, '➡ Create Routes Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(351, 15, '➡ Create Routes Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(352, 15, '➡ Create Routes Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(353, 15, 'Vehicle Menu', 'vehicle', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(354, 15, '➡ Create Vehicle Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(355, 15, '➡ Create Vehicle Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(356, 15, '➡ Create Vehicle Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(357, 15, 'Assign Vehicle Menu', 'assign-vehicle', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(358, 15, '➡ Create Assign Vehicle Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(359, 15, '➡ Create Assign Vehicle Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(360, 15, '➡ Create Assign Vehicle Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(361, 15, 'Student Transport Report Menu', 'student-transport-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(362, 16, 'Dormitory Menu', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(363, 16, 'Dormitory Rooms Menu', 'room-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(364, 16, '➡ Create Dormitory Rooms Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(365, 16, '➡ Create Dormitory Rooms Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(366, 16, '➡ Create Dormitory Rooms Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(367, 16, 'Dormitory Menu', 'dormitory-list', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(368, 16, '➡ Create Dormitory Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(369, 16, '➡ Create Dormitory Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(370, 16, '➡ Create Dormitory Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(371, 16, 'Room Type Menu', 'room-type', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(372, 16, '➡ Create Room Type Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(373, 16, '➡ Create Room Type Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(374, 16, '➡ Create Room Type Delete', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(375, 16, 'Student Dormitory Report Menu', 'student-dormitory-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(376, 17, 'Reports Menu', 'student-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(377, 17, 'Guardian Report Menu', 'guardian-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(378, 17, 'Student History Menu', 'student-history', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(379, 17, 'Student Login Report', 'student-login-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(380, 17, '➡ Student Login Report Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(381, 17, 'Fees Statement Menu', 'fees-statement', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(382, 17, 'Balance Fees Report Menu', 'balance-fees-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(383, 17, 'Transaction Report Menu', 'transaction-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(384, 17, 'Class Report Menu', 'class-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(385, 17, 'Class Routine Menu', 'class-routine-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(386, 17, 'Exam Routine Menu', 'exam-routine-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(387, 17, 'Teacher Class Routine Menu', 'teacher-class-routine-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(388, 17, 'Merit List Report Menu', 'merit-list-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(389, 17, 'Online Exam Report Menu', 'online-exam-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(390, 17, 'Mark Sheet Report Menu', 'mark-sheet-report-student', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(391, 17, 'Tabulation Sheet Report Menu', 'tabulation-sheet-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(392, 17, 'Progress Card Report Menu', 'progress-card-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(393, 17, 'Student Fine Report Menu', 'student-fine-report', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(394, 17, 'User Log Menu', 'user-log', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(395, 8, '➡ Apply Leave Add', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(396, 8, '➡ Apply Leave Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(397, 9, '➡ Exam Setup Edit', '', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22');

-- --------------------------------------------------------

--
-- Table structure for table `sm_module_permissions`
--

CREATE TABLE `sm_module_permissions` (
  `id` int(10) UNSIGNED NOT NULL,
  `dashboard_id` int(11) DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_module_permissions`
--

INSERT INTO `sm_module_permissions` (`id`, `dashboard_id`, `name`, `active_status`, `created_by`, `updated_by`, `school_id`, `created_at`, `updated_at`) VALUES
(1, 1, 'Dashboard', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(2, 1, 'Admin Section', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(3, 1, 'Student Information', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(4, 1, 'Teacher', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(5, 1, 'Fees Collection', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(6, 1, 'Accounts', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(7, 1, 'Human Resource', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(8, 1, 'Leave Application', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(9, 1, 'Examination', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(10, 1, 'Academics', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(11, 1, 'Homework', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(12, 1, 'Communicate', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(13, 1, 'Library', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(14, 1, 'Inventory', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(15, 1, 'Transport', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(16, 1, 'Dormitory', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(17, 1, 'Reports', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(18, 1, 'System Settings', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(19, 1, 'Style', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(20, 1, 'API Permission', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(21, 1, 'Front Settings', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(22, 2, 'My Profile', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(23, 2, 'Fees', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(24, 2, 'Class Routine', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(25, 2, 'Homework', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(26, 2, 'Download Center', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(27, 2, 'Attendance', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(28, 2, 'Examinations', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(29, 2, 'Online Exam', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(30, 2, 'Notice Board', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(31, 2, 'Subjects', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(32, 2, 'Teacher', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(33, 2, 'Library', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(34, 2, 'Transfort', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(35, 2, 'Dormitory', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(36, 3, 'My Children', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(37, 3, 'Fees', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(38, 3, 'Class Routine', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(39, 3, 'Homework', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(40, 3, 'Attendance', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(41, 3, 'Exam Result', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(42, 3, 'Notice Board', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(43, 3, 'Subjects', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(44, 3, 'Teacher', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(45, 3, 'Transfort', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22'),
(46, 3, 'Dormitory', 1, 1, 1, 1, '2019-07-24 20:21:21', '2019-07-24 22:24:22');

-- --------------------------------------------------------

--
-- Table structure for table `sm_module_permission_assigns`
--

CREATE TABLE `sm_module_permission_assigns` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `module_id` int(10) UNSIGNED DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_module_permission_assigns`
--

INSERT INTO `sm_module_permission_assigns` (`id`, `active_status`, `created_at`, `updated_at`, `module_id`, `role_id`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 1, 1, 1, 1, 1),
(2, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 2, 1, 1, 1, 1),
(3, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 3, 1, 1, 1, 1),
(4, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 4, 1, 1, 1, 1),
(5, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 5, 1, 1, 1, 1),
(6, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 6, 1, 1, 1, 1),
(7, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 7, 1, 1, 1, 1),
(8, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 8, 1, 1, 1, 1),
(9, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 9, 1, 1, 1, 1),
(10, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 10, 1, 1, 1, 1),
(11, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 11, 1, 1, 1, 1),
(12, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 12, 1, 1, 1, 1),
(13, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 13, 1, 1, 1, 1),
(14, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 14, 1, 1, 1, 1),
(15, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 15, 1, 1, 1, 1),
(16, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 16, 1, 1, 1, 1),
(17, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 17, 1, 1, 1, 1),
(18, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 18, 1, 1, 1, 1),
(19, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 19, 1, 1, 1, 1),
(20, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 20, 1, 1, 1, 1),
(21, 1, '2019-11-18 02:14:09', '2019-11-18 02:14:09', 21, 1, 1, 1, 1),
(127, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 22, 2, 1, 1, 1),
(128, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 23, 2, 1, 1, 1),
(129, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 24, 2, 1, 1, 1),
(130, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 25, 2, 1, 1, 1),
(131, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 26, 2, 1, 1, 1),
(132, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 27, 2, 1, 1, 1),
(133, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 28, 2, 1, 1, 1),
(134, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 29, 2, 1, 1, 1),
(135, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 30, 2, 1, 1, 1),
(136, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 31, 2, 1, 1, 1),
(137, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 32, 2, 1, 1, 1),
(138, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 33, 2, 1, 1, 1),
(139, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 34, 2, 1, 1, 1),
(140, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 35, 2, 1, 1, 1),
(141, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 36, 3, 1, 1, 1),
(142, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 37, 3, 1, 1, 1),
(143, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 38, 3, 1, 1, 1),
(144, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 39, 3, 1, 1, 1),
(145, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 40, 3, 1, 1, 1),
(146, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 41, 3, 1, 1, 1),
(147, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 42, 3, 1, 1, 1),
(148, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 43, 3, 1, 1, 1),
(149, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 44, 3, 1, 1, 1),
(150, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 45, 3, 1, 1, 1),
(151, 1, '2019-11-18 02:14:10', '2019-11-18 02:14:10', 46, 3, 1, 1, 1),
(167, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 2, 5, 1, 1, 1),
(168, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 3, 5, 1, 1, 1),
(169, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 4, 5, 1, 1, 1),
(170, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 5, 5, 1, 1, 1),
(171, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 6, 5, 1, 1, 1),
(172, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 7, 5, 1, 1, 1),
(173, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 8, 5, 1, 1, 1),
(174, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 9, 5, 1, 1, 1),
(175, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 10, 5, 1, 1, 1),
(176, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 11, 5, 1, 1, 1),
(177, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 12, 5, 1, 1, 1),
(178, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 13, 5, 1, 1, 1),
(179, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 14, 5, 1, 1, 1),
(180, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 15, 5, 1, 1, 1),
(181, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 16, 5, 1, 1, 1),
(182, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 17, 5, 1, 1, 1),
(183, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 19, 5, 1, 1, 1),
(184, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 20, 5, 1, 1, 1),
(185, 1, '2019-12-03 04:55:49', '2019-12-03 04:55:49', 21, 5, 1, 1, 1),
(197, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 3, 4, 1, 1, 1),
(198, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 4, 4, 1, 1, 1),
(199, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 8, 4, 1, 1, 1),
(200, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 9, 4, 1, 1, 1),
(201, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 10, 4, 1, 1, 1),
(202, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 11, 4, 1, 1, 1),
(203, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 17, 4, 1, 1, 1),
(204, 1, '2019-12-03 05:14:06', '2019-12-03 05:14:06', 19, 4, 1, 1, 1),
(205, 1, '2019-12-03 05:16:38', '2019-12-03 05:16:38', 3, 6, 1, 1, 1),
(206, 1, '2019-12-03 05:16:38', '2019-12-03 05:16:38', 5, 6, 1, 1, 1),
(207, 1, '2019-12-03 05:16:38', '2019-12-03 05:16:38', 6, 6, 1, 1, 1),
(208, 1, '2019-12-03 05:16:38', '2019-12-03 05:16:38', 7, 6, 1, 1, 1),
(209, 1, '2019-12-03 05:16:38', '2019-12-03 05:16:38', 14, 6, 1, 1, 1),
(210, 1, '2019-12-03 05:16:38', '2019-12-03 05:16:38', 17, 6, 1, 1, 1),
(211, 1, '2019-12-03 05:17:09', '2019-12-03 05:17:09', 2, 7, 1, 1, 1),
(212, 1, '2019-12-03 05:17:09', '2019-12-03 05:17:09', 3, 7, 1, 1, 1),
(213, 1, '2019-12-03 05:17:09', '2019-12-03 05:17:09', 7, 7, 1, 1, 1),
(214, 1, '2019-12-03 05:17:30', '2019-12-03 05:17:30', 3, 8, 1, 1, 1),
(215, 1, '2019-12-03 05:17:30', '2019-12-03 05:17:30', 7, 8, 1, 1, 1),
(216, 1, '2019-12-03 05:17:30', '2019-12-03 05:17:30', 13, 8, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_news`
--

CREATE TABLE `sm_news` (
  `id` int(10) UNSIGNED NOT NULL,
  `news_title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `view_count` int(11) DEFAULT NULL,
  `active_status` int(11) DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image_thumb` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `news_body` longtext COLLATE utf8mb4_unicode_ci,
  `publish_date` date DEFAULT NULL,
  `order` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `category_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_news`
--

INSERT INTO `sm_news` (`id`, `news_title`, `view_count`, `active_status`, `image`, `image_thumb`, `news_body`, `publish_date`, `order`, `created_at`, `updated_at`, `category_id`, `created_by`, `updated_by`, `school_id`, `academic_id`) VALUES
(1, 'Ut et ut nostrum ab atque.', 6, 1, 'public/uploads/news/news1.jpg', NULL, 'Cumque assumenda voluptas consequatur vel velit. Ut voluptatibus blanditiis quia commodi sed est doloribus quos. Et eius qui minus. Id aliquid enim dolores quas vero neque. Inventore est id dolor fugit qui sit facilis. Corrupti ipsa explicabo rem sequi in ex facere. Mollitia sed eos sed. Ab exercitationem debitis nihil sunt voluptatibus et consequatur. Adipisci quis ipsam nam aut tenetur. Ut quibusdam et dolor quo. Asperiores placeat magnam necessitatibus itaque nemo earum.', '2019-06-02', '1', '2021-04-20 05:46:42', NULL, 1, 1, 1, 1, 1),
(2, 'Delectus non a autem est ratione.', 2, 1, 'public/uploads/news/news2.jpg', NULL, 'Reprehenderit molestiae facilis voluptatum ut maiores. Incidunt ipsam est doloribus et eaque voluptatibus in. Repellat ut eveniet occaecati officia aut sint dolores. Eaque reprehenderit aut voluptas ratione. Fugit ducimus quod ex earum. Eos unde ut ad rerum veritatis fugiat. Perferendis dolorem sed ut cumque quia nobis. Sed inventore magni deserunt. Doloremque eveniet accusamus dolor commodi sequi repudiandae.', '2019-06-02', '2', '2021-04-20 05:46:42', NULL, 1, 1, 1, 1, 1),
(3, 'Quo suscipit sunt veniam.', 9, 1, 'public/uploads/news/news3.jpg', NULL, 'Facere voluptas aut voluptate fuga. Voluptatem dignissimos voluptas voluptatibus libero. At et earum eos vel minus sed vel. Delectus explicabo optio rem autem sint earum. Quo possimus ut impedit quia sit amet. Qui magni dolorem dolorum blanditiis alias rerum. Est temporibus eum laudantium id consequuntur. Quibusdam ut in ab expedita natus. Enim et saepe consequatur cupiditate sed aspernatur earum. Quaerat et cumque repellat inventore.', '2019-06-02', '3', '2021-04-20 05:46:42', NULL, 1, 1, 1, 1, 1),
(4, 'Odio aut beatae aut.', 4, 1, 'public/uploads/news/news4.jpg', NULL, 'Dolore soluta quo aspernatur dolor nostrum quaerat natus vero. Quis nostrum dolores rem quae quibusdam. Facere reiciendis ut provident magni. Odit molestiae vitae maxime cupiditate voluptas omnis. Neque excepturi mollitia odio reiciendis. Necessitatibus impedit dicta nihil tenetur vel debitis rerum at. Eos quae quo quasi saepe quidem eos. Qui iusto voluptas sint et consectetur odit.', '2019-06-02', '4', '2021-04-20 05:46:42', NULL, 1, 1, 1, 1, 1),
(5, 'Et iste repellat numquam ut quos.', 2, 1, 'public/uploads/news/news5.jpg', NULL, 'Soluta quas officia molestias quia itaque magnam. Placeat illo sed optio itaque sunt commodi. Quasi optio sed soluta reprehenderit voluptate ipsum tempore. Cumque quam debitis nesciunt. Est magnam velit nam voluptate dolores minus. Magni velit molestias officiis accusamus dignissimos omnis temporibus assumenda. Et quam tempora aperiam quas. Cum ut sit impedit magnam eaque possimus. Ipsa qui quia deserunt velit quisquam ipsa quo. Eum dolores similique quas.', '2019-06-02', '5', '2021-04-20 05:46:42', NULL, 2, 1, 1, 1, 1),
(6, 'At eum ut iste sed aperiam.', 6, 1, 'public/uploads/news/news6.jpg', NULL, 'Ut aut non sapiente repudiandae saepe dolorem aut reprehenderit. Voluptatem repudiandae in explicabo officia quos. Voluptatum molestiae odit voluptatem alias voluptas reiciendis eum. Eos nostrum et et aut non. Nihil aspernatur facere provident ex. Assumenda voluptatem accusamus dolor et deserunt excepturi voluptatem.', '2019-06-02', '6', '2021-04-20 05:46:42', NULL, 2, 1, 1, 1, 1),
(7, 'Ipsum quia doloremque numquam ut.', 6, 1, 'public/uploads/news/news7.jpg', NULL, 'Cum a hic ipsa aut. Consequatur eius corporis corporis. A in ex sint. Dignissimos nostrum quia ipsa qui facilis quia. Sed possimus cupiditate qui. Rem sed cumque sed consequuntur velit et. Animi voluptas dicta ut neque eos labore deleniti. Totam maiores eligendi autem sed. Nisi modi aut quia. Expedita consequatur id dolore magni optio repellat nihil quas. Id et quos voluptatem impedit. Ea porro odit expedita nulla eum distinctio fuga.', '2019-06-02', '7', '2021-04-20 05:46:42', NULL, 2, 1, 1, 1, 1),
(8, 'Optio incidunt quis aliquid labore qui.', 8, 1, 'public/uploads/news/news8.jpg', NULL, 'Deserunt ut aut quo sint quia. Rerum repellat magnam voluptate quis soluta suscipit facilis magnam. Neque saepe consectetur et natus. Illum voluptatibus quasi est quis dolores. Non accusantium animi repellat sapiente enim exercitationem nobis. Et ut consequatur ducimus delectus vel minus sit adipisci. Distinctio ipsa voluptatibus ullam et eos ad. Sit rerum sit est nihil consequatur autem vel.', '2019-06-02', '8', '2021-04-20 05:46:42', NULL, 2, 1, 1, 1, 1),
(9, 'Dolores consequuntur iure in quod.', 1, 1, 'public/uploads/news/news9.jpg', NULL, 'Quod natus vel at ut id non vitae. Voluptatem qui consequatur aliquam laborum facere. Nulla occaecati quaerat sed ducimus quia dolor. Non quae aut fuga fugit nemo. Non est repellat nesciunt vel illo. Nobis blanditiis ipsa alias delectus. Odit incidunt sint at deleniti fugiat veritatis reprehenderit. Ut dolorum odit ex earum enim atque. Ratione illum cupiditate quo. Asperiores quia aut similique possimus facere quia aut natus.', '2019-06-02', '9', '2021-04-20 05:46:42', NULL, 3, 1, 1, 1, 1),
(10, 'Cumque assumenda totam sit quam.', 3, 1, 'public/uploads/news/news10.jpg', NULL, 'Blanditiis quibusdam voluptatem voluptatibus accusantium neque. Ea molestiae omnis perferendis eum enim optio aliquam. Repellendus rem beatae atque totam qui. Optio nisi esse excepturi laudantium. Consequatur dignissimos ipsa voluptatem nihil. Et eos at illum quia et laborum. Aut incidunt accusantium velit libero sunt sit praesentium.', '2019-06-02', '10', '2021-04-20 05:46:42', NULL, 3, 1, 1, 1, 1),
(11, 'Nulla ab fuga qui fuga.', 1, 1, 'public/uploads/news/news11.jpg', NULL, 'Iste voluptatibus consequuntur officiis. Illum quidem sit nam consequatur ab facere iusto. A veritatis sunt commodi esse cupiditate nam. Culpa nesciunt assumenda id quod non. Cum a temporibus quasi quis natus repellendus id. Et culpa aperiam enim velit unde. Itaque aut aut quas sed. Rem officia adipisci totam rerum officia sequi.', '2019-06-02', '11', '2021-04-20 05:46:42', NULL, 3, 1, 1, 1, 1),
(12, 'Hic velit a quas odio enim rerum.', 9, 1, 'public/uploads/news/news12.jpg', NULL, 'Rem repellendus ut aut quia omnis doloremque. A voluptates itaque illum perferendis ut. Ad illum id sint sed. Eius sint pariatur quis facere quo maiores minima officia. Voluptates mollitia error quaerat sapiente laboriosam ipsam eligendi. Nobis iure numquam exercitationem et consequatur. Et labore sed minima. Cupiditate animi eius veniam ad. Voluptatem et totam ullam ea dicta atque.', '2019-06-02', '12', '2021-04-20 05:46:42', NULL, 3, 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_news_categories`
--

CREATE TABLE `sm_news_categories` (
  `id` int(10) UNSIGNED NOT NULL,
  `category_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` bigint(20) UNSIGNED NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_news_categories`
--

INSERT INTO `sm_news_categories` (`id`, `category_name`, `created_at`, `updated_at`, `school_id`) VALUES
(1, 'International', NULL, NULL, 1),
(2, 'Our history', NULL, NULL, 1),
(3, 'Our mission and vision', NULL, NULL, 1),
(4, 'National', NULL, NULL, 1),
(5, 'Sports', NULL, NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_news_pages`
--

CREATE TABLE `sm_news_pages` (
  `id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `main_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_description` text COLLATE utf8mb4_unicode_ci,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `main_image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `button_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_news_pages`
--

INSERT INTO `sm_news_pages` (`id`, `created_at`, `updated_at`, `title`, `description`, `main_title`, `main_description`, `image`, `main_image`, `button_text`, `button_url`, `active_status`, `created_by`, `updated_by`, `school_id`) VALUES
(1, NULL, NULL, 'News Infix', 'Lisus consequat sapien metus dis urna, facilisi. Nonummy rutrum eu lacinia platea a, ipsum parturient, orci tristique. Nisi diam natoque.', 'Under Graduate Education', 'INFIX has all in one place. You’ll find everything what you are looking into education management system software. We care! User will never bothered in our real eye catchy user friendly UI & UX  Interface design. You know! Smart Idea always comes to well planners. And Our INFIX is Smart for its Well Documentation. Explore in new support world! It’s now faster & quicker. You’ll find us on Support Ticket, Email, Skype, WhatsApp.', 'public/uploads/about_page/about.jpg', 'public/uploads/about_page/about-img.jpg', 'Learn More News ', 'news-page', 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_notice_boards`
--

CREATE TABLE `sm_notice_boards` (
  `id` int(10) UNSIGNED NOT NULL,
  `notice_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notice_message` text COLLATE utf8mb4_unicode_ci,
  `notice_date` date DEFAULT NULL,
  `publish_on` date DEFAULT NULL,
  `inform_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Notice message sent to these roles',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `is_published` int(11) DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_notifications`
--

CREATE TABLE `sm_notifications` (
  `id` int(10) UNSIGNED NOT NULL,
  `date` date DEFAULT NULL,
  `message` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_read` tinyint(4) NOT NULL DEFAULT '0',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT '1',
  `role_id` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `created_by` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `updated_by` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `school_id` int(10) UNSIGNED NOT NULL DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_online_exams`
--

CREATE TABLE `sm_online_exams` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `start_time` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `end_time` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `end_date_time` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` int(11) DEFAULT NULL,
  `instruction` text COLLATE utf8mb4_unicode_ci,
  `status` tinyint(4) DEFAULT NULL COMMENT '0 = Pending 1 Published',
  `is_taken` tinyint(4) DEFAULT '0',
  `is_closed` tinyint(4) DEFAULT '0',
  `is_waiting` tinyint(4) DEFAULT '0',
  `is_running` tinyint(4) DEFAULT '0',
  `auto_mark` tinyint(4) DEFAULT '0',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_online_exam_marks`
--

CREATE TABLE `sm_online_exam_marks` (
  `id` int(10) UNSIGNED NOT NULL,
  `marks` int(11) DEFAULT NULL,
  `abs` int(11) NOT NULL DEFAULT '0',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_online_exam_questions`
--

CREATE TABLE `sm_online_exam_questions` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mark` int(11) DEFAULT NULL,
  `title` text COLLATE utf8mb4_unicode_ci,
  `trueFalse` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'F = false, T = true ',
  `suitable_words` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `online_exam_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_online_exam_question_assigns`
--

CREATE TABLE `sm_online_exam_question_assigns` (
  `id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `online_exam_id` int(10) UNSIGNED DEFAULT NULL,
  `question_bank_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_online_exam_question_mu_options`
--

CREATE TABLE `sm_online_exam_question_mu_options` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL COMMENT '0 unchecked 1 checked',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `online_exam_question_id` int(10) UNSIGNED DEFAULT NULL COMMENT 'here we use foreign key shorter name',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_optional_subject_assigns`
--

CREATE TABLE `sm_optional_subject_assigns` (
  `id` int(10) UNSIGNED NOT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `session_id` int(10) UNSIGNED NOT NULL,
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_pages`
--

CREATE TABLE `sm_pages` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `header_image` text COLLATE utf8mb4_unicode_ci,
  `details` longtext COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `is_dynamic` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_pages`
--

INSERT INTO `sm_pages` (`id`, `title`, `sub_title`, `slug`, `header_image`, `details`, `active_status`, `is_dynamic`, `created_at`, `updated_at`) VALUES
(1, 'Home', NULL, '/', NULL, NULL, 1, 0, '2021-04-20 05:52:07', '2021-04-20 05:52:07'),
(2, 'About', NULL, '/about', NULL, NULL, 1, 0, '2021-04-20 05:52:07', '2021-04-20 05:52:07'),
(3, 'Course', NULL, '/course', NULL, NULL, 1, 0, '2021-04-20 05:52:07', '2021-04-20 05:52:07'),
(4, 'News', NULL, '/news-page', NULL, NULL, 1, 0, '2021-04-20 05:52:08', '2021-04-20 05:52:08'),
(5, 'Contact', NULL, '/contact', NULL, NULL, 1, 0, '2021-04-20 05:52:08', '2021-04-20 05:52:08');

-- --------------------------------------------------------

--
-- Table structure for table `sm_parents`
--

CREATE TABLE `sm_parents` (
  `id` int(10) UNSIGNED NOT NULL,
  `fathers_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fathers_mobile` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fathers_occupation` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fathers_photo` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mothers_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mothers_mobile` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mothers_occupation` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mothers_photo` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `relation` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_mobile` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_email` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_occupation` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_relation` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_photo` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardians_address` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_guardian` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_payment_gateway_settings`
--

CREATE TABLE `sm_payment_gateway_settings` (
  `id` int(10) UNSIGNED NOT NULL,
  `gateway_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_username` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_password` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_signature` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_client_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_mode` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_secret_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_secret_word` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_publisher_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gateway_private_key` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bank_details` text COLLATE utf8mb4_unicode_ci,
  `cheque_details` text COLLATE utf8mb4_unicode_ci,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_payment_gateway_settings`
--

INSERT INTO `sm_payment_gateway_settings` (`id`, `gateway_name`, `gateway_username`, `gateway_password`, `gateway_signature`, `gateway_client_id`, `gateway_mode`, `gateway_secret_key`, `gateway_secret_word`, `gateway_publisher_key`, `gateway_private_key`, `active_status`, `created_at`, `updated_at`, `bank_details`, `cheque_details`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'PayPal', 'demo@paypal.com', '12334589', NULL, 'AaCPtpoUHZEXCa3v006nbYhYfD0HIX-dlgYWlsb0fdoFqpVToATuUbT43VuUE6pAxgvSbPTspKBqAF0x', NULL, 'EJ6q4h8w0OanYO1WKtNbo9o8suDg6PKUkHNKv-T6F4APDiq2e19OZf7DfpL5uOlEzJ_AMgeE0L2PtTEj', NULL, NULL, NULL, 0, '2021-04-20 05:31:13', NULL, NULL, NULL, 1, 1, 1),
(2, 'Stripe', 'demo@strip.com', '12334589', NULL, '', NULL, 'AVZdghanegaOjiL6DPXd0XwjMGEQ2aXc58z1-isWmBFnw1h2j', 'AVZdghanegaOjiL6DPXd0XwjMGEQ2aXc58z1', NULL, NULL, 0, '2021-04-20 05:31:13', NULL, NULL, NULL, 1, 1, 1),
(3, 'Paystack', 'demo@gmail.com', '12334589', NULL, '', NULL, 'sk_live_2679322872013c265e161bc8ea11efc1e822bce1', NULL, 'pk_live_e5738ce9aade963387204f1f19bee599176e7a71', NULL, 0, '2021-04-20 05:31:13', NULL, NULL, NULL, 1, 1, 1),
(4, 'Bank', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2021-04-20 05:31:13', NULL, NULL, NULL, 1, 1, 1),
(5, 'Cheque', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2021-04-20 05:31:13', NULL, NULL, NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_payment_methhods`
--

CREATE TABLE `sm_payment_methhods` (
  `id` int(10) UNSIGNED NOT NULL,
  `method` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `gateway_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_payment_methhods`
--

INSERT INTO `sm_payment_methhods` (`id`, `method`, `type`, `active_status`, `created_at`, `updated_at`, `gateway_id`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'Cash', 'System', 1, '2021-04-20 05:31:16', NULL, NULL, 1, 1, 1),
(2, 'Cheque', 'System', 1, '2021-04-20 05:31:16', NULL, NULL, 1, 1, 1),
(3, 'Bank', 'System', 1, '2021-04-20 05:31:16', NULL, NULL, 1, 1, 1),
(4, 'Paypal', 'System', 1, '2021-04-20 05:31:16', NULL, NULL, 1, 1, 1),
(5, 'Stripe', 'System', 1, '2021-04-20 05:31:16', NULL, NULL, 1, 1, 1),
(6, 'Paystack', 'System', 1, '2021-04-20 05:31:16', NULL, NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_phone_call_logs`
--

CREATE TABLE `sm_phone_call_logs` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `next_follow_up_date` date DEFAULT NULL,
  `call_duration` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `call_type` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_postal_dispatches`
--

CREATE TABLE `sm_postal_dispatches` (
  `id` int(10) UNSIGNED NOT NULL,
  `to_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `from_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_postal_receives`
--

CREATE TABLE `sm_postal_receives` (
  `id` int(10) UNSIGNED NOT NULL,
  `from_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `to_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_product_purchases`
--

CREATE TABLE `sm_product_purchases` (
  `id` int(10) UNSIGNED NOT NULL,
  `purchase_date` date NOT NULL,
  `expaire_date` date NOT NULL,
  `price` double(10,2) DEFAULT NULL,
  `paid_amount` double(10,2) DEFAULT NULL,
  `due_amount` double(10,2) DEFAULT NULL,
  `package` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `staff_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_question_banks`
--

CREATE TABLE `sm_question_banks` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` varchar(2) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'M for multi ans, T for trueFalse, F for fill in the blanks',
  `question` text COLLATE utf8mb4_unicode_ci,
  `marks` int(11) DEFAULT NULL,
  `trueFalse` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'F = false, T = true ',
  `suitable_words` text COLLATE utf8mb4_unicode_ci,
  `number_of_option` varchar(2) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `q_group_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_question_bank_mu_options`
--

CREATE TABLE `sm_question_bank_mu_options` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL COMMENT '0 = false, 1 = correct',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `question_bank_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_question_groups`
--

CREATE TABLE `sm_question_groups` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_question_levels`
--

CREATE TABLE `sm_question_levels` (
  `id` int(10) UNSIGNED NOT NULL,
  `level` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_result_stores`
--

CREATE TABLE `sm_result_stores` (
  `id` int(10) UNSIGNED NOT NULL,
  `student_roll_no` int(11) NOT NULL DEFAULT '1',
  `student_addmission_no` int(11) NOT NULL DEFAULT '1',
  `is_absent` int(11) NOT NULL DEFAULT '0' COMMENT '1=Absent, 0=Present',
  `total_marks` double(8,2) NOT NULL DEFAULT '0.00',
  `total_gpa_point` double(8,2) DEFAULT NULL,
  `total_gpa_grade` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT '0',
  `teacher_remarks` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_type_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `exam_setup_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_role_permissions`
--

CREATE TABLE `sm_role_permissions` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `module_link_id` int(10) UNSIGNED DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_role_permissions`
--

INSERT INTO `sm_role_permissions` (`id`, `active_status`, `created_at`, `updated_at`, `module_link_id`, `role_id`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 1, 1, 1, 1, 1),
(2, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 2, 1, 1, 1, 1),
(3, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 3, 1, 1, 1, 1),
(4, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 4, 1, 1, 1, 1),
(5, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 5, 1, 1, 1, 1),
(6, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 6, 1, 1, 1, 1),
(7, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 7, 1, 1, 1, 1),
(8, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 8, 1, 1, 1, 1),
(9, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 9, 1, 1, 1, 1),
(10, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 10, 1, 1, 1, 1),
(11, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 11, 1, 1, 1, 1),
(12, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 12, 1, 1, 1, 1),
(13, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 13, 1, 1, 1, 1),
(14, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 14, 1, 1, 1, 1),
(15, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 15, 1, 1, 1, 1),
(16, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 16, 1, 1, 1, 1),
(17, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 17, 1, 1, 1, 1),
(18, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 18, 1, 1, 1, 1),
(19, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 19, 1, 1, 1, 1),
(20, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 20, 1, 1, 1, 1),
(21, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 21, 1, 1, 1, 1),
(22, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 22, 1, 1, 1, 1),
(23, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 23, 1, 1, 1, 1),
(24, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 24, 1, 1, 1, 1),
(25, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 25, 1, 1, 1, 1),
(26, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 26, 1, 1, 1, 1),
(27, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 27, 1, 1, 1, 1),
(28, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 28, 1, 1, 1, 1),
(29, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 29, 1, 1, 1, 1),
(30, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 30, 1, 1, 1, 1),
(31, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 31, 1, 1, 1, 1),
(32, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 32, 1, 1, 1, 1),
(33, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 33, 1, 1, 1, 1),
(34, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 34, 1, 1, 1, 1),
(35, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 35, 1, 1, 1, 1),
(36, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 36, 1, 1, 1, 1),
(37, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 37, 1, 1, 1, 1),
(38, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 38, 1, 1, 1, 1),
(39, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 39, 1, 1, 1, 1),
(40, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 40, 1, 1, 1, 1),
(41, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 41, 1, 1, 1, 1),
(42, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 42, 1, 1, 1, 1),
(43, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 43, 1, 1, 1, 1),
(44, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 44, 1, 1, 1, 1),
(45, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 45, 1, 1, 1, 1),
(46, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 46, 1, 1, 1, 1),
(47, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 47, 1, 1, 1, 1),
(48, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 48, 1, 1, 1, 1),
(49, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 49, 1, 1, 1, 1),
(50, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 50, 1, 1, 1, 1),
(51, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 51, 1, 1, 1, 1),
(52, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 52, 1, 1, 1, 1),
(53, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 53, 1, 1, 1, 1),
(54, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 54, 1, 1, 1, 1),
(55, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 55, 1, 1, 1, 1),
(56, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 56, 1, 1, 1, 1),
(57, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 57, 1, 1, 1, 1),
(58, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 58, 1, 1, 1, 1),
(59, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 59, 1, 1, 1, 1),
(60, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 60, 1, 1, 1, 1),
(61, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 61, 1, 1, 1, 1),
(62, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 62, 1, 1, 1, 1),
(63, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 63, 1, 1, 1, 1),
(64, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 64, 1, 1, 1, 1),
(65, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 65, 1, 1, 1, 1),
(66, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 66, 1, 1, 1, 1),
(67, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 67, 1, 1, 1, 1),
(68, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 68, 1, 1, 1, 1),
(69, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 69, 1, 1, 1, 1),
(70, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 70, 1, 1, 1, 1),
(71, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 71, 1, 1, 1, 1),
(72, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 72, 1, 1, 1, 1),
(73, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 73, 1, 1, 1, 1),
(74, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 74, 1, 1, 1, 1),
(75, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 75, 1, 1, 1, 1),
(76, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 76, 1, 1, 1, 1),
(77, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 77, 1, 1, 1, 1),
(78, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 79, 1, 1, 1, 1),
(79, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 80, 1, 1, 1, 1),
(80, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 81, 1, 1, 1, 1),
(81, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 82, 1, 1, 1, 1),
(82, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 83, 1, 1, 1, 1),
(83, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 84, 1, 1, 1, 1),
(84, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 85, 1, 1, 1, 1),
(85, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 86, 1, 1, 1, 1),
(86, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 87, 1, 1, 1, 1),
(87, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 88, 1, 1, 1, 1),
(88, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 89, 1, 1, 1, 1),
(89, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 90, 1, 1, 1, 1),
(90, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 91, 1, 1, 1, 1),
(91, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 92, 1, 1, 1, 1),
(92, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 93, 1, 1, 1, 1),
(93, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 94, 1, 1, 1, 1),
(94, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 95, 1, 1, 1, 1),
(95, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 96, 1, 1, 1, 1),
(96, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 97, 1, 1, 1, 1),
(97, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 98, 1, 1, 1, 1),
(98, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 99, 1, 1, 1, 1),
(99, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 100, 1, 1, 1, 1),
(100, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 101, 1, 1, 1, 1),
(101, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 102, 1, 1, 1, 1),
(102, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 103, 1, 1, 1, 1),
(103, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 104, 1, 1, 1, 1),
(104, 1, '2019-11-18 02:13:45', '2019-11-18 02:13:45', 105, 1, 1, 1, 1),
(105, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 106, 1, 1, 1, 1),
(106, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 107, 1, 1, 1, 1),
(107, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 108, 1, 1, 1, 1),
(108, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 109, 1, 1, 1, 1),
(109, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 110, 1, 1, 1, 1),
(110, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 111, 1, 1, 1, 1),
(111, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 112, 1, 1, 1, 1),
(112, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 113, 1, 1, 1, 1),
(113, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 114, 1, 1, 1, 1),
(114, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 115, 1, 1, 1, 1),
(115, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 116, 1, 1, 1, 1),
(116, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 117, 1, 1, 1, 1),
(117, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 118, 1, 1, 1, 1),
(118, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 119, 1, 1, 1, 1),
(119, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 120, 1, 1, 1, 1),
(120, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 121, 1, 1, 1, 1),
(121, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 122, 1, 1, 1, 1),
(122, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 123, 1, 1, 1, 1),
(123, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 124, 1, 1, 1, 1),
(124, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 125, 1, 1, 1, 1),
(125, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 126, 1, 1, 1, 1),
(126, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 127, 1, 1, 1, 1),
(127, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 128, 1, 1, 1, 1),
(128, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 129, 1, 1, 1, 1),
(129, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 130, 1, 1, 1, 1),
(130, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 131, 1, 1, 1, 1),
(131, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 132, 1, 1, 1, 1),
(132, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 133, 1, 1, 1, 1),
(133, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 134, 1, 1, 1, 1),
(134, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 135, 1, 1, 1, 1),
(135, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 136, 1, 1, 1, 1),
(136, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 137, 1, 1, 1, 1),
(137, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 138, 1, 1, 1, 1),
(138, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 139, 1, 1, 1, 1),
(139, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 140, 1, 1, 1, 1),
(140, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 141, 1, 1, 1, 1),
(141, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 142, 1, 1, 1, 1),
(142, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 143, 1, 1, 1, 1),
(143, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 144, 1, 1, 1, 1),
(144, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 145, 1, 1, 1, 1),
(145, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 146, 1, 1, 1, 1),
(146, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 147, 1, 1, 1, 1),
(147, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 148, 1, 1, 1, 1),
(148, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 149, 1, 1, 1, 1),
(149, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 150, 1, 1, 1, 1),
(150, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 151, 1, 1, 1, 1),
(151, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 152, 1, 1, 1, 1),
(152, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 153, 1, 1, 1, 1),
(153, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 154, 1, 1, 1, 1),
(154, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 155, 1, 1, 1, 1),
(155, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 156, 1, 1, 1, 1),
(156, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 157, 1, 1, 1, 1),
(157, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 158, 1, 1, 1, 1),
(158, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 159, 1, 1, 1, 1),
(159, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 160, 1, 1, 1, 1),
(160, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 161, 1, 1, 1, 1),
(161, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 162, 1, 1, 1, 1),
(162, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 163, 1, 1, 1, 1),
(163, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 164, 1, 1, 1, 1),
(164, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 165, 1, 1, 1, 1),
(165, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 166, 1, 1, 1, 1),
(166, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 167, 1, 1, 1, 1),
(167, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 168, 1, 1, 1, 1),
(168, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 169, 1, 1, 1, 1),
(169, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 170, 1, 1, 1, 1),
(170, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 171, 1, 1, 1, 1),
(171, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 172, 1, 1, 1, 1),
(172, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 173, 1, 1, 1, 1),
(173, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 174, 1, 1, 1, 1),
(174, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 175, 1, 1, 1, 1),
(175, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 176, 1, 1, 1, 1),
(176, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 177, 1, 1, 1, 1),
(177, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 178, 1, 1, 1, 1),
(178, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 179, 1, 1, 1, 1),
(179, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 180, 1, 1, 1, 1),
(180, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 181, 1, 1, 1, 1),
(181, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 182, 1, 1, 1, 1),
(182, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 183, 1, 1, 1, 1),
(183, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 184, 1, 1, 1, 1),
(184, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 185, 1, 1, 1, 1),
(185, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 186, 1, 1, 1, 1),
(186, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 187, 1, 1, 1, 1),
(187, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 188, 1, 1, 1, 1),
(188, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 189, 1, 1, 1, 1),
(189, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 190, 1, 1, 1, 1),
(190, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 191, 1, 1, 1, 1),
(191, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 192, 1, 1, 1, 1),
(192, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 193, 1, 1, 1, 1),
(193, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 194, 1, 1, 1, 1),
(194, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 195, 1, 1, 1, 1),
(195, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 196, 1, 1, 1, 1),
(196, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 197, 1, 1, 1, 1),
(197, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 198, 1, 1, 1, 1),
(198, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 199, 1, 1, 1, 1),
(199, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 200, 1, 1, 1, 1),
(200, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 201, 1, 1, 1, 1),
(201, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 202, 1, 1, 1, 1),
(202, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 203, 1, 1, 1, 1),
(203, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 204, 1, 1, 1, 1),
(204, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 205, 1, 1, 1, 1),
(205, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 206, 1, 1, 1, 1),
(206, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 207, 1, 1, 1, 1),
(207, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 208, 1, 1, 1, 1),
(208, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 209, 1, 1, 1, 1),
(209, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 210, 1, 1, 1, 1),
(210, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 211, 1, 1, 1, 1),
(211, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 214, 1, 1, 1, 1),
(212, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 215, 1, 1, 1, 1),
(213, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 216, 1, 1, 1, 1),
(214, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 217, 1, 1, 1, 1),
(215, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 218, 1, 1, 1, 1),
(216, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 219, 1, 1, 1, 1),
(217, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 220, 1, 1, 1, 1),
(218, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 221, 1, 1, 1, 1),
(219, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 222, 1, 1, 1, 1),
(220, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 223, 1, 1, 1, 1),
(221, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 224, 1, 1, 1, 1),
(222, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 225, 1, 1, 1, 1),
(223, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 226, 1, 1, 1, 1),
(224, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 227, 1, 1, 1, 1),
(225, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 228, 1, 1, 1, 1),
(226, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 229, 1, 1, 1, 1),
(227, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 230, 1, 1, 1, 1),
(228, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 231, 1, 1, 1, 1),
(229, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 232, 1, 1, 1, 1),
(230, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 233, 1, 1, 1, 1),
(231, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 234, 1, 1, 1, 1),
(232, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 235, 1, 1, 1, 1),
(233, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 236, 1, 1, 1, 1),
(234, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 237, 1, 1, 1, 1),
(235, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 238, 1, 1, 1, 1),
(236, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 239, 1, 1, 1, 1),
(237, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 240, 1, 1, 1, 1),
(238, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 241, 1, 1, 1, 1),
(239, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 242, 1, 1, 1, 1),
(240, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 243, 1, 1, 1, 1),
(241, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 244, 1, 1, 1, 1),
(242, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 245, 1, 1, 1, 1),
(243, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 246, 1, 1, 1, 1),
(244, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 247, 1, 1, 1, 1),
(245, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 248, 1, 1, 1, 1),
(246, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 249, 1, 1, 1, 1),
(247, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 250, 1, 1, 1, 1),
(248, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 251, 1, 1, 1, 1),
(249, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 252, 1, 1, 1, 1),
(250, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 253, 1, 1, 1, 1),
(251, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 254, 1, 1, 1, 1),
(252, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 255, 1, 1, 1, 1),
(253, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 256, 1, 1, 1, 1),
(254, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 257, 1, 1, 1, 1),
(255, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 258, 1, 1, 1, 1),
(256, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 259, 1, 1, 1, 1),
(257, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 260, 1, 1, 1, 1),
(258, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 261, 1, 1, 1, 1),
(259, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 262, 1, 1, 1, 1),
(260, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 263, 1, 1, 1, 1),
(261, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 264, 1, 1, 1, 1),
(262, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 265, 1, 1, 1, 1),
(263, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 266, 1, 1, 1, 1),
(264, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 267, 1, 1, 1, 1),
(265, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 268, 1, 1, 1, 1),
(266, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 269, 1, 1, 1, 1),
(267, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 270, 1, 1, 1, 1),
(268, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 271, 1, 1, 1, 1),
(269, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 272, 1, 1, 1, 1),
(270, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 273, 1, 1, 1, 1),
(271, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 274, 1, 1, 1, 1),
(272, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 275, 1, 1, 1, 1),
(273, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 276, 1, 1, 1, 1),
(274, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 277, 1, 1, 1, 1),
(275, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 278, 1, 1, 1, 1),
(276, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 279, 1, 1, 1, 1),
(277, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 280, 1, 1, 1, 1),
(278, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 281, 1, 1, 1, 1),
(279, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 282, 1, 1, 1, 1),
(280, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 283, 1, 1, 1, 1),
(281, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 284, 1, 1, 1, 1),
(282, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 285, 1, 1, 1, 1),
(283, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 286, 1, 1, 1, 1),
(284, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 287, 1, 1, 1, 1),
(285, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 288, 1, 1, 1, 1),
(286, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 289, 1, 1, 1, 1),
(287, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 290, 1, 1, 1, 1),
(288, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 291, 1, 1, 1, 1),
(289, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 292, 1, 1, 1, 1),
(290, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 293, 1, 1, 1, 1),
(291, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 294, 1, 1, 1, 1),
(292, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 295, 1, 1, 1, 1),
(293, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 296, 1, 1, 1, 1),
(294, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 297, 1, 1, 1, 1),
(295, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 298, 1, 1, 1, 1),
(296, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 299, 1, 1, 1, 1),
(297, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 300, 1, 1, 1, 1),
(298, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 301, 1, 1, 1, 1),
(299, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 302, 1, 1, 1, 1),
(300, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 303, 1, 1, 1, 1),
(301, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 304, 1, 1, 1, 1),
(302, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 305, 1, 1, 1, 1),
(303, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 306, 1, 1, 1, 1),
(304, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 307, 1, 1, 1, 1),
(305, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 308, 1, 1, 1, 1),
(306, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 309, 1, 1, 1, 1),
(307, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 310, 1, 1, 1, 1),
(308, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 311, 1, 1, 1, 1),
(309, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 312, 1, 1, 1, 1),
(310, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 313, 1, 1, 1, 1),
(311, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 314, 1, 1, 1, 1),
(312, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 315, 1, 1, 1, 1),
(313, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 316, 1, 1, 1, 1),
(314, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 317, 1, 1, 1, 1),
(315, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 318, 1, 1, 1, 1),
(316, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 319, 1, 1, 1, 1),
(317, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 320, 1, 1, 1, 1),
(318, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 321, 1, 1, 1, 1),
(319, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 322, 1, 1, 1, 1),
(320, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 323, 1, 1, 1, 1),
(321, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 324, 1, 1, 1, 1),
(322, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 325, 1, 1, 1, 1),
(323, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 326, 1, 1, 1, 1),
(324, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 327, 1, 1, 1, 1),
(325, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 328, 1, 1, 1, 1),
(326, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 329, 1, 1, 1, 1),
(327, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 330, 1, 1, 1, 1),
(328, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 331, 1, 1, 1, 1),
(329, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 332, 1, 1, 1, 1),
(330, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 333, 1, 1, 1, 1),
(331, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 334, 1, 1, 1, 1),
(332, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 335, 1, 1, 1, 1),
(333, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 336, 1, 1, 1, 1),
(334, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 337, 1, 1, 1, 1),
(335, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 338, 1, 1, 1, 1),
(336, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 339, 1, 1, 1, 1),
(337, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 340, 1, 1, 1, 1),
(338, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 341, 1, 1, 1, 1),
(339, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 342, 1, 1, 1, 1),
(340, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 343, 1, 1, 1, 1),
(341, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 344, 1, 1, 1, 1),
(342, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 345, 1, 1, 1, 1),
(343, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 346, 1, 1, 1, 1),
(344, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 347, 1, 1, 1, 1),
(345, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 348, 1, 1, 1, 1),
(346, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 349, 1, 1, 1, 1),
(347, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 350, 1, 1, 1, 1),
(348, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 351, 1, 1, 1, 1),
(349, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 352, 1, 1, 1, 1),
(350, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 353, 1, 1, 1, 1),
(351, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 354, 1, 1, 1, 1),
(352, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 355, 1, 1, 1, 1),
(353, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 356, 1, 1, 1, 1),
(354, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 357, 1, 1, 1, 1),
(355, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 358, 1, 1, 1, 1),
(356, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 359, 1, 1, 1, 1),
(357, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 360, 1, 1, 1, 1),
(358, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 361, 1, 1, 1, 1),
(359, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 362, 1, 1, 1, 1),
(360, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 363, 1, 1, 1, 1),
(361, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 364, 1, 1, 1, 1),
(362, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 365, 1, 1, 1, 1),
(363, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 366, 1, 1, 1, 1),
(364, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 367, 1, 1, 1, 1),
(365, 1, '2019-11-18 02:13:46', '2019-11-18 02:13:46', 368, 1, 1, 1, 1),
(366, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 369, 1, 1, 1, 1),
(367, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 370, 1, 1, 1, 1),
(368, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 371, 1, 1, 1, 1),
(369, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 372, 1, 1, 1, 1),
(370, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 373, 1, 1, 1, 1),
(371, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 374, 1, 1, 1, 1),
(372, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 375, 1, 1, 1, 1),
(373, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 376, 1, 1, 1, 1),
(374, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 377, 1, 1, 1, 1),
(375, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 378, 1, 1, 1, 1),
(376, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 379, 1, 1, 1, 1),
(377, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 380, 1, 1, 1, 1),
(378, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 381, 1, 1, 1, 1),
(379, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 382, 1, 1, 1, 1),
(380, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 383, 1, 1, 1, 1),
(381, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 384, 1, 1, 1, 1),
(382, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 385, 1, 1, 1, 1),
(383, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 386, 1, 1, 1, 1),
(384, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 387, 1, 1, 1, 1),
(385, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 388, 1, 1, 1, 1),
(386, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 389, 1, 1, 1, 1),
(387, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 390, 1, 1, 1, 1),
(388, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 391, 1, 1, 1, 1),
(389, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 392, 1, 1, 1, 1),
(390, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 393, 1, 1, 1, 1),
(391, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 394, 1, 1, 1, 1),
(392, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 395, 1, 1, 1, 1),
(393, 1, '2019-11-18 02:13:47', '2019-11-18 02:13:47', 396, 1, 1, 1, 1),
(787, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 1, 5, 1, 1, 1),
(788, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 2, 5, 1, 1, 1),
(789, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 3, 5, 1, 1, 1),
(790, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 4, 5, 1, 1, 1),
(791, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 5, 5, 1, 1, 1),
(792, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 6, 5, 1, 1, 1),
(793, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 7, 5, 1, 1, 1),
(794, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 8, 5, 1, 1, 1),
(795, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 9, 5, 1, 1, 1),
(796, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 10, 5, 1, 1, 1),
(797, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 11, 5, 1, 1, 1),
(798, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 12, 5, 1, 1, 1),
(799, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 13, 5, 1, 1, 1),
(800, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 14, 5, 1, 1, 1),
(801, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 15, 5, 1, 1, 1),
(802, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 16, 5, 1, 1, 1),
(803, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 17, 5, 1, 1, 1),
(804, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 18, 5, 1, 1, 1),
(805, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 19, 5, 1, 1, 1),
(806, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 20, 5, 1, 1, 1),
(807, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 21, 5, 1, 1, 1),
(808, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 22, 5, 1, 1, 1),
(809, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 23, 5, 1, 1, 1),
(810, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 24, 5, 1, 1, 1),
(811, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 25, 5, 1, 1, 1),
(812, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 26, 5, 1, 1, 1),
(813, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 27, 5, 1, 1, 1),
(814, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 28, 5, 1, 1, 1),
(815, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 29, 5, 1, 1, 1),
(816, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 30, 5, 1, 1, 1),
(817, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 31, 5, 1, 1, 1),
(818, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 32, 5, 1, 1, 1),
(819, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 33, 5, 1, 1, 1),
(820, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 34, 5, 1, 1, 1),
(821, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 35, 5, 1, 1, 1),
(822, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 36, 5, 1, 1, 1),
(823, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 37, 5, 1, 1, 1),
(824, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 38, 5, 1, 1, 1),
(825, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 39, 5, 1, 1, 1),
(826, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 40, 5, 1, 1, 1),
(827, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 41, 5, 1, 1, 1),
(828, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 42, 5, 1, 1, 1),
(829, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 43, 5, 1, 1, 1),
(830, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 44, 5, 1, 1, 1),
(831, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 45, 5, 1, 1, 1),
(832, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 46, 5, 1, 1, 1),
(833, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 47, 5, 1, 1, 1),
(834, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 48, 5, 1, 1, 1),
(835, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 49, 5, 1, 1, 1),
(836, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 50, 5, 1, 1, 1),
(837, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 51, 5, 1, 1, 1),
(838, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 52, 5, 1, 1, 1),
(839, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 53, 5, 1, 1, 1),
(840, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 54, 5, 1, 1, 1),
(841, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 55, 5, 1, 1, 1),
(842, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 56, 5, 1, 1, 1),
(843, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 57, 5, 1, 1, 1),
(844, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 58, 5, 1, 1, 1),
(845, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 59, 5, 1, 1, 1),
(846, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 60, 5, 1, 1, 1),
(847, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 61, 5, 1, 1, 1),
(848, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 62, 5, 1, 1, 1),
(849, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 63, 5, 1, 1, 1),
(850, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 64, 5, 1, 1, 1),
(851, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 65, 5, 1, 1, 1),
(852, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 66, 5, 1, 1, 1),
(853, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 67, 5, 1, 1, 1),
(854, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 68, 5, 1, 1, 1),
(855, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 69, 5, 1, 1, 1),
(856, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 70, 5, 1, 1, 1),
(857, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 71, 5, 1, 1, 1),
(858, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 72, 5, 1, 1, 1),
(859, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 73, 5, 1, 1, 1),
(860, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 74, 5, 1, 1, 1),
(861, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 75, 5, 1, 1, 1),
(862, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 76, 5, 1, 1, 1),
(863, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 77, 5, 1, 1, 1),
(864, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 79, 5, 1, 1, 1),
(865, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 80, 5, 1, 1, 1),
(866, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 81, 5, 1, 1, 1),
(867, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 82, 5, 1, 1, 1),
(868, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 83, 5, 1, 1, 1),
(869, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 84, 5, 1, 1, 1),
(870, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 85, 5, 1, 1, 1),
(871, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 86, 5, 1, 1, 1),
(872, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 87, 5, 1, 1, 1),
(873, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 88, 5, 1, 1, 1),
(874, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 89, 5, 1, 1, 1),
(875, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 90, 5, 1, 1, 1),
(876, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 91, 5, 1, 1, 1),
(877, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 92, 5, 1, 1, 1),
(878, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 93, 5, 1, 1, 1),
(879, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 94, 5, 1, 1, 1),
(880, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 95, 5, 1, 1, 1),
(881, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 96, 5, 1, 1, 1),
(882, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 97, 5, 1, 1, 1),
(883, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 98, 5, 1, 1, 1),
(884, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 99, 5, 1, 1, 1),
(885, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 100, 5, 1, 1, 1),
(886, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 101, 5, 1, 1, 1),
(887, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 102, 5, 1, 1, 1),
(888, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 103, 5, 1, 1, 1),
(889, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 104, 5, 1, 1, 1),
(890, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 105, 5, 1, 1, 1),
(891, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 106, 5, 1, 1, 1),
(892, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 107, 5, 1, 1, 1),
(893, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 108, 5, 1, 1, 1),
(894, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 109, 5, 1, 1, 1),
(895, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 110, 5, 1, 1, 1),
(896, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 111, 5, 1, 1, 1),
(897, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 112, 5, 1, 1, 1),
(898, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 113, 5, 1, 1, 1),
(899, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 114, 5, 1, 1, 1),
(900, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 115, 5, 1, 1, 1),
(901, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 116, 5, 1, 1, 1),
(902, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 117, 5, 1, 1, 1),
(903, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 118, 5, 1, 1, 1),
(904, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 119, 5, 1, 1, 1),
(905, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 120, 5, 1, 1, 1),
(906, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 121, 5, 1, 1, 1),
(907, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 122, 5, 1, 1, 1),
(908, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 123, 5, 1, 1, 1),
(909, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 124, 5, 1, 1, 1),
(910, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 125, 5, 1, 1, 1),
(911, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 126, 5, 1, 1, 1),
(912, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 127, 5, 1, 1, 1),
(913, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 128, 5, 1, 1, 1),
(914, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 129, 5, 1, 1, 1),
(915, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 130, 5, 1, 1, 1),
(916, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 131, 5, 1, 1, 1),
(917, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 132, 5, 1, 1, 1),
(918, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 133, 5, 1, 1, 1),
(919, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 134, 5, 1, 1, 1),
(920, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 135, 5, 1, 1, 1),
(921, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 136, 5, 1, 1, 1),
(922, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 137, 5, 1, 1, 1),
(923, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 138, 5, 1, 1, 1),
(924, 1, '2019-11-18 02:13:48', '2019-11-18 02:13:48', 139, 5, 1, 1, 1),
(925, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 140, 5, 1, 1, 1),
(926, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 141, 5, 1, 1, 1),
(927, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 142, 5, 1, 1, 1),
(928, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 143, 5, 1, 1, 1),
(929, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 144, 5, 1, 1, 1),
(930, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 145, 5, 1, 1, 1),
(931, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 146, 5, 1, 1, 1),
(932, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 147, 5, 1, 1, 1),
(933, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 148, 5, 1, 1, 1),
(934, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 149, 5, 1, 1, 1),
(935, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 150, 5, 1, 1, 1),
(936, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 151, 5, 1, 1, 1),
(937, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 152, 5, 1, 1, 1),
(938, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 153, 5, 1, 1, 1),
(939, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 154, 5, 1, 1, 1),
(940, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 155, 5, 1, 1, 1),
(941, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 156, 5, 1, 1, 1),
(942, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 157, 5, 1, 1, 1),
(943, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 158, 5, 1, 1, 1),
(944, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 159, 5, 1, 1, 1),
(945, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 160, 5, 1, 1, 1),
(946, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 161, 5, 1, 1, 1),
(947, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 162, 5, 1, 1, 1),
(948, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 163, 5, 1, 1, 1),
(949, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 164, 5, 1, 1, 1),
(950, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 165, 5, 1, 1, 1),
(951, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 166, 5, 1, 1, 1),
(952, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 167, 5, 1, 1, 1),
(953, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 168, 5, 1, 1, 1),
(954, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 169, 5, 1, 1, 1),
(955, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 170, 5, 1, 1, 1),
(956, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 171, 5, 1, 1, 1),
(957, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 172, 5, 1, 1, 1),
(958, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 173, 5, 1, 1, 1),
(959, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 174, 5, 1, 1, 1),
(960, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 175, 5, 1, 1, 1),
(961, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 176, 5, 1, 1, 1),
(962, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 177, 5, 1, 1, 1),
(963, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 178, 5, 1, 1, 1),
(964, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 179, 5, 1, 1, 1),
(965, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 180, 5, 1, 1, 1),
(966, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 181, 5, 1, 1, 1),
(967, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 182, 5, 1, 1, 1),
(968, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 183, 5, 1, 1, 1),
(969, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 184, 5, 1, 1, 1),
(970, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 185, 5, 1, 1, 1),
(971, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 186, 5, 1, 1, 1),
(972, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 187, 5, 1, 1, 1),
(973, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 188, 5, 1, 1, 1),
(974, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 189, 5, 1, 1, 1),
(975, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 190, 5, 1, 1, 1),
(976, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 191, 5, 1, 1, 1),
(977, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 192, 5, 1, 1, 1),
(978, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 193, 5, 1, 1, 1),
(979, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 194, 5, 1, 1, 1),
(980, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 195, 5, 1, 1, 1),
(981, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 196, 5, 1, 1, 1),
(982, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 197, 5, 1, 1, 1),
(983, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 198, 5, 1, 1, 1),
(984, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 199, 5, 1, 1, 1),
(985, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 200, 5, 1, 1, 1),
(986, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 201, 5, 1, 1, 1),
(987, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 202, 5, 1, 1, 1),
(988, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 203, 5, 1, 1, 1),
(989, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 204, 5, 1, 1, 1),
(990, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 205, 5, 1, 1, 1),
(991, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 206, 5, 1, 1, 1),
(992, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 207, 5, 1, 1, 1),
(993, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 208, 5, 1, 1, 1),
(994, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 209, 5, 1, 1, 1),
(995, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 210, 5, 1, 1, 1),
(996, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 211, 5, 1, 1, 1),
(997, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 214, 5, 1, 1, 1),
(998, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 215, 5, 1, 1, 1),
(999, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 216, 5, 1, 1, 1),
(1000, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 217, 5, 1, 1, 1),
(1001, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 218, 5, 1, 1, 1),
(1002, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 219, 5, 1, 1, 1),
(1003, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 220, 5, 1, 1, 1),
(1004, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 221, 5, 1, 1, 1),
(1005, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 222, 5, 1, 1, 1),
(1006, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 223, 5, 1, 1, 1),
(1007, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 224, 5, 1, 1, 1),
(1008, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 225, 5, 1, 1, 1),
(1009, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 226, 5, 1, 1, 1),
(1010, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 227, 5, 1, 1, 1),
(1011, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 228, 5, 1, 1, 1),
(1012, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 229, 5, 1, 1, 1),
(1013, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 230, 5, 1, 1, 1),
(1014, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 231, 5, 1, 1, 1),
(1015, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 232, 5, 1, 1, 1),
(1016, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 233, 5, 1, 1, 1),
(1017, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 234, 5, 1, 1, 1),
(1018, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 235, 5, 1, 1, 1),
(1019, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 236, 5, 1, 1, 1),
(1020, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 237, 5, 1, 1, 1),
(1021, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 238, 5, 1, 1, 1),
(1022, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 239, 5, 1, 1, 1),
(1023, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 240, 5, 1, 1, 1),
(1024, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 241, 5, 1, 1, 1),
(1025, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 242, 5, 1, 1, 1),
(1026, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 243, 5, 1, 1, 1),
(1027, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 244, 5, 1, 1, 1),
(1028, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 245, 5, 1, 1, 1),
(1029, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 246, 5, 1, 1, 1),
(1030, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 247, 5, 1, 1, 1),
(1031, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 248, 5, 1, 1, 1),
(1032, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 249, 5, 1, 1, 1),
(1033, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 250, 5, 1, 1, 1),
(1034, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 251, 5, 1, 1, 1),
(1035, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 252, 5, 1, 1, 1),
(1036, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 253, 5, 1, 1, 1),
(1037, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 254, 5, 1, 1, 1),
(1038, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 255, 5, 1, 1, 1),
(1039, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 256, 5, 1, 1, 1),
(1040, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 257, 5, 1, 1, 1),
(1041, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 258, 5, 1, 1, 1),
(1042, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 259, 5, 1, 1, 1),
(1043, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 260, 5, 1, 1, 1),
(1044, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 261, 5, 1, 1, 1),
(1045, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 262, 5, 1, 1, 1),
(1046, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 263, 5, 1, 1, 1),
(1047, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 264, 5, 1, 1, 1),
(1048, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 265, 5, 1, 1, 1),
(1049, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 266, 5, 1, 1, 1),
(1050, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 267, 5, 1, 1, 1),
(1051, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 268, 5, 1, 1, 1),
(1052, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 269, 5, 1, 1, 1),
(1053, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 270, 5, 1, 1, 1),
(1054, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 271, 5, 1, 1, 1),
(1055, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 272, 5, 1, 1, 1),
(1056, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 273, 5, 1, 1, 1),
(1057, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 274, 5, 1, 1, 1),
(1058, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 275, 5, 1, 1, 1),
(1059, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 276, 5, 1, 1, 1),
(1060, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 277, 5, 1, 1, 1),
(1061, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 278, 5, 1, 1, 1),
(1062, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 279, 5, 1, 1, 1),
(1063, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 280, 5, 1, 1, 1),
(1064, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 281, 5, 1, 1, 1),
(1065, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 282, 5, 1, 1, 1),
(1066, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 283, 5, 1, 1, 1),
(1067, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 284, 5, 1, 1, 1),
(1068, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 285, 5, 1, 1, 1),
(1069, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 286, 5, 1, 1, 1),
(1070, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 287, 5, 1, 1, 1),
(1071, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 288, 5, 1, 1, 1),
(1072, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 289, 5, 1, 1, 1),
(1073, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 290, 5, 1, 1, 1),
(1074, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 291, 5, 1, 1, 1),
(1075, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 292, 5, 1, 1, 1),
(1076, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 293, 5, 1, 1, 1),
(1077, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 294, 5, 1, 1, 1),
(1078, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 295, 5, 1, 1, 1),
(1079, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 296, 5, 1, 1, 1),
(1080, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 297, 5, 1, 1, 1),
(1081, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 298, 5, 1, 1, 1),
(1082, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 299, 5, 1, 1, 1),
(1083, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 300, 5, 1, 1, 1),
(1084, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 301, 5, 1, 1, 1),
(1085, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 302, 5, 1, 1, 1),
(1086, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 303, 5, 1, 1, 1),
(1087, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 304, 5, 1, 1, 1),
(1088, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 305, 5, 1, 1, 1),
(1089, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 306, 5, 1, 1, 1),
(1090, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 307, 5, 1, 1, 1),
(1091, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 308, 5, 1, 1, 1),
(1092, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 309, 5, 1, 1, 1),
(1093, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 310, 5, 1, 1, 1),
(1094, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 311, 5, 1, 1, 1),
(1095, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 312, 5, 1, 1, 1),
(1096, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 313, 5, 1, 1, 1),
(1097, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 314, 5, 1, 1, 1),
(1098, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 315, 5, 1, 1, 1);
INSERT INTO `sm_role_permissions` (`id`, `active_status`, `created_at`, `updated_at`, `module_link_id`, `role_id`, `created_by`, `updated_by`, `school_id`) VALUES
(1099, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 316, 5, 1, 1, 1),
(1100, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 317, 5, 1, 1, 1),
(1101, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 318, 5, 1, 1, 1),
(1102, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 319, 5, 1, 1, 1),
(1103, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 320, 5, 1, 1, 1),
(1104, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 321, 5, 1, 1, 1),
(1105, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 322, 5, 1, 1, 1),
(1106, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 323, 5, 1, 1, 1),
(1107, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 324, 5, 1, 1, 1),
(1108, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 325, 5, 1, 1, 1),
(1109, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 326, 5, 1, 1, 1),
(1110, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 327, 5, 1, 1, 1),
(1111, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 328, 5, 1, 1, 1),
(1112, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 329, 5, 1, 1, 1),
(1113, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 330, 5, 1, 1, 1),
(1114, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 331, 5, 1, 1, 1),
(1115, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 332, 5, 1, 1, 1),
(1116, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 333, 5, 1, 1, 1),
(1117, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 334, 5, 1, 1, 1),
(1118, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 335, 5, 1, 1, 1),
(1119, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 336, 5, 1, 1, 1),
(1120, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 337, 5, 1, 1, 1),
(1121, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 338, 5, 1, 1, 1),
(1122, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 339, 5, 1, 1, 1),
(1123, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 340, 5, 1, 1, 1),
(1124, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 341, 5, 1, 1, 1),
(1125, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 342, 5, 1, 1, 1),
(1126, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 343, 5, 1, 1, 1),
(1127, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 344, 5, 1, 1, 1),
(1128, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 345, 5, 1, 1, 1),
(1129, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 346, 5, 1, 1, 1),
(1130, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 347, 5, 1, 1, 1),
(1131, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 348, 5, 1, 1, 1),
(1132, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 349, 5, 1, 1, 1),
(1133, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 350, 5, 1, 1, 1),
(1134, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 351, 5, 1, 1, 1),
(1135, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 352, 5, 1, 1, 1),
(1136, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 353, 5, 1, 1, 1),
(1137, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 354, 5, 1, 1, 1),
(1138, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 355, 5, 1, 1, 1),
(1139, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 356, 5, 1, 1, 1),
(1140, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 357, 5, 1, 1, 1),
(1141, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 358, 5, 1, 1, 1),
(1142, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 359, 5, 1, 1, 1),
(1143, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 360, 5, 1, 1, 1),
(1144, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 361, 5, 1, 1, 1),
(1145, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 362, 5, 1, 1, 1),
(1146, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 363, 5, 1, 1, 1),
(1147, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 364, 5, 1, 1, 1),
(1148, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 365, 5, 1, 1, 1),
(1149, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 366, 5, 1, 1, 1),
(1150, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 367, 5, 1, 1, 1),
(1151, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 368, 5, 1, 1, 1),
(1152, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 369, 5, 1, 1, 1),
(1153, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 370, 5, 1, 1, 1),
(1154, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 371, 5, 1, 1, 1),
(1155, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 372, 5, 1, 1, 1),
(1156, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 373, 5, 1, 1, 1),
(1157, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 374, 5, 1, 1, 1),
(1158, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 375, 5, 1, 1, 1),
(1159, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 376, 5, 1, 1, 1),
(1160, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 377, 5, 1, 1, 1),
(1161, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 378, 5, 1, 1, 1),
(1162, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 379, 5, 1, 1, 1),
(1163, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 380, 5, 1, 1, 1),
(1164, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 381, 5, 1, 1, 1),
(1165, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 382, 5, 1, 1, 1),
(1166, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 383, 5, 1, 1, 1),
(1167, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 384, 5, 1, 1, 1),
(1168, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 385, 5, 1, 1, 1),
(1169, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 386, 5, 1, 1, 1),
(1170, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 387, 5, 1, 1, 1),
(1171, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 388, 5, 1, 1, 1),
(1172, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 389, 5, 1, 1, 1),
(1173, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 390, 5, 1, 1, 1),
(1174, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 391, 5, 1, 1, 1),
(1175, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 392, 5, 1, 1, 1),
(1176, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 393, 5, 1, 1, 1),
(1177, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 394, 5, 1, 1, 1),
(1178, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 395, 5, 1, 1, 1),
(1179, 1, '2019-11-18 02:13:49', '2019-11-18 02:13:49', 396, 5, 1, 1, 1),
(7213, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 1, 4, 1, 1, 1),
(7214, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 2, 4, 1, 1, 1),
(7215, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 3, 4, 1, 1, 1),
(7216, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 4, 4, 1, 1, 1),
(7217, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 5, 4, 1, 1, 1),
(7218, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 6, 4, 1, 1, 1),
(7219, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 7, 4, 1, 1, 1),
(7220, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 8, 4, 1, 1, 1),
(7221, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 9, 4, 1, 1, 1),
(7222, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 10, 4, 1, 1, 1),
(7223, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 61, 4, 1, 1, 1),
(7224, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 62, 4, 1, 1, 1),
(7225, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 63, 4, 1, 1, 1),
(7226, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 64, 4, 1, 1, 1),
(7227, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 65, 4, 1, 1, 1),
(7228, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 66, 4, 1, 1, 1),
(7229, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 67, 4, 1, 1, 1),
(7230, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 68, 4, 1, 1, 1),
(7231, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 69, 4, 1, 1, 1),
(7232, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 70, 4, 1, 1, 1),
(7233, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 71, 4, 1, 1, 1),
(7234, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 72, 4, 1, 1, 1),
(7235, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 73, 4, 1, 1, 1),
(7236, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 74, 4, 1, 1, 1),
(7237, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 75, 4, 1, 1, 1),
(7238, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 76, 4, 1, 1, 1),
(7239, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 77, 4, 1, 1, 1),
(7240, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 79, 4, 1, 1, 1),
(7241, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 80, 4, 1, 1, 1),
(7242, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 81, 4, 1, 1, 1),
(7243, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 82, 4, 1, 1, 1),
(7244, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 83, 4, 1, 1, 1),
(7245, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 84, 4, 1, 1, 1),
(7246, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 85, 4, 1, 1, 1),
(7247, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 86, 4, 1, 1, 1),
(7248, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 87, 4, 1, 1, 1),
(7249, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 88, 4, 1, 1, 1),
(7250, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 89, 4, 1, 1, 1),
(7251, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 90, 4, 1, 1, 1),
(7252, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 91, 4, 1, 1, 1),
(7253, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 92, 4, 1, 1, 1),
(7254, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 93, 4, 1, 1, 1),
(7255, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 94, 4, 1, 1, 1),
(7256, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 95, 4, 1, 1, 1),
(7257, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 96, 4, 1, 1, 1),
(7258, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 97, 4, 1, 1, 1),
(7259, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 98, 4, 1, 1, 1),
(7260, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 99, 4, 1, 1, 1),
(7261, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 100, 4, 1, 1, 1),
(7262, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 101, 4, 1, 1, 1),
(7263, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 102, 4, 1, 1, 1),
(7264, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 103, 4, 1, 1, 1),
(7265, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 104, 4, 1, 1, 1),
(7266, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 105, 4, 1, 1, 1),
(7267, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 106, 4, 1, 1, 1),
(7268, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 107, 4, 1, 1, 1),
(7269, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 188, 4, 1, 1, 1),
(7270, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 193, 4, 1, 1, 1),
(7271, 1, '2019-12-03 05:27:28', '2019-12-03 05:27:28', 194, 4, 1, 1, 1),
(7272, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 195, 4, 1, 1, 1),
(7273, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 196, 4, 1, 1, 1),
(7274, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 197, 4, 1, 1, 1),
(7275, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 198, 4, 1, 1, 1),
(7276, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 207, 4, 1, 1, 1),
(7277, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 208, 4, 1, 1, 1),
(7278, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 209, 4, 1, 1, 1),
(7279, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 210, 4, 1, 1, 1),
(7280, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 211, 4, 1, 1, 1),
(7281, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 214, 4, 1, 1, 1),
(7282, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 215, 4, 1, 1, 1),
(7283, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 216, 4, 1, 1, 1),
(7284, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 217, 4, 1, 1, 1),
(7285, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 218, 4, 1, 1, 1),
(7286, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 219, 4, 1, 1, 1),
(7287, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 220, 4, 1, 1, 1),
(7288, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 221, 4, 1, 1, 1),
(7289, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 222, 4, 1, 1, 1),
(7290, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 223, 4, 1, 1, 1),
(7291, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 224, 4, 1, 1, 1),
(7292, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 225, 4, 1, 1, 1),
(7293, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 226, 4, 1, 1, 1),
(7294, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 227, 4, 1, 1, 1),
(7295, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 228, 4, 1, 1, 1),
(7296, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 229, 4, 1, 1, 1),
(7297, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 230, 4, 1, 1, 1),
(7298, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 231, 4, 1, 1, 1),
(7299, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 232, 4, 1, 1, 1),
(7300, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 233, 4, 1, 1, 1),
(7301, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 234, 4, 1, 1, 1),
(7302, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 235, 4, 1, 1, 1),
(7303, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 236, 4, 1, 1, 1),
(7304, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 237, 4, 1, 1, 1),
(7305, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 238, 4, 1, 1, 1),
(7306, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 239, 4, 1, 1, 1),
(7307, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 240, 4, 1, 1, 1),
(7308, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 241, 4, 1, 1, 1),
(7309, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 242, 4, 1, 1, 1),
(7310, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 243, 4, 1, 1, 1),
(7311, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 244, 4, 1, 1, 1),
(7312, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 245, 4, 1, 1, 1),
(7313, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 246, 4, 1, 1, 1),
(7314, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 247, 4, 1, 1, 1),
(7315, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 248, 4, 1, 1, 1),
(7316, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 249, 4, 1, 1, 1),
(7317, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 250, 4, 1, 1, 1),
(7318, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 251, 4, 1, 1, 1),
(7319, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 252, 4, 1, 1, 1),
(7320, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 253, 4, 1, 1, 1),
(7321, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 254, 4, 1, 1, 1),
(7322, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 255, 4, 1, 1, 1),
(7323, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 256, 4, 1, 1, 1),
(7324, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 257, 4, 1, 1, 1),
(7325, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 258, 4, 1, 1, 1),
(7326, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 259, 4, 1, 1, 1),
(7327, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 260, 4, 1, 1, 1),
(7328, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 261, 4, 1, 1, 1),
(7329, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 262, 4, 1, 1, 1),
(7330, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 263, 4, 1, 1, 1),
(7331, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 264, 4, 1, 1, 1),
(7332, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 265, 4, 1, 1, 1),
(7333, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 266, 4, 1, 1, 1),
(7334, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 267, 4, 1, 1, 1),
(7335, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 268, 4, 1, 1, 1),
(7336, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 269, 4, 1, 1, 1),
(7337, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 270, 4, 1, 1, 1),
(7338, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 271, 4, 1, 1, 1),
(7339, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 272, 4, 1, 1, 1),
(7340, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 273, 4, 1, 1, 1),
(7341, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 274, 4, 1, 1, 1),
(7342, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 275, 4, 1, 1, 1),
(7343, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 276, 4, 1, 1, 1),
(7344, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 277, 4, 1, 1, 1),
(7345, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 278, 4, 1, 1, 1),
(7346, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 279, 4, 1, 1, 1),
(7347, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 280, 4, 1, 1, 1),
(7348, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 281, 4, 1, 1, 1),
(7349, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 282, 4, 1, 1, 1),
(7350, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 283, 4, 1, 1, 1),
(7351, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 284, 4, 1, 1, 1),
(7352, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 285, 4, 1, 1, 1),
(7353, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 385, 4, 1, 1, 1),
(7354, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 386, 4, 1, 1, 1),
(7355, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 387, 4, 1, 1, 1),
(7356, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 388, 4, 1, 1, 1),
(7357, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 391, 4, 1, 1, 1),
(7358, 1, '2019-12-03 05:27:29', '2019-12-03 05:27:29', 392, 4, 1, 1, 1),
(7359, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 1, 6, 1, 1, 1),
(7360, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 2, 6, 1, 1, 1),
(7361, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 3, 6, 1, 1, 1),
(7362, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 4, 6, 1, 1, 1),
(7363, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 5, 6, 1, 1, 1),
(7364, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 6, 6, 1, 1, 1),
(7365, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 7, 6, 1, 1, 1),
(7366, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 8, 6, 1, 1, 1),
(7367, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 9, 6, 1, 1, 1),
(7368, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 10, 6, 1, 1, 1),
(7369, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 61, 6, 1, 1, 1),
(7370, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 64, 6, 1, 1, 1),
(7371, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 108, 6, 1, 1, 1),
(7372, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 109, 6, 1, 1, 1),
(7373, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 110, 6, 1, 1, 1),
(7374, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 111, 6, 1, 1, 1),
(7375, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 112, 6, 1, 1, 1),
(7376, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 113, 6, 1, 1, 1),
(7377, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 114, 6, 1, 1, 1),
(7378, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 115, 6, 1, 1, 1),
(7379, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 116, 6, 1, 1, 1),
(7380, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 117, 6, 1, 1, 1),
(7381, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 118, 6, 1, 1, 1),
(7382, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 119, 6, 1, 1, 1),
(7383, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 120, 6, 1, 1, 1),
(7384, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 121, 6, 1, 1, 1),
(7385, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 122, 6, 1, 1, 1),
(7386, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 123, 6, 1, 1, 1),
(7387, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 124, 6, 1, 1, 1),
(7388, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 125, 6, 1, 1, 1),
(7389, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 126, 6, 1, 1, 1),
(7390, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 127, 6, 1, 1, 1),
(7391, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 128, 6, 1, 1, 1),
(7392, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 129, 6, 1, 1, 1),
(7393, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 130, 6, 1, 1, 1),
(7394, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 131, 6, 1, 1, 1),
(7395, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 132, 6, 1, 1, 1),
(7396, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 133, 6, 1, 1, 1),
(7397, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 134, 6, 1, 1, 1),
(7398, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 135, 6, 1, 1, 1),
(7399, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 136, 6, 1, 1, 1),
(7400, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 137, 6, 1, 1, 1),
(7401, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 138, 6, 1, 1, 1),
(7402, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 139, 6, 1, 1, 1),
(7403, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 140, 6, 1, 1, 1),
(7404, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 141, 6, 1, 1, 1),
(7405, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 142, 6, 1, 1, 1),
(7406, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 143, 6, 1, 1, 1),
(7407, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 144, 6, 1, 1, 1),
(7408, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 145, 6, 1, 1, 1),
(7409, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 146, 6, 1, 1, 1),
(7410, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 147, 6, 1, 1, 1),
(7411, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 148, 6, 1, 1, 1),
(7412, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 149, 6, 1, 1, 1),
(7413, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 150, 6, 1, 1, 1),
(7414, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 151, 6, 1, 1, 1),
(7415, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 152, 6, 1, 1, 1),
(7416, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 153, 6, 1, 1, 1),
(7417, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 154, 6, 1, 1, 1),
(7418, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 155, 6, 1, 1, 1),
(7419, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 156, 6, 1, 1, 1),
(7420, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 157, 6, 1, 1, 1),
(7421, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 158, 6, 1, 1, 1),
(7422, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 159, 6, 1, 1, 1),
(7423, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 160, 6, 1, 1, 1),
(7424, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 161, 6, 1, 1, 1),
(7425, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 310, 6, 1, 1, 1),
(7426, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 315, 6, 1, 1, 1),
(7427, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 316, 6, 1, 1, 1),
(7428, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 317, 6, 1, 1, 1),
(7429, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 318, 6, 1, 1, 1),
(7430, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 319, 6, 1, 1, 1),
(7431, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 320, 6, 1, 1, 1),
(7432, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 321, 6, 1, 1, 1),
(7433, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 322, 6, 1, 1, 1),
(7434, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 323, 6, 1, 1, 1),
(7435, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 324, 6, 1, 1, 1),
(7436, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 325, 6, 1, 1, 1),
(7437, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 326, 6, 1, 1, 1),
(7438, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 327, 6, 1, 1, 1),
(7439, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 328, 6, 1, 1, 1),
(7440, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 329, 6, 1, 1, 1),
(7441, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 330, 6, 1, 1, 1),
(7442, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 331, 6, 1, 1, 1),
(7443, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 332, 6, 1, 1, 1),
(7444, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 333, 6, 1, 1, 1),
(7445, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 334, 6, 1, 1, 1),
(7446, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 335, 6, 1, 1, 1),
(7447, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 336, 6, 1, 1, 1),
(7448, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 337, 6, 1, 1, 1),
(7449, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 338, 6, 1, 1, 1),
(7450, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 339, 6, 1, 1, 1),
(7451, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 340, 6, 1, 1, 1),
(7452, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 341, 6, 1, 1, 1),
(7453, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 342, 6, 1, 1, 1),
(7454, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 343, 6, 1, 1, 1),
(7455, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 344, 6, 1, 1, 1),
(7456, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 345, 6, 1, 1, 1),
(7457, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 346, 6, 1, 1, 1),
(7458, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 347, 6, 1, 1, 1),
(7459, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 381, 6, 1, 1, 1),
(7460, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 382, 6, 1, 1, 1),
(7461, 1, '2019-12-03 05:33:41', '2019-12-03 05:33:41', 393, 6, 1, 1, 1),
(7574, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 1, 8, 1, 1, 1),
(7575, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 2, 8, 1, 1, 1),
(7576, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 3, 8, 1, 1, 1),
(7577, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 4, 8, 1, 1, 1),
(7578, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 5, 8, 1, 1, 1),
(7579, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 6, 8, 1, 1, 1),
(7580, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 7, 8, 1, 1, 1),
(7581, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 8, 8, 1, 1, 1),
(7582, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 9, 8, 1, 1, 1),
(7583, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 10, 8, 1, 1, 1),
(7584, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 54, 8, 1, 1, 1),
(7585, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 61, 8, 1, 1, 1),
(7586, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 64, 8, 1, 1, 1),
(7587, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 160, 8, 1, 1, 1),
(7588, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 161, 8, 1, 1, 1),
(7589, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 286, 8, 1, 1, 1),
(7590, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 287, 8, 1, 1, 1),
(7591, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 288, 8, 1, 1, 1),
(7592, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 289, 8, 1, 1, 1),
(7593, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 290, 8, 1, 1, 1),
(7594, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 291, 8, 1, 1, 1),
(7595, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 292, 8, 1, 1, 1),
(7596, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 293, 8, 1, 1, 1),
(7597, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 294, 8, 1, 1, 1),
(7598, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 295, 8, 1, 1, 1),
(7599, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 296, 8, 1, 1, 1),
(7600, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 297, 8, 1, 1, 1),
(7601, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 298, 8, 1, 1, 1),
(7602, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 299, 8, 1, 1, 1),
(7603, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 300, 8, 1, 1, 1),
(7604, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 301, 8, 1, 1, 1),
(7605, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 302, 8, 1, 1, 1),
(7606, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 303, 8, 1, 1, 1),
(7607, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 304, 8, 1, 1, 1),
(7608, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 305, 8, 1, 1, 1),
(7609, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 306, 8, 1, 1, 1),
(7610, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 307, 8, 1, 1, 1),
(7611, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 308, 8, 1, 1, 1),
(7612, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 309, 8, 1, 1, 1),
(7613, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 310, 8, 1, 1, 1),
(7614, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 311, 8, 1, 1, 1),
(7615, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 312, 8, 1, 1, 1),
(7616, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 313, 8, 1, 1, 1),
(7617, 1, '2019-12-03 05:42:20', '2019-12-03 05:42:20', 314, 8, 1, 1, 1),
(7618, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 1, 7, 1, 1, 1),
(7619, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 2, 7, 1, 1, 1),
(7620, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 3, 7, 1, 1, 1),
(7621, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 4, 7, 1, 1, 1),
(7622, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 5, 7, 1, 1, 1),
(7623, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 6, 7, 1, 1, 1),
(7624, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 7, 7, 1, 1, 1),
(7625, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 8, 7, 1, 1, 1),
(7626, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 9, 7, 1, 1, 1),
(7627, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 10, 7, 1, 1, 1),
(7628, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 11, 7, 1, 1, 1),
(7629, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 12, 7, 1, 1, 1),
(7630, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 13, 7, 1, 1, 1),
(7631, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 14, 7, 1, 1, 1),
(7632, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 15, 7, 1, 1, 1),
(7633, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 16, 7, 1, 1, 1),
(7634, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 17, 7, 1, 1, 1),
(7635, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 18, 7, 1, 1, 1),
(7636, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 19, 7, 1, 1, 1),
(7637, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 20, 7, 1, 1, 1),
(7638, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 21, 7, 1, 1, 1),
(7639, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 22, 7, 1, 1, 1),
(7640, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 23, 7, 1, 1, 1),
(7641, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 24, 7, 1, 1, 1),
(7642, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 25, 7, 1, 1, 1),
(7643, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 26, 7, 1, 1, 1),
(7644, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 27, 7, 1, 1, 1),
(7645, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 28, 7, 1, 1, 1),
(7646, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 29, 7, 1, 1, 1),
(7647, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 30, 7, 1, 1, 1),
(7648, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 31, 7, 1, 1, 1),
(7649, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 32, 7, 1, 1, 1),
(7650, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 33, 7, 1, 1, 1),
(7651, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 34, 7, 1, 1, 1),
(7652, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 35, 7, 1, 1, 1),
(7653, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 36, 7, 1, 1, 1),
(7654, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 37, 7, 1, 1, 1),
(7655, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 38, 7, 1, 1, 1),
(7656, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 39, 7, 1, 1, 1),
(7657, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 40, 7, 1, 1, 1),
(7658, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 61, 7, 1, 1, 1),
(7659, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 64, 7, 1, 1, 1),
(7660, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 160, 7, 1, 1, 1),
(7661, 1, '2019-12-03 05:48:21', '2019-12-03 05:48:21', 161, 7, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_room_lists`
--

CREATE TABLE `sm_room_lists` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `number_of_bed` int(11) NOT NULL,
  `cost_per_bed` double(16,2) DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `dormitory_id` int(10) UNSIGNED DEFAULT '1',
  `room_type_id` int(10) UNSIGNED DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_room_types`
--

CREATE TABLE `sm_room_types` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_routes`
--

CREATE TABLE `sm_routes` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `far` double(10,2) NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_schools`
--

CREATE TABLE `sm_schools` (
  `id` int(10) UNSIGNED NOT NULL,
  `school_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` tinyint(4) NOT NULL DEFAULT '1',
  `updated_by` tinyint(4) NOT NULL DEFAULT '1',
  `email` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `phone` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `school_code` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_email_verified` tinyint(1) NOT NULL DEFAULT '0',
  `starting_date` date DEFAULT NULL,
  `ending_date` date DEFAULT NULL,
  `package_id` int(11) DEFAULT NULL,
  `plan_type` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_type` enum('yearly','monthly','once') COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1 approved, 0 pending',
  `is_enabled` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes' COMMENT 'yes=Login enable, no=Login disable',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_schools`
--

INSERT INTO `sm_schools` (`id`, `school_name`, `created_by`, `updated_by`, `email`, `address`, `phone`, `school_code`, `is_email_verified`, `starting_date`, `ending_date`, `package_id`, `plan_type`, `contact_type`, `active_status`, `is_enabled`, `created_at`, `updated_at`) VALUES
(1, 'InfixEdu', 1, 1, 'admin@infixedu.com', NULL, NULL, NULL, 0, '2021-04-20', NULL, NULL, NULL, 'yearly', 1, 'yes', NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `sm_seat_plans`
--

CREATE TABLE `sm_seat_plans` (
  `id` int(10) UNSIGNED NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_seat_plan_children`
--

CREATE TABLE `sm_seat_plan_children` (
  `id` int(10) UNSIGNED NOT NULL,
  `room_id` tinyint(4) DEFAULT NULL,
  `assign_students` int(11) DEFAULT NULL,
  `start_time` time DEFAULT NULL,
  `end_time` time DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `seat_plan_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_sections`
--

CREATE TABLE `sm_sections` (
  `id` int(10) UNSIGNED NOT NULL,
  `section_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_send_messages`
--

CREATE TABLE `sm_send_messages` (
  `id` int(10) UNSIGNED NOT NULL,
  `message_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message_des` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notice_date` date DEFAULT NULL,
  `publish_on` date DEFAULT NULL,
  `message_to` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'message sent to these roles',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_sessions`
--

CREATE TABLE `sm_sessions` (
  `id` int(10) UNSIGNED NOT NULL,
  `session` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_sessions`
--

INSERT INTO `sm_sessions` (`id`, `session`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, '2020-2021', 1, '2021-04-20 05:31:21', '2021-04-20 05:31:21', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_setup_admins`
--

CREATE TABLE `sm_setup_admins` (
  `id` int(10) UNSIGNED NOT NULL,
  `type` tinyint(4) DEFAULT NULL COMMENT '1 purpose, 2 complaint type, 3 source, 4 Reference',
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_sms_gateways`
--

CREATE TABLE `sm_sms_gateways` (
  `id` int(10) UNSIGNED NOT NULL,
  `gateway_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `clickatell_username` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `clickatell_password` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `clickatell_api_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twilio_account_sid` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twilio_authentication_token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twilio_registered_no` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `msg91_authentication_key_sid` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `msg91_sender_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `msg91_route` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `msg91_country_code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `textlocal_username` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `textlocal_hash` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `textlocal_sender` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `africatalking_username` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `africatalking_api_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_sms_gateways`
--

INSERT INTO `sm_sms_gateways` (`id`, `gateway_name`, `clickatell_username`, `clickatell_password`, `clickatell_api_id`, `twilio_account_sid`, `twilio_authentication_token`, `twilio_registered_no`, `msg91_authentication_key_sid`, `msg91_sender_id`, `msg91_route`, `msg91_country_code`, `textlocal_username`, `textlocal_hash`, `textlocal_sender`, `africatalking_username`, `africatalking_api_key`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'Twilio', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2021-04-20 05:41:08', '2021-04-20 05:41:08', 1, 1, 1),
(2, 'Msg91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, '2021-04-20 05:41:08', '2021-04-20 05:41:08', 1, 1, 1),
(3, 'TextLocal', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'TXTLCL', NULL, NULL, 0, '2021-04-20 05:41:08', '2021-04-20 05:41:08', 1, 1, 1),
(4, 'AfricaTalking', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'sandbox', NULL, 0, '2021-04-20 05:41:08', '2021-04-20 05:41:08', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_social_media_icons`
--

CREATE TABLE `sm_social_media_icons` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '1 active, 0 inactive',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_social_media_icons`
--

INSERT INTO `sm_social_media_icons` (`id`, `url`, `icon`, `status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'https://www.facebook.com/Spondonit', 'fa fa-facebook', 1, NULL, NULL, 1, 1, 1),
(2, 'https://www.facebook.com/Spondonit', 'fa fa-twitter', 1, NULL, NULL, 1, 1, 1),
(3, 'https://www.facebook.com/Spondonit', 'fa fa-dribbble', 1, NULL, NULL, 1, 1, 1),
(4, 'https://www.facebook.com/Spondonit', 'fa fa-linkedin', 1, NULL, NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_staffs`
--

CREATE TABLE `sm_staffs` (
  `id` int(10) UNSIGNED NOT NULL,
  `staff_no` int(11) DEFAULT NULL,
  `first_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `full_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fathers_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mothers_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_birth` date DEFAULT '2021-04-20',
  `date_of_joining` date DEFAULT '2021-04-20',
  `email` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `emergency_mobile` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marital_status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `merital_status` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `staff_photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_address` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `qualification` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `experience` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `epf_no` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `basic_salary` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contract_type` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `casual_leave` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `medical_leave` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `metarnity_leave` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_name` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_no` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_brach` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `facebook_url` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twiteer_url` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `linkedin_url` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `instragram_url` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `joining_letter` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `resume` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `other_document` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `driving_license` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `driving_license_ex_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `designation_id` int(10) UNSIGNED DEFAULT '1',
  `department_id` int(10) UNSIGNED DEFAULT '1',
  `user_id` int(10) UNSIGNED DEFAULT '1',
  `role_id` int(10) UNSIGNED DEFAULT '1',
  `gender_id` int(10) UNSIGNED DEFAULT '1',
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `is_saas` int(10) UNSIGNED DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_staffs`
--

INSERT INTO `sm_staffs` (`id`, `staff_no`, `first_name`, `last_name`, `full_name`, `fathers_name`, `mothers_name`, `date_of_birth`, `date_of_joining`, `email`, `mobile`, `emergency_mobile`, `marital_status`, `merital_status`, `staff_photo`, `current_address`, `permanent_address`, `qualification`, `experience`, `epf_no`, `basic_salary`, `contract_type`, `location`, `casual_leave`, `medical_leave`, `metarnity_leave`, `bank_account_name`, `bank_account_no`, `bank_name`, `bank_brach`, `facebook_url`, `twiteer_url`, `linkedin_url`, `instragram_url`, `joining_letter`, `resume`, `other_document`, `notes`, `active_status`, `driving_license`, `driving_license_ex_date`, `created_at`, `updated_at`, `designation_id`, `department_id`, `user_id`, `role_id`, `gender_id`, `created_by`, `updated_by`, `school_id`, `is_saas`) VALUES
(1, 1, 'Super', 'Admin', 'Super Admin', NULL, NULL, '2021-04-20', '2021-04-20', 'admin@infixedu.com', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, '2021-04-20 05:31:39', NULL, 1, 1, 1, 1, 1, 1, 1, 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `sm_staff_attendance_imports`
--

CREATE TABLE `sm_staff_attendance_imports` (
  `id` int(10) UNSIGNED NOT NULL,
  `attendence_date` date DEFAULT NULL,
  `in_time` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `out_time` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attendance_type` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Present: P Late: L Absent: A Holiday: H Half Day: F',
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `staff_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_staff_attendences`
--

CREATE TABLE `sm_staff_attendences` (
  `id` int(10) UNSIGNED NOT NULL,
  `attendence_type` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Present: P Late: L Absent: A Holiday: H Half Day: F',
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attendence_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `staff_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_students`
--

CREATE TABLE `sm_students` (
  `id` int(10) UNSIGNED NOT NULL,
  `admission_no` int(11) DEFAULT NULL,
  `roll_no` int(11) DEFAULT NULL,
  `first_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `full_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_birth` date DEFAULT NULL,
  `caste` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `admission_date` date DEFAULT NULL,
  `student_photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `age` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `height` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_address` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `driver_id` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `national_id_no` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `local_id_no` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_no` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `previous_school_details` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `aditional_notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ifsc_code` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_title_1` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_file_1` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_title_2` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_file_2` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_title_3` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_file_3` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_title_4` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document_file_4` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `bloodgroup_id` int(10) UNSIGNED DEFAULT NULL,
  `religion_id` int(10) UNSIGNED DEFAULT NULL,
  `route_list_id` int(10) UNSIGNED DEFAULT NULL,
  `dormitory_id` int(10) UNSIGNED DEFAULT NULL,
  `vechile_id` int(10) UNSIGNED DEFAULT NULL,
  `room_id` int(10) UNSIGNED DEFAULT NULL,
  `student_category_id` int(10) UNSIGNED DEFAULT NULL,
  `student_group_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED NOT NULL,
  `section_id` int(10) UNSIGNED NOT NULL,
  `session_id` int(10) UNSIGNED NOT NULL,
  `parent_id` int(10) UNSIGNED DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `role_id` int(10) UNSIGNED NOT NULL,
  `gender_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_attendances`
--

CREATE TABLE `sm_student_attendances` (
  `id` int(10) UNSIGNED NOT NULL,
  `attendance_type` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Present: P Late: L Absent: A Holiday: H Half Day: F',
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attendance_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_attendance_imports`
--

CREATE TABLE `sm_student_attendance_imports` (
  `id` int(10) UNSIGNED NOT NULL,
  `attendance_date` date DEFAULT NULL,
  `in_time` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `out_time` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attendance_type` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Present: P Late: L Absent: A Holiday: H Half Day: F',
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_categories`
--

CREATE TABLE `sm_student_categories` (
  `id` int(10) UNSIGNED NOT NULL,
  `category_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_certificates`
--

CREATE TABLE `sm_student_certificates` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `header_left_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `body` text COLLATE utf8mb4_unicode_ci,
  `footer_left_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `footer_center_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `footer_right_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `student_photo` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1 = yes 0 no',
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_student_certificates`
--

INSERT INTO `sm_student_certificates` (`id`, `name`, `header_left_text`, `date`, `body`, `footer_left_text`, `footer_center_text`, `footer_right_text`, `student_photo`, `file`, `active_status`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`, `academic_id`) VALUES
(1, 'Certificate in Technical Communication (PCTC)', 'Since 2020', '2020-05-17', 'Earning my UCR Extension professional certificate is one of the most beneficial things I\'ve done for my career. Before even completing the program, I was contacted twice by companies who were interested in hiring me as a technical writer. This program helped me reach my career goals in a very short time', 'Advisor Signature', 'Instructor Signature', 'Principale Signature', 0, 'public/uploads/certificate/c.jpg', 1, '2021-04-20 05:42:39', '2021-04-20 05:42:39', 1, 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_documents`
--

CREATE TABLE `sm_student_documents` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `student_staff_id` int(11) DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'stu=student,stf=staff',
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_excel_formats`
--

CREATE TABLE `sm_student_excel_formats` (
  `roll_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_birth` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `religion` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `caste` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `admission_date` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `category` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `blood_group` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `height` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `siblings_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_occupation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mother_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mother_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mother_occupation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_relation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_occupation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `national_identification_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `local_identification_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `previous_school_details` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_groups`
--

CREATE TABLE `sm_student_groups` (
  `id` int(10) UNSIGNED NOT NULL,
  `group` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_homeworks`
--

CREATE TABLE `sm_student_homeworks` (
  `id` int(10) UNSIGNED NOT NULL,
  `homework_date` date DEFAULT NULL,
  `submission_date` date DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `percentage` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `evaluated_by` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_id_cards`
--

CREATE TABLE `sm_student_id_cards` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `designation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `signature` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci,
  `admission_no` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `student_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `class` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `father_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `mother_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `student_address` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `phone` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `dob` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `blood` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '0 for no 1 for yes',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_promotions`
--

CREATE TABLE `sm_student_promotions` (
  `id` int(10) UNSIGNED NOT NULL,
  `result_status` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `previous_class_id` int(10) UNSIGNED DEFAULT NULL,
  `current_class_id` int(10) UNSIGNED DEFAULT NULL,
  `previous_section_id` int(10) UNSIGNED DEFAULT NULL,
  `current_section_id` int(10) UNSIGNED DEFAULT NULL,
  `previous_session_id` int(10) UNSIGNED DEFAULT NULL,
  `current_session_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `admission_number` int(11) DEFAULT NULL,
  `student_info` longtext COLLATE utf8mb4_unicode_ci,
  `merit_student_info` longtext COLLATE utf8mb4_unicode_ci,
  `previous_roll_number` int(11) DEFAULT NULL,
  `current_roll_number` int(11) DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_take_online_exams`
--

CREATE TABLE `sm_student_take_online_exams` (
  `id` int(10) UNSIGNED NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=Not Yet, 1 = alreday submitted, 2 = got marks',
  `student_done` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=Not Yet, 1 = complete',
  `total_marks` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `online_exam_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_take_online_exam_questions`
--

CREATE TABLE `sm_student_take_online_exam_questions` (
  `id` int(10) UNSIGNED NOT NULL,
  `trueFalse` varchar(1) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'F = false, T = true ',
  `suitable_words` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `take_online_exam_id` int(10) UNSIGNED DEFAULT NULL,
  `question_bank_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_take_onln_ex_ques_options`
--

CREATE TABLE `sm_student_take_onln_ex_ques_options` (
  `id` int(10) UNSIGNED NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` tinyint(4) DEFAULT NULL COMMENT '0 unchecked 1 checked',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `take_online_exam_question_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_student_timelines`
--

CREATE TABLE `sm_student_timelines` (
  `id` int(10) UNSIGNED NOT NULL,
  `staff_student_id` int(11) NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `file` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'stu=student,stf=staff',
  `visible_to_student` int(11) NOT NULL DEFAULT '0' COMMENT '0 = no, 1 = yes',
  `active_status` int(11) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_styles`
--

CREATE TABLE `sm_styles` (
  `id` int(10) UNSIGNED NOT NULL,
  `style_name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `path_main_style` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `path_infix_style` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `primary_color` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `primary_color2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title_color` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `text_color` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `white` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `black` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sidebar_bg` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `barchart1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `barchart2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `barcharttextcolor` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `barcharttextfamily` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `areachartlinecolor1` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `areachartlinecolor2` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dashboardbackground` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `is_active` tinyint(4) NOT NULL DEFAULT '0',
  `is_default` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'if 1 then yes, if 0 then no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_styles`
--

INSERT INTO `sm_styles` (`id`, `style_name`, `path_main_style`, `path_infix_style`, `primary_color`, `primary_color2`, `title_color`, `text_color`, `white`, `black`, `sidebar_bg`, `barchart1`, `barchart2`, `barcharttextcolor`, `barcharttextfamily`, `areachartlinecolor1`, `areachartlinecolor2`, `dashboardbackground`, `active_status`, `is_active`, `is_default`, `created_at`, `updated_at`, `created_by`, `updated_by`, `school_id`) VALUES
(1, 'Default', 'style.css', 'infix.css', '#415094', '#7c32ff', '#222222', '#828bb2', '#ffffff', '#000000', '#e7ecff', '#8a33f8', '#f25278', '#415094', '\"poppins\", sans-serif', 'rgba(124, 50, 255, 0.5)', 'rgba(242, 82, 120, 0.5)', '', 1, 1, 0, '2021-04-20 05:46:57', '2021-04-20 05:46:57', 1, 1, 1),
(2, 'Lawn Green', 'lawngreen_version/style.css', 'lawngreen_version/infix.css', '#415094', '#03e396', '#222222', '#828bb2', '#ffffff', '#000000', '#e7ecff', '#415094', '#03e396', '#03e396', '\"Cerebri Sans\", Helvetica, Arial, sans-serif', '#415094', '#03e396', '#e7ecff', 1, 0, 0, '2021-04-20 05:46:57', '2021-04-20 05:46:57', 1, 1, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_subjects`
--

CREATE TABLE `sm_subjects` (
  `id` int(10) UNSIGNED NOT NULL,
  `subject_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject_code` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject_type` enum('T','P') COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'T=Theory, P=Practical',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_subject_attendances`
--

CREATE TABLE `sm_subject_attendances` (
  `id` int(10) UNSIGNED NOT NULL,
  `attendance_type` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Present: P Late: L Absent: A Holiday: H Half Day: F',
  `notes` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attendance_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `subject_id` int(10) UNSIGNED DEFAULT NULL,
  `student_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_suppliers`
--

CREATE TABLE `sm_suppliers` (
  `id` int(10) UNSIGNED NOT NULL,
  `company_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company_address` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_person_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_person_mobile` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_person_email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cotact_person_address` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_system_versions`
--

CREATE TABLE `sm_system_versions` (
  `id` int(10) UNSIGNED NOT NULL,
  `version_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `features` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_system_versions`
--

INSERT INTO `sm_system_versions` (`id`, `version_name`, `title`, `features`, `created_at`, `updated_at`) VALUES
(1, '3.2', 'Upgrade System Integration', 'features 1, features 2', '2021-04-20 05:46:54', '2021-04-20 05:46:54');

-- --------------------------------------------------------

--
-- Table structure for table `sm_teacher_upload_contents`
--

CREATE TABLE `sm_teacher_upload_contents` (
  `id` int(10) UNSIGNED NOT NULL,
  `content_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'as assignment, st study material, sy sullabus, ot others download',
  `available_for_admin` int(11) NOT NULL DEFAULT '0',
  `available_for_all_classes` int(11) NOT NULL DEFAULT '0',
  `upload_date` date DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `source_url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `upload_file` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `class` int(10) UNSIGNED DEFAULT NULL,
  `section` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_temporary_meritlists`
--

CREATE TABLE `sm_temporary_meritlists` (
  `id` int(10) UNSIGNED NOT NULL,
  `iid` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `student_id` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `merit_order` double(8,2) DEFAULT NULL,
  `student_name` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `admission_no` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subjects_id_string` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subjects_string` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marks_string` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_marks` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `average_mark` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gpa_point` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `result` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `exam_id` int(10) UNSIGNED DEFAULT NULL,
  `class_id` int(10) UNSIGNED DEFAULT NULL,
  `section_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_testimonials`
--

CREATE TABLE `sm_testimonials` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `designation` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `institution_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_testimonials`
--

INSERT INTO `sm_testimonials` (`id`, `name`, `designation`, `institution_name`, `image`, `description`, `created_at`, `updated_at`, `school_id`) VALUES
(1, 'Tristique euhen', 'CEO', 'Google', 'public/uploads/testimonial/testimonial_1.jpg', 'its vast! Infix has more additional feature that will expect in a complete solution.', '2021-04-20 05:46:43', NULL, 1),
(2, 'Malala euhen', 'Chairman', 'Linkdin', 'public/uploads/testimonial/testimonial_2.jpg', 'its vast! Infix has more additional feature that will expect in a complete solution.', '2021-04-20 05:46:43', NULL, 1);

-- --------------------------------------------------------

--
-- Table structure for table `sm_time_zones`
--

CREATE TABLE `sm_time_zones` (
  `id` int(10) UNSIGNED NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `time_zone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_time_zones`
--

INSERT INTO `sm_time_zones` (`id`, `code`, `time_zone`, `created_at`, `updated_at`) VALUES
(1, 'AD', 'Europe/Andorra', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(2, 'AE', 'Asia/Dubai', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(3, 'AF', 'Asia/Kabul', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(4, 'AG', 'America/Antigua', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(5, 'AI', 'America/Anguilla', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(6, 'AL', 'Europe/Tirane', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(7, 'AM', 'Asia/Yerevan', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(8, 'AO', 'Africa/Luanda', '2021-04-20 05:47:03', '2021-04-20 05:47:03'),
(9, 'AQ', 'Antarctica/McMurdo', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(10, 'AQ', 'Antarctica/Casey', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(11, 'AQ', 'Antarctica/Davis', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(12, 'AQ', 'Antarctica/DumontDUrville', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(13, 'AQ', 'Antarctica/Mawson', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(14, 'AQ', 'Antarctica/Palmer', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(15, 'AQ', 'Antarctica/Rothera', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(16, 'AQ', 'Antarctica/Syowa', '2021-04-20 05:47:04', '2021-04-20 05:47:04'),
(17, 'AQ', 'Antarctica/Troll', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(18, 'AQ', 'Antarctica/Vostok', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(19, 'AR', 'America/Argentina/Buenos_Aires', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(20, 'AR', 'America/Argentina/Cordoba', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(21, 'AR', 'America/Argentina/Salta', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(22, 'AR', 'America/Argentina/Jujuy', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(23, 'AR', 'America/Argentina/Tucuman', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(24, 'AR', 'America/Argentina/Catamarca', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(25, 'AR', 'America/Argentina/La_Rioja', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(26, 'AR', 'America/Argentina/San_Juan', '2021-04-20 05:47:05', '2021-04-20 05:47:05'),
(27, 'AR', 'America/Argentina/Mendoza', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(28, 'AR', 'America/Argentina/San_Luis', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(29, 'AR', 'America/Argentina/Rio_Gallegos', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(30, 'AR', 'America/Argentina/Ushuaia', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(31, 'AS', 'Pacific/Pago_Pago', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(32, 'AT', 'Europe/Vienna', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(33, 'AU', 'Australia/Lord_Howe', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(34, 'AU', 'Antarctica/Macquarie', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(35, 'AU', 'Australia/Hobart', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(36, 'AU', 'Australia/Currie', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(37, 'AU', 'Australia/Melbourne', '2021-04-20 05:47:06', '2021-04-20 05:47:06'),
(38, 'AU', 'Australia/Sydney', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(39, 'AU', 'Australia/Broken_Hill', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(40, 'AU', 'Australia/Brisbane', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(41, 'AU', 'Australia/Lindeman', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(42, 'AU', 'Australia/Adelaide', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(43, 'AU', 'Australia/Darwin', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(44, 'AU', 'Australia/Perth', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(45, 'AU', 'Australia/Eucla', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(46, 'AW', 'America/Aruba', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(47, 'AX', 'Europe/Mariehamn', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(48, 'AZ', 'Asia/Baku', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(49, 'BA', 'Europe/Sarajevo', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(50, 'BB', 'America/Barbados', '2021-04-20 05:47:07', '2021-04-20 05:47:07'),
(51, 'BD', 'Asia/Dhaka', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(52, 'BE', 'Europe/Brussels', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(53, 'BF', 'Africa/Ouagadougou', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(54, 'BG', 'Europe/Sofia', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(55, 'BH', 'Asia/Bahrain', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(56, 'BI', 'Africa/Bujumbura', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(57, 'BJ', 'Africa/Porto-Novo', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(58, 'BL', 'America/St_Barthelemy', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(59, 'BM', 'Atlantic/Bermuda', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(60, 'BN', 'Asia/Brunei', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(61, 'BO', 'America/La_Paz', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(62, 'BQ', 'America/Kralendijk', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(63, 'BR', 'America/Noronha', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(64, 'BR', 'America/Belem', '2021-04-20 05:47:08', '2021-04-20 05:47:08'),
(65, 'BR', 'America/Fortaleza', '2021-04-20 05:47:09', '2021-04-20 05:47:09'),
(66, 'BR', 'America/Recife', '2021-04-20 05:47:09', '2021-04-20 05:47:09'),
(67, 'BR', 'America/Araguaina', '2021-04-20 05:47:09', '2021-04-20 05:47:09'),
(68, 'BR', 'America/Maceio', '2021-04-20 05:47:09', '2021-04-20 05:47:09'),
(69, 'BR', 'America/Bahia', '2021-04-20 05:47:09', '2021-04-20 05:47:09'),
(70, 'BR', 'America/Sao_Paulo', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(71, 'BR', 'America/Campo_Grande', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(72, 'BR', 'America/Cuiaba', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(73, 'BR', 'America/Santarem', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(74, 'BR', 'America/Porto_Velho', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(75, 'BR', 'America/Boa_Vista', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(76, 'BR', 'America/Manaus', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(77, 'BR', 'America/Eirunepe', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(78, 'BR', 'America/Rio_Branco', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(79, 'BS', 'America/Nassau', '2021-04-20 05:47:10', '2021-04-20 05:47:10'),
(80, 'BT', 'Asia/Thimphu', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(81, 'BW', 'Africa/Gaborone', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(82, 'BY', 'Europe/Minsk', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(83, 'BZ', 'America/Belize', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(84, 'CA', 'America/St_Johns', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(85, 'CA', 'America/Halifax', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(86, 'CA', 'America/Glace_Bay', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(87, 'CA', 'America/Moncton', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(88, 'CA', 'America/Goose_Bay', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(89, 'CA', 'America/Blanc-Sablon', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(90, 'CA', 'America/Toronto', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(91, 'CA', 'America/Nipigon', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(92, 'CA', 'America/Thunder_Bay', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(93, 'CA', 'America/Iqaluit', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(94, 'CA', 'America/Pangnirtung', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(95, 'CA', 'America/Atikokan', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(96, 'CA', 'America/Winnipeg', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(97, 'CA', 'America/Rainy_River', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(98, 'CA', 'America/Resolute', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(99, 'CA', 'America/Rankin_Inlet', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(100, 'CA', 'America/Regina', '2021-04-20 05:47:11', '2021-04-20 05:47:11'),
(101, 'CA', 'America/Swift_Current', '2021-04-20 05:47:12', '2021-04-20 05:47:12'),
(102, 'CA', 'America/Edmonton', '2021-04-20 05:47:12', '2021-04-20 05:47:12'),
(103, 'CA', 'America/Cambridge_Bay', '2021-04-20 05:47:12', '2021-04-20 05:47:12'),
(104, 'CA', 'America/Yellowknife', '2021-04-20 05:47:12', '2021-04-20 05:47:12'),
(105, 'CA', 'America/Inuvik', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(106, 'CA', 'America/Creston', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(107, 'CA', 'America/Dawson_Creek', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(108, 'CA', 'America/Fort_Nelson', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(109, 'CA', 'America/Vancouver', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(110, 'CA', 'America/Whitehorse', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(111, 'CA', 'America/Dawson', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(112, 'CC', 'Indian/Cocos', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(113, 'CD', 'Africa/Kinshasa', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(114, 'CD', 'Africa/Lubumbashi', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(115, 'CF', 'Africa/Bangui', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(116, 'CG', 'Africa/Brazzaville', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(117, 'CH', 'Europe/Zurich', '2021-04-20 05:47:13', '2021-04-20 05:47:13'),
(118, 'CI', 'Africa/Abidjan', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(119, 'CK', 'Pacific/Rarotonga', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(120, 'CL', 'America/Santiago', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(121, 'CL', 'America/Punta_Arenas', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(122, 'CL', 'Pacific/Easter', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(123, 'CM', 'Africa/Douala', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(124, 'CN', 'Asia/Shanghai', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(125, 'CN', 'Asia/Urumqi', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(126, 'CO', 'America/Bogota', '2021-04-20 05:47:14', '2021-04-20 05:47:14'),
(127, 'CR', 'America/Costa_Rica', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(128, 'CU', 'America/Havana', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(129, 'CV', 'Atlantic/Cape_Verde', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(130, 'CW', 'America/Curacao', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(131, 'CX', 'Indian/Christmas', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(132, 'CY', 'Asia/Nicosia', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(133, 'CY', 'Asia/Famagusta', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(134, 'CZ', 'Europe/Prague', '2021-04-20 05:47:15', '2021-04-20 05:47:15'),
(135, 'DE', 'Europe/Berlin', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(136, 'DE', 'Europe/Busingen', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(137, 'DJ', 'Africa/Djibouti', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(138, 'DK', 'Europe/Copenhagen', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(139, 'DM', 'America/Dominica', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(140, 'DO', 'America/Santo_Domingo', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(141, 'DZ', 'Africa/Algiers', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(142, 'EC', 'America/Guayaquil', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(143, 'EC', 'Pacific/Galapagos', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(144, 'EE', 'Europe/Tallinn', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(145, 'EG', 'Africa/Cairo', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(146, 'EH', 'Africa/El_Aaiun', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(147, 'ER', 'Africa/Asmara', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(148, 'ES', 'Europe/Madrid', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(149, 'ES', 'Africa/Ceuta', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(150, 'ES', 'Atlantic/Canary', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(151, 'ET', 'Africa/Addis_Ababa', '2021-04-20 05:47:16', '2021-04-20 05:47:16'),
(152, 'FI', 'Europe/Helsinki', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(153, 'FJ', 'Pacific/Fiji', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(154, 'FK', 'Atlantic/Stanley', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(155, 'FM', 'Pacific/Chuuk', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(156, 'FM', 'Pacific/Pohnpei', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(157, 'FM', 'Pacific/Kosrae', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(158, 'FO', 'Atlantic/Faroe', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(159, 'FR', 'Europe/Paris', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(160, 'GA', 'Africa/Libreville', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(161, 'GB', 'Europe/London', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(162, 'GD', 'America/Grenada', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(163, 'GE', 'Asia/Tbilisi', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(164, 'GF', 'America/Cayenne', '2021-04-20 05:47:17', '2021-04-20 05:47:17'),
(165, 'GG', 'Europe/Guernsey', '2021-04-20 05:47:18', '2021-04-20 05:47:18'),
(166, 'GH', 'Africa/Accra', '2021-04-20 05:47:18', '2021-04-20 05:47:18'),
(167, 'GI', 'Europe/Gibraltar', '2021-04-20 05:47:18', '2021-04-20 05:47:18'),
(168, 'GL', 'America/Godthab', '2021-04-20 05:47:18', '2021-04-20 05:47:18'),
(169, 'GL', 'America/Danmarkshavn', '2021-04-20 05:47:18', '2021-04-20 05:47:18'),
(170, 'GL', 'America/Scoresbysund', '2021-04-20 05:47:19', '2021-04-20 05:47:19'),
(171, 'GL', 'America/Thule', '2021-04-20 05:47:19', '2021-04-20 05:47:19'),
(172, 'GM', 'Africa/Banjul', '2021-04-20 05:47:20', '2021-04-20 05:47:20'),
(173, 'GN', 'Africa/Conakry', '2021-04-20 05:47:20', '2021-04-20 05:47:20'),
(174, 'GP', 'America/Guadeloupe', '2021-04-20 05:47:21', '2021-04-20 05:47:21'),
(175, 'GQ', 'Africa/Malabo', '2021-04-20 05:47:21', '2021-04-20 05:47:21'),
(176, 'GR', 'Europe/Athens', '2021-04-20 05:47:21', '2021-04-20 05:47:21'),
(177, 'GS', 'Atlantic/South_Georgia', '2021-04-20 05:47:21', '2021-04-20 05:47:21'),
(178, 'GT', 'America/Guatemala', '2021-04-20 05:47:21', '2021-04-20 05:47:21'),
(179, 'GU', 'Pacific/Guam', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(180, 'GW', 'Africa/Bissau', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(181, 'GY', 'America/Guyana', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(182, 'HK', 'Asia/Hong_Kong', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(183, 'HN', 'America/Tegucigalpa', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(184, 'HR', 'Europe/Zagreb', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(185, 'HT', 'America/Port-au-Prince', '2021-04-20 05:47:22', '2021-04-20 05:47:22'),
(186, 'HU', 'Europe/Budapest', '2021-04-20 05:47:23', '2021-04-20 05:47:23'),
(187, 'ID', 'Asia/Jakarta', '2021-04-20 05:47:23', '2021-04-20 05:47:23'),
(188, 'ID', 'Asia/Pontianak', '2021-04-20 05:47:23', '2021-04-20 05:47:23'),
(189, 'ID', 'Asia/Makassar', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(190, 'ID', 'Asia/Jayapura', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(191, 'IE', 'Europe/Dublin', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(192, 'IL', 'Asia/Jerusalem', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(193, 'IM', 'Europe/Isle_of_Man', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(194, 'IN', 'Asia/Kolkata', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(195, 'IO', 'Indian/Chagos', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(196, 'IQ', 'Asia/Baghdad', '2021-04-20 05:47:24', '2021-04-20 05:47:24'),
(197, 'IR', 'Asia/Tehran', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(198, 'IS', 'Atlantic/Reykjavik', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(199, 'IT', 'Europe/Rome', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(200, 'JE', 'Europe/Jersey', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(201, 'JM', 'America/Jamaica', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(202, 'JO', 'Asia/Amman', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(203, 'JP', 'Asia/Tokyo', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(204, 'KE', 'Africa/Nairobi', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(205, 'KG', 'Asia/Bishkek', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(206, 'KH', 'Asia/Phnom_Penh', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(207, 'KI', 'Pacific/Tarawa', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(208, 'KI', 'Pacific/Enderbury', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(209, 'KI', 'Pacific/Kiritimati', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(210, 'KM', 'Indian/Comoro', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(211, 'KN', 'America/St_Kitts', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(212, 'KP', 'Asia/Pyongyang', '2021-04-20 05:47:25', '2021-04-20 05:47:25'),
(213, 'KR', 'Asia/Seoul', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(214, 'KW', 'Asia/Kuwait', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(215, 'KY', 'America/Cayman', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(216, 'KZ', 'Asia/Almaty', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(217, 'KZ', 'Asia/Qyzylorda', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(218, 'KZ', 'Asia/Aqtobe', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(219, 'KZ', 'Asia/Aqtau', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(220, 'KZ', 'Asia/Atyrau', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(221, 'KZ', 'Asia/Oral', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(222, 'LA', 'Asia/Vientiane', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(223, 'LB', 'Asia/Beirut', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(224, 'LC', 'America/St_Lucia', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(225, 'LI', 'Europe/Vaduz', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(226, 'LK', 'Asia/Colombo', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(227, 'LR', 'Africa/Monrovia', '2021-04-20 05:47:26', '2021-04-20 05:47:26'),
(228, 'LS', 'Africa/Maseru', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(229, 'LT', 'Europe/Vilnius', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(230, 'LU', 'Europe/Luxembourg', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(231, 'LV', 'Europe/Riga', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(232, 'LY', 'Africa/Tripoli', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(233, 'MA', 'Africa/Casablanca', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(234, 'MC', 'Europe/Monaco', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(235, 'MD', 'Europe/Chisinau', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(236, 'ME', 'Europe/Podgorica', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(237, 'MF', 'America/Marigot', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(238, 'MG', 'Indian/Antananarivo', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(239, 'MH', 'Pacific/Majuro', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(240, 'MH', 'Pacific/Kwajalein', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(241, 'MK', 'Europe/Skopje', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(242, 'ML', 'Africa/Bamako', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(243, 'MM', 'Asia/Yangon', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(244, 'MN', 'Asia/Ulaanbaatar', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(245, 'MN', 'Asia/Hovd', '2021-04-20 05:47:27', '2021-04-20 05:47:27'),
(246, 'MN', 'Asia/Choibalsan', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(247, 'MO', 'Asia/Macau', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(248, 'MP', 'Pacific/Saipan', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(249, 'MQ', 'America/Martinique', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(250, 'MR', 'Africa/Nouakchott', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(251, 'MS', 'America/Montserrat', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(252, 'MT', 'Europe/Malta', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(253, 'MU', 'Indian/Mauritius', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(254, 'MV', 'Indian/Maldives', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(255, 'MW', 'Africa/Blantyre', '2021-04-20 05:47:28', '2021-04-20 05:47:28'),
(256, 'MX', 'America/Mexico_City', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(257, 'MX', 'America/Cancun', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(258, 'MX', 'America/Merida', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(259, 'MX', 'America/Monterrey', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(260, 'MX', 'America/Matamoros', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(261, 'MX', 'America/Mazatlan', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(262, 'MX', 'America/Chihuahua', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(263, 'MX', 'America/Ojinaga', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(264, 'MX', 'America/Hermosillo', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(265, 'MX', 'America/Tijuana', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(266, 'MX', 'America/Bahia_Banderas', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(267, 'MY', 'Asia/Kuala_Lumpur', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(268, 'MY', 'Asia/Kuching', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(269, 'MZ', 'Africa/Maputo', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(270, 'NA', 'Africa/Windhoek', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(271, 'NC', 'Pacific/Noumea', '2021-04-20 05:47:29', '2021-04-20 05:47:29'),
(272, 'NE', 'Africa/Niamey', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(273, 'NF', 'Pacific/Norfolk', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(274, 'NG', 'Africa/Lagos', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(275, 'NI', 'America/Managua', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(276, 'NL', 'Europe/Amsterdam', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(277, 'NO', 'Europe/Oslo', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(278, 'NP', 'Asia/Kathmandu', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(279, 'NR', 'Pacific/Nauru', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(280, 'NU', 'Pacific/Niue', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(281, 'NZ', 'Pacific/Auckland', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(282, 'NZ', 'Pacific/Chatham', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(283, 'OM', 'Asia/Muscat', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(284, 'PA', 'America/Panama', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(285, 'PE', 'America/Lima', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(286, 'PF', 'Pacific/Tahiti', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(287, 'PF', 'Pacific/Marquesas', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(288, 'PF', 'Pacific/Gambier', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(289, 'PG', 'Pacific/Port_Moresby', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(290, 'PG', 'Pacific/Bougainville', '2021-04-20 05:47:30', '2021-04-20 05:47:30'),
(291, 'PH', 'Asia/Manila', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(292, 'PK', 'Asia/Karachi', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(293, 'PL', 'Europe/Warsaw', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(294, 'PM', 'America/Miquelon', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(295, 'PN', 'Pacific/Pitcairn', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(296, 'PR', 'America/Puerto_Rico', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(297, 'PS', 'Asia/Gaza', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(298, 'PS', 'Asia/Hebron', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(299, 'PT', 'Europe/Lisbon', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(300, 'PT', 'Atlantic/Madeira', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(301, 'PT', 'Atlantic/Azores', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(302, 'PW', 'Pacific/Palau', '2021-04-20 05:47:31', '2021-04-20 05:47:31'),
(303, 'PY', 'America/Asuncion', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(304, 'QA', 'Asia/Qatar', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(305, 'RE', 'Indian/Reunion', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(306, 'RO', 'Europe/Bucharest', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(307, 'RS', 'Europe/Belgrade', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(308, 'RU', 'Europe/Kaliningrad', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(309, 'RU', 'Europe/Moscow', '2021-04-20 05:47:32', '2021-04-20 05:47:32'),
(310, 'RU', 'Europe/Simferopol', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(311, 'RU', 'Europe/Volgograd', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(312, 'RU', 'Europe/Kirov', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(313, 'RU', 'Europe/Astrakhan', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(314, 'RU', 'Europe/Saratov', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(315, 'RU', 'Europe/Ulyanovsk', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(316, 'RU', 'Europe/Samara', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(317, 'RU', 'Asia/Yekaterinburg', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(318, 'RU', 'Asia/Omsk', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(319, 'RU', 'Asia/Novosibirsk', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(320, 'RU', 'Asia/Barnaul', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(321, 'RU', 'Asia/Tomsk', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(322, 'RU', 'Asia/Novokuznetsk', '2021-04-20 05:47:33', '2021-04-20 05:47:33'),
(323, 'RU', 'Asia/Krasnoyarsk', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(324, 'RU', 'Asia/Irkutsk', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(325, 'RU', 'Asia/Chita', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(326, 'RU', 'Asia/Yakutsk', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(327, 'RU', 'Asia/Khandyga', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(328, 'RU', 'Asia/Vladivostok', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(329, 'RU', 'Asia/Ust-Nera', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(330, 'RU', 'Asia/Magadan', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(331, 'RU', 'Asia/Sakhalin', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(332, 'RU', 'Asia/Srednekolymsk', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(333, 'RU', 'Asia/Kamchatka', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(334, 'RU', 'Asia/Anadyr', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(335, 'RW', 'Africa/Kigali', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(336, 'SA', 'Asia/Riyadh', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(337, 'SB', 'Pacific/Guadalcanal', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(338, 'SC', 'Indian/Mahe', '2021-04-20 05:47:34', '2021-04-20 05:47:34'),
(339, 'SD', 'Africa/Khartoum', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(340, 'SE', 'Europe/Stockholm', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(341, 'SG', 'Asia/Singapore', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(342, 'SH', 'Atlantic/St_Helena', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(343, 'SI', 'Europe/Ljubljana', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(344, 'SJ', 'Arctic/Longyearbyen', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(345, 'SK', 'Europe/Bratislava', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(346, 'SL', 'Africa/Freetown', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(347, 'SM', 'Europe/San_Marino', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(348, 'SN', 'Africa/Dakar', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(349, 'SO', 'Africa/Mogadishu', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(350, 'SR', 'America/Paramaribo', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(351, 'SS', 'Africa/Juba', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(352, 'ST', 'Africa/Sao_Tome', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(353, 'SV', 'America/El_Salvador', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(354, 'SX', 'America/Lower_Princes', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(355, 'SY', 'Asia/Damascus', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(356, 'SZ', 'Africa/Mbabane', '2021-04-20 05:47:35', '2021-04-20 05:47:35'),
(357, 'TC', 'America/Grand_Turk', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(358, 'TD', 'Africa/Ndjamena', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(359, 'TF', 'Indian/Kerguelen', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(360, 'TG', 'Africa/Lome', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(361, 'TH', 'Asia/Bangkok', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(362, 'TJ', 'Asia/Dushanbe', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(363, 'TK', 'Pacific/Fakaofo', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(364, 'TL', 'Asia/Dili', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(365, 'TM', 'Asia/Ashgabat', '2021-04-20 05:47:36', '2021-04-20 05:47:36'),
(366, 'TN', 'Africa/Tunis', '2021-04-20 05:47:37', '2021-04-20 05:47:37'),
(367, 'TO', 'Pacific/Tongatapu', '2021-04-20 05:47:37', '2021-04-20 05:47:37'),
(368, 'TR', 'Europe/Istanbul', '2021-04-20 05:47:37', '2021-04-20 05:47:37'),
(369, 'TT', 'America/Port_of_Spain', '2021-04-20 05:47:37', '2021-04-20 05:47:37'),
(370, 'TV', 'Pacific/Funafuti', '2021-04-20 05:47:37', '2021-04-20 05:47:37'),
(371, 'TW', 'Asia/Taipei', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(372, 'TZ', 'Africa/Dar_es_Salaam', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(373, 'UA', 'Europe/Kiev', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(374, 'UA', 'Europe/Uzhgorod', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(375, 'UA', 'Europe/Zaporozhye', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(376, 'UG', 'Africa/Kampala', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(377, 'UM', 'Pacific/Midway', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(378, 'UM', 'Pacific/Wake', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(379, 'US', 'America/New_York', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(380, 'US', 'America/Detroit', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(381, 'US', 'America/Kentucky/Louisville', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(382, 'US', 'America/Kentucky/Monticello', '2021-04-20 05:47:38', '2021-04-20 05:47:38'),
(383, 'US', 'America/Indiana/Indianapolis', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(384, 'US', 'America/Indiana/Vincennes', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(385, 'US', 'America/Indiana/Winamac', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(386, 'US', 'America/Indiana/Marengo', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(387, 'US', 'America/Indiana/Petersburg', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(388, 'US', 'America/Indiana/Vevay', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(389, 'US', 'America/Chicago', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(390, 'US', 'America/Indiana/Tell_City', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(391, 'US', 'America/Indiana/Knox', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(392, 'US', 'America/Menominee', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(393, 'US', 'America/North_Dakota/Center', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(394, 'US', 'America/North_Dakota/New_Salem', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(395, 'US', 'America/North_Dakota/Beulah', '2021-04-20 05:47:39', '2021-04-20 05:47:39'),
(396, 'US', 'America/Denver', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(397, 'US', 'America/Boise', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(398, 'US', 'America/Phoenix', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(399, 'US', 'America/Los_Angeles', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(400, 'US', 'America/Anchorage', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(401, 'US', 'America/Juneau', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(402, 'US', 'America/Sitka', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(403, 'US', 'America/Metlakatla', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(404, 'US', 'America/Yakutat', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(405, 'US', 'America/Nome', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(406, 'US', 'America/Adak', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(407, 'US', 'Pacific/Honolulu', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(408, 'UY', 'America/Montevideo', '2021-04-20 05:47:40', '2021-04-20 05:47:40'),
(409, 'UZ', 'Asia/Samarkand', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(410, 'UZ', 'Asia/Tashkent', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(411, 'VA', 'Europe/Vatican', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(412, 'VC', 'America/St_Vincent', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(413, 'VE', 'America/Caracas', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(414, 'VG', 'America/Tortola', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(415, 'VI', 'America/St_Thomas', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(416, 'VN', 'Asia/Ho_Chi_Minh', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(417, 'VU', 'Pacific/Efate', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(418, 'WF', 'Pacific/Wallis', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(419, 'WS', 'Pacific/Apia', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(420, 'YE', 'Asia/Aden', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(421, 'YT', 'Indian/Mayotte', '2021-04-20 05:47:41', '2021-04-20 05:47:41'),
(422, 'ZA', 'Africa/Johannesburg', '2021-04-20 05:47:42', '2021-04-20 05:47:42'),
(423, 'ZM', 'Africa/Lusaka', '2021-04-20 05:47:42', '2021-04-20 05:47:42'),
(424, 'ZW', 'Africa/Harare', '2021-04-20 05:47:42', '2021-04-20 05:47:42');

-- --------------------------------------------------------

--
-- Table structure for table `sm_to_dos`
--

CREATE TABLE `sm_to_dos` (
  `id` int(10) UNSIGNED NOT NULL,
  `todo_title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `complete_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'P' COMMENT 'C for complete, N for not Complete, P Pending',
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_upload_contents`
--

CREATE TABLE `sm_upload_contents` (
  `id` int(10) UNSIGNED NOT NULL,
  `content_title` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content_type` int(11) DEFAULT NULL,
  `available_for_role` int(11) DEFAULT NULL,
  `available_for_class` int(11) DEFAULT NULL,
  `available_for_section` int(11) DEFAULT NULL,
  `upload_date` date DEFAULT NULL,
  `description` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `upload_file` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_upload_homework_contents`
--

CREATE TABLE `sm_upload_homework_contents` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `student_id` int(10) UNSIGNED DEFAULT '1',
  `homework_id` int(10) UNSIGNED DEFAULT '1',
  `description` text COLLATE utf8mb4_unicode_ci,
  `file` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_user_logs`
--

CREATE TABLE `sm_user_logs` (
  `id` int(10) UNSIGNED NOT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_vehicles`
--

CREATE TABLE `sm_vehicles` (
  `id` int(10) UNSIGNED NOT NULL,
  `vehicle_no` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `vehicle_model` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `made_year` int(11) DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `driver_id` int(10) UNSIGNED DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_visitors`
--

CREATE TABLE `sm_visitors` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `visitor_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `no_of_person` int(11) DEFAULT NULL,
  `purpose` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date` date DEFAULT NULL,
  `in_time` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `out_time` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `file` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `created_by` int(10) UNSIGNED DEFAULT '1',
  `updated_by` int(10) UNSIGNED DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `sm_weekends`
--

CREATE TABLE `sm_weekends` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` int(11) DEFAULT NULL,
  `is_weekend` int(11) DEFAULT NULL,
  `active_status` int(11) NOT NULL DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `updated_at` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `academic_id` int(10) UNSIGNED DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `sm_weekends`
--

INSERT INTO `sm_weekends` (`id`, `name`, `order`, `is_weekend`, `active_status`, `school_id`, `created_at`, `updated_at`, `academic_id`) VALUES
(1, 'Saturday', 1, 0, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1),
(2, 'Sunday', 2, 0, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1),
(3, 'Monday', 3, 0, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1),
(4, 'Tuesday', 4, 0, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1),
(5, 'Wednesday', 5, 0, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1),
(6, 'Thursday', 6, 0, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1),
(7, 'Friday', 7, 1, 1, 1, '2021-04-20 11:44:37', '2021-04-20 11:44:37', 1);

-- --------------------------------------------------------

--
-- Table structure for table `student_attendance_bulks`
--

CREATE TABLE `student_attendance_bulks` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `attendance_date` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attendance_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `student_id` int(11) DEFAULT NULL,
  `class_id` int(11) DEFAULT NULL,
  `section_id` int(11) DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `student_bulk_temporaries`
--

CREATE TABLE `student_bulk_temporaries` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `admission_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `roll_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_birth` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `religion` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gender` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `caste` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mobile` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `admission_date` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `blood_group` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `height` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weight` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `father_occupation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mother_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mother_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mother_occupation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_relation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_phone` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_occupation` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `national_identification_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `local_identification_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `previous_school_details` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `telescope_entries`
--

CREATE TABLE `telescope_entries` (
  `sequence` bigint(20) UNSIGNED NOT NULL,
  `uuid` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch_id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `family_hash` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `should_display_on_index` tinyint(1) NOT NULL DEFAULT '1',
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `telescope_entries_tags`
--

CREATE TABLE `telescope_entries_tags` (
  `entry_uuid` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tag` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `telescope_monitoring`
--

CREATE TABLE `telescope_monitoring` (
  `tag` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) UNSIGNED NOT NULL,
  `full_name` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `usertype` varchar(210) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `random_code` text COLLATE utf8mb4_unicode_ci,
  `notificationToken` text COLLATE utf8mb4_unicode_ci,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `language` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT 'en',
  `style_id` int(11) DEFAULT '1',
  `rtl_ltl` int(11) DEFAULT '2',
  `selected_session` int(11) DEFAULT '1',
  `created_by` int(11) DEFAULT '1',
  `updated_by` int(11) DEFAULT '1',
  `access_status` int(11) DEFAULT '1',
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `is_administrator` enum('yes','no') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `is_registered` tinyint(4) NOT NULL DEFAULT '0',
  `stripe_id` varchar(191) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
  `card_brand` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_last_four` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `verified` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `trial_ends_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `full_name`, `username`, `email`, `password`, `usertype`, `active_status`, `random_code`, `notificationToken`, `remember_token`, `created_at`, `updated_at`, `language`, `style_id`, `rtl_ltl`, `selected_session`, `created_by`, `updated_by`, `access_status`, `school_id`, `role_id`, `is_administrator`, `is_registered`, `stripe_id`, `card_brand`, `card_last_four`, `verified`, `trial_ends_at`) VALUES
(1, 'admin', 'admin@infixedu.com', 'admin@infixedu.com', '$2y$10$NpHPKOm2TEYvHl9LwIOR6.JxwcuxugdU5loltLQN4MJ0T6gKWYPKq', NULL, 1, NULL, NULL, NULL, '2021-04-20 05:30:17', '2021-04-20 05:30:17', 'en', 1, 2, 1, 1, 1, 1, 1, 1, 'yes', 0, NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `user_menus`
--

CREATE TABLE `user_menus` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `module_id` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `active_status` tinyint(4) NOT NULL DEFAULT '1',
  `role_id` int(10) UNSIGNED DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `school_id` int(10) UNSIGNED DEFAULT '1',
  `academic_id` int(10) UNSIGNED DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `chat_block_users`
--
ALTER TABLE `chat_block_users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_conversations`
--
ALTER TABLE `chat_conversations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_groups`
--
ALTER TABLE `chat_groups`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_group_message_recipients`
--
ALTER TABLE `chat_group_message_recipients`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_group_message_removes`
--
ALTER TABLE `chat_group_message_removes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_group_users`
--
ALTER TABLE `chat_group_users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_invitations`
--
ALTER TABLE `chat_invitations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_invitation_types`
--
ALTER TABLE `chat_invitation_types`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `chat_statuses`
--
ALTER TABLE `chat_statuses`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `check_classes`
--
ALTER TABLE `check_classes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `continents`
--
ALTER TABLE `continents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `continents_school_id_foreign` (`school_id`);

--
-- Indexes for table `continets`
--
ALTER TABLE `continets`
  ADD PRIMARY KEY (`id`),
  ADD KEY `continets_school_id_foreign` (`school_id`);

--
-- Indexes for table `countries`
--
ALTER TABLE `countries`
  ADD PRIMARY KEY (`id`),
  ADD KEY `countries_school_id_foreign` (`school_id`),
  ADD KEY `countries_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `custom_result_settings`
--
ALTER TABLE `custom_result_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `custom_result_settings_school_id_foreign` (`school_id`),
  ADD KEY `custom_result_settings_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `infix_module_infos`
--
ALTER TABLE `infix_module_infos`
  ADD PRIMARY KEY (`id`),
  ADD KEY `infix_module_infos_created_by_foreign` (`created_by`),
  ADD KEY `infix_module_infos_updated_by_foreign` (`updated_by`),
  ADD KEY `infix_module_infos_school_id_foreign` (`school_id`);

--
-- Indexes for table `infix_module_managers`
--
ALTER TABLE `infix_module_managers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `infix_module_student_parent_infos`
--
ALTER TABLE `infix_module_student_parent_infos`
  ADD PRIMARY KEY (`id`),
  ADD KEY `infix_module_student_parent_infos_created_by_foreign` (`created_by`),
  ADD KEY `infix_module_student_parent_infos_updated_by_foreign` (`updated_by`),
  ADD KEY `infix_module_student_parent_infos_school_id_foreign` (`school_id`);

--
-- Indexes for table `infix_permission_assigns`
--
ALTER TABLE `infix_permission_assigns`
  ADD PRIMARY KEY (`id`),
  ADD KEY `infix_permission_assigns_role_id_foreign` (`role_id`),
  ADD KEY `infix_permission_assigns_school_id_foreign` (`school_id`);

--
-- Indexes for table `infix_roles`
--
ALTER TABLE `infix_roles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `infix_roles_school_id_foreign` (`school_id`);

--
-- Indexes for table `jobs`
--
ALTER TABLE `jobs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `jobs_queue_index` (`queue`);

--
-- Indexes for table `languages`
--
ALTER TABLE `languages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `languages_school_id_foreign` (`school_id`);

--
-- Indexes for table `lesson_planners`
--
ALTER TABLE `lesson_planners`
  ADD PRIMARY KEY (`id`),
  ADD KEY `lesson_planners_room_id_foreign` (`room_id`),
  ADD KEY `lesson_planners_teacher_id_foreign` (`teacher_id`),
  ADD KEY `lesson_planners_class_period_id_foreign` (`class_period_id`),
  ADD KEY `lesson_planners_subject_id_foreign` (`subject_id`),
  ADD KEY `lesson_planners_class_id_foreign` (`class_id`),
  ADD KEY `lesson_planners_section_id_foreign` (`section_id`),
  ADD KEY `lesson_planners_school_id_foreign` (`school_id`),
  ADD KEY `lesson_planners_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `library_subjects`
--
ALTER TABLE `library_subjects`
  ADD PRIMARY KEY (`id`),
  ADD KEY `library_subjects_school_id_foreign` (`school_id`),
  ADD KEY `library_subjects_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `menu_manages`
--
ALTER TABLE `menu_manages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `menu_manages_role_id_foreign` (`role_id`),
  ADD KEY `menu_manages_user_id_foreign` (`user_id`),
  ADD KEY `menu_manages_school_id_foreign` (`school_id`),
  ADD KEY `menu_manages_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `migrations`
--
ALTER TABLE `migrations`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notifications`
--
ALTER TABLE `notifications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`);

--
-- Indexes for table `oauth_access_tokens`
--
ALTER TABLE `oauth_access_tokens`
  ADD PRIMARY KEY (`id`),
  ADD KEY `oauth_access_tokens_user_id_index` (`user_id`);

--
-- Indexes for table `oauth_auth_codes`
--
ALTER TABLE `oauth_auth_codes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `oauth_clients`
--
ALTER TABLE `oauth_clients`
  ADD PRIMARY KEY (`id`),
  ADD KEY `oauth_clients_user_id_index` (`user_id`);

--
-- Indexes for table `oauth_personal_access_clients`
--
ALTER TABLE `oauth_personal_access_clients`
  ADD PRIMARY KEY (`id`),
  ADD KEY `oauth_personal_access_clients_client_id_index` (`client_id`);

--
-- Indexes for table `oauth_refresh_tokens`
--
ALTER TABLE `oauth_refresh_tokens`
  ADD PRIMARY KEY (`id`),
  ADD KEY `oauth_refresh_tokens_access_token_id_index` (`access_token_id`);

--
-- Indexes for table `online_exam_student_answer_markings`
--
ALTER TABLE `online_exam_student_answer_markings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `password_resets`
--
ALTER TABLE `password_resets`
  ADD KEY `password_resets_email_index` (`email`);

--
-- Indexes for table `roles`
--
ALTER TABLE `roles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `roles_school_id_foreign` (`school_id`);

--
-- Indexes for table `sidebars`
--
ALTER TABLE `sidebars`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sidebars_infix_module_id_foreign` (`infix_module_id`),
  ADD KEY `sidebars_role_id_foreign` (`role_id`),
  ADD KEY `sidebars_user_id_foreign` (`user_id`),
  ADD KEY `sidebars_school_id_foreign` (`school_id`);

--
-- Indexes for table `sms_templates`
--
ALTER TABLE `sms_templates`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_about_pages`
--
ALTER TABLE `sm_about_pages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_about_pages_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_academic_years`
--
ALTER TABLE `sm_academic_years`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_academic_years_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_add_expenses`
--
ALTER TABLE `sm_add_expenses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_add_expenses_school_id_foreign` (`school_id`),
  ADD KEY `sm_add_expenses_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_add_incomes`
--
ALTER TABLE `sm_add_incomes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_add_incomes_account_id_foreign` (`account_id`),
  ADD KEY `sm_add_incomes_payment_method_id_foreign` (`payment_method_id`),
  ADD KEY `sm_add_incomes_school_id_foreign` (`school_id`),
  ADD KEY `sm_add_incomes_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_add_ons`
--
ALTER TABLE `sm_add_ons`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_admission_queries`
--
ALTER TABLE `sm_admission_queries`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_admission_queries_class_foreign` (`class`),
  ADD KEY `sm_admission_queries_school_id_foreign` (`school_id`),
  ADD KEY `sm_admission_queries_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_admission_query_followups`
--
ALTER TABLE `sm_admission_query_followups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_admission_query_followups_admission_query_id_foreign` (`admission_query_id`),
  ADD KEY `sm_admission_query_followups_school_id_foreign` (`school_id`),
  ADD KEY `sm_admission_query_followups_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_amount_transfers`
--
ALTER TABLE `sm_amount_transfers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_amount_transfers_school_id_foreign` (`school_id`),
  ADD KEY `sm_amount_transfers_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_assign_class_teachers`
--
ALTER TABLE `sm_assign_class_teachers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_assign_class_teachers_class_id_foreign` (`class_id`),
  ADD KEY `sm_assign_class_teachers_section_id_foreign` (`section_id`),
  ADD KEY `sm_assign_class_teachers_school_id_foreign` (`school_id`),
  ADD KEY `sm_assign_class_teachers_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_assign_subjects`
--
ALTER TABLE `sm_assign_subjects`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_assign_subjects_teacher_id_foreign` (`teacher_id`),
  ADD KEY `sm_assign_subjects_class_id_foreign` (`class_id`),
  ADD KEY `sm_assign_subjects_section_id_foreign` (`section_id`),
  ADD KEY `sm_assign_subjects_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_assign_subjects_school_id_foreign` (`school_id`),
  ADD KEY `sm_assign_subjects_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_assign_vehicles`
--
ALTER TABLE `sm_assign_vehicles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_assign_vehicles_vehicle_id_foreign` (`vehicle_id`),
  ADD KEY `sm_assign_vehicles_route_id_foreign` (`route_id`),
  ADD KEY `sm_assign_vehicles_school_id_foreign` (`school_id`),
  ADD KEY `sm_assign_vehicles_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_background_settings`
--
ALTER TABLE `sm_background_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_background_settings_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_backups`
--
ALTER TABLE `sm_backups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_backups_school_id_foreign` (`school_id`),
  ADD KEY `sm_backups_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_bank_accounts`
--
ALTER TABLE `sm_bank_accounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_bank_accounts_school_id_foreign` (`school_id`),
  ADD KEY `sm_bank_accounts_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_bank_payment_slips`
--
ALTER TABLE `sm_bank_payment_slips`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_bank_payment_slips_fees_discount_id_foreign` (`fees_discount_id`),
  ADD KEY `sm_bank_payment_slips_fees_type_id_foreign` (`fees_type_id`),
  ADD KEY `sm_bank_payment_slips_student_id_foreign` (`student_id`),
  ADD KEY `sm_bank_payment_slips_class_id_foreign` (`class_id`),
  ADD KEY `sm_bank_payment_slips_section_id_foreign` (`section_id`),
  ADD KEY `sm_bank_payment_slips_school_id_foreign` (`school_id`),
  ADD KEY `sm_bank_payment_slips_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_bank_statements`
--
ALTER TABLE `sm_bank_statements`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_base_groups`
--
ALTER TABLE `sm_base_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_base_groups_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_base_setups`
--
ALTER TABLE `sm_base_setups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_base_setups_base_group_id_foreign` (`base_group_id`),
  ADD KEY `sm_base_setups_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_books`
--
ALTER TABLE `sm_books`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_books_book_category_id_foreign` (`book_category_id`),
  ADD KEY `sm_books_school_id_foreign` (`school_id`),
  ADD KEY `sm_books_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_book_categories`
--
ALTER TABLE `sm_book_categories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_book_categories_school_id_foreign` (`school_id`),
  ADD KEY `sm_book_categories_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_book_issues`
--
ALTER TABLE `sm_book_issues`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_book_issues_book_id_foreign` (`book_id`),
  ADD KEY `sm_book_issues_member_id_foreign` (`member_id`),
  ADD KEY `sm_book_issues_school_id_foreign` (`school_id`),
  ADD KEY `sm_book_issues_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_chart_of_accounts`
--
ALTER TABLE `sm_chart_of_accounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_chart_of_accounts_school_id_foreign` (`school_id`),
  ADD KEY `sm_chart_of_accounts_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_classes`
--
ALTER TABLE `sm_classes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_classes_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_optional_subject`
--
ALTER TABLE `sm_class_optional_subject`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_optional_subject_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_optional_subject_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_rooms`
--
ALTER TABLE `sm_class_rooms`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_rooms_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_rooms_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_routines`
--
ALTER TABLE `sm_class_routines`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_routines_class_id_foreign` (`class_id`),
  ADD KEY `sm_class_routines_section_id_foreign` (`section_id`),
  ADD KEY `sm_class_routines_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_class_routines_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_routines_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_routine_updates`
--
ALTER TABLE `sm_class_routine_updates`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_routine_updates_room_id_foreign` (`room_id`),
  ADD KEY `sm_class_routine_updates_teacher_id_foreign` (`teacher_id`),
  ADD KEY `sm_class_routine_updates_class_period_id_foreign` (`class_period_id`),
  ADD KEY `sm_class_routine_updates_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_class_routine_updates_class_id_foreign` (`class_id`),
  ADD KEY `sm_class_routine_updates_section_id_foreign` (`section_id`),
  ADD KEY `sm_class_routine_updates_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_routine_updates_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_sections`
--
ALTER TABLE `sm_class_sections`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_sections_class_id_foreign` (`class_id`),
  ADD KEY `sm_class_sections_section_id_foreign` (`section_id`),
  ADD KEY `sm_class_sections_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_sections_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_teachers`
--
ALTER TABLE `sm_class_teachers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_teachers_teacher_id_foreign` (`teacher_id`),
  ADD KEY `sm_class_teachers_assign_class_teacher_id_foreign` (`assign_class_teacher_id`),
  ADD KEY `sm_class_teachers_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_teachers_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_class_times`
--
ALTER TABLE `sm_class_times`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_class_times_school_id_foreign` (`school_id`),
  ADD KEY `sm_class_times_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_complaints`
--
ALTER TABLE `sm_complaints`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_complaints_school_id_foreign` (`school_id`),
  ADD KEY `sm_complaints_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_contact_messages`
--
ALTER TABLE `sm_contact_messages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_contact_messages_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_contact_pages`
--
ALTER TABLE `sm_contact_pages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_contact_pages_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_content_types`
--
ALTER TABLE `sm_content_types`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_content_types_school_id_foreign` (`school_id`),
  ADD KEY `sm_content_types_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_countries`
--
ALTER TABLE `sm_countries`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_countries_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_courses`
--
ALTER TABLE `sm_courses`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_courses_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_course_categories`
--
ALTER TABLE `sm_course_categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_course_pages`
--
ALTER TABLE `sm_course_pages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_course_pages_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_currencies`
--
ALTER TABLE `sm_currencies`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_currencies_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_custom_links`
--
ALTER TABLE `sm_custom_links`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_custom_temporary_results`
--
ALTER TABLE `sm_custom_temporary_results`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_custom_temporary_results_school_id_foreign` (`school_id`),
  ADD KEY `sm_custom_temporary_results_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_dashboard_settings`
--
ALTER TABLE `sm_dashboard_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_dashboard_settings_role_id_foreign` (`role_id`),
  ADD KEY `sm_dashboard_settings_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_date_formats`
--
ALTER TABLE `sm_date_formats`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_date_formats_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_designations`
--
ALTER TABLE `sm_designations`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_designations_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_dormitory_lists`
--
ALTER TABLE `sm_dormitory_lists`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_dormitory_lists_school_id_foreign` (`school_id`),
  ADD KEY `sm_dormitory_lists_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_email_settings`
--
ALTER TABLE `sm_email_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_email_settings_school_id_foreign` (`school_id`),
  ADD KEY `sm_email_settings_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_email_sms_logs`
--
ALTER TABLE `sm_email_sms_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_email_sms_logs_school_id_foreign` (`school_id`),
  ADD KEY `sm_email_sms_logs_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_events`
--
ALTER TABLE `sm_events`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_events_school_id_foreign` (`school_id`),
  ADD KEY `sm_events_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exams`
--
ALTER TABLE `sm_exams`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exams_exam_type_id_foreign` (`exam_type_id`),
  ADD KEY `sm_exams_class_id_foreign` (`class_id`),
  ADD KEY `sm_exams_section_id_foreign` (`section_id`),
  ADD KEY `sm_exams_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_exams_school_id_foreign` (`school_id`),
  ADD KEY `sm_exams_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_attendances`
--
ALTER TABLE `sm_exam_attendances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_attendances_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_exam_attendances_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_exam_attendances_class_id_foreign` (`class_id`),
  ADD KEY `sm_exam_attendances_section_id_foreign` (`section_id`),
  ADD KEY `sm_exam_attendances_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_attendances_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_attendance_children`
--
ALTER TABLE `sm_exam_attendance_children`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_attendance_children_exam_attendance_id_foreign` (`exam_attendance_id`),
  ADD KEY `sm_exam_attendance_children_student_id_foreign` (`student_id`),
  ADD KEY `sm_exam_attendance_children_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_attendance_children_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_marks_registers`
--
ALTER TABLE `sm_exam_marks_registers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_marks_registers_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_exam_marks_registers_student_id_foreign` (`student_id`),
  ADD KEY `sm_exam_marks_registers_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_exam_marks_registers_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_marks_registers_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_schedules`
--
ALTER TABLE `sm_exam_schedules`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_schedules_exam_period_id_foreign` (`exam_period_id`),
  ADD KEY `sm_exam_schedules_room_id_foreign` (`room_id`),
  ADD KEY `sm_exam_schedules_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_exam_schedules_exam_term_id_foreign` (`exam_term_id`),
  ADD KEY `sm_exam_schedules_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_exam_schedules_class_id_foreign` (`class_id`),
  ADD KEY `sm_exam_schedules_section_id_foreign` (`section_id`),
  ADD KEY `sm_exam_schedules_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_schedules_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_schedule_subjects`
--
ALTER TABLE `sm_exam_schedule_subjects`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_schedule_subjects_exam_schedule_id_foreign` (`exam_schedule_id`),
  ADD KEY `sm_exam_schedule_subjects_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_exam_schedule_subjects_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_schedule_subjects_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_settings`
--
ALTER TABLE `sm_exam_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_settings_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_settings_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_setups`
--
ALTER TABLE `sm_exam_setups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_setups_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_exam_setups_class_id_foreign` (`class_id`),
  ADD KEY `sm_exam_setups_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_exam_setups_section_id_foreign` (`section_id`),
  ADD KEY `sm_exam_setups_exam_term_id_foreign` (`exam_term_id`),
  ADD KEY `sm_exam_setups_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_setups_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_exam_types`
--
ALTER TABLE `sm_exam_types`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_exam_types_school_id_foreign` (`school_id`),
  ADD KEY `sm_exam_types_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_expense_heads`
--
ALTER TABLE `sm_expense_heads`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_expense_heads_school_id_foreign` (`school_id`),
  ADD KEY `sm_expense_heads_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_assigns`
--
ALTER TABLE `sm_fees_assigns`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_assigns_fees_master_id_foreign` (`fees_master_id`),
  ADD KEY `sm_fees_assigns_fees_discount_id_foreign` (`fees_discount_id`),
  ADD KEY `sm_fees_assigns_student_id_foreign` (`student_id`),
  ADD KEY `sm_fees_assigns_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_assigns_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_assign_discounts`
--
ALTER TABLE `sm_fees_assign_discounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_assign_discounts_student_id_foreign` (`student_id`),
  ADD KEY `sm_fees_assign_discounts_fees_discount_id_foreign` (`fees_discount_id`),
  ADD KEY `sm_fees_assign_discounts_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_assign_discounts_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_carry_forwards`
--
ALTER TABLE `sm_fees_carry_forwards`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_carry_forwards_student_id_foreign` (`student_id`),
  ADD KEY `sm_fees_carry_forwards_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_carry_forwards_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_discounts`
--
ALTER TABLE `sm_fees_discounts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_discounts_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_discounts_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_groups`
--
ALTER TABLE `sm_fees_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_groups_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_groups_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_masters`
--
ALTER TABLE `sm_fees_masters`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_masters_fees_group_id_foreign` (`fees_group_id`),
  ADD KEY `sm_fees_masters_fees_type_id_foreign` (`fees_type_id`),
  ADD KEY `sm_fees_masters_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_masters_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_payments`
--
ALTER TABLE `sm_fees_payments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_payments_fees_discount_id_foreign` (`fees_discount_id`),
  ADD KEY `sm_fees_payments_fees_type_id_foreign` (`fees_type_id`),
  ADD KEY `sm_fees_payments_student_id_foreign` (`student_id`),
  ADD KEY `sm_fees_payments_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_payments_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_fees_types`
--
ALTER TABLE `sm_fees_types`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_fees_types_fees_group_id_foreign` (`fees_group_id`),
  ADD KEY `sm_fees_types_school_id_foreign` (`school_id`),
  ADD KEY `sm_fees_types_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_frontend_persmissions`
--
ALTER TABLE `sm_frontend_persmissions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_general_settings`
--
ALTER TABLE `sm_general_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_general_settings_session_id_foreign` (`session_id`),
  ADD KEY `sm_general_settings_language_id_foreign` (`language_id`),
  ADD KEY `sm_general_settings_date_format_id_foreign` (`date_format_id`),
  ADD KEY `sm_general_settings_school_id_foreign` (`school_id`),
  ADD KEY `sm_general_settings_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_header_menu_managers`
--
ALTER TABLE `sm_header_menu_managers`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_holidays`
--
ALTER TABLE `sm_holidays`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_holidays_school_id_foreign` (`school_id`),
  ADD KEY `sm_holidays_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_homeworks`
--
ALTER TABLE `sm_homeworks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_homeworks_evaluated_by_foreign` (`evaluated_by`),
  ADD KEY `sm_homeworks_class_id_foreign` (`class_id`),
  ADD KEY `sm_homeworks_section_id_foreign` (`section_id`),
  ADD KEY `sm_homeworks_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_homeworks_school_id_foreign` (`school_id`),
  ADD KEY `sm_homeworks_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_homework_students`
--
ALTER TABLE `sm_homework_students`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_homework_students_student_id_foreign` (`student_id`),
  ADD KEY `sm_homework_students_homework_id_foreign` (`homework_id`),
  ADD KEY `sm_homework_students_school_id_foreign` (`school_id`),
  ADD KEY `sm_homework_students_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_home_page_settings`
--
ALTER TABLE `sm_home_page_settings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_hourly_rates`
--
ALTER TABLE `sm_hourly_rates`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_hourly_rates_school_id_foreign` (`school_id`),
  ADD KEY `sm_hourly_rates_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_hr_payroll_earn_deducs`
--
ALTER TABLE `sm_hr_payroll_earn_deducs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_hr_payroll_earn_deducs_payroll_generate_id_foreign` (`payroll_generate_id`),
  ADD KEY `sm_hr_payroll_earn_deducs_school_id_foreign` (`school_id`),
  ADD KEY `sm_hr_payroll_earn_deducs_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_hr_payroll_generates`
--
ALTER TABLE `sm_hr_payroll_generates`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_hr_payroll_generates_staff_id_foreign` (`staff_id`),
  ADD KEY `sm_hr_payroll_generates_school_id_foreign` (`school_id`),
  ADD KEY `sm_hr_payroll_generates_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_hr_salary_templates`
--
ALTER TABLE `sm_hr_salary_templates`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_hr_salary_templates_school_id_foreign` (`school_id`),
  ADD KEY `sm_hr_salary_templates_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_human_departments`
--
ALTER TABLE `sm_human_departments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_human_departments_created_by_foreign` (`created_by`),
  ADD KEY `sm_human_departments_updated_by_foreign` (`updated_by`),
  ADD KEY `sm_human_departments_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_income_heads`
--
ALTER TABLE `sm_income_heads`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_income_heads_school_id_foreign` (`school_id`),
  ADD KEY `sm_income_heads_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_instructions`
--
ALTER TABLE `sm_instructions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_instructions_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_inventory_payments`
--
ALTER TABLE `sm_inventory_payments`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_inventory_payments_school_id_foreign` (`school_id`),
  ADD KEY `sm_inventory_payments_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_items`
--
ALTER TABLE `sm_items`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_items_item_category_id_foreign` (`item_category_id`),
  ADD KEY `sm_items_school_id_foreign` (`school_id`),
  ADD KEY `sm_items_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_categories`
--
ALTER TABLE `sm_item_categories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_categories_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_categories_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_issues`
--
ALTER TABLE `sm_item_issues`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_issues_role_id_foreign` (`role_id`),
  ADD KEY `sm_item_issues_item_category_id_foreign` (`item_category_id`),
  ADD KEY `sm_item_issues_item_id_foreign` (`item_id`),
  ADD KEY `sm_item_issues_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_issues_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_receives`
--
ALTER TABLE `sm_item_receives`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_receives_supplier_id_foreign` (`supplier_id`),
  ADD KEY `sm_item_receives_store_id_foreign` (`store_id`),
  ADD KEY `sm_item_receives_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_receives_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_receive_children`
--
ALTER TABLE `sm_item_receive_children`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_receive_children_item_id_foreign` (`item_id`),
  ADD KEY `sm_item_receive_children_item_receive_id_foreign` (`item_receive_id`),
  ADD KEY `sm_item_receive_children_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_receive_children_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_sells`
--
ALTER TABLE `sm_item_sells`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_sells_role_id_foreign` (`role_id`),
  ADD KEY `sm_item_sells_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_sells_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_sell_children`
--
ALTER TABLE `sm_item_sell_children`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_sell_children_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_sell_children_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_item_stores`
--
ALTER TABLE `sm_item_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_item_stores_school_id_foreign` (`school_id`),
  ADD KEY `sm_item_stores_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_languages`
--
ALTER TABLE `sm_languages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_languages_lang_id_foreign` (`lang_id`),
  ADD KEY `sm_languages_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_language_phrases`
--
ALTER TABLE `sm_language_phrases`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_leave_deduction_infos`
--
ALTER TABLE `sm_leave_deduction_infos`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_leave_deduction_infos_school_id_foreign` (`school_id`),
  ADD KEY `sm_leave_deduction_infos_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_leave_defines`
--
ALTER TABLE `sm_leave_defines`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_leave_defines_role_id_foreign` (`role_id`),
  ADD KEY `sm_leave_defines_user_id_foreign` (`user_id`),
  ADD KEY `sm_leave_defines_type_id_foreign` (`type_id`),
  ADD KEY `sm_leave_defines_school_id_foreign` (`school_id`),
  ADD KEY `sm_leave_defines_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_leave_requests`
--
ALTER TABLE `sm_leave_requests`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_leave_requests_leave_define_id_foreign` (`leave_define_id`),
  ADD KEY `sm_leave_requests_staff_id_foreign` (`staff_id`),
  ADD KEY `sm_leave_requests_role_id_foreign` (`role_id`),
  ADD KEY `sm_leave_requests_type_id_foreign` (`type_id`),
  ADD KEY `sm_leave_requests_school_id_foreign` (`school_id`),
  ADD KEY `sm_leave_requests_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_leave_types`
--
ALTER TABLE `sm_leave_types`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_leave_types_school_id_foreign` (`school_id`),
  ADD KEY `sm_leave_types_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_lessons`
--
ALTER TABLE `sm_lessons`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_lessons_class_id_foreign` (`class_id`),
  ADD KEY `sm_lessons_section_id_foreign` (`section_id`),
  ADD KEY `sm_lessons_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_lessons_school_id_foreign` (`school_id`),
  ADD KEY `sm_lessons_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_lesson_details`
--
ALTER TABLE `sm_lesson_details`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_lesson_details_class_id_foreign` (`class_id`),
  ADD KEY `sm_lesson_details_section_id_foreign` (`section_id`),
  ADD KEY `sm_lesson_details_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_lesson_details_school_id_foreign` (`school_id`),
  ADD KEY `sm_lesson_details_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_lesson_topics`
--
ALTER TABLE `sm_lesson_topics`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_lesson_topics_class_id_foreign` (`class_id`),
  ADD KEY `sm_lesson_topics_section_id_foreign` (`section_id`),
  ADD KEY `sm_lesson_topics_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_lesson_topics_school_id_foreign` (`school_id`),
  ADD KEY `sm_lesson_topics_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_lesson_topic_details`
--
ALTER TABLE `sm_lesson_topic_details`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_lesson_topic_details_topic_id_foreign` (`topic_id`),
  ADD KEY `sm_lesson_topic_details_school_id_foreign` (`school_id`),
  ADD KEY `sm_lesson_topic_details_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_library_members`
--
ALTER TABLE `sm_library_members`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_library_members_member_type_foreign` (`member_type`),
  ADD KEY `sm_library_members_student_staff_id_foreign` (`student_staff_id`),
  ADD KEY `sm_library_members_school_id_foreign` (`school_id`),
  ADD KEY `sm_library_members_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_marks_grades`
--
ALTER TABLE `sm_marks_grades`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_marks_grades_school_id_foreign` (`school_id`),
  ADD KEY `sm_marks_grades_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_marks_registers`
--
ALTER TABLE `sm_marks_registers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_marks_registers_student_id_foreign` (`student_id`),
  ADD KEY `sm_marks_registers_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_marks_registers_class_id_foreign` (`class_id`),
  ADD KEY `sm_marks_registers_section_id_foreign` (`section_id`),
  ADD KEY `sm_marks_registers_school_id_foreign` (`school_id`),
  ADD KEY `sm_marks_registers_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_marks_register_children`
--
ALTER TABLE `sm_marks_register_children`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_marks_register_children_marks_register_id_foreign` (`marks_register_id`),
  ADD KEY `sm_marks_register_children_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_marks_register_children_school_id_foreign` (`school_id`),
  ADD KEY `sm_marks_register_children_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_marks_send_sms`
--
ALTER TABLE `sm_marks_send_sms`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_marks_send_sms_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_marks_send_sms_student_id_foreign` (`student_id`),
  ADD KEY `sm_marks_send_sms_school_id_foreign` (`school_id`),
  ADD KEY `sm_marks_send_sms_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_mark_stores`
--
ALTER TABLE `sm_mark_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_mark_stores_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_mark_stores_exam_term_id_foreign` (`exam_term_id`),
  ADD KEY `sm_mark_stores_exam_setup_id_foreign` (`exam_setup_id`),
  ADD KEY `sm_mark_stores_student_id_foreign` (`student_id`),
  ADD KEY `sm_mark_stores_class_id_foreign` (`class_id`),
  ADD KEY `sm_mark_stores_section_id_foreign` (`section_id`),
  ADD KEY `sm_mark_stores_school_id_foreign` (`school_id`),
  ADD KEY `sm_mark_stores_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_modules`
--
ALTER TABLE `sm_modules`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_modules_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_module_links`
--
ALTER TABLE `sm_module_links`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_module_links_module_id_foreign` (`module_id`),
  ADD KEY `sm_module_links_created_by_foreign` (`created_by`),
  ADD KEY `sm_module_links_updated_by_foreign` (`updated_by`),
  ADD KEY `sm_module_links_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_module_permissions`
--
ALTER TABLE `sm_module_permissions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_module_permissions_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_module_permission_assigns`
--
ALTER TABLE `sm_module_permission_assigns`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_module_permission_assigns_module_id_foreign` (`module_id`),
  ADD KEY `sm_module_permission_assigns_role_id_foreign` (`role_id`),
  ADD KEY `sm_module_permission_assigns_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_news`
--
ALTER TABLE `sm_news`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_news_category_id_foreign` (`category_id`);

--
-- Indexes for table `sm_news_categories`
--
ALTER TABLE `sm_news_categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_news_pages`
--
ALTER TABLE `sm_news_pages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_news_pages_created_by_foreign` (`created_by`),
  ADD KEY `sm_news_pages_updated_by_foreign` (`updated_by`),
  ADD KEY `sm_news_pages_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_notice_boards`
--
ALTER TABLE `sm_notice_boards`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_notice_boards_school_id_foreign` (`school_id`),
  ADD KEY `sm_notice_boards_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_notifications`
--
ALTER TABLE `sm_notifications`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_notifications_school_id_foreign` (`school_id`),
  ADD KEY `sm_notifications_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_online_exams`
--
ALTER TABLE `sm_online_exams`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_online_exams_class_id_foreign` (`class_id`),
  ADD KEY `sm_online_exams_section_id_foreign` (`section_id`),
  ADD KEY `sm_online_exams_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_online_exams_school_id_foreign` (`school_id`),
  ADD KEY `sm_online_exams_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_online_exam_marks`
--
ALTER TABLE `sm_online_exam_marks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_online_exam_marks_student_id_foreign` (`student_id`),
  ADD KEY `sm_online_exam_marks_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_online_exam_marks_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_online_exam_marks_school_id_foreign` (`school_id`),
  ADD KEY `sm_online_exam_marks_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_online_exam_questions`
--
ALTER TABLE `sm_online_exam_questions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_online_exam_questions_online_exam_id_foreign` (`online_exam_id`),
  ADD KEY `sm_online_exam_questions_school_id_foreign` (`school_id`),
  ADD KEY `sm_online_exam_questions_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_online_exam_question_assigns`
--
ALTER TABLE `sm_online_exam_question_assigns`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_online_exam_question_assigns_online_exam_id_foreign` (`online_exam_id`),
  ADD KEY `sm_online_exam_question_assigns_question_bank_id_foreign` (`question_bank_id`),
  ADD KEY `sm_online_exam_question_assigns_school_id_foreign` (`school_id`),
  ADD KEY `sm_online_exam_question_assigns_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_online_exam_question_mu_options`
--
ALTER TABLE `sm_online_exam_question_mu_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `on_ex_qu_id` (`online_exam_question_id`),
  ADD KEY `sm_online_exam_question_mu_options_school_id_foreign` (`school_id`),
  ADD KEY `sm_online_exam_question_mu_options_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_optional_subject_assigns`
--
ALTER TABLE `sm_optional_subject_assigns`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_optional_subject_assigns_student_id_foreign` (`student_id`),
  ADD KEY `sm_optional_subject_assigns_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_optional_subject_assigns_school_id_foreign` (`school_id`),
  ADD KEY `sm_optional_subject_assigns_session_id_foreign` (`session_id`),
  ADD KEY `sm_optional_subject_assigns_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_pages`
--
ALTER TABLE `sm_pages`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `sm_pages_sub_title_unique` (`sub_title`);

--
-- Indexes for table `sm_parents`
--
ALTER TABLE `sm_parents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_parents_user_id_foreign` (`user_id`),
  ADD KEY `sm_parents_school_id_foreign` (`school_id`),
  ADD KEY `sm_parents_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_payment_gateway_settings`
--
ALTER TABLE `sm_payment_gateway_settings`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_payment_gateway_settings_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_payment_methhods`
--
ALTER TABLE `sm_payment_methhods`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_payment_methhods_gateway_id_foreign` (`gateway_id`),
  ADD KEY `sm_payment_methhods_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_phone_call_logs`
--
ALTER TABLE `sm_phone_call_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_phone_call_logs_school_id_foreign` (`school_id`),
  ADD KEY `sm_phone_call_logs_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_postal_dispatches`
--
ALTER TABLE `sm_postal_dispatches`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_postal_dispatches_school_id_foreign` (`school_id`),
  ADD KEY `sm_postal_dispatches_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_postal_receives`
--
ALTER TABLE `sm_postal_receives`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_postal_receives_school_id_foreign` (`school_id`),
  ADD KEY `sm_postal_receives_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_product_purchases`
--
ALTER TABLE `sm_product_purchases`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_product_purchases_user_id_foreign` (`user_id`),
  ADD KEY `sm_product_purchases_staff_id_foreign` (`staff_id`),
  ADD KEY `sm_product_purchases_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_question_banks`
--
ALTER TABLE `sm_question_banks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_question_banks_q_group_id_foreign` (`q_group_id`),
  ADD KEY `sm_question_banks_class_id_foreign` (`class_id`),
  ADD KEY `sm_question_banks_section_id_foreign` (`section_id`),
  ADD KEY `sm_question_banks_school_id_foreign` (`school_id`),
  ADD KEY `sm_question_banks_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_question_bank_mu_options`
--
ALTER TABLE `sm_question_bank_mu_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_question_bank_mu_options_question_bank_id_foreign` (`question_bank_id`),
  ADD KEY `sm_question_bank_mu_options_school_id_foreign` (`school_id`),
  ADD KEY `sm_question_bank_mu_options_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_question_groups`
--
ALTER TABLE `sm_question_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_question_groups_school_id_foreign` (`school_id`),
  ADD KEY `sm_question_groups_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_question_levels`
--
ALTER TABLE `sm_question_levels`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_question_levels_school_id_foreign` (`school_id`),
  ADD KEY `sm_question_levels_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_result_stores`
--
ALTER TABLE `sm_result_stores`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_result_stores_exam_type_id_foreign` (`exam_type_id`),
  ADD KEY `sm_result_stores_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_result_stores_exam_setup_id_foreign` (`exam_setup_id`),
  ADD KEY `sm_result_stores_student_id_foreign` (`student_id`),
  ADD KEY `sm_result_stores_class_id_foreign` (`class_id`),
  ADD KEY `sm_result_stores_section_id_foreign` (`section_id`),
  ADD KEY `sm_result_stores_school_id_foreign` (`school_id`),
  ADD KEY `sm_result_stores_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_role_permissions`
--
ALTER TABLE `sm_role_permissions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_role_permissions_module_link_id_foreign` (`module_link_id`),
  ADD KEY `sm_role_permissions_role_id_foreign` (`role_id`),
  ADD KEY `sm_role_permissions_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_room_lists`
--
ALTER TABLE `sm_room_lists`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_room_lists_dormitory_id_foreign` (`dormitory_id`),
  ADD KEY `sm_room_lists_room_type_id_foreign` (`room_type_id`),
  ADD KEY `sm_room_lists_school_id_foreign` (`school_id`),
  ADD KEY `sm_room_lists_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_room_types`
--
ALTER TABLE `sm_room_types`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_room_types_school_id_foreign` (`school_id`),
  ADD KEY `sm_room_types_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_routes`
--
ALTER TABLE `sm_routes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_routes_school_id_foreign` (`school_id`),
  ADD KEY `sm_routes_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_schools`
--
ALTER TABLE `sm_schools`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_seat_plans`
--
ALTER TABLE `sm_seat_plans`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_seat_plans_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_seat_plans_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_seat_plans_class_id_foreign` (`class_id`),
  ADD KEY `sm_seat_plans_section_id_foreign` (`section_id`),
  ADD KEY `sm_seat_plans_school_id_foreign` (`school_id`),
  ADD KEY `sm_seat_plans_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_seat_plan_children`
--
ALTER TABLE `sm_seat_plan_children`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_seat_plan_children_seat_plan_id_foreign` (`seat_plan_id`),
  ADD KEY `sm_seat_plan_children_school_id_foreign` (`school_id`),
  ADD KEY `sm_seat_plan_children_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_sections`
--
ALTER TABLE `sm_sections`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_sections_school_id_foreign` (`school_id`),
  ADD KEY `sm_sections_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_send_messages`
--
ALTER TABLE `sm_send_messages`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_send_messages_school_id_foreign` (`school_id`),
  ADD KEY `sm_send_messages_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_sessions`
--
ALTER TABLE `sm_sessions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_sessions_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_setup_admins`
--
ALTER TABLE `sm_setup_admins`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_setup_admins_school_id_foreign` (`school_id`),
  ADD KEY `sm_setup_admins_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_sms_gateways`
--
ALTER TABLE `sm_sms_gateways`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_sms_gateways_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_social_media_icons`
--
ALTER TABLE `sm_social_media_icons`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_social_media_icons_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_staffs`
--
ALTER TABLE `sm_staffs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_staffs_designation_id_foreign` (`designation_id`),
  ADD KEY `sm_staffs_department_id_foreign` (`department_id`),
  ADD KEY `sm_staffs_user_id_foreign` (`user_id`),
  ADD KEY `sm_staffs_role_id_foreign` (`role_id`),
  ADD KEY `sm_staffs_gender_id_foreign` (`gender_id`),
  ADD KEY `sm_staffs_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_staff_attendance_imports`
--
ALTER TABLE `sm_staff_attendance_imports`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_staff_attendance_imports_staff_id_foreign` (`staff_id`),
  ADD KEY `sm_staff_attendance_imports_school_id_foreign` (`school_id`),
  ADD KEY `sm_staff_attendance_imports_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_staff_attendences`
--
ALTER TABLE `sm_staff_attendences`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_staff_attendences_staff_id_foreign` (`staff_id`),
  ADD KEY `sm_staff_attendences_school_id_foreign` (`school_id`),
  ADD KEY `sm_staff_attendences_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_students`
--
ALTER TABLE `sm_students`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_students_bloodgroup_id_foreign` (`bloodgroup_id`),
  ADD KEY `sm_students_religion_id_foreign` (`religion_id`),
  ADD KEY `sm_students_route_list_id_foreign` (`route_list_id`),
  ADD KEY `sm_students_dormitory_id_foreign` (`dormitory_id`),
  ADD KEY `sm_students_vechile_id_foreign` (`vechile_id`),
  ADD KEY `sm_students_room_id_foreign` (`room_id`),
  ADD KEY `sm_students_student_category_id_foreign` (`student_category_id`),
  ADD KEY `sm_students_student_group_id_foreign` (`student_group_id`),
  ADD KEY `sm_students_class_id_foreign` (`class_id`),
  ADD KEY `sm_students_section_id_foreign` (`section_id`),
  ADD KEY `sm_students_session_id_foreign` (`session_id`),
  ADD KEY `sm_students_parent_id_foreign` (`parent_id`),
  ADD KEY `sm_students_user_id_foreign` (`user_id`),
  ADD KEY `sm_students_role_id_foreign` (`role_id`),
  ADD KEY `sm_students_gender_id_foreign` (`gender_id`),
  ADD KEY `sm_students_school_id_foreign` (`school_id`),
  ADD KEY `sm_students_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_attendances`
--
ALTER TABLE `sm_student_attendances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_attendances_student_id_foreign` (`student_id`),
  ADD KEY `sm_student_attendances_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_attendances_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_attendance_imports`
--
ALTER TABLE `sm_student_attendance_imports`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_attendance_imports_student_id_foreign` (`student_id`),
  ADD KEY `sm_student_attendance_imports_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_attendance_imports_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_categories`
--
ALTER TABLE `sm_student_categories`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_categories_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_categories_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_certificates`
--
ALTER TABLE `sm_student_certificates`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_certificates_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_certificates_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_documents`
--
ALTER TABLE `sm_student_documents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_documents_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_documents_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_excel_formats`
--
ALTER TABLE `sm_student_excel_formats`
  ADD KEY `sm_student_excel_formats_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_excel_formats_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_groups`
--
ALTER TABLE `sm_student_groups`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_groups_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_groups_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_homeworks`
--
ALTER TABLE `sm_student_homeworks`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_homeworks_evaluated_by_foreign` (`evaluated_by`),
  ADD KEY `sm_student_homeworks_student_id_foreign` (`student_id`),
  ADD KEY `sm_student_homeworks_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_student_homeworks_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_homeworks_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_id_cards`
--
ALTER TABLE `sm_student_id_cards`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_id_cards_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_id_cards_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_promotions`
--
ALTER TABLE `sm_student_promotions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_promotions_previous_class_id_foreign` (`previous_class_id`),
  ADD KEY `sm_student_promotions_current_class_id_foreign` (`current_class_id`),
  ADD KEY `sm_student_promotions_previous_section_id_foreign` (`previous_section_id`),
  ADD KEY `sm_student_promotions_current_section_id_foreign` (`current_section_id`),
  ADD KEY `sm_student_promotions_previous_session_id_foreign` (`previous_session_id`),
  ADD KEY `sm_student_promotions_current_session_id_foreign` (`current_session_id`),
  ADD KEY `sm_student_promotions_student_id_foreign` (`student_id`),
  ADD KEY `sm_student_promotions_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_promotions_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_take_online_exams`
--
ALTER TABLE `sm_student_take_online_exams`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_take_online_exams_student_id_foreign` (`student_id`),
  ADD KEY `sm_student_take_online_exams_online_exam_id_foreign` (`online_exam_id`),
  ADD KEY `sm_student_take_online_exams_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_take_online_exams_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_take_online_exam_questions`
--
ALTER TABLE `sm_student_take_online_exam_questions`
  ADD PRIMARY KEY (`id`),
  ADD KEY `t_on_ex_id` (`take_online_exam_id`),
  ADD KEY `sm_student_take_online_exam_questions_question_bank_id_foreign` (`question_bank_id`),
  ADD KEY `sm_student_take_online_exam_questions_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_take_online_exam_questions_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_take_onln_ex_ques_options`
--
ALTER TABLE `sm_student_take_onln_ex_ques_options`
  ADD PRIMARY KEY (`id`),
  ADD KEY `t_on_ex_q_id` (`take_online_exam_question_id`),
  ADD KEY `sm_student_take_onln_ex_ques_options_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_take_onln_ex_ques_options_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_student_timelines`
--
ALTER TABLE `sm_student_timelines`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_student_timelines_school_id_foreign` (`school_id`),
  ADD KEY `sm_student_timelines_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_styles`
--
ALTER TABLE `sm_styles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_styles_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_subjects`
--
ALTER TABLE `sm_subjects`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_subjects_school_id_foreign` (`school_id`),
  ADD KEY `sm_subjects_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_subject_attendances`
--
ALTER TABLE `sm_subject_attendances`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_subject_attendances_subject_id_foreign` (`subject_id`),
  ADD KEY `sm_subject_attendances_student_id_foreign` (`student_id`),
  ADD KEY `sm_subject_attendances_school_id_foreign` (`school_id`),
  ADD KEY `sm_subject_attendances_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_suppliers`
--
ALTER TABLE `sm_suppliers`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_suppliers_school_id_foreign` (`school_id`),
  ADD KEY `sm_suppliers_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_system_versions`
--
ALTER TABLE `sm_system_versions`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_teacher_upload_contents`
--
ALTER TABLE `sm_teacher_upload_contents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_teacher_upload_contents_class_foreign` (`class`),
  ADD KEY `sm_teacher_upload_contents_section_foreign` (`section`),
  ADD KEY `sm_teacher_upload_contents_school_id_foreign` (`school_id`),
  ADD KEY `sm_teacher_upload_contents_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_temporary_meritlists`
--
ALTER TABLE `sm_temporary_meritlists`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_temporary_meritlists_exam_id_foreign` (`exam_id`),
  ADD KEY `sm_temporary_meritlists_class_id_foreign` (`class_id`),
  ADD KEY `sm_temporary_meritlists_section_id_foreign` (`section_id`),
  ADD KEY `sm_temporary_meritlists_school_id_foreign` (`school_id`),
  ADD KEY `sm_temporary_meritlists_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_testimonials`
--
ALTER TABLE `sm_testimonials`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_testimonials_school_id_foreign` (`school_id`);

--
-- Indexes for table `sm_time_zones`
--
ALTER TABLE `sm_time_zones`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `sm_to_dos`
--
ALTER TABLE `sm_to_dos`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_to_dos_school_id_foreign` (`school_id`),
  ADD KEY `sm_to_dos_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_upload_contents`
--
ALTER TABLE `sm_upload_contents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_upload_contents_school_id_foreign` (`school_id`),
  ADD KEY `sm_upload_contents_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_upload_homework_contents`
--
ALTER TABLE `sm_upload_homework_contents`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_upload_homework_contents_student_id_foreign` (`student_id`),
  ADD KEY `sm_upload_homework_contents_homework_id_foreign` (`homework_id`),
  ADD KEY `sm_upload_homework_contents_school_id_foreign` (`school_id`),
  ADD KEY `sm_upload_homework_contents_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_user_logs`
--
ALTER TABLE `sm_user_logs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_user_logs_user_id_foreign` (`user_id`),
  ADD KEY `sm_user_logs_role_id_foreign` (`role_id`),
  ADD KEY `sm_user_logs_school_id_foreign` (`school_id`),
  ADD KEY `sm_user_logs_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_vehicles`
--
ALTER TABLE `sm_vehicles`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_vehicles_school_id_foreign` (`school_id`),
  ADD KEY `sm_vehicles_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_visitors`
--
ALTER TABLE `sm_visitors`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_visitors_school_id_foreign` (`school_id`),
  ADD KEY `sm_visitors_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `sm_weekends`
--
ALTER TABLE `sm_weekends`
  ADD PRIMARY KEY (`id`),
  ADD KEY `sm_weekends_school_id_foreign` (`school_id`),
  ADD KEY `sm_weekends_academic_id_foreign` (`academic_id`);

--
-- Indexes for table `student_attendance_bulks`
--
ALTER TABLE `student_attendance_bulks`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `student_bulk_temporaries`
--
ALTER TABLE `student_bulk_temporaries`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `telescope_entries`
--
ALTER TABLE `telescope_entries`
  ADD PRIMARY KEY (`sequence`),
  ADD UNIQUE KEY `telescope_entries_uuid_unique` (`uuid`),
  ADD KEY `telescope_entries_batch_id_index` (`batch_id`),
  ADD KEY `telescope_entries_family_hash_index` (`family_hash`),
  ADD KEY `telescope_entries_created_at_index` (`created_at`),
  ADD KEY `telescope_entries_type_should_display_on_index_index` (`type`,`should_display_on_index`);

--
-- Indexes for table `telescope_entries_tags`
--
ALTER TABLE `telescope_entries_tags`
  ADD KEY `telescope_entries_tags_entry_uuid_tag_index` (`entry_uuid`,`tag`),
  ADD KEY `telescope_entries_tags_tag_index` (`tag`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`),
  ADD KEY `users_school_id_foreign` (`school_id`),
  ADD KEY `users_role_id_foreign` (`role_id`);

--
-- Indexes for table `user_menus`
--
ALTER TABLE `user_menus`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_menus_role_id_foreign` (`role_id`),
  ADD KEY `user_menus_user_id_foreign` (`user_id`),
  ADD KEY `user_menus_school_id_foreign` (`school_id`),
  ADD KEY `user_menus_academic_id_foreign` (`academic_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `chat_block_users`
--
ALTER TABLE `chat_block_users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_conversations`
--
ALTER TABLE `chat_conversations`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_group_message_recipients`
--
ALTER TABLE `chat_group_message_recipients`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_group_message_removes`
--
ALTER TABLE `chat_group_message_removes`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_group_users`
--
ALTER TABLE `chat_group_users`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_invitations`
--
ALTER TABLE `chat_invitations`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_invitation_types`
--
ALTER TABLE `chat_invitation_types`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `chat_statuses`
--
ALTER TABLE `chat_statuses`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `check_classes`
--
ALTER TABLE `check_classes`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `continents`
--
ALTER TABLE `continents`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `continets`
--
ALTER TABLE `continets`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `countries`
--
ALTER TABLE `countries`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=251;

--
-- AUTO_INCREMENT for table `custom_result_settings`
--
ALTER TABLE `custom_result_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `infix_module_infos`
--
ALTER TABLE `infix_module_infos`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=906;

--
-- AUTO_INCREMENT for table `infix_module_managers`
--
ALTER TABLE `infix_module_managers`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `infix_module_student_parent_infos`
--
ALTER TABLE `infix_module_student_parent_infos`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=915;

--
-- AUTO_INCREMENT for table `infix_permission_assigns`
--
ALTER TABLE `infix_permission_assigns`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1083;

--
-- AUTO_INCREMENT for table `infix_roles`
--
ALTER TABLE `infix_roles`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `jobs`
--
ALTER TABLE `jobs`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `languages`
--
ALTER TABLE `languages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=115;

--
-- AUTO_INCREMENT for table `lesson_planners`
--
ALTER TABLE `lesson_planners`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `library_subjects`
--
ALTER TABLE `library_subjects`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `menu_manages`
--
ALTER TABLE `menu_manages`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `migrations`
--
ALTER TABLE `migrations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=221;

--
-- AUTO_INCREMENT for table `oauth_access_tokens`
--
ALTER TABLE `oauth_access_tokens`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `oauth_auth_codes`
--
ALTER TABLE `oauth_auth_codes`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `oauth_clients`
--
ALTER TABLE `oauth_clients`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `oauth_personal_access_clients`
--
ALTER TABLE `oauth_personal_access_clients`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `oauth_refresh_tokens`
--
ALTER TABLE `oauth_refresh_tokens`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `online_exam_student_answer_markings`
--
ALTER TABLE `online_exam_student_answer_markings`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `roles`
--
ALTER TABLE `roles`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=10;

--
-- AUTO_INCREMENT for table `sidebars`
--
ALTER TABLE `sidebars`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sms_templates`
--
ALTER TABLE `sms_templates`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_about_pages`
--
ALTER TABLE `sm_about_pages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_academic_years`
--
ALTER TABLE `sm_academic_years`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_add_expenses`
--
ALTER TABLE `sm_add_expenses`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_add_incomes`
--
ALTER TABLE `sm_add_incomes`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_add_ons`
--
ALTER TABLE `sm_add_ons`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_admission_queries`
--
ALTER TABLE `sm_admission_queries`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_admission_query_followups`
--
ALTER TABLE `sm_admission_query_followups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_amount_transfers`
--
ALTER TABLE `sm_amount_transfers`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_assign_class_teachers`
--
ALTER TABLE `sm_assign_class_teachers`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_assign_subjects`
--
ALTER TABLE `sm_assign_subjects`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_assign_vehicles`
--
ALTER TABLE `sm_assign_vehicles`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_background_settings`
--
ALTER TABLE `sm_background_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `sm_backups`
--
ALTER TABLE `sm_backups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_bank_accounts`
--
ALTER TABLE `sm_bank_accounts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_bank_payment_slips`
--
ALTER TABLE `sm_bank_payment_slips`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_bank_statements`
--
ALTER TABLE `sm_bank_statements`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_base_groups`
--
ALTER TABLE `sm_base_groups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `sm_base_setups`
--
ALTER TABLE `sm_base_setups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `sm_books`
--
ALTER TABLE `sm_books`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_book_categories`
--
ALTER TABLE `sm_book_categories`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_book_issues`
--
ALTER TABLE `sm_book_issues`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_chart_of_accounts`
--
ALTER TABLE `sm_chart_of_accounts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_classes`
--
ALTER TABLE `sm_classes`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_optional_subject`
--
ALTER TABLE `sm_class_optional_subject`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_rooms`
--
ALTER TABLE `sm_class_rooms`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_routines`
--
ALTER TABLE `sm_class_routines`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_routine_updates`
--
ALTER TABLE `sm_class_routine_updates`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_sections`
--
ALTER TABLE `sm_class_sections`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_teachers`
--
ALTER TABLE `sm_class_teachers`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_class_times`
--
ALTER TABLE `sm_class_times`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_complaints`
--
ALTER TABLE `sm_complaints`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_contact_messages`
--
ALTER TABLE `sm_contact_messages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_contact_pages`
--
ALTER TABLE `sm_contact_pages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_content_types`
--
ALTER TABLE `sm_content_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_countries`
--
ALTER TABLE `sm_countries`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_courses`
--
ALTER TABLE `sm_courses`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `sm_course_categories`
--
ALTER TABLE `sm_course_categories`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_course_pages`
--
ALTER TABLE `sm_course_pages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `sm_currencies`
--
ALTER TABLE `sm_currencies`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=121;

--
-- AUTO_INCREMENT for table `sm_custom_links`
--
ALTER TABLE `sm_custom_links`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_custom_temporary_results`
--
ALTER TABLE `sm_custom_temporary_results`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_dashboard_settings`
--
ALTER TABLE `sm_dashboard_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_date_formats`
--
ALTER TABLE `sm_date_formats`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `sm_designations`
--
ALTER TABLE `sm_designations`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_dormitory_lists`
--
ALTER TABLE `sm_dormitory_lists`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_email_settings`
--
ALTER TABLE `sm_email_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `sm_email_sms_logs`
--
ALTER TABLE `sm_email_sms_logs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_events`
--
ALTER TABLE `sm_events`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `sm_exams`
--
ALTER TABLE `sm_exams`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_attendances`
--
ALTER TABLE `sm_exam_attendances`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_attendance_children`
--
ALTER TABLE `sm_exam_attendance_children`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_marks_registers`
--
ALTER TABLE `sm_exam_marks_registers`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_schedules`
--
ALTER TABLE `sm_exam_schedules`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_schedule_subjects`
--
ALTER TABLE `sm_exam_schedule_subjects`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_settings`
--
ALTER TABLE `sm_exam_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_exam_setups`
--
ALTER TABLE `sm_exam_setups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_exam_types`
--
ALTER TABLE `sm_exam_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_expense_heads`
--
ALTER TABLE `sm_expense_heads`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_assigns`
--
ALTER TABLE `sm_fees_assigns`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_assign_discounts`
--
ALTER TABLE `sm_fees_assign_discounts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_carry_forwards`
--
ALTER TABLE `sm_fees_carry_forwards`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_discounts`
--
ALTER TABLE `sm_fees_discounts`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_groups`
--
ALTER TABLE `sm_fees_groups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_masters`
--
ALTER TABLE `sm_fees_masters`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_payments`
--
ALTER TABLE `sm_fees_payments`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_fees_types`
--
ALTER TABLE `sm_fees_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_frontend_persmissions`
--
ALTER TABLE `sm_frontend_persmissions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- AUTO_INCREMENT for table `sm_general_settings`
--
ALTER TABLE `sm_general_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_header_menu_managers`
--
ALTER TABLE `sm_header_menu_managers`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_holidays`
--
ALTER TABLE `sm_holidays`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_homeworks`
--
ALTER TABLE `sm_homeworks`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_homework_students`
--
ALTER TABLE `sm_homework_students`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_home_page_settings`
--
ALTER TABLE `sm_home_page_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_hourly_rates`
--
ALTER TABLE `sm_hourly_rates`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_hr_payroll_earn_deducs`
--
ALTER TABLE `sm_hr_payroll_earn_deducs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_hr_payroll_generates`
--
ALTER TABLE `sm_hr_payroll_generates`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_hr_salary_templates`
--
ALTER TABLE `sm_hr_salary_templates`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_human_departments`
--
ALTER TABLE `sm_human_departments`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_income_heads`
--
ALTER TABLE `sm_income_heads`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_instructions`
--
ALTER TABLE `sm_instructions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_inventory_payments`
--
ALTER TABLE `sm_inventory_payments`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_items`
--
ALTER TABLE `sm_items`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_categories`
--
ALTER TABLE `sm_item_categories`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_issues`
--
ALTER TABLE `sm_item_issues`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_receives`
--
ALTER TABLE `sm_item_receives`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_receive_children`
--
ALTER TABLE `sm_item_receive_children`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_sells`
--
ALTER TABLE `sm_item_sells`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_sell_children`
--
ALTER TABLE `sm_item_sell_children`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_item_stores`
--
ALTER TABLE `sm_item_stores`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_languages`
--
ALTER TABLE `sm_languages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `sm_language_phrases`
--
ALTER TABLE `sm_language_phrases`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1629;

--
-- AUTO_INCREMENT for table `sm_leave_deduction_infos`
--
ALTER TABLE `sm_leave_deduction_infos`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_leave_defines`
--
ALTER TABLE `sm_leave_defines`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_leave_requests`
--
ALTER TABLE `sm_leave_requests`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_leave_types`
--
ALTER TABLE `sm_leave_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_lessons`
--
ALTER TABLE `sm_lessons`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_lesson_details`
--
ALTER TABLE `sm_lesson_details`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_lesson_topics`
--
ALTER TABLE `sm_lesson_topics`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_lesson_topic_details`
--
ALTER TABLE `sm_lesson_topic_details`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_library_members`
--
ALTER TABLE `sm_library_members`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_marks_grades`
--
ALTER TABLE `sm_marks_grades`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `sm_marks_registers`
--
ALTER TABLE `sm_marks_registers`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_marks_register_children`
--
ALTER TABLE `sm_marks_register_children`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_marks_send_sms`
--
ALTER TABLE `sm_marks_send_sms`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_mark_stores`
--
ALTER TABLE `sm_mark_stores`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_modules`
--
ALTER TABLE `sm_modules`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20;

--
-- AUTO_INCREMENT for table `sm_module_links`
--
ALTER TABLE `sm_module_links`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=398;

--
-- AUTO_INCREMENT for table `sm_module_permissions`
--
ALTER TABLE `sm_module_permissions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=47;

--
-- AUTO_INCREMENT for table `sm_module_permission_assigns`
--
ALTER TABLE `sm_module_permission_assigns`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=217;

--
-- AUTO_INCREMENT for table `sm_news`
--
ALTER TABLE `sm_news`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `sm_news_categories`
--
ALTER TABLE `sm_news_categories`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `sm_news_pages`
--
ALTER TABLE `sm_news_pages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_notice_boards`
--
ALTER TABLE `sm_notice_boards`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_notifications`
--
ALTER TABLE `sm_notifications`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_online_exams`
--
ALTER TABLE `sm_online_exams`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_online_exam_marks`
--
ALTER TABLE `sm_online_exam_marks`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_online_exam_questions`
--
ALTER TABLE `sm_online_exam_questions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_online_exam_question_assigns`
--
ALTER TABLE `sm_online_exam_question_assigns`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_online_exam_question_mu_options`
--
ALTER TABLE `sm_online_exam_question_mu_options`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_optional_subject_assigns`
--
ALTER TABLE `sm_optional_subject_assigns`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_pages`
--
ALTER TABLE `sm_pages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `sm_parents`
--
ALTER TABLE `sm_parents`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_payment_gateway_settings`
--
ALTER TABLE `sm_payment_gateway_settings`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `sm_payment_methhods`
--
ALTER TABLE `sm_payment_methhods`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `sm_phone_call_logs`
--
ALTER TABLE `sm_phone_call_logs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_postal_dispatches`
--
ALTER TABLE `sm_postal_dispatches`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_postal_receives`
--
ALTER TABLE `sm_postal_receives`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_product_purchases`
--
ALTER TABLE `sm_product_purchases`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_question_banks`
--
ALTER TABLE `sm_question_banks`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_question_bank_mu_options`
--
ALTER TABLE `sm_question_bank_mu_options`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_question_groups`
--
ALTER TABLE `sm_question_groups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_question_levels`
--
ALTER TABLE `sm_question_levels`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_result_stores`
--
ALTER TABLE `sm_result_stores`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_role_permissions`
--
ALTER TABLE `sm_role_permissions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7662;

--
-- AUTO_INCREMENT for table `sm_room_lists`
--
ALTER TABLE `sm_room_lists`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_room_types`
--
ALTER TABLE `sm_room_types`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_routes`
--
ALTER TABLE `sm_routes`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_schools`
--
ALTER TABLE `sm_schools`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_seat_plans`
--
ALTER TABLE `sm_seat_plans`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_seat_plan_children`
--
ALTER TABLE `sm_seat_plan_children`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_sections`
--
ALTER TABLE `sm_sections`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_send_messages`
--
ALTER TABLE `sm_send_messages`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_sessions`
--
ALTER TABLE `sm_sessions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_setup_admins`
--
ALTER TABLE `sm_setup_admins`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_sms_gateways`
--
ALTER TABLE `sm_sms_gateways`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `sm_social_media_icons`
--
ALTER TABLE `sm_social_media_icons`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `sm_staffs`
--
ALTER TABLE `sm_staffs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_staff_attendance_imports`
--
ALTER TABLE `sm_staff_attendance_imports`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_staff_attendences`
--
ALTER TABLE `sm_staff_attendences`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_students`
--
ALTER TABLE `sm_students`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_attendances`
--
ALTER TABLE `sm_student_attendances`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_attendance_imports`
--
ALTER TABLE `sm_student_attendance_imports`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_categories`
--
ALTER TABLE `sm_student_categories`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_certificates`
--
ALTER TABLE `sm_student_certificates`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_student_documents`
--
ALTER TABLE `sm_student_documents`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_groups`
--
ALTER TABLE `sm_student_groups`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_homeworks`
--
ALTER TABLE `sm_student_homeworks`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_id_cards`
--
ALTER TABLE `sm_student_id_cards`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_promotions`
--
ALTER TABLE `sm_student_promotions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_take_online_exams`
--
ALTER TABLE `sm_student_take_online_exams`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_take_online_exam_questions`
--
ALTER TABLE `sm_student_take_online_exam_questions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_take_onln_ex_ques_options`
--
ALTER TABLE `sm_student_take_onln_ex_ques_options`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_student_timelines`
--
ALTER TABLE `sm_student_timelines`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_styles`
--
ALTER TABLE `sm_styles`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `sm_subjects`
--
ALTER TABLE `sm_subjects`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_subject_attendances`
--
ALTER TABLE `sm_subject_attendances`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_suppliers`
--
ALTER TABLE `sm_suppliers`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_system_versions`
--
ALTER TABLE `sm_system_versions`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `sm_teacher_upload_contents`
--
ALTER TABLE `sm_teacher_upload_contents`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_temporary_meritlists`
--
ALTER TABLE `sm_temporary_meritlists`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_testimonials`
--
ALTER TABLE `sm_testimonials`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `sm_time_zones`
--
ALTER TABLE `sm_time_zones`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=425;

--
-- AUTO_INCREMENT for table `sm_to_dos`
--
ALTER TABLE `sm_to_dos`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_upload_contents`
--
ALTER TABLE `sm_upload_contents`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_upload_homework_contents`
--
ALTER TABLE `sm_upload_homework_contents`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_user_logs`
--
ALTER TABLE `sm_user_logs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_vehicles`
--
ALTER TABLE `sm_vehicles`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_visitors`
--
ALTER TABLE `sm_visitors`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `sm_weekends`
--
ALTER TABLE `sm_weekends`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `student_attendance_bulks`
--
ALTER TABLE `student_attendance_bulks`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `student_bulk_temporaries`
--
ALTER TABLE `student_bulk_temporaries`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `telescope_entries`
--
ALTER TABLE `telescope_entries`
  MODIFY `sequence` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `user_menus`
--
ALTER TABLE `user_menus`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `continents`
--
ALTER TABLE `continents`
  ADD CONSTRAINT `continents_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `continets`
--
ALTER TABLE `continets`
  ADD CONSTRAINT `continets_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `countries`
--
ALTER TABLE `countries`
  ADD CONSTRAINT `countries_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `countries_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `custom_result_settings`
--
ALTER TABLE `custom_result_settings`
  ADD CONSTRAINT `custom_result_settings_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `custom_result_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `infix_module_infos`
--
ALTER TABLE `infix_module_infos`
  ADD CONSTRAINT `infix_module_infos_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `infix_module_infos_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `infix_module_infos_updated_by_foreign` FOREIGN KEY (`updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `infix_module_student_parent_infos`
--
ALTER TABLE `infix_module_student_parent_infos`
  ADD CONSTRAINT `infix_module_student_parent_infos_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `infix_module_student_parent_infos_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `infix_module_student_parent_infos_updated_by_foreign` FOREIGN KEY (`updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `infix_permission_assigns`
--
ALTER TABLE `infix_permission_assigns`
  ADD CONSTRAINT `infix_permission_assigns_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `infix_permission_assigns_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `infix_roles`
--
ALTER TABLE `infix_roles`
  ADD CONSTRAINT `infix_roles_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `languages`
--
ALTER TABLE `languages`
  ADD CONSTRAINT `languages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `lesson_planners`
--
ALTER TABLE `lesson_planners`
  ADD CONSTRAINT `lesson_planners_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_class_period_id_foreign` FOREIGN KEY (`class_period_id`) REFERENCES `sm_class_times` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_room_id_foreign` FOREIGN KEY (`room_id`) REFERENCES `sm_class_rooms` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `lesson_planners_teacher_id_foreign` FOREIGN KEY (`teacher_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `library_subjects`
--
ALTER TABLE `library_subjects`
  ADD CONSTRAINT `library_subjects_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `library_subjects_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `menu_manages`
--
ALTER TABLE `menu_manages`
  ADD CONSTRAINT `menu_manages_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `menu_manages_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `menu_manages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `menu_manages_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `roles`
--
ALTER TABLE `roles`
  ADD CONSTRAINT `roles_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sidebars`
--
ALTER TABLE `sidebars`
  ADD CONSTRAINT `sidebars_infix_module_id_foreign` FOREIGN KEY (`infix_module_id`) REFERENCES `infix_module_infos` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sidebars_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sidebars_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sidebars_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_about_pages`
--
ALTER TABLE `sm_about_pages`
  ADD CONSTRAINT `sm_about_pages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_academic_years`
--
ALTER TABLE `sm_academic_years`
  ADD CONSTRAINT `sm_academic_years_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_add_expenses`
--
ALTER TABLE `sm_add_expenses`
  ADD CONSTRAINT `sm_add_expenses_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_add_expenses_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_add_incomes`
--
ALTER TABLE `sm_add_incomes`
  ADD CONSTRAINT `sm_add_incomes_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_add_incomes_account_id_foreign` FOREIGN KEY (`account_id`) REFERENCES `sm_bank_accounts` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_add_incomes_payment_method_id_foreign` FOREIGN KEY (`payment_method_id`) REFERENCES `sm_payment_methhods` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_add_incomes_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_admission_queries`
--
ALTER TABLE `sm_admission_queries`
  ADD CONSTRAINT `sm_admission_queries_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_admission_queries_class_foreign` FOREIGN KEY (`class`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_admission_queries_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_admission_query_followups`
--
ALTER TABLE `sm_admission_query_followups`
  ADD CONSTRAINT `sm_admission_query_followups_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_admission_query_followups_admission_query_id_foreign` FOREIGN KEY (`admission_query_id`) REFERENCES `sm_admission_queries` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_admission_query_followups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_amount_transfers`
--
ALTER TABLE `sm_amount_transfers`
  ADD CONSTRAINT `sm_amount_transfers_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_amount_transfers_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_assign_class_teachers`
--
ALTER TABLE `sm_assign_class_teachers`
  ADD CONSTRAINT `sm_assign_class_teachers_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_class_teachers_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_class_teachers_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_class_teachers_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_assign_subjects`
--
ALTER TABLE `sm_assign_subjects`
  ADD CONSTRAINT `sm_assign_subjects_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_subjects_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_subjects_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_subjects_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_subjects_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_subjects_teacher_id_foreign` FOREIGN KEY (`teacher_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_assign_vehicles`
--
ALTER TABLE `sm_assign_vehicles`
  ADD CONSTRAINT `sm_assign_vehicles_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_vehicles_route_id_foreign` FOREIGN KEY (`route_id`) REFERENCES `sm_routes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_vehicles_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_assign_vehicles_vehicle_id_foreign` FOREIGN KEY (`vehicle_id`) REFERENCES `sm_vehicles` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_background_settings`
--
ALTER TABLE `sm_background_settings`
  ADD CONSTRAINT `sm_background_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_backups`
--
ALTER TABLE `sm_backups`
  ADD CONSTRAINT `sm_backups_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_backups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_bank_accounts`
--
ALTER TABLE `sm_bank_accounts`
  ADD CONSTRAINT `sm_bank_accounts_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_bank_accounts_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_bank_payment_slips`
--
ALTER TABLE `sm_bank_payment_slips`
  ADD CONSTRAINT `sm_bank_payment_slips_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_bank_payment_slips_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_bank_payment_slips_fees_discount_id_foreign` FOREIGN KEY (`fees_discount_id`) REFERENCES `sm_fees_discounts` (`id`),
  ADD CONSTRAINT `sm_bank_payment_slips_fees_type_id_foreign` FOREIGN KEY (`fees_type_id`) REFERENCES `sm_fees_types` (`id`),
  ADD CONSTRAINT `sm_bank_payment_slips_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`),
  ADD CONSTRAINT `sm_bank_payment_slips_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_bank_payment_slips_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_base_groups`
--
ALTER TABLE `sm_base_groups`
  ADD CONSTRAINT `sm_base_groups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_base_setups`
--
ALTER TABLE `sm_base_setups`
  ADD CONSTRAINT `sm_base_setups_base_group_id_foreign` FOREIGN KEY (`base_group_id`) REFERENCES `sm_base_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_base_setups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_books`
--
ALTER TABLE `sm_books`
  ADD CONSTRAINT `sm_books_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_books_book_category_id_foreign` FOREIGN KEY (`book_category_id`) REFERENCES `sm_book_categories` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_books_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_book_categories`
--
ALTER TABLE `sm_book_categories`
  ADD CONSTRAINT `sm_book_categories_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_book_categories_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_book_issues`
--
ALTER TABLE `sm_book_issues`
  ADD CONSTRAINT `sm_book_issues_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_book_issues_book_id_foreign` FOREIGN KEY (`book_id`) REFERENCES `sm_books` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_book_issues_member_id_foreign` FOREIGN KEY (`member_id`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_book_issues_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_chart_of_accounts`
--
ALTER TABLE `sm_chart_of_accounts`
  ADD CONSTRAINT `sm_chart_of_accounts_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_chart_of_accounts_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_classes`
--
ALTER TABLE `sm_classes`
  ADD CONSTRAINT `sm_classes_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_optional_subject`
--
ALTER TABLE `sm_class_optional_subject`
  ADD CONSTRAINT `sm_class_optional_subject_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_optional_subject_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_rooms`
--
ALTER TABLE `sm_class_rooms`
  ADD CONSTRAINT `sm_class_rooms_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_rooms_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_routines`
--
ALTER TABLE `sm_class_routines`
  ADD CONSTRAINT `sm_class_routines_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routines_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routines_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routines_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routines_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_routine_updates`
--
ALTER TABLE `sm_class_routine_updates`
  ADD CONSTRAINT `sm_class_routine_updates_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_class_period_id_foreign` FOREIGN KEY (`class_period_id`) REFERENCES `sm_class_times` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_room_id_foreign` FOREIGN KEY (`room_id`) REFERENCES `sm_class_rooms` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_routine_updates_teacher_id_foreign` FOREIGN KEY (`teacher_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_sections`
--
ALTER TABLE `sm_class_sections`
  ADD CONSTRAINT `sm_class_sections_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_sections_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_sections_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_sections_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_teachers`
--
ALTER TABLE `sm_class_teachers`
  ADD CONSTRAINT `sm_class_teachers_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_teachers_assign_class_teacher_id_foreign` FOREIGN KEY (`assign_class_teacher_id`) REFERENCES `sm_assign_class_teachers` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_teachers_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_teachers_teacher_id_foreign` FOREIGN KEY (`teacher_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_class_times`
--
ALTER TABLE `sm_class_times`
  ADD CONSTRAINT `sm_class_times_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_class_times_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_complaints`
--
ALTER TABLE `sm_complaints`
  ADD CONSTRAINT `sm_complaints_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_complaints_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_contact_messages`
--
ALTER TABLE `sm_contact_messages`
  ADD CONSTRAINT `sm_contact_messages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_contact_pages`
--
ALTER TABLE `sm_contact_pages`
  ADD CONSTRAINT `sm_contact_pages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_content_types`
--
ALTER TABLE `sm_content_types`
  ADD CONSTRAINT `sm_content_types_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_content_types_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_countries`
--
ALTER TABLE `sm_countries`
  ADD CONSTRAINT `sm_countries_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_courses`
--
ALTER TABLE `sm_courses`
  ADD CONSTRAINT `sm_courses_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_course_pages`
--
ALTER TABLE `sm_course_pages`
  ADD CONSTRAINT `sm_course_pages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_currencies`
--
ALTER TABLE `sm_currencies`
  ADD CONSTRAINT `sm_currencies_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_custom_temporary_results`
--
ALTER TABLE `sm_custom_temporary_results`
  ADD CONSTRAINT `sm_custom_temporary_results_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_custom_temporary_results_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`);

--
-- Constraints for table `sm_dashboard_settings`
--
ALTER TABLE `sm_dashboard_settings`
  ADD CONSTRAINT `sm_dashboard_settings_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_dashboard_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_date_formats`
--
ALTER TABLE `sm_date_formats`
  ADD CONSTRAINT `sm_date_formats_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_designations`
--
ALTER TABLE `sm_designations`
  ADD CONSTRAINT `sm_designations_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_dormitory_lists`
--
ALTER TABLE `sm_dormitory_lists`
  ADD CONSTRAINT `sm_dormitory_lists_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_dormitory_lists_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_email_settings`
--
ALTER TABLE `sm_email_settings`
  ADD CONSTRAINT `sm_email_settings_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_email_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_email_sms_logs`
--
ALTER TABLE `sm_email_sms_logs`
  ADD CONSTRAINT `sm_email_sms_logs_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_email_sms_logs_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_events`
--
ALTER TABLE `sm_events`
  ADD CONSTRAINT `sm_events_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_events_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exams`
--
ALTER TABLE `sm_exams`
  ADD CONSTRAINT `sm_exams_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exams_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exams_exam_type_id_foreign` FOREIGN KEY (`exam_type_id`) REFERENCES `sm_exam_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exams_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exams_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exams_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_attendances`
--
ALTER TABLE `sm_exam_attendances`
  ADD CONSTRAINT `sm_exam_attendances_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendances_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendances_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendances_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendances_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendances_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_attendance_children`
--
ALTER TABLE `sm_exam_attendance_children`
  ADD CONSTRAINT `sm_exam_attendance_children_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendance_children_exam_attendance_id_foreign` FOREIGN KEY (`exam_attendance_id`) REFERENCES `sm_exam_attendances` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendance_children_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_attendance_children_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_marks_registers`
--
ALTER TABLE `sm_exam_marks_registers`
  ADD CONSTRAINT `sm_exam_marks_registers_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_marks_registers_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_marks_registers_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_marks_registers_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_marks_registers_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_schedules`
--
ALTER TABLE `sm_exam_schedules`
  ADD CONSTRAINT `sm_exam_schedules_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_exam_period_id_foreign` FOREIGN KEY (`exam_period_id`) REFERENCES `sm_class_times` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_exam_term_id_foreign` FOREIGN KEY (`exam_term_id`) REFERENCES `sm_exam_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_room_id_foreign` FOREIGN KEY (`room_id`) REFERENCES `sm_room_lists` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedules_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_schedule_subjects`
--
ALTER TABLE `sm_exam_schedule_subjects`
  ADD CONSTRAINT `sm_exam_schedule_subjects_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedule_subjects_exam_schedule_id_foreign` FOREIGN KEY (`exam_schedule_id`) REFERENCES `sm_exam_schedules` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedule_subjects_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_schedule_subjects_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_settings`
--
ALTER TABLE `sm_exam_settings`
  ADD CONSTRAINT `sm_exam_settings_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_setups`
--
ALTER TABLE `sm_exam_setups`
  ADD CONSTRAINT `sm_exam_setups_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_setups_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_setups_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_setups_exam_term_id_foreign` FOREIGN KEY (`exam_term_id`) REFERENCES `sm_exam_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_setups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_setups_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_setups_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_exam_types`
--
ALTER TABLE `sm_exam_types`
  ADD CONSTRAINT `sm_exam_types_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_exam_types_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_expense_heads`
--
ALTER TABLE `sm_expense_heads`
  ADD CONSTRAINT `sm_expense_heads_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_expense_heads_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_assigns`
--
ALTER TABLE `sm_fees_assigns`
  ADD CONSTRAINT `sm_fees_assigns_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assigns_fees_discount_id_foreign` FOREIGN KEY (`fees_discount_id`) REFERENCES `sm_fees_discounts` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assigns_fees_master_id_foreign` FOREIGN KEY (`fees_master_id`) REFERENCES `sm_fees_masters` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assigns_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assigns_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_assign_discounts`
--
ALTER TABLE `sm_fees_assign_discounts`
  ADD CONSTRAINT `sm_fees_assign_discounts_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assign_discounts_fees_discount_id_foreign` FOREIGN KEY (`fees_discount_id`) REFERENCES `sm_fees_discounts` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assign_discounts_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_assign_discounts_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_carry_forwards`
--
ALTER TABLE `sm_fees_carry_forwards`
  ADD CONSTRAINT `sm_fees_carry_forwards_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_carry_forwards_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_carry_forwards_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_discounts`
--
ALTER TABLE `sm_fees_discounts`
  ADD CONSTRAINT `sm_fees_discounts_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_discounts_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_groups`
--
ALTER TABLE `sm_fees_groups`
  ADD CONSTRAINT `sm_fees_groups_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_groups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_masters`
--
ALTER TABLE `sm_fees_masters`
  ADD CONSTRAINT `sm_fees_masters_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_masters_fees_group_id_foreign` FOREIGN KEY (`fees_group_id`) REFERENCES `sm_fees_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_masters_fees_type_id_foreign` FOREIGN KEY (`fees_type_id`) REFERENCES `sm_fees_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_masters_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_payments`
--
ALTER TABLE `sm_fees_payments`
  ADD CONSTRAINT `sm_fees_payments_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_payments_fees_discount_id_foreign` FOREIGN KEY (`fees_discount_id`) REFERENCES `sm_fees_discounts` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_payments_fees_type_id_foreign` FOREIGN KEY (`fees_type_id`) REFERENCES `sm_fees_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_payments_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_payments_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_fees_types`
--
ALTER TABLE `sm_fees_types`
  ADD CONSTRAINT `sm_fees_types_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_types_fees_group_id_foreign` FOREIGN KEY (`fees_group_id`) REFERENCES `sm_fees_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_fees_types_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_general_settings`
--
ALTER TABLE `sm_general_settings`
  ADD CONSTRAINT `sm_general_settings_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_general_settings_date_format_id_foreign` FOREIGN KEY (`date_format_id`) REFERENCES `sm_date_formats` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_general_settings_language_id_foreign` FOREIGN KEY (`language_id`) REFERENCES `sm_languages` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_general_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_general_settings_session_id_foreign` FOREIGN KEY (`session_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_holidays`
--
ALTER TABLE `sm_holidays`
  ADD CONSTRAINT `sm_holidays_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_holidays_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_homeworks`
--
ALTER TABLE `sm_homeworks`
  ADD CONSTRAINT `sm_homeworks_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homeworks_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homeworks_evaluated_by_foreign` FOREIGN KEY (`evaluated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homeworks_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homeworks_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homeworks_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_homework_students`
--
ALTER TABLE `sm_homework_students`
  ADD CONSTRAINT `sm_homework_students_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homework_students_homework_id_foreign` FOREIGN KEY (`homework_id`) REFERENCES `sm_homeworks` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homework_students_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_homework_students_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_hourly_rates`
--
ALTER TABLE `sm_hourly_rates`
  ADD CONSTRAINT `sm_hourly_rates_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_hourly_rates_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_hr_payroll_earn_deducs`
--
ALTER TABLE `sm_hr_payroll_earn_deducs`
  ADD CONSTRAINT `sm_hr_payroll_earn_deducs_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_hr_payroll_earn_deducs_payroll_generate_id_foreign` FOREIGN KEY (`payroll_generate_id`) REFERENCES `sm_hr_payroll_generates` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_hr_payroll_earn_deducs_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_hr_payroll_generates`
--
ALTER TABLE `sm_hr_payroll_generates`
  ADD CONSTRAINT `sm_hr_payroll_generates_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_hr_payroll_generates_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_hr_payroll_generates_staff_id_foreign` FOREIGN KEY (`staff_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_hr_salary_templates`
--
ALTER TABLE `sm_hr_salary_templates`
  ADD CONSTRAINT `sm_hr_salary_templates_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_hr_salary_templates_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_human_departments`
--
ALTER TABLE `sm_human_departments`
  ADD CONSTRAINT `sm_human_departments_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_human_departments_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_human_departments_updated_by_foreign` FOREIGN KEY (`updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_income_heads`
--
ALTER TABLE `sm_income_heads`
  ADD CONSTRAINT `sm_income_heads_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_income_heads_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_instructions`
--
ALTER TABLE `sm_instructions`
  ADD CONSTRAINT `sm_instructions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_inventory_payments`
--
ALTER TABLE `sm_inventory_payments`
  ADD CONSTRAINT `sm_inventory_payments_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_inventory_payments_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_items`
--
ALTER TABLE `sm_items`
  ADD CONSTRAINT `sm_items_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_items_item_category_id_foreign` FOREIGN KEY (`item_category_id`) REFERENCES `sm_item_categories` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_items_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_categories`
--
ALTER TABLE `sm_item_categories`
  ADD CONSTRAINT `sm_item_categories_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_categories_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_issues`
--
ALTER TABLE `sm_item_issues`
  ADD CONSTRAINT `sm_item_issues_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_issues_item_category_id_foreign` FOREIGN KEY (`item_category_id`) REFERENCES `sm_item_categories` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_issues_item_id_foreign` FOREIGN KEY (`item_id`) REFERENCES `sm_items` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_issues_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_issues_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_receives`
--
ALTER TABLE `sm_item_receives`
  ADD CONSTRAINT `sm_item_receives_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_receives_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_receives_store_id_foreign` FOREIGN KEY (`store_id`) REFERENCES `sm_item_stores` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_receives_supplier_id_foreign` FOREIGN KEY (`supplier_id`) REFERENCES `sm_suppliers` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_receive_children`
--
ALTER TABLE `sm_item_receive_children`
  ADD CONSTRAINT `sm_item_receive_children_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_receive_children_item_id_foreign` FOREIGN KEY (`item_id`) REFERENCES `sm_items` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_receive_children_item_receive_id_foreign` FOREIGN KEY (`item_receive_id`) REFERENCES `sm_item_receives` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_receive_children_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_sells`
--
ALTER TABLE `sm_item_sells`
  ADD CONSTRAINT `sm_item_sells_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_sells_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_sells_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_sell_children`
--
ALTER TABLE `sm_item_sell_children`
  ADD CONSTRAINT `sm_item_sell_children_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_sell_children_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_item_stores`
--
ALTER TABLE `sm_item_stores`
  ADD CONSTRAINT `sm_item_stores_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_item_stores_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_languages`
--
ALTER TABLE `sm_languages`
  ADD CONSTRAINT `sm_languages_lang_id_foreign` FOREIGN KEY (`lang_id`) REFERENCES `languages` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_languages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_leave_deduction_infos`
--
ALTER TABLE `sm_leave_deduction_infos`
  ADD CONSTRAINT `sm_leave_deduction_infos_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_deduction_infos_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`);

--
-- Constraints for table `sm_leave_defines`
--
ALTER TABLE `sm_leave_defines`
  ADD CONSTRAINT `sm_leave_defines_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_defines_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_defines_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_defines_type_id_foreign` FOREIGN KEY (`type_id`) REFERENCES `sm_leave_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_defines_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_leave_requests`
--
ALTER TABLE `sm_leave_requests`
  ADD CONSTRAINT `sm_leave_requests_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_requests_leave_define_id_foreign` FOREIGN KEY (`leave_define_id`) REFERENCES `sm_leave_defines` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_requests_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_requests_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_requests_staff_id_foreign` FOREIGN KEY (`staff_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_requests_type_id_foreign` FOREIGN KEY (`type_id`) REFERENCES `sm_leave_types` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_leave_types`
--
ALTER TABLE `sm_leave_types`
  ADD CONSTRAINT `sm_leave_types_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_leave_types_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_lessons`
--
ALTER TABLE `sm_lessons`
  ADD CONSTRAINT `sm_lessons_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lessons_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lessons_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lessons_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lessons_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_lesson_details`
--
ALTER TABLE `sm_lesson_details`
  ADD CONSTRAINT `sm_lesson_details_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_details_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_details_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_details_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_details_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_lesson_topics`
--
ALTER TABLE `sm_lesson_topics`
  ADD CONSTRAINT `sm_lesson_topics_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_topics_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_topics_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_topics_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_topics_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_lesson_topic_details`
--
ALTER TABLE `sm_lesson_topic_details`
  ADD CONSTRAINT `sm_lesson_topic_details_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_topic_details_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_lesson_topic_details_topic_id_foreign` FOREIGN KEY (`topic_id`) REFERENCES `sm_lesson_topics` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_library_members`
--
ALTER TABLE `sm_library_members`
  ADD CONSTRAINT `sm_library_members_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_library_members_member_type_foreign` FOREIGN KEY (`member_type`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_library_members_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_library_members_student_staff_id_foreign` FOREIGN KEY (`student_staff_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_marks_grades`
--
ALTER TABLE `sm_marks_grades`
  ADD CONSTRAINT `sm_marks_grades_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_grades_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_marks_registers`
--
ALTER TABLE `sm_marks_registers`
  ADD CONSTRAINT `sm_marks_registers_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_registers_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_registers_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_registers_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_registers_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_registers_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_marks_register_children`
--
ALTER TABLE `sm_marks_register_children`
  ADD CONSTRAINT `sm_marks_register_children_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_register_children_marks_register_id_foreign` FOREIGN KEY (`marks_register_id`) REFERENCES `sm_marks_registers` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_register_children_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_register_children_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_marks_send_sms`
--
ALTER TABLE `sm_marks_send_sms`
  ADD CONSTRAINT `sm_marks_send_sms_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_send_sms_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_send_sms_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_marks_send_sms_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_mark_stores`
--
ALTER TABLE `sm_mark_stores`
  ADD CONSTRAINT `sm_mark_stores_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_exam_setup_id_foreign` FOREIGN KEY (`exam_setup_id`) REFERENCES `sm_exam_setups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_exam_term_id_foreign` FOREIGN KEY (`exam_term_id`) REFERENCES `sm_exam_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_mark_stores_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_modules`
--
ALTER TABLE `sm_modules`
  ADD CONSTRAINT `sm_modules_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_module_links`
--
ALTER TABLE `sm_module_links`
  ADD CONSTRAINT `sm_module_links_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_module_links_module_id_foreign` FOREIGN KEY (`module_id`) REFERENCES `sm_modules` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_module_links_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_module_links_updated_by_foreign` FOREIGN KEY (`updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_module_permissions`
--
ALTER TABLE `sm_module_permissions`
  ADD CONSTRAINT `sm_module_permissions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_module_permission_assigns`
--
ALTER TABLE `sm_module_permission_assigns`
  ADD CONSTRAINT `sm_module_permission_assigns_module_id_foreign` FOREIGN KEY (`module_id`) REFERENCES `sm_module_permissions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_module_permission_assigns_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_module_permission_assigns_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_news`
--
ALTER TABLE `sm_news`
  ADD CONSTRAINT `sm_news_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `sm_news_categories` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_news_pages`
--
ALTER TABLE `sm_news_pages`
  ADD CONSTRAINT `sm_news_pages_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_news_pages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_news_pages_updated_by_foreign` FOREIGN KEY (`updated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_notice_boards`
--
ALTER TABLE `sm_notice_boards`
  ADD CONSTRAINT `sm_notice_boards_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_notice_boards_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_notifications`
--
ALTER TABLE `sm_notifications`
  ADD CONSTRAINT `sm_notifications_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_notifications_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_online_exams`
--
ALTER TABLE `sm_online_exams`
  ADD CONSTRAINT `sm_online_exams_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exams_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exams_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exams_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exams_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_online_exam_marks`
--
ALTER TABLE `sm_online_exam_marks`
  ADD CONSTRAINT `sm_online_exam_marks_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_marks_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_marks_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_marks_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_marks_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_online_exam_questions`
--
ALTER TABLE `sm_online_exam_questions`
  ADD CONSTRAINT `sm_online_exam_questions_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_questions_online_exam_id_foreign` FOREIGN KEY (`online_exam_id`) REFERENCES `sm_online_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_questions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_online_exam_question_assigns`
--
ALTER TABLE `sm_online_exam_question_assigns`
  ADD CONSTRAINT `sm_online_exam_question_assigns_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_question_assigns_online_exam_id_foreign` FOREIGN KEY (`online_exam_id`) REFERENCES `sm_online_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_question_assigns_question_bank_id_foreign` FOREIGN KEY (`question_bank_id`) REFERENCES `sm_question_banks` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_question_assigns_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_online_exam_question_mu_options`
--
ALTER TABLE `sm_online_exam_question_mu_options`
  ADD CONSTRAINT `on_ex_qu_id` FOREIGN KEY (`online_exam_question_id`) REFERENCES `sm_online_exam_questions` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_question_mu_options_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_online_exam_question_mu_options_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_optional_subject_assigns`
--
ALTER TABLE `sm_optional_subject_assigns`
  ADD CONSTRAINT `sm_optional_subject_assigns_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_optional_subject_assigns_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_optional_subject_assigns_session_id_foreign` FOREIGN KEY (`session_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_optional_subject_assigns_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_optional_subject_assigns_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_parents`
--
ALTER TABLE `sm_parents`
  ADD CONSTRAINT `sm_parents_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_parents_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_parents_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_payment_gateway_settings`
--
ALTER TABLE `sm_payment_gateway_settings`
  ADD CONSTRAINT `sm_payment_gateway_settings_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_payment_methhods`
--
ALTER TABLE `sm_payment_methhods`
  ADD CONSTRAINT `sm_payment_methhods_gateway_id_foreign` FOREIGN KEY (`gateway_id`) REFERENCES `sm_payment_gateway_settings` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_payment_methhods_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_phone_call_logs`
--
ALTER TABLE `sm_phone_call_logs`
  ADD CONSTRAINT `sm_phone_call_logs_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_phone_call_logs_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_postal_dispatches`
--
ALTER TABLE `sm_postal_dispatches`
  ADD CONSTRAINT `sm_postal_dispatches_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_postal_dispatches_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_postal_receives`
--
ALTER TABLE `sm_postal_receives`
  ADD CONSTRAINT `sm_postal_receives_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_postal_receives_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_product_purchases`
--
ALTER TABLE `sm_product_purchases`
  ADD CONSTRAINT `sm_product_purchases_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_product_purchases_staff_id_foreign` FOREIGN KEY (`staff_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_product_purchases_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_question_banks`
--
ALTER TABLE `sm_question_banks`
  ADD CONSTRAINT `sm_question_banks_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_banks_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_banks_q_group_id_foreign` FOREIGN KEY (`q_group_id`) REFERENCES `sm_question_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_banks_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_banks_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_question_bank_mu_options`
--
ALTER TABLE `sm_question_bank_mu_options`
  ADD CONSTRAINT `sm_question_bank_mu_options_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_bank_mu_options_question_bank_id_foreign` FOREIGN KEY (`question_bank_id`) REFERENCES `sm_question_banks` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_bank_mu_options_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_question_groups`
--
ALTER TABLE `sm_question_groups`
  ADD CONSTRAINT `sm_question_groups_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_groups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_question_levels`
--
ALTER TABLE `sm_question_levels`
  ADD CONSTRAINT `sm_question_levels_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_question_levels_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_result_stores`
--
ALTER TABLE `sm_result_stores`
  ADD CONSTRAINT `sm_result_stores_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_exam_setup_id_foreign` FOREIGN KEY (`exam_setup_id`) REFERENCES `sm_exam_setups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_exam_type_id_foreign` FOREIGN KEY (`exam_type_id`) REFERENCES `sm_exam_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_result_stores_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_role_permissions`
--
ALTER TABLE `sm_role_permissions`
  ADD CONSTRAINT `sm_role_permissions_module_link_id_foreign` FOREIGN KEY (`module_link_id`) REFERENCES `sm_module_links` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_role_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `sm_role_permissions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_room_lists`
--
ALTER TABLE `sm_room_lists`
  ADD CONSTRAINT `sm_room_lists_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_room_lists_dormitory_id_foreign` FOREIGN KEY (`dormitory_id`) REFERENCES `sm_dormitory_lists` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_room_lists_room_type_id_foreign` FOREIGN KEY (`room_type_id`) REFERENCES `sm_room_types` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_room_lists_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_room_types`
--
ALTER TABLE `sm_room_types`
  ADD CONSTRAINT `sm_room_types_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_room_types_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_routes`
--
ALTER TABLE `sm_routes`
  ADD CONSTRAINT `sm_routes_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_routes_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_seat_plans`
--
ALTER TABLE `sm_seat_plans`
  ADD CONSTRAINT `sm_seat_plans_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plans_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plans_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plans_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plans_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plans_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_seat_plan_children`
--
ALTER TABLE `sm_seat_plan_children`
  ADD CONSTRAINT `sm_seat_plan_children_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plan_children_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_seat_plan_children_seat_plan_id_foreign` FOREIGN KEY (`seat_plan_id`) REFERENCES `sm_seat_plans` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_sections`
--
ALTER TABLE `sm_sections`
  ADD CONSTRAINT `sm_sections_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_sections_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_send_messages`
--
ALTER TABLE `sm_send_messages`
  ADD CONSTRAINT `sm_send_messages_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_send_messages_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_sessions`
--
ALTER TABLE `sm_sessions`
  ADD CONSTRAINT `sm_sessions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_setup_admins`
--
ALTER TABLE `sm_setup_admins`
  ADD CONSTRAINT `sm_setup_admins_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_setup_admins_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_sms_gateways`
--
ALTER TABLE `sm_sms_gateways`
  ADD CONSTRAINT `sm_sms_gateways_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_social_media_icons`
--
ALTER TABLE `sm_social_media_icons`
  ADD CONSTRAINT `sm_social_media_icons_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_staffs`
--
ALTER TABLE `sm_staffs`
  ADD CONSTRAINT `sm_staffs_department_id_foreign` FOREIGN KEY (`department_id`) REFERENCES `sm_human_departments` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `sm_staffs_designation_id_foreign` FOREIGN KEY (`designation_id`) REFERENCES `sm_designations` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `sm_staffs_gender_id_foreign` FOREIGN KEY (`gender_id`) REFERENCES `sm_base_setups` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `sm_staffs_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE SET NULL,
  ADD CONSTRAINT `sm_staffs_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_staffs_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_staff_attendance_imports`
--
ALTER TABLE `sm_staff_attendance_imports`
  ADD CONSTRAINT `sm_staff_attendance_imports_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_staff_attendance_imports_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_staff_attendance_imports_staff_id_foreign` FOREIGN KEY (`staff_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_staff_attendences`
--
ALTER TABLE `sm_staff_attendences`
  ADD CONSTRAINT `sm_staff_attendences_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_staff_attendences_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_staff_attendences_staff_id_foreign` FOREIGN KEY (`staff_id`) REFERENCES `sm_staffs` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_students`
--
ALTER TABLE `sm_students`
  ADD CONSTRAINT `sm_students_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_bloodgroup_id_foreign` FOREIGN KEY (`bloodgroup_id`) REFERENCES `sm_base_setups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_dormitory_id_foreign` FOREIGN KEY (`dormitory_id`) REFERENCES `sm_dormitory_lists` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_gender_id_foreign` FOREIGN KEY (`gender_id`) REFERENCES `sm_base_setups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `sm_parents` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_religion_id_foreign` FOREIGN KEY (`religion_id`) REFERENCES `sm_base_setups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_room_id_foreign` FOREIGN KEY (`room_id`) REFERENCES `sm_room_lists` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_route_list_id_foreign` FOREIGN KEY (`route_list_id`) REFERENCES `sm_routes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_session_id_foreign` FOREIGN KEY (`session_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_student_category_id_foreign` FOREIGN KEY (`student_category_id`) REFERENCES `sm_student_categories` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_student_group_id_foreign` FOREIGN KEY (`student_group_id`) REFERENCES `sm_student_groups` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_students_vechile_id_foreign` FOREIGN KEY (`vechile_id`) REFERENCES `sm_vehicles` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_attendances`
--
ALTER TABLE `sm_student_attendances`
  ADD CONSTRAINT `sm_student_attendances_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_attendances_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_attendances_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_attendance_imports`
--
ALTER TABLE `sm_student_attendance_imports`
  ADD CONSTRAINT `sm_student_attendance_imports_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_attendance_imports_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_attendance_imports_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_categories`
--
ALTER TABLE `sm_student_categories`
  ADD CONSTRAINT `sm_student_categories_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_categories_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_certificates`
--
ALTER TABLE `sm_student_certificates`
  ADD CONSTRAINT `sm_student_certificates_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_certificates_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_documents`
--
ALTER TABLE `sm_student_documents`
  ADD CONSTRAINT `sm_student_documents_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_documents_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_excel_formats`
--
ALTER TABLE `sm_student_excel_formats`
  ADD CONSTRAINT `sm_student_excel_formats_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_excel_formats_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_groups`
--
ALTER TABLE `sm_student_groups`
  ADD CONSTRAINT `sm_student_groups_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_groups_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_homeworks`
--
ALTER TABLE `sm_student_homeworks`
  ADD CONSTRAINT `sm_student_homeworks_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_homeworks_evaluated_by_foreign` FOREIGN KEY (`evaluated_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_homeworks_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_homeworks_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_homeworks_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_id_cards`
--
ALTER TABLE `sm_student_id_cards`
  ADD CONSTRAINT `sm_student_id_cards_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_id_cards_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_promotions`
--
ALTER TABLE `sm_student_promotions`
  ADD CONSTRAINT `sm_student_promotions_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_current_class_id_foreign` FOREIGN KEY (`current_class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_current_section_id_foreign` FOREIGN KEY (`current_section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_current_session_id_foreign` FOREIGN KEY (`current_session_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_previous_class_id_foreign` FOREIGN KEY (`previous_class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_previous_section_id_foreign` FOREIGN KEY (`previous_section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_previous_session_id_foreign` FOREIGN KEY (`previous_session_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_promotions_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_take_online_exams`
--
ALTER TABLE `sm_student_take_online_exams`
  ADD CONSTRAINT `sm_student_take_online_exams_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_take_online_exams_online_exam_id_foreign` FOREIGN KEY (`online_exam_id`) REFERENCES `sm_online_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_take_online_exams_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_take_online_exams_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_take_online_exam_questions`
--
ALTER TABLE `sm_student_take_online_exam_questions`
  ADD CONSTRAINT `sm_student_take_online_exam_questions_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_take_online_exam_questions_question_bank_id_foreign` FOREIGN KEY (`question_bank_id`) REFERENCES `sm_question_banks` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_take_online_exam_questions_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `t_on_ex_id` FOREIGN KEY (`take_online_exam_id`) REFERENCES `sm_student_take_online_exams` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_take_onln_ex_ques_options`
--
ALTER TABLE `sm_student_take_onln_ex_ques_options`
  ADD CONSTRAINT `sm_student_take_onln_ex_ques_options_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_take_onln_ex_ques_options_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `t_on_ex_q_id` FOREIGN KEY (`take_online_exam_question_id`) REFERENCES `sm_student_take_online_exam_questions` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_student_timelines`
--
ALTER TABLE `sm_student_timelines`
  ADD CONSTRAINT `sm_student_timelines_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_student_timelines_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_styles`
--
ALTER TABLE `sm_styles`
  ADD CONSTRAINT `sm_styles_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_subjects`
--
ALTER TABLE `sm_subjects`
  ADD CONSTRAINT `sm_subjects_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_subjects_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_subject_attendances`
--
ALTER TABLE `sm_subject_attendances`
  ADD CONSTRAINT `sm_subject_attendances_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_subject_attendances_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_subject_attendances_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_subject_attendances_subject_id_foreign` FOREIGN KEY (`subject_id`) REFERENCES `sm_subjects` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_suppliers`
--
ALTER TABLE `sm_suppliers`
  ADD CONSTRAINT `sm_suppliers_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_suppliers_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_teacher_upload_contents`
--
ALTER TABLE `sm_teacher_upload_contents`
  ADD CONSTRAINT `sm_teacher_upload_contents_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_teacher_upload_contents_class_foreign` FOREIGN KEY (`class`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_teacher_upload_contents_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_teacher_upload_contents_section_foreign` FOREIGN KEY (`section`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_temporary_meritlists`
--
ALTER TABLE `sm_temporary_meritlists`
  ADD CONSTRAINT `sm_temporary_meritlists_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_temporary_meritlists_class_id_foreign` FOREIGN KEY (`class_id`) REFERENCES `sm_classes` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_temporary_meritlists_exam_id_foreign` FOREIGN KEY (`exam_id`) REFERENCES `sm_exams` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_temporary_meritlists_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_temporary_meritlists_section_id_foreign` FOREIGN KEY (`section_id`) REFERENCES `sm_sections` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_testimonials`
--
ALTER TABLE `sm_testimonials`
  ADD CONSTRAINT `sm_testimonials_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_to_dos`
--
ALTER TABLE `sm_to_dos`
  ADD CONSTRAINT `sm_to_dos_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_to_dos_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_upload_contents`
--
ALTER TABLE `sm_upload_contents`
  ADD CONSTRAINT `sm_upload_contents_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_upload_contents_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_upload_homework_contents`
--
ALTER TABLE `sm_upload_homework_contents`
  ADD CONSTRAINT `sm_upload_homework_contents_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_upload_homework_contents_homework_id_foreign` FOREIGN KEY (`homework_id`) REFERENCES `sm_homeworks` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_upload_homework_contents_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_upload_homework_contents_student_id_foreign` FOREIGN KEY (`student_id`) REFERENCES `sm_students` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_user_logs`
--
ALTER TABLE `sm_user_logs`
  ADD CONSTRAINT `sm_user_logs_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_user_logs_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_user_logs_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_user_logs_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_vehicles`
--
ALTER TABLE `sm_vehicles`
  ADD CONSTRAINT `sm_vehicles_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_vehicles_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_visitors`
--
ALTER TABLE `sm_visitors`
  ADD CONSTRAINT `sm_visitors_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_visitors_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `sm_weekends`
--
ALTER TABLE `sm_weekends`
  ADD CONSTRAINT `sm_weekends_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `sm_weekends_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `telescope_entries_tags`
--
ALTER TABLE `telescope_entries_tags`
  ADD CONSTRAINT `telescope_entries_tags_entry_uuid_foreign` FOREIGN KEY (`entry_uuid`) REFERENCES `telescope_entries` (`uuid`) ON DELETE CASCADE;

--
-- Constraints for table `users`
--
ALTER TABLE `users`
  ADD CONSTRAINT `users_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `users_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `user_menus`
--
ALTER TABLE `user_menus`
  ADD CONSTRAINT `user_menus_academic_id_foreign` FOREIGN KEY (`academic_id`) REFERENCES `sm_academic_years` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `user_menus_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `infix_roles` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `user_menus_school_id_foreign` FOREIGN KEY (`school_id`) REFERENCES `sm_schools` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `user_menus_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
